/*******
If the preference "restricted connection" is enabled you can only access to a documents that was created via connenction. Via connenction documents can only created by "readDataformText" and "openFile".
********/

@protocol AbscissaReceiving
- (oneway void)readDataformText:(const char *)textString 
	of:(const char *)document 
	source:(const char *)tableName 
	doRangeOverAll:(BOOL)flag 
	appendToExistingData:(BOOL)join;
	
- (oneway void)setXRangeOf:(const char *)documentName
	xmin:(double)Xmin
	xmax:(double)Xmax;

- (oneway void)setYRangeOf:(const char *)documentName
	ymin:(double)Ymin
	ymax:(double)Ymax;
	
- (void) getXRangeOf:(const char *)documentName
	xmin:(out double*)Xmin
	xmax:(out double*)Xmax;
	
- (void) getYRangeOf:(const char *)documentName
	ymin:(out double*)Ymin
	ymax:(out double*)Ymax;
	
- (oneway void)deleteAllCurvesOf:(const char *)documentName;

- (oneway void)closeDocument:(const char *)documentName
	askForSave:(BOOL)ask;

- (oneway void)saveDocument:(const char *)documentName 
	as:(const char *)fileName
	binary:(BOOL)notAscii;
	/* saveDocument is disabled for "restricted connection" */

- (oneway void)savePicture:(const char *)documentName
	as:(const char *)fileName;
	/* savePicture is disabled for "restricted connection" */

- (oneway void)openFile:(const char *)documentName
	file:(const char *)fileName
	doRangeOverAll:(BOOL)flag;

- (oneway void)setXTitleOf:(const char *)documentName
	to:(const char *)RTFtext;
	
- (oneway void)setYTitleOf:(const char *)documentName
	to:(const char *)RTFtext;
	
- (oneway void)setTextOf:(const char *)documentName
	to:(const char *)RTFtext
	at_X:(float)x
	at_Y:(float)y;
	
@end