#import <objc/Object.h>
#import "AbscissaReceiving.h"
#import <remote/NXProxy.h>
#import <appkit/appkit.h>	// only needed for launchApplication
#import <stdio.h>
#import <math.h>
#import <bsd/c.h>
#import <bsd/libc.h>

#define SECOND 1000000
#define IS_NAN(x)	((x)!=(x))	/* IEEE test for NAN (not a number) */

@interface NXProxy(AbscissaReceive)<AbscissaReceiving>
@end

int main(int argc, char *argv[])
{
	NXProxy	*clientProxy;
	char	buffer[4*1024], line[256];
	char	xTitle[256], yTitle[256], *rtfHeader;
	double	x, dx;
		
	
	clientProxy = [NXConnection connectToName:"AbscissaReceive"];
	if(clientProxy==nil) {
		if(![[Application workspace] launchApplication:"Abscissa"]) {
			printf("can't launch Abscissa\n");
			return 1;
			}
		usleep(4.0*SECOND);
		clientProxy = [NXConnection connectToName:"AbscissaReceive"];
		if(clientProxy==nil) {
			printf("no connection to Abscissa; disabled port or version<2.0\n");
			return 1;
			}
		}
	[clientProxy setProtocolForProxy:@protocol(AbscissaReceiving)];


	rtfHeader = "{\\rtf0\\ansi{\\fonttbl\\f0\\fnil Times-Roman;\\f1\\ftech Symbol;}\\f0\\qc\\fs32 ";
	strcpy(xTitle, rtfHeader);
	strcat(xTitle, "\\f1 a \\f0 in degree");
	strcat(xTitle, "}");

	strcpy(yTitle, rtfHeader);
	strcat(yTitle, "sin(\\f1 a\\f0 )  &  cos(\\f1 a\\f0 )");
	strcat(yTitle, "}");
	
	NX_DURING
	[clientProxy closeDocument:"UNTITLED" askForSave:NO];
	for (x=0.0; x<20000.0; x+=50.0) {
		strcpy(buffer, "");
		for (dx=0.0; dx<50.0; dx += 5.0) {
			
			sprintf(line, "%f %f %f\n",
				x+dx,
				sin((x+dx)*M_PI/180.0),
				cos((x+dx)*M_PI/180.0));
				
			strcat(buffer, line);
			}
		[clientProxy readDataformText:buffer
			of:"Running Sine Plot"
			source:argv[0]
			doRangeOverAll:YES
			appendToExistingData:YES];
			
		if (x==100.0) 
			[clientProxy setXTitleOf:"Running Sine Plot" to:"ops"];
		if (x==200.0) 
			[clientProxy setXTitleOf:"Running Sine Plot" to:xTitle];
		if (x==250.0) 
			[clientProxy setYTitleOf:"Running Sine Plot" to:yTitle];
			
/*		{
		double	xmin, xmax;
		[clientProxy getXRangeOf:"Running Sine Plot" xmin:&xmin xmax:&xmax];
		if (IS_NAN(xmin))
			printf("can't getXRangeOf...\n");
		else
			printf("xmin=%f xmax=%f\n", xmin, xmax);
		}
*/		
		usleep(1.0*SECOND);;
		}
	NX_HANDLER
		printf("lost connection to Abscissa\n");
		return 1;
	NX_ENDHANDLER
	return 0;
}