#import <objc/Object.h>
#import "AbscissaReceiving.h"
#import <remote/NXProxy.h>
#import <appkit/appkit.h>	// only needed for launchApplication
#import <stdio.h>
#import <math.h>
#import <bsd/c.h>
#import <bsd/libc.h>
#import <pwd.h>

#define SECOND 1000000

@interface NXProxy(AbscissaReceive)<AbscissaReceiving>
@end

int main(int argc, char *argv[])
{
	NXProxy	*clientProxy;
	char	rtfText[1024], *rtfHeader, *men;
	double	xmin, xmax;
	struct passwd *me;
	int  	i;
	
	
	me = getpwnam(NXUserName());
	
	rtfHeader = "{\\rtf0\\ansi{\\fonttbl\\f0\\fnil Times-Roman;\\f1\\ftech Symbol;}\\f0\\fs36";
	
	clientProxy = [NXConnection connectToName:"AbscissaReceive"];
	if(clientProxy==nil) {
		if(![[Application workspace] launchApplication:"Abscissa"]) {
			printf("can't launch Abscissa\n");
			return 1;
			}
		usleep(4.0*SECOND);
		clientProxy = [NXConnection connectToName:"AbscissaReceive"];
		if(clientProxy==nil) {
			printf("no connection to Abscissa; disabled port or version<2.0\n");
			return 1;
			}
		}
	[clientProxy setProtocolForProxy:@protocol(AbscissaReceiving)];

	strcpy(rtfText, rtfHeader);
	strcat(rtfText, "hello ");
	strncat(rtfText, me->pw_gecos, strcspn(me->pw_gecos," "));
	strcat(rtfText, "}");
	men = "-1 1\n0 2\n1 1\n0 2\n0 3\n-1 2\n0 3\n1 2\n0 3\n0 3.5\n-0.5 4\n0 4.5\n0.5 4\n0 3.5";
	[clientProxy closeDocument:"UNTITLED" askForSave:NO];
	[clientProxy readDataformText:men
		of:"welcome"
		source:argv[0]
		doRangeOverAll:NO
		appendToExistingData:NO];

	[clientProxy setYRangeOf:"welcome" ymin:0.0 ymax:5.0];
	xmin = 3.0;
	xmax = 21.0;
	[clientProxy setXRangeOf:"welcome" xmin:xmin xmax:xmax];

	for (i=0; i<12; i++) {
		xmin -= 1.0; 
		xmax -= 1.0; 
		[clientProxy setXRangeOf:"welcome" xmin:xmin xmax:xmax];
		usleep(1.0*SECOND);;
		}
	xmin *= 0.5;
	xmax *= 0.5;
	[clientProxy setXRangeOf:"welcome" xmin:xmin xmax:xmax];
	[clientProxy setTextOf:"welcome" to:rtfText at_X:1.0 at_Y:4.5];
	usleep(2.0*SECOND);;
	xmin *= 2.0;
	xmax *= 2.0;
	[clientProxy setXRangeOf:"welcome" xmin:xmin xmax:xmax];
	for (i=0; i<10; i++) {
		usleep(1.0*SECOND);;
		xmin -= 1.0; 
		xmax -= 1.0; 
		[clientProxy setXRangeOf:"welcome" xmin:xmin xmax:xmax];
		}

	strcpy(rtfText, rtfHeader);
	strcat(rtfText, "\\qc closing document ...");  /* "\\qc " centers text */
	strcat(rtfText, "}");
	[clientProxy setXTitleOf:"welcome" to:rtfText];
	usleep(2.0*SECOND);;
	[clientProxy closeDocument:"welcome" askForSave:NO];
		

	return 0;
}