/* BBAtomLibraryManager.h				 
 *
 * This is the major Part of the AtomLibrary. Controls Nibs and more. Can
 * find the basic atom for any symbol (because it controls them)
 *
 * Usage: Just send you queries in. Making us the keyWindow will show a
 *		  window that does allow a simple selection of different atom types.
 * 
 * Written by: 		Thomas Engel
 * Created:    		25.11.1993 (Copyleft)
 * Last modified: 	14.05.1994
 */

#import <appkit/appkit.h>

@interface BBAtomLibraryManager:Object
{
	id	dragWell;
	id	nameField;
	id	symbolField;
	id	protonsField;
	id	window;
	id	swapView;
	
	id	atomList;
	id	defaultAtom;
}

- init;

- makeKeyAndOrderFront:sender;

- atomList;

- selectBasicAtom:anAtom;
- selectedBasicAtom;
- selectBasicAtomWithSymbol:(const char *)aString;
- selectBasicAtomWithProtons:(short)protons;

- findBasicAtomWithSymbol:(const char *)aString;
- findBasicAtomWithProtons:(short)protons;

// for internal use only:

- createSimpleDefaultLibrary;
- newLibAtom:(const char *)symbol :(const char*)name withCore:(short)p
															 :(short)n
													     mass:(float)m;

// To handle the window stuff.. we're the delegate

- windowDidBecomeMain:sender;

@end

/*
 * History: 14.05.94 Switched to new name: BB...
 *
 *			10.02.94 Made it MiscSwap happy.
 *
 *			12.01.94 Added some internal methods
 *
 *			09.01.94 Added the query methods and some init stuff. It's starting
 *					 to become a useful class.
 *
 *			25.11.93 Added some basic methods for testing. Later this object
 *					 will be completely different!
 *
 *
 * Bugs: Yes!
 */
