/* BBAppManager.h				 
 *
 * This is the basic controller of the App. It manages all hig abstraction
 * tasks for the panel, documents and connections to the outside.
 *
 * Usage: This is not a very reusable object. 
 *
 * Written by: 		Thomas Engel
 * Created:    		23.10.1993 (Copyleft)
 * Last modified: 	07.05.1994
 */

#import <appkit/appkit.h>

@interface BBAppManager:Object
{
    id	info;
	id	preferences;
	id	inspector;
	id	rotator;
	id	library;
	id	libraryText;
	id	atomLibrary;
	id	toolBoy;
	
	id	fileManager;
	id	deviceServer;
}

// Some methods need to get the app started..

- appWillInit:sender;
- appDidInit:sender;
- (int)app:sender openFile:(const char *)path type:(const char *)type;
- (BOOL)appAcceptsAnotherFile:sender;
- appDidBecomeActive:sender;
- appWillTerminate:sender;

// Here we do the handling of our Panels & Tools

- showInfo:sender;
- showPreferences:sender;
- preferences;
- showLibrary:sender;
- showAtomLibrary:sender;
- atomLibrary;
- showInspector:sender;
- inspector;
- showRotator:sender;
- rotator;
- showToolBoy:sender;
- fileManager;
- deviceServer;

// Here we have the methods the controll our document. They work via the
// first responder chain.

- open:sender;
- new:sender;
- save:sender;
- saveAs:sender;
- saveTo:sender;
- saveAll:sender;
- revert:sender;
- close:sender;

- print:sender;

@end

/*
 * History: 07.05.94 Changed to BB.., added the deviceServer.
 *
 *			03.01.94 Many document-handling-methods added.
 *
 *			28.12.93 Added some basic document handling.
 *
 *			18.12.93 Some inspector handling changed. Will change again.
 *
 *			25.11.93 Added the tools and inspector panels.
 *
 *			23.10.93 Just a basic setup
 *
 *
 * Hints: This Object could be defined as a subclass of a general docManager
 *		  like the one provided by the NeXT-miniexamples...Maybe later or never
 *
 *
 * Bugs: No bugs and birds seen....
 */