/* BBAtom.h				 
 *
 * This is the atom as used inside a molecule. So position info is added.
 *
 * Usage: Create a new atom and then set all the values. Just creating an atom  
 *		  inits all the standard setups but can result in a useless object!
 * 
 * Attention: This Object will change a lot!
 *
 * Written by: 		Thomas Engel
 * Created:    		23.10.1993 (Copyleft)
 * Last modified: 	02.05.1994
 */

#import "BBBasicAtom.h"

@interface BBAtom:BBBasicAtom
{
    double	xPos;
	double	yPos;
	double	zPos;
	id		molecule;
}

- init;

/*
 * To ensure that there are no big calculation faults we will store the atom
 * position as doubles.
 */

- setXPos:(double)x;
- (double)xPos;
- setYPos:(double)y;
- (double)yPos;
- setZPos:(double)z;
- (double)zPos;

- setMolecule:aMolecule;
- molecule;

@end

/*
 * History: 02.05.94 Its a BBAtom now and is quite dragable.
 *
 *			09.03.94 Added the molecule reference.
 *
 *			09.01.94 Made this atom a subclass of basicAtom.
 *
 *			03.01.94 Added color support to this object
 *
 *			28.12.93 Added the objectImage support for easy dragging.
 *
 *			23.10.93 Added some basic methods for testing. Later this object
 *					 will be completly different!
 *
 *
 * Bugs: This IS a bug!
 */
