/* BBAtom.m				 
 *
 * This is the atom as used inside a molecule. So position info is added.
 *
 * For interface-info see the header file. The comments in this file mostly
 * cover only the real implementation details.
 *
 * Written by: 		Thomas Engel
 * Created:    		23.10.1993 (Copyleft)
 * Last modified: 	02.05.1994
 */

#import "BBAtom.h"

@implementation BBAtom

- init
{
	self = [super init];
	if( !self ) return self;

	// OK. We really are an object...just set the new icon.
	
	[self setImage:[NXImage findImageNamed:"AtomIcon"]];
	return self;
}

- setXPos:(double)x;
{
	xPos = x;
	return self;
}

- (double)xPos
{
	return xPos;
}

- setYPos:(double)y
{
	yPos = y;
	return self;
}

- (double)yPos
{
	return yPos;
}

- setZPos:(double)z;
{
	zPos = z;
	return self;
}

- (double)zPos
{
	return zPos;
}

- setMolecule:aMolecule
{
	molecule = aMolecule;
	return self;
}

- molecule
{
	return molecule;
}

@end

/*
 * History: 02.05.94 Its a BBAtom now (and its draggable)
 *
 *			09.03.94 Added the molecule reference.
 *
 *			09.01.94 Switched to object icon and have this object be a sub-
 *					 class of basicAtom;
 *
 *			03.01.94 Added color support to this object.
 *
 *			28.12.93 Added the objectImage stuff. Still just a simple object.
 *
 *			23.10.93 Just a silly setup to have some starting point.
 *
 *
 * Bugs: - This implementaion is a bug because it is not ready anyway.
 *		   I don't like the method names.....hmmm
 */