/* BBAtomShape.h				 
 *
 * This generates a RenderMan shape that represents an Atom. Normally we only
 * show up as a sphere in a certain color which is determind by the region
 * we are painted for. To speed up the drawing we store the useful data.
 *
 * Usage: Just another N3DShape. Init it for a Region and Atom and it will
 *		  ask the region for style defaults.
 *
 * Written by: 		Thomas Engel
 * Created:    		25.12.1993 (Copyleft)
 * Last modified: 	25.05.1994
 */

#import <3Dkit/3Dkit.h>

@interface BBAtomShape:N3DShape
{
	id		ourAtom;
	id		ourRegionShape;
	float	x;
	float	y;
	float	z;
	float	radius;
	RtColor	color;
}

- initFrom:anAtom asPartOf:aRegionShape;
- renderSelf:(N3DCamera *)theCamera;
- renderSelfAsBox:(N3DCamera *)theCamera;
- update;

- atom;

@end

/*
 * History: 23.05.94 Small changes to work with the new shape stuff.
 *
 *			07.05.94 Changed the name:BBAtomShape and the init method.
 *
 *			15.01.94 changed to work with our new groups.
 *
 *			25.12.93 First code entered the scene.
 *
 *
 * Bugs: Hmmm not here. Anyway there could be a subclass for every different
 *		 AtomShape...VanDerVaalsAtom, BondSizeAtomShape etc.pp. ?
 */