/* BBBasicAtom.h				 
 *
 * This is a basic atom. It has the minmum information a atom should provide.
 * This class is used to build the atomlibrary.
 *
 * Attention: This Object might change a lot!
 *
 * Written by: 		Thomas Engel
 * Created:    		09.01.1994 (Copyleft)
 * Last modified: 	02.05.1994
 */

#import <iconkit/iconkit.h>

@interface BBBasicAtom:IKFolder
{
	BOOL	hasPrivatName;
	id		symbol;
	id		symbolExtention;
	id		motherAtom;
	
	short	protons;
	short	neutrons;
	float	mass;
	float	radius;
	float	vanDerWaals;
	NXColor	color;
	BOOL	hasPrivateColor;
	
	id		infoText;
}

- init;
- free;

/*
 * The mother Atom is something special. The mother atom is the atom this atom
 * derivered from. There is always an unnamed defaultatom.
 * If a atom does not store a proper value for a property it has to return
 * it's rootAtoms values.
 */
 
- setMotherAtom:anAtom;
- motherAtom;
 
/*
 * Here are the basic methods for setting the atoms values.
 * Although all the strings are set/queried by pointers they are stored as
 * object.
 */

- setSymbol:(const char *)aString;
- (const char *)symbol;
- symbolObject;

- setSymbolExtention:(const char *)aString;
- (const char *)symbolExtention;
- symbolExtentionObject;

- setProtons:(short)anInt;
- (short)protons;
- setNeutrons:(short)anInt;
- (short)neutrons;
- setMass:(float)aFloat;
- (float)mass;

- setRadius:(float)aFloat;
- (float)radius;
- setVanDerWaalsRadius:(float)aFloat;
- (float)vanDerWaalsRadius;

- setColor:(NXColor)aColor;
- (NXColor)color;

@end

/*
 * History: 02.05.94 Are are draggable and the BBBasicAtom now.
 *
 *			12.01.94 Added Mass and v.d.Waals radius.
 *
 *			10.01.94 Changed some methods to work properly with our
 *					 new objectWell.
 *
 *			09.01.94 First created this object. Maybe we will make the normal
 *					 Atom a subclass of this object.
 *
 *
 * Bugs: - nope.
 */
