/* BBBeakerShape.m				 
 *
 * Knows about the molecules and is the World Shape of our camera view.
 *
 * For more interface-info see the header file. More in depth information
 * can be found in the source-code.
 *
 * Written by: 		Thomas Engel
 * Created:    		15.12.1993 (Copyleft)
 * Last modified: 	07.05.1994
 */


#import "BBBeakerShape.h"
#import "BBBeaker.h"

@implementation BBBeakerShape

- rotationStyleOn:(BOOL)aFlag
{
	// We will give every single child the chance to switch to the new
	// style.
	
	id	aShape;
	id	peer;
	
	aShape = [self descendant];
	
	while( aShape )
	{
		if( [aShape respondsTo:@selector(rotationStyleOn:)] )
			[aShape rotationStyleOn:aFlag];
		peer = [aShape nextPeer];
		aShape = peer;
	}
	
	return self;
}

@end

/*
 * History: 07.05.94 Still not used.
 *
 *
 * Bugs: - Nop
 */