/* BBMoleculeShape.h				 
 *
 * This object is the world of a molecule. It maintains a list of shapes that
 * have to be drawn the paint the molecule. We use the molecules visibleGroups
 * and recommend certain methods to be available for every shape-provider.
 *
 * Usage: Hmm just init it for a molecule.
 *		  Right now we do not much method checking. They simple have to exist.
 *
 * Notes: This is the object that realy represends the molecule inside the
 *		  3D world. Although a molecule does provide a shapeList it has the
 *		  same level as any other group.
 *	
 * Written by: 		Thomas Engel
 * Created:    		22.12.1993 (Copyleft)
 * Last modified: 	07.05.1994
 */

#import <3Dkit/3Dkit.h>

@interface BBMoleculeShape:N3DShape
{
	id		ourRegions;
	id		ourMolecule;
	id		shapeList;
}

- initFrom:someRegions asPartOf:aMolecule;
- free;

- renderSelf:(RtToken)context;
- update;
- rotationStyleOn:(BOOL)aFlag;

- molecule;
- addRegion:aRegion;

@end

/*
 * History: 07.05.94 Changed the naming to BB...
 *
 *			27.03.94 Added a switch to the rotationStyle.
 *
 *			25.12.93 Added the initFromMolecule stuff.
 *
 *			22.12.93 Only a simple renderSelf with a static RIB.
 *
 *
 * Bugs: - Nop
 *
 *		 - Well this should become the BBBeakerShape really soon.
 */