/* BBAlchemyFilter.h				 
 *
 * This format filter does handle read/write of molecules in the
 * Alchemy Text (.alchMol or .mol) fileformat.
 *
 * Notes: These filters are automatically use by the FileFilterManager.
 *
 * Written by: 		Thomas Engel
 * Created:    		15.03.1994 (Copyleft)
 * Last modified: 	25.03.1994
 */

#import <appkit/appkit.h>

@interface BBAlchemyFilter:Object
{
	id	theLine;
	id	tokenList;
	id	mol;
}

- (float)canReadFile:(const char *)filename;

- readBeaker:aBeaker fromFile:(const char *)filename;
- (BOOL)readAtomData:(int)count;
- (BOOL)readBondData:(int)count;
- checkSymbol:symbol;

// This writes the given Beaker to a file.

- writeBeaker:aBeaker toFile:(const char *)filename;

@end

/*
 * History: 25.03.94 Added the checkSymbol method.
 *
 *			15.03.94 A basic implementation.
 *
 *
 * Bugs: - Does not handle charges (15.03.94)
 */
