/* BBBeakerFilter.h				 
 *
 * This format filter does handle read/write of molecules in the
 * MoleViewer Text (.mvt) fileformat.
 *
 * Notes: These filters are automatically use by the FileFilterManager.
 *
 * Written by: 		Thomas Engel
 * Created:    		15.03.1994 (Copyleft)
 * Last modified: 	15.03.1994
 */

#import <appkit/appkit.h>

@interface BBBeakerFilter:Object
{
	id	theLine;
	id	tokenList;
	id	mol;
}

- (float)canReadFile:(const char *)filename;

- readBeaker:aBeaker fromFile:(const char *)filename;
- (BOOL)readNewLine;
- (BOOL)readAtomData:(int)count;
- (BOOL)readBondData:(int)count;

// This writes the given Beaker to a file.

- writeBeaker:aBeaker toFile:(const char *)filename;

@end

/*
 * History: 15.03.94 A basic implementation.
 *
 *
 * Bugs: - Does not handle Eliptic, charge and labeling info (15.03.94)
 */
