/* BBLook3DFilter.h				 
 *
 * This format filter does handle read/write of molecules in the
 * LOOK3D (.lookMol) fileformat.
 *
 * Notes: These filers are automatically use by the FileFilterManager.
 *
 * Written by: 		Thomas Engel
 * Created:    		09.03.1994 (Copyleft)
 * Last modified: 	14.03.1994
 */

#import <appkit/appkit.h>

@interface BBLook3DFilter:Object
{
	id	theLine;
	id	tokenList;
	id	mol;
}

- (float)canReadFile:(const char *)filename;

- readBeaker:aBeaker fromFile:(const char *)filename;
- (BOOL)readNewLine;
- (BOOL)readAtomData;
- (BOOL)readBondData;

// This writes the given Beaker to a file.

- writeBeaker:aBeaker toFile:(const char *)filename;

@end

/*
 * History: 14.03.94 First 'real' filter of this project. Extracted form the
 *					 old FileFormatManager
 *
 *			14.01.94 Cleaned the parsing procedure.
 *
 *			13.01.94 Added the new parsing methods
 *
 *			28.12.93 Switch to a general initBeaker method.
 *
 *			15.11.93 Created this object to do a basic setup for a simple mol.
 *
 *
 * Bugs: - nop
 */
