/* BBAtomInspector.m				 
 *
 * This subclass of MiscInspectorWrapper inspects Atoms.
 *
 * For interface-info see the header file. The comments in this file mostly
 * cover only the real implementation details.
 *
 * Written by: 		Thomas Engel
 * Created:    		18.12.1993 (Copyleft)
 * Last modified: 	12.05.1994
 */

#import "BBAtomInspector.h"
#import "../../BBAtom.h"

@implementation BBAtomInspector

- (BOOL)doesHandleSelection
{
	// If it's a single Atom we will do it and load our NIB if there are
	// no controllers yet.
	
	if( [self selectionCount] == 1 &&
		[[self selection] isMemberOf:[BBAtom class]] )
	{
		if( !controllers )
		{
			if( [NXApp loadNibSection:"AtomInspector.nib" owner:self] == nil )
				NXRunAlertPanel( NULL, "Couldn't load AtomInspector.nib",
								 "OK", NULL, NULL );
		}
		return YES;
	}
	return NO;
}

@end

/*
 * History: 12.05.94 Converted to fit BB... naming
 *
 *			08.02.94 MiscInspector stuff conform.
 *
 *			08.01.94 Changed to work with our new swapControllers.
 *
 *			18.12.93 My first subclass of InspectorManager
 *
 *
 * Bugs: unknown
 */