/* BBBasicAtomGraphicsController.h				 
 *
 * This subclass of MiscInspector is in charge of the basicAtom graphics
 * settings.
 *
 * For more interface-info see the header file. In depth information
 * can be found here in the source-code.
 *
 * Written by: 		Thomas Engel
 * Created:    		12.01.1994 (Copyleft)
 * Last modified: 	12.05.1994
 */

#import "BBBasicAtomGraphicsController.h"
#import "../../BBBasicAtom.h"

@implementation BBBasicAtomGraphicsController

- colorDidChange:sender
{
	[self touch:self];
	return self;
}

- ok:sender
{
	[[self selection] setColor:[colorWell color]];
	return self;
}

- revert:sender
{
	[colorWell setColor:[[self selection] color]];
	return self;
}

@end

/*
 * History: 12.05.94 Converted to fit BB... naming
 *
 *			25.02.94 New-MiscSwapKit conform
 *
 *			12.01.94 First implementation.
 *
 *
 * Bugs: - Not very likely. I know I could have cached the selection but it
 *		   is not necessary...so I saved the memory.
 */