/* BBBeakerInspector.m				 
 *
 * This subclass of MiscInspectorWrapper inspects beakers....
 *
 * For interface-info see the header file. The comments in this file mostly
 * cover only the real implementation details.
 *
 * Written by: 		Thomas Engel
 * Created:    		18.12.1993 (Copyleft)
 * Last modified: 	12.05.1994
 */

#import "BBBeakerInspector.h"
#import "../../BBBeaker.h"

@implementation BBBeakerInspector

- (BOOL)doesHandleSelection
{
	// If it's a single Beaker we will do it and load our NIB if there are
	// no controllers yet.
	
	if( [self selectionCount] == 1 &&
		[[self selection] isMemberOf:[BBBeaker class]] )
	{
		if( !controllers )
		{
			if( [NXApp loadNibSection:"BeakerInspector.nib" 
								owner:self] == nil )
				NXRunAlertPanel( NULL, "Couldn't load BeakerInspector.nib",
								 "OK", NULL, NULL );
		}
		return YES;
	}
	return NO;
}

@end

/*
 * History: 12.05.94 Converted to fit BB... naming
 *
 *			25.02.94 New-MiscSwapKit conform
 *
 *			08.01.94 Changed to work with our new swapControllers.
 *
 *			18.12.93 My third subclass of InspectorManager
 *
 *
 * Bugs: unknown
 */