/* BBDefaultCamera.m				 
 *
 * This is a swapable defaults provider that serves the BBCameraWindow.
 *
 * For more interface-info see the header file. In depth information
 * can be found here in the source-code.
 *
 * Written by: 		Thomas Engel
 * Created:    		14.05.1994 (Copyleft)
 * Last modified: 	24.05.1994
 */

#import "BBDefaultCamera.h"
#import "../BBCameraWindow.h"
#import "../BBBeakerCamera.h"

@implementation BBDefaultCamera

-revert:sender
{
	// Right now we have nothing to do.

	return [super revert:self];
}

- (BOOL)hasDefaultsFor:anObject
{
	if( [anObject isMemberOf:[BBCameraWindow class]] ||
		[anObject isMemberOf:[BBBeakerCamera class]] )
			return YES;
	else	return NO;
}

- (NXColor)backgroundColor
{
	return [backgroundColor color];
}

- (BOOL)doesPrintBackgroundColor
{
	return (BOOL)[printBackgroundSwitch state];
}

@end

/*
 * History: 14.05.94 First implementation.
 *
 *
 * Bugs: - Not fully implemented yet.
 */