/* BBPreferencesManager.h				 
 *
 * This class controls the Preferences' modules and Panel.
 *
 * Usage: The default system goes like this:
 *			- The Default providers register here.
 *			- A object asks for the default object for a certain class.
 *			- The mananger tries to find the right provider.
 *			- It returns the provider or nil (if no defaults exist)
 *			- The object may ask the provider everything it likes to know.
 *		  
 * Notes: The methods for the queries have to be known. In general the way to
 *		  get the data should be the same as used inside a real object. The
 *		  provider should look like an instance of the class they serve the
 *		  data for. (But oly for the value access. they don't have to work
 *		  exactly like an instance would...needless to say)
 *
 * Written by: 		Thomas Engel
 * Created:    		04.11.1993 (Copyleft)
 * Last modified: 	14.05.1994
 */

// These are the preference-topics this pref-Manager can serve.

#import <appkit/appkit.h>

@interface BBPreferencesManager:Object
{
	id	window;
	id	swapView;
	id	defaultsProviders;
	id	defaultApp;
	id	defaultCamera;
}

- init;
- free;
- makeKeyAndOrderFront:sender;
- findDefaultFor:anObject;

@end

/*
 * History: 14.05.94 New name (BB..) and new approach to serving the data.
 *
 *			09.03.94 Added the topic query.
 *
 *			25.01.94 Made it compatible with the new MiscSwap stuff.
 *
 *			08.01.94 Switched to makeKeyandOrderFront; and new swapController
 *
 *
 * Bugs: - not now
 */