(*^

::[paletteColors = 128; showRuler; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, L1, e8,  28, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, L1, e6,  22, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, L1, e6,  16, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, L1, a20,  22, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, L1, a15,  16, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, L1, a12,  14, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  14, "Times"; ;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, L1,  14, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  14, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  14, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  14, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  14, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  14, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  14, "Times"; ;
	fontset = Left Header, nohscroll, cellOutline,  14, "Times"; ;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  14, "Times"; ;
	fontset = Left Footer, cellOutline, blackBox,  14, "Times"; ;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  14, "Times"; ;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  14, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  14, "Times"; ;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  14, "Times"; ;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  14, "Times"; ;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  14, "Times"; ;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  14, "Times"; ;]
:[font = title; inactive; preserveAspect; rightWrapOffset = 522; fontColorBlue = 65535; ]

COSY_PAK
Control Systems Analysis Package
  for Mathematica 
;[s]
3:0,0;49,1;60,2;62,-1;
3:1,25,19,Times,1,28,0,0,0;1,26,20,Times,3,28,0,0,0;1,25,19,Times,1,28,0,0,0;
:[font = subtitle; inactive; preserveAspect; rightWrapOffset = 522; ]

By
 C.K. Chen              N. Sreenath 
  1992
       
:[font = message; inactive; preserveAspect; center; rightWrapOffset = 522; fontName = "Courier"; ]
Systems Engineering Department
Case School of Engineering
Case Western Reserve University
Cleveland, OH, 44106-7070
:[font = message; inactive; dontPreserveAspect; center; rightWrapOffset = 522; ]


Support from
CWRU Information and Network Services - Dr. Ray Neff
Case Alumni Association
The Lilly Foundation


:[font = subtitle; inactive; preserveAspect; leftWrapOffset = 23; rightWrapOffset = 522; ]
Chapter 5
Root-Locus Analysis
:[font = section; inactive; Cclosed; preserveAspect; rightWrapOffset = 522; startGroup; ]
Initialization
:[font = input; initialization; preserveAspect; rightWrapOffset = 522; fontName = "Courier"; ]
*)
(* Initialization of Path *)

(* Example For UNIX machine  (Default) *)   

$Path=Join[$Path,
	{"~/Library/Mathematica/Packages"}];


(* Example For IBM PC 		 *)
(*
$Path=Join[$Path,	
	 {"c:\winmath\packages"}];	 
*)	 

(* Example For MAC 		 *)
(*
$Path=Join[$Path,	
	 {"My_Harddisk:Mathematica:Package"}];	 
*)	 
(*
:[font = input; initialization; preserveAspect; rightWrapOffset = 522; fontName = "Courier"; endGroup; ]
*)
Needs["COSYPAK`chap5`"]
(*
:[font = section; inactive; Cclosed; preserveAspect; rightWrapOffset = 522; startGroup; ]
Root Locus
:[font = text; inactive; preserveAspect; rightWrapOffset = 522; ]
The root locus plot allows the designer of a control system to graph the locations of a system's closed loop poles for varying gains. The characteristic equation of the system is satisfied by the values of s that cause the closed loop transfer funtion to be -1.  This principle is utilized by the root-locus method.  The root locus plot shows the loci of the locations of the system's closed loop poles for all gains.

The root locus method is extremely useful in the design of control systems.  It allows the designer to take an interactive approach to finding a controller by allowing him or her to compare the effects of different open loop pole locations.

COSY_PAK Function
RootLocus[Transf, s, {k,kmin,kmax}, gopts]: Plots the root-locus plot of the transfer function Transf(s) with the Parameter k varying from k=kmin to k=kmax. Returns graphics.
;[s]
13:0,0;661,1;678,2;679,3;721,4;774,5;783,6;802,7;804,8;818,9;824,10;828,11;835,12;853,-1;
13:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; leftWrapOffset = 30; rightWrapOffset = 522; startGroup; ]
Example 1
:[font = input; Cclosed; preserveAspect; leftWrapOffset = 30; rightWrapOffset = 522; startGroup; ]
g1 = (s+1)/s^2/(s+3.6);
SequenceForm["The transfer function: ", g1]
RootLocus[g1,s,{k,0,10}]

:[font = output; output; inactive; preserveAspect; leftWrapOffset = 30; rightWrapOffset = 522; fontLeading = 0; ]
"The transfer function: "(1 + s)/(s^2*(3.6 + s))
;[o]
                          1 + s
The transfer function: ------------
                        2
                       s  (3.6 + s)
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; rightWrapOffset = 522; pictureLeft = 19; pictureTop = 0; pictureWidth = 476; pictureHeight = 294; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.97619 0.26455 0.309017 0.122966 [
[(-3.5)] 0.05026 0 0 2 0 Minner Mrotsboxa
[(-3)] 0.18254 0 0 2 0 Minner Mrotsboxa
[(-2.5)] 0.31481 0 0 2 0 Minner Mrotsboxa
[(-2)] 0.44709 0 0 2 0 Minner Mrotsboxa
[(-1.5)] 0.57937 0 0 2 0 Minner Mrotsboxa
[(-1)] 0.71164 0 0 2 0 Minner Mrotsboxa
[(-0.5)] 0.84392 0 0 2 0 Minner Mrotsboxa
[(0)] 0.97619 0 0 2 0 Minner Mrotsboxa
[(Re)] 0.5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-2)] -0.0125 0.06309 1 0 0 Minner Mrotsboxa
[(-1)] -0.0125 0.18605 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 0.30902 1 0 0 Minner Mrotsboxa
[(1)] -0.0125 0.43198 1 0 0 Minner Mrotsboxa
[(2)] -0.0125 0.55495 1 0 0 Minner Mrotsboxa
[(Im)] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotsboxa
[(Root Locus)] 0.5 0.61803 0 -4 Msboxa
[( )] 1.0375 0.30902 -1 0 90 Mrotsboxa
[(X)] 0.97619 0.30902 0 0 Msboxa
[(X)] 0.97619 0.30902 0 0 Msboxa
[(X)] 0.02381 0.30902 0 0 Msboxa
[(O)] 0.71164 0.30902 0 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.05026 0 moveto
0.05026 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.18254 0 moveto
0.18254 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.31481 0 moveto
0.31481 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.44709 0 moveto
0.44709 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.57937 0 moveto
0.57937 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.71164 0 moveto
0.71164 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.84392 0 moveto
0.84392 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.06309 moveto
1 0.06309 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.18605 moveto
1 0.18605 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.43198 moveto
1 0.43198 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.55495 moveto
1 0.55495 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.05026 0 moveto
0.05026 0.00625 lineto
stroke
grestore
[(-3.5)] 0.05026 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.18254 0 moveto
0.18254 0.00625 lineto
stroke
grestore
[(-3)] 0.18254 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.31481 0 moveto
0.31481 0.00625 lineto
stroke
grestore
[(-2.5)] 0.31481 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.44709 0 moveto
0.44709 0.00625 lineto
stroke
grestore
[(-2)] 0.44709 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.57937 0 moveto
0.57937 0.00625 lineto
stroke
grestore
[(-1.5)] 0.57937 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.71164 0 moveto
0.71164 0.00625 lineto
stroke
grestore
[(-1)] 0.71164 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.84392 0 moveto
0.84392 0.00625 lineto
stroke
grestore
[(-0.5)] 0.84392 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.97619 0 moveto
0.97619 0.00625 lineto
stroke
grestore
[(0)] 0.97619 0 0 2 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0.07672 0 moveto
0.07672 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.10317 0 moveto
0.10317 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.12963 0 moveto
0.12963 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.15608 0 moveto
0.15608 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.20899 0 moveto
0.20899 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.23545 0 moveto
0.23545 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.2619 0 moveto
0.2619 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28836 0 moveto
0.28836 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0 moveto
0.34127 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36772 0 moveto
0.36772 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.39418 0 moveto
0.39418 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42063 0 moveto
0.42063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47354 0 moveto
0.47354 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0 moveto
0.5 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.52646 0 moveto
0.52646 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.55291 0 moveto
0.55291 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.60582 0 moveto
0.60582 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.63228 0 moveto
0.63228 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.65873 0 moveto
0.65873 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68519 0 moveto
0.68519 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.7381 0 moveto
0.7381 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.76455 0 moveto
0.76455 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.79101 0 moveto
0.79101 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81746 0 moveto
0.81746 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.87037 0 moveto
0.87037 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.89683 0 moveto
0.89683 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92328 0 moveto
0.92328 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94974 0 moveto
0.94974 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0 moveto
0.02381 0.00375 lineto
stroke
grestore
[(Re)] 0.5 0 0 2 0 0 -1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.06309 moveto
0.00625 0.06309 lineto
stroke
grestore
[(-2)] -0.0125 0.06309 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.18605 moveto
0.00625 0.18605 lineto
stroke
grestore
[(-1)] -0.0125 0.18605 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.30902 moveto
0.00625 0.30902 lineto
stroke
grestore
[(0)] -0.0125 0.30902 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.43198 moveto
0.00625 0.43198 lineto
stroke
grestore
[(1)] -0.0125 0.43198 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.55495 moveto
0.00625 0.55495 lineto
stroke
grestore
[(2)] -0.0125 0.55495 1 0 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0 0.08768 moveto
0.00375 0.08768 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.11227 moveto
0.00375 0.11227 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.13686 moveto
0.00375 0.13686 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.16146 moveto
0.00375 0.16146 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.21064 moveto
0.00375 0.21064 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.23524 moveto
0.00375 0.23524 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.25983 moveto
0.00375 0.25983 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.28442 moveto
0.00375 0.28442 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.33361 moveto
0.00375 0.33361 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.3582 moveto
0.00375 0.3582 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.3828 moveto
0.00375 0.3828 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.40739 moveto
0.00375 0.40739 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.45658 moveto
0.00375 0.45658 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.48117 moveto
0.00375 0.48117 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.50576 moveto
0.00375 0.50576 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.53036 moveto
0.00375 0.53036 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.03849 moveto
0.00375 0.03849 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.0139 moveto
0.00375 0.0139 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.57954 moveto
0.00375 0.57954 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.60414 moveto
0.00375 0.60414 lineto
stroke
grestore
[(Im)] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
0 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.05026 0.61178 moveto
0.05026 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.18254 0.61178 moveto
0.18254 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.31481 0.61178 moveto
0.31481 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.44709 0.61178 moveto
0.44709 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.57937 0.61178 moveto
0.57937 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.71164 0.61178 moveto
0.71164 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.84392 0.61178 moveto
0.84392 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.97619 0.61178 moveto
0.97619 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.07672 0.61428 moveto
0.07672 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.10317 0.61428 moveto
0.10317 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.12963 0.61428 moveto
0.12963 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.15608 0.61428 moveto
0.15608 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.20899 0.61428 moveto
0.20899 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.23545 0.61428 moveto
0.23545 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.2619 0.61428 moveto
0.2619 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28836 0.61428 moveto
0.28836 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.61428 moveto
0.34127 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36772 0.61428 moveto
0.36772 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.39418 0.61428 moveto
0.39418 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42063 0.61428 moveto
0.42063 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47354 0.61428 moveto
0.47354 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.61428 moveto
0.5 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.52646 0.61428 moveto
0.52646 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.55291 0.61428 moveto
0.55291 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.60582 0.61428 moveto
0.60582 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.63228 0.61428 moveto
0.63228 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.65873 0.61428 moveto
0.65873 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68519 0.61428 moveto
0.68519 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.7381 0.61428 moveto
0.7381 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.76455 0.61428 moveto
0.76455 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.79101 0.61428 moveto
0.79101 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81746 0.61428 moveto
0.81746 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.87037 0.61428 moveto
0.87037 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.89683 0.61428 moveto
0.89683 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92328 0.61428 moveto
0.92328 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94974 0.61428 moveto
0.94974 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.61428 moveto
0.02381 0.61803 lineto
stroke
grestore
[(Root Locus)] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0 0.61803 moveto
1 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.06309 moveto
1 0.06309 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.18605 moveto
1 0.18605 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.43198 moveto
1 0.43198 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.55495 moveto
1 0.55495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.08768 moveto
1 0.08768 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.11227 moveto
1 0.11227 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.13686 moveto
1 0.13686 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.16146 moveto
1 0.16146 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.21064 moveto
1 0.21064 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.23524 moveto
1 0.23524 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.25983 moveto
1 0.25983 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.28442 moveto
1 0.28442 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.33361 moveto
1 0.33361 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.3582 moveto
1 0.3582 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.3828 moveto
1 0.3828 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.40739 moveto
1 0.40739 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.45658 moveto
1 0.45658 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.48117 moveto
1 0.48117 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.50576 moveto
1 0.50576 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.53036 moveto
1 0.53036 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.03849 moveto
1 0.03849 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.0139 moveto
1 0.0139 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.57954 moveto
1 0.57954 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.60414 moveto
1 0.60414 lineto
stroke
grestore
[( )] 1.0375 0.30902 -1 0 90 Mrotshowa
gsave
0.002 setlinewidth
1 0 moveto
1 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
grestore
gsave
gsave
gsave
0.0051 setlinewidth
0.97619 0.30902 moveto
0.97619 0.30902 lineto
stroke
0.71164 0.30902 moveto
0.02381 0.30902 lineto
stroke
grestore
grestore
gsave
gsave
[(X)] 0.97619 0.30902 0 0 Mshowa
[(X)] 0.97619 0.30902 0 0 Mshowa
[(X)] 0.02381 0.30902 0 0 Mshowa
[(O)] 0.71164 0.30902 0 0 Mshowa
grestore
grestore
gsave
gsave
0.0051 setlinewidth
0.02381 0.30902 moveto
0.0254 0.30902 lineto
0.02713 0.30902 lineto
0.029 0.30902 lineto
0.03102 0.30902 lineto
0.03321 0.30902 lineto
0.03558 0.30902 lineto
0.03815 0.30902 lineto
0.04093 0.30902 lineto
0.04395 0.30902 lineto
0.04723 0.30902 lineto
0.05078 0.30902 lineto
0.05463 0.30902 lineto
0.05882 0.30902 lineto
0.06336 0.30902 lineto
0.06831 0.30902 lineto
0.07368 0.30902 lineto
0.07952 0.30902 lineto
0.08588 0.30902 lineto
0.09282 0.30902 lineto
0.10038 0.30902 lineto
0.10863 0.30902 lineto
0.11764 0.30902 lineto
0.1275 0.30902 lineto
0.13829 0.30902 lineto
0.15011 0.30902 lineto
0.1631 0.30902 lineto
0.17737 0.30902 lineto
0.19307 0.30902 lineto
0.21038 0.30902 lineto
0.22949 0.30902 lineto
0.2506 0.30902 lineto
0.27391 0.30902 lineto
0.29964 0.30902 lineto
0.32791 0.30902 lineto
0.3587 0.30902 lineto
0.39171 0.30902 lineto
0.42614 0.30902 lineto
0.46064 0.30902 lineto
0.49351 0.30902 lineto
0.52327 0.30902 lineto
0.54912 0.30902 lineto
0.57101 0.30902 lineto
0.58933 0.30902 lineto
0.59167 0.30902 lineto
stroke
grestore
grestore
gsave
gsave
0.0051 setlinewidth
0.97619 0.30902 moveto
0.97539 0.29779 lineto
0.97453 0.29282 lineto
0.9736 0.28877 lineto
0.97259 0.28516 lineto
0.97149 0.28178 lineto
0.97031 0.27855 lineto
0.96902 0.2754 lineto
0.96763 0.27229 lineto
0.96612 0.2692 lineto
0.96448 0.2661 lineto
0.96271 0.26298 lineto
0.96078 0.25982 lineto
0.95869 0.25662 lineto
0.95641 0.25335 lineto
0.95394 0.25001 lineto
0.95126 0.24658 lineto
0.94833 0.24307 lineto
0.94515 0.23945 lineto
0.94169 0.23571 lineto
0.93791 0.23186 lineto
0.93378 0.22786 lineto
0.92927 0.22372 lineto
0.92435 0.21941 lineto
0.91895 0.21492 lineto
0.91304 0.21023 lineto
0.90655 0.20532 lineto
0.89941 0.20016 lineto
0.89156 0.19473 lineto
0.8829 0.18897 lineto
0.87335 0.18284 lineto
0.8628 0.17627 lineto
0.85114 0.16918 lineto
0.83828 0.16144 lineto
0.82414 0.15291 lineto
0.80874 0.14339 lineto
0.79224 0.13265 lineto
0.77502 0.12044 lineto
0.75777 0.10659 lineto
0.74134 0.09109 lineto
0.72646 0.07414 lineto
0.71354 0.05605 lineto
0.70259 0.0371 lineto
0.69343 0.01753 lineto
0.69226 0.01472 lineto
stroke
grestore
grestore
gsave
gsave
0.0051 setlinewidth
0.97619 0.30902 moveto
0.97539 0.32025 lineto
0.97453 0.32522 lineto
0.9736 0.32926 lineto
0.97259 0.33288 lineto
0.97149 0.33625 lineto
0.97031 0.33949 lineto
0.96902 0.34264 lineto
0.96763 0.34575 lineto
0.96612 0.34884 lineto
0.96448 0.35193 lineto
0.96271 0.35505 lineto
0.96078 0.35821 lineto
0.95869 0.36142 lineto
0.95641 0.36468 lineto
0.95394 0.36803 lineto
0.95126 0.37145 lineto
0.94833 0.37497 lineto
0.94515 0.37859 lineto
0.94169 0.38232 lineto
0.93791 0.38618 lineto
0.93378 0.39017 lineto
0.92927 0.39432 lineto
0.92435 0.39862 lineto
0.91895 0.40311 lineto
0.91304 0.4078 lineto
0.90655 0.41271 lineto
0.89941 0.41787 lineto
0.89156 0.42331 lineto
0.8829 0.42907 lineto
0.87335 0.4352 lineto
0.8628 0.44176 lineto
0.85114 0.44886 lineto
0.83828 0.45659 lineto
0.82414 0.46512 lineto
0.80874 0.47464 lineto
0.79224 0.48538 lineto
0.77502 0.49759 lineto
0.75777 0.51144 lineto
0.74134 0.52694 lineto
0.72646 0.54389 lineto
0.71354 0.56199 lineto
0.70259 0.58093 lineto
0.69343 0.6005 lineto
0.69226 0.60332 lineto
stroke
grestore
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; leftWrapOffset = 30; rightWrapOffset = 522; fontLeading = 0; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = subsection; inactive; Cclosed; preserveAspect; leftWrapOffset = 30; rightWrapOffset = 522; startGroup; ]
Example 2
:[font = input; Cclosed; preserveAspect; leftWrapOffset = 30; rightWrapOffset = 522; startGroup; ]
g1 = 1/s/(s+1)/(s^2 + 4s +13);
SequenceForm["The transfer function: ", g1]
RootLocus[g1,s,{k,0,300}]

:[font = output; output; inactive; preserveAspect; leftWrapOffset = 30; rightWrapOffset = 522; ]
"The transfer function: "1/(s*(1 + s)*(13 + 4*s + s^2))
;[o]
                                   1
The transfer function: -------------------------
                                              2
                       s (1 + s) (13 + 4 s + s )
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; leftWrapOffset = 30; rightWrapOffset = 522; pictureLeft = 22; pictureWidth = 462; pictureHeight = 286; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.72789 0.182312 0.309017 0.085089 [
[(-3)] 0.18095 0 0 2 0 Minner Mrotsboxa
[(-2)] 0.36327 0 0 2 0 Minner Mrotsboxa
[(-1)] 0.54558 0 0 2 0 Minner Mrotsboxa
[(0)] 0.72789 0 0 2 0 Minner Mrotsboxa
[(1)] 0.9102 0 0 2 0 Minner Mrotsboxa
[(Re)] 0.5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-3)] -0.0125 0.05375 1 0 0 Minner Mrotsboxa
[(-2)] -0.0125 0.13884 1 0 0 Minner Mrotsboxa
[(-1)] -0.0125 0.22393 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 0.30902 1 0 0 Minner Mrotsboxa
[(1)] -0.0125 0.39411 1 0 0 Minner Mrotsboxa
[(2)] -0.0125 0.4792 1 0 0 Minner Mrotsboxa
[(3)] -0.0125 0.56429 1 0 0 Minner Mrotsboxa
[(Im)] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotsboxa
[(Root Locus)] 0.5 0.61803 0 -4 Msboxa
[( )] 1.0375 0.30902 -1 0 90 Mrotsboxa
[(X)] 0.72789 0.30902 0 0 Msboxa
[(X)] 0.54558 0.30902 0 0 Msboxa
[(X)] 0.36327 0.05375 0 0 Msboxa
[(X)] 0.36327 0.56429 0 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.18095 0 moveto
0.18095 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.36327 0 moveto
0.36327 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.54558 0 moveto
0.54558 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.72789 0 moveto
0.72789 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.9102 0 moveto
0.9102 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.05375 moveto
1 0.05375 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.13884 moveto
1 0.13884 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.22393 moveto
1 0.22393 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.39411 moveto
1 0.39411 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.4792 moveto
1 0.4792 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.56429 moveto
1 0.56429 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.18095 0 moveto
0.18095 0.00625 lineto
stroke
grestore
[(-3)] 0.18095 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.36327 0 moveto
0.36327 0.00625 lineto
stroke
grestore
[(-2)] 0.36327 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.54558 0 moveto
0.54558 0.00625 lineto
stroke
grestore
[(-1)] 0.54558 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.72789 0 moveto
0.72789 0.00625 lineto
stroke
grestore
[(0)] 0.72789 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.9102 0 moveto
0.9102 0.00625 lineto
stroke
grestore
[(1)] 0.9102 0 0 2 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0.03511 0 moveto
0.03511 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.07157 0 moveto
0.07157 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.10803 0 moveto
0.10803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14449 0 moveto
0.14449 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21742 0 moveto
0.21742 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25388 0 moveto
0.25388 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.29034 0 moveto
0.29034 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.3268 0 moveto
0.3268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.39973 0 moveto
0.39973 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43619 0 moveto
0.43619 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47265 0 moveto
0.47265 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50912 0 moveto
0.50912 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58204 0 moveto
0.58204 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.6185 0 moveto
0.6185 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.65496 0 moveto
0.65496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69143 0 moveto
0.69143 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.76435 0 moveto
0.76435 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.80081 0 moveto
0.80081 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83728 0 moveto
0.83728 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.87374 0 moveto
0.87374 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94666 0 moveto
0.94666 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98313 0 moveto
0.98313 0.00375 lineto
stroke
grestore
[(Re)] 0.5 0 0 2 0 0 -1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.05375 moveto
0.00625 0.05375 lineto
stroke
grestore
[(-3)] -0.0125 0.05375 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.13884 moveto
0.00625 0.13884 lineto
stroke
grestore
[(-2)] -0.0125 0.13884 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.22393 moveto
0.00625 0.22393 lineto
stroke
grestore
[(-1)] -0.0125 0.22393 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.30902 moveto
0.00625 0.30902 lineto
stroke
grestore
[(0)] -0.0125 0.30902 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.39411 moveto
0.00625 0.39411 lineto
stroke
grestore
[(1)] -0.0125 0.39411 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.4792 moveto
0.00625 0.4792 lineto
stroke
grestore
[(2)] -0.0125 0.4792 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.56429 moveto
0.00625 0.56429 lineto
stroke
grestore
[(3)] -0.0125 0.56429 1 0 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0 0.07077 moveto
0.00375 0.07077 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.08778 moveto
0.00375 0.08778 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.1048 moveto
0.00375 0.1048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.12182 moveto
0.00375 0.12182 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.15586 moveto
0.00375 0.15586 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.17287 moveto
0.00375 0.17287 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.18989 moveto
0.00375 0.18989 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.20691 moveto
0.00375 0.20691 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.24095 moveto
0.00375 0.24095 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.25796 moveto
0.00375 0.25796 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.27498 moveto
0.00375 0.27498 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.292 moveto
0.00375 0.292 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.32603 moveto
0.00375 0.32603 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.34305 moveto
0.00375 0.34305 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.36007 moveto
0.00375 0.36007 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.37709 moveto
0.00375 0.37709 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.41112 moveto
0.00375 0.41112 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.42814 moveto
0.00375 0.42814 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.44516 moveto
0.00375 0.44516 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.46218 moveto
0.00375 0.46218 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.49621 moveto
0.00375 0.49621 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.51323 moveto
0.00375 0.51323 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.53025 moveto
0.00375 0.53025 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.54727 moveto
0.00375 0.54727 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.03673 moveto
0.00375 0.03673 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.01971 moveto
0.00375 0.01971 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.00269 moveto
0.00375 0.00269 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.5813 moveto
0.00375 0.5813 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.59832 moveto
0.00375 0.59832 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.61534 moveto
0.00375 0.61534 lineto
stroke
grestore
[(Im)] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
0 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.18095 0.61178 moveto
0.18095 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.36327 0.61178 moveto
0.36327 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.54558 0.61178 moveto
0.54558 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.72789 0.61178 moveto
0.72789 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.9102 0.61178 moveto
0.9102 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03511 0.61428 moveto
0.03511 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.07157 0.61428 moveto
0.07157 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.10803 0.61428 moveto
0.10803 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14449 0.61428 moveto
0.14449 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21742 0.61428 moveto
0.21742 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25388 0.61428 moveto
0.25388 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.29034 0.61428 moveto
0.29034 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.3268 0.61428 moveto
0.3268 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.39973 0.61428 moveto
0.39973 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43619 0.61428 moveto
0.43619 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47265 0.61428 moveto
0.47265 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50912 0.61428 moveto
0.50912 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58204 0.61428 moveto
0.58204 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.6185 0.61428 moveto
0.6185 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.65496 0.61428 moveto
0.65496 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69143 0.61428 moveto
0.69143 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.76435 0.61428 moveto
0.76435 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.80081 0.61428 moveto
0.80081 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83728 0.61428 moveto
0.83728 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.87374 0.61428 moveto
0.87374 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94666 0.61428 moveto
0.94666 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98313 0.61428 moveto
0.98313 0.61803 lineto
stroke
grestore
[(Root Locus)] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0 0.61803 moveto
1 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.05375 moveto
1 0.05375 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.13884 moveto
1 0.13884 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.22393 moveto
1 0.22393 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.39411 moveto
1 0.39411 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.4792 moveto
1 0.4792 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.56429 moveto
1 0.56429 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.07077 moveto
1 0.07077 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.08778 moveto
1 0.08778 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.1048 moveto
1 0.1048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.12182 moveto
1 0.12182 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.15586 moveto
1 0.15586 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.17287 moveto
1 0.17287 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.18989 moveto
1 0.18989 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.20691 moveto
1 0.20691 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.24095 moveto
1 0.24095 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.25796 moveto
1 0.25796 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.27498 moveto
1 0.27498 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.292 moveto
1 0.292 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.32603 moveto
1 0.32603 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.34305 moveto
1 0.34305 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.36007 moveto
1 0.36007 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.37709 moveto
1 0.37709 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.41112 moveto
1 0.41112 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.42814 moveto
1 0.42814 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.44516 moveto
1 0.44516 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.46218 moveto
1 0.46218 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.49621 moveto
1 0.49621 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.51323 moveto
1 0.51323 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.53025 moveto
1 0.53025 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.54727 moveto
1 0.54727 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.03673 moveto
1 0.03673 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.01971 moveto
1 0.01971 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.00269 moveto
1 0.00269 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.5813 moveto
1 0.5813 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.59832 moveto
1 0.59832 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.61534 moveto
1 0.61534 lineto
stroke
grestore
[( )] 1.0375 0.30902 -1 0 90 Mrotshowa
gsave
0.002 setlinewidth
1 0 moveto
1 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.72789 0 moveto
0.72789 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
gsave
0.0051 setlinewidth
0.72789 0.30902 moveto
0.54558 0.30902 lineto
stroke
grestore
grestore
gsave
gsave
[(X)] 0.72789 0.30902 0 0 Mshowa
[(X)] 0.54558 0.30902 0 0 Mshowa
[(X)] 0.36327 0.05375 0 0 Mshowa
[(X)] 0.36327 0.56429 0 0 Mshowa
grestore
grestore
gsave
gsave
0.0051 setlinewidth
0.36327 0.05375 moveto
0.3632 0.05377 lineto
0.36313 0.0538 lineto
0.36306 0.05382 lineto
0.36298 0.05385 lineto
0.3629 0.05388 lineto
0.3628 0.05392 lineto
0.3627 0.05395 lineto
0.36259 0.05399 lineto
0.36247 0.05403 lineto
0.36235 0.05408 lineto
0.36221 0.05413 lineto
0.36206 0.05418 lineto
0.3619 0.05424 lineto
0.36173 0.0543 lineto
0.36154 0.05437 lineto
0.36133 0.05444 lineto
0.36111 0.05451 lineto
0.36087 0.0546 lineto
0.36061 0.05469 lineto
0.36033 0.05478 lineto
0.36003 0.05489 lineto
0.3597 0.055 lineto
0.35934 0.05512 lineto
0.35896 0.05525 lineto
0.35854 0.05538 lineto
0.35809 0.05553 lineto
0.35759 0.05569 lineto
0.35714 0.05584 lineto
0.35706 0.05587 lineto
0.35648 0.05605 lineto
0.35585 0.05625 lineto
0.35516 0.05646 lineto
0.35442 0.05668 lineto
0.35361 0.05693 lineto
0.35274 0.05719 lineto
0.35178 0.05746 lineto
0.35074 0.05775 lineto
0.34961 0.05807 lineto
0.34838 0.0584 lineto
0.34705 0.05875 lineto
0.34559 0.05912 lineto
0.344 0.05951 lineto
0.34227 0.05992 lineto
0.34039 0.06034 lineto
0.33834 0.06079 lineto
0.33611 0.06124 lineto
0.33368 0.06172 lineto
0.33104 0.0622 lineto
0.32817 0.06268 lineto
Mistroke
0.32506 0.06317 lineto
0.3217 0.06364 lineto
0.31806 0.06411 lineto
0.31414 0.06455 lineto
0.30992 0.06496 lineto
0.3054 0.06533 lineto
0.30057 0.06565 lineto
0.29542 0.06591 lineto
0.28997 0.06609 lineto
0.2842 0.06619 lineto
0.27813 0.06619 lineto
0.27176 0.06609 lineto
0.26511 0.06588 lineto
0.25819 0.06555 lineto
0.25101 0.0651 lineto
0.24358 0.06451 lineto
0.23592 0.0638 lineto
0.22804 0.06295 lineto
0.21995 0.06196 lineto
0.21166 0.06084 lineto
0.20319 0.05958 lineto
0.19453 0.05818 lineto
0.18569 0.05665 lineto
0.17669 0.05498 lineto
0.16752 0.05318 lineto
0.15819 0.05124 lineto
0.1487 0.04917 lineto
0.13905 0.04697 lineto
0.12925 0.04464 lineto
0.11928 0.04218 lineto
0.10917 0.03959 lineto
0.09889 0.03687 lineto
0.08845 0.03402 lineto
0.07785 0.03104 lineto
0.06709 0.02794 lineto
0.05616 0.02471 lineto
0.04506 0.02135 lineto
0.03379 0.01786 lineto
0.02381 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.0051 setlinewidth
0.36327 0.56429 moveto
0.3632 0.56426 lineto
0.36313 0.56424 lineto
0.36306 0.56421 lineto
0.36298 0.56418 lineto
0.3629 0.56415 lineto
0.3628 0.56412 lineto
0.3627 0.56408 lineto
0.36259 0.56404 lineto
0.36247 0.564 lineto
0.36235 0.56395 lineto
0.36221 0.56391 lineto
0.36206 0.56385 lineto
0.3619 0.5638 lineto
0.36173 0.56373 lineto
0.36154 0.56367 lineto
0.36133 0.5636 lineto
0.36111 0.56352 lineto
0.36087 0.56344 lineto
0.36061 0.56335 lineto
0.36033 0.56325 lineto
0.36003 0.56315 lineto
0.3597 0.56304 lineto
0.35934 0.56292 lineto
0.35896 0.56279 lineto
0.35854 0.56265 lineto
0.35809 0.5625 lineto
0.35759 0.56234 lineto
0.35714 0.56219 lineto
0.35706 0.56217 lineto
0.35648 0.56198 lineto
0.35585 0.56179 lineto
0.35516 0.56158 lineto
0.35442 0.56135 lineto
0.35361 0.56111 lineto
0.35274 0.56085 lineto
0.35178 0.56057 lineto
0.35074 0.56028 lineto
0.34961 0.55997 lineto
0.34838 0.55964 lineto
0.34705 0.55929 lineto
0.34559 0.55892 lineto
0.344 0.55853 lineto
0.34227 0.55812 lineto
0.34039 0.55769 lineto
0.33834 0.55725 lineto
0.33611 0.55679 lineto
0.33368 0.55632 lineto
0.33104 0.55584 lineto
0.32817 0.55535 lineto
Mistroke
0.32506 0.55487 lineto
0.3217 0.55439 lineto
0.31806 0.55393 lineto
0.31414 0.55348 lineto
0.30992 0.55307 lineto
0.3054 0.5527 lineto
0.30057 0.55238 lineto
0.29542 0.55212 lineto
0.28997 0.55194 lineto
0.2842 0.55184 lineto
0.27813 0.55184 lineto
0.27176 0.55194 lineto
0.26511 0.55215 lineto
0.25819 0.55248 lineto
0.25101 0.55294 lineto
0.24358 0.55352 lineto
0.23592 0.55424 lineto
0.22804 0.55509 lineto
0.21995 0.55607 lineto
0.21166 0.5572 lineto
0.20319 0.55846 lineto
0.19453 0.55985 lineto
0.18569 0.56139 lineto
0.17669 0.56305 lineto
0.16752 0.56486 lineto
0.15819 0.56679 lineto
0.1487 0.56886 lineto
0.13905 0.57106 lineto
0.12925 0.5734 lineto
0.11928 0.57586 lineto
0.10917 0.57845 lineto
0.09889 0.58117 lineto
0.08845 0.58401 lineto
0.07785 0.58699 lineto
0.06709 0.59009 lineto
0.05616 0.59332 lineto
0.04506 0.59668 lineto
0.03379 0.60017 lineto
0.02381 0.60332 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.0051 setlinewidth
0.54558 0.30902 moveto
0.54613 0.30902 lineto
0.54672 0.30902 lineto
0.54737 0.30902 lineto
0.54807 0.30902 lineto
0.54883 0.30902 lineto
0.54966 0.30902 lineto
0.55057 0.30902 lineto
0.55155 0.30902 lineto
0.55263 0.30902 lineto
0.5538 0.30902 lineto
0.55508 0.30902 lineto
0.55648 0.30902 lineto
0.55802 0.30902 lineto
0.55971 0.30902 lineto
0.56156 0.30902 lineto
0.56361 0.30902 lineto
0.56587 0.30902 lineto
0.56838 0.30902 lineto
0.57118 0.30902 lineto
0.57431 0.30902 lineto
0.57784 0.30902 lineto
0.58186 0.30902 lineto
0.58647 0.30902 lineto
0.59187 0.30902 lineto
0.59836 0.30902 lineto
0.6065 0.30902 lineto
0.61788 0.30902 lineto
0.64286 0.30902 lineto
0.64294 0.30428 lineto
0.64352 0.2953 lineto
0.64415 0.28986 lineto
0.64484 0.28535 lineto
0.64558 0.2813 lineto
0.64639 0.2775 lineto
0.64726 0.27387 lineto
0.64822 0.27032 lineto
0.64926 0.26683 lineto
0.65039 0.26337 lineto
0.65162 0.25991 lineto
0.65295 0.25644 lineto
0.65441 0.25294 lineto
0.656 0.2494 lineto
0.65773 0.24582 lineto
0.65961 0.24219 lineto
0.66166 0.23849 lineto
0.66389 0.23474 lineto
0.66632 0.23091 lineto
0.66896 0.22702 lineto
0.67183 0.22307 lineto
Mistroke
0.67494 0.21904 lineto
0.6783 0.21495 lineto
0.68194 0.21079 lineto
0.68586 0.20658 lineto
0.69008 0.20232 lineto
0.6946 0.19801 lineto
0.69943 0.19365 lineto
0.70458 0.18927 lineto
0.71003 0.18487 lineto
0.7158 0.18044 lineto
0.72187 0.17601 lineto
0.72824 0.17158 lineto
0.73489 0.16714 lineto
0.74181 0.16271 lineto
0.74899 0.15829 lineto
0.75642 0.15387 lineto
0.76408 0.14947 lineto
0.77196 0.14507 lineto
0.78005 0.14068 lineto
0.78834 0.13629 lineto
0.79681 0.13191 lineto
0.80547 0.12752 lineto
0.81431 0.12313 lineto
0.82331 0.11872 lineto
0.83248 0.11431 lineto
0.84181 0.10987 lineto
0.8513 0.10542 lineto
0.86095 0.10093 lineto
0.87075 0.09642 lineto
0.88072 0.09188 lineto
0.89083 0.08729 lineto
0.90111 0.08266 lineto
0.91155 0.07799 lineto
0.92215 0.07327 lineto
0.93291 0.06849 lineto
0.94384 0.06366 lineto
0.95494 0.05877 lineto
0.96621 0.05382 lineto
0.97619 0.04943 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.0051 setlinewidth
0.72789 0.30902 moveto
0.72747 0.30902 lineto
0.72701 0.30902 lineto
0.72651 0.30902 lineto
0.72597 0.30902 lineto
0.72538 0.30902 lineto
0.72473 0.30902 lineto
0.72403 0.30902 lineto
0.72326 0.30902 lineto
0.72242 0.30902 lineto
0.72151 0.30902 lineto
0.7205 0.30902 lineto
0.7194 0.30902 lineto
0.71818 0.30902 lineto
0.71684 0.30902 lineto
0.71536 0.30902 lineto
0.71372 0.30902 lineto
0.7119 0.30902 lineto
0.70987 0.30902 lineto
0.70759 0.30902 lineto
0.70502 0.30902 lineto
0.7021 0.30902 lineto
0.69874 0.30902 lineto
0.69484 0.30902 lineto
0.69021 0.30902 lineto
0.68457 0.30902 lineto
0.67732 0.30902 lineto
0.66693 0.30902 lineto
0.64286 0.30902 lineto
0.64294 0.31375 lineto
0.64352 0.32273 lineto
0.64415 0.32817 lineto
0.64484 0.33268 lineto
0.64558 0.33673 lineto
0.64639 0.34053 lineto
0.64726 0.34417 lineto
0.64822 0.34771 lineto
0.64926 0.3512 lineto
0.65039 0.35466 lineto
0.65162 0.35812 lineto
0.65295 0.3616 lineto
0.65441 0.3651 lineto
0.656 0.36863 lineto
0.65773 0.37221 lineto
0.65961 0.37585 lineto
0.66166 0.37954 lineto
0.66389 0.3833 lineto
0.66632 0.38712 lineto
0.66896 0.39101 lineto
0.67183 0.39497 lineto
Mistroke
0.67494 0.39899 lineto
0.6783 0.40309 lineto
0.68194 0.40724 lineto
0.68586 0.41145 lineto
0.69008 0.41572 lineto
0.6946 0.42003 lineto
0.69943 0.42438 lineto
0.70458 0.42876 lineto
0.71003 0.43317 lineto
0.7158 0.43759 lineto
0.72187 0.44202 lineto
0.72824 0.44646 lineto
0.73489 0.45089 lineto
0.74181 0.45532 lineto
0.74899 0.45975 lineto
0.75642 0.46416 lineto
0.76408 0.46857 lineto
0.77196 0.47296 lineto
0.78005 0.47735 lineto
0.78834 0.48174 lineto
0.79681 0.48613 lineto
0.80547 0.49051 lineto
0.81431 0.49491 lineto
0.82331 0.49931 lineto
0.83248 0.50373 lineto
0.84181 0.50816 lineto
0.8513 0.51262 lineto
0.86095 0.5171 lineto
0.87075 0.52161 lineto
0.88072 0.52616 lineto
0.89083 0.53074 lineto
0.90111 0.53537 lineto
0.91155 0.54004 lineto
0.92215 0.54476 lineto
0.93291 0.54954 lineto
0.94384 0.55437 lineto
0.95494 0.55926 lineto
0.96621 0.56422 lineto
0.97619 0.5686 lineto
Mfstroke
grestore
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; leftWrapOffset = 30; rightWrapOffset = 522; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = subsection; inactive; Cclosed; preserveAspect; leftWrapOffset = 30; rightWrapOffset = 522; startGroup; ]
Example 3
:[font = input; Cclosed; preserveAspect; leftWrapOffset = 30; rightWrapOffset = 522; startGroup; animationSpeed = 2; infiniteLoop; loopDistance = 1; ]
g1 = (s+0.4)/s^2/(s+3.6);
SequenceForm["The transfer function: ", g1]
RootLocus[g1,s,{k,0,10}]

:[font = output; output; inactive; preserveAspect; leftWrapOffset = 30; rightWrapOffset = 522; fontLeading = 0; ]
"The transfer function: "(0.4 + s)/(s^2*(3.6 + s))
;[o]
                         0.4 + s
The transfer function: ------------
                        2
                       s  (3.6 + s)
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; leftWrapOffset = 30; rightWrapOffset = 522; pictureLeft = 22; pictureWidth = 462; pictureHeight = 286; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.97619 0.26455 0.309017 0.119346 [
[(-3.5)] 0.05026 0 0 2 0 Minner Mrotsboxa
[(-3)] 0.18254 0 0 2 0 Minner Mrotsboxa
[(-2.5)] 0.31481 0 0 2 0 Minner Mrotsboxa
[(-2)] 0.44709 0 0 2 0 Minner Mrotsboxa
[(-1.5)] 0.57937 0 0 2 0 Minner Mrotsboxa
[(-1)] 0.71164 0 0 2 0 Minner Mrotsboxa
[(-0.5)] 0.84392 0 0 2 0 Minner Mrotsboxa
[(0)] 0.97619 0 0 2 0 Minner Mrotsboxa
[(Re)] 0.5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-2)] -0.0125 0.07033 1 0 0 Minner Mrotsboxa
[(-1)] -0.0125 0.18967 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 0.30902 1 0 0 Minner Mrotsboxa
[(1)] -0.0125 0.42836 1 0 0 Minner Mrotsboxa
[(2)] -0.0125 0.54771 1 0 0 Minner Mrotsboxa
[(Im)] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotsboxa
[(Root Locus)] 0.5 0.61803 0 -4 Msboxa
[( )] 1.0375 0.30902 -1 0 90 Mrotsboxa
[(X)] 0.97619 0.30902 0 0 Msboxa
[(X)] 0.97619 0.30902 0 0 Msboxa
[(X)] 0.02381 0.30902 0 0 Msboxa
[(O)] 0.87037 0.30902 0 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.05026 0 moveto
0.05026 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.18254 0 moveto
0.18254 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.31481 0 moveto
0.31481 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.44709 0 moveto
0.44709 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.57937 0 moveto
0.57937 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.71164 0 moveto
0.71164 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.84392 0 moveto
0.84392 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.07033 moveto
1 0.07033 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.18967 moveto
1 0.18967 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.42836 moveto
1 0.42836 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.54771 moveto
1 0.54771 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.05026 0 moveto
0.05026 0.00625 lineto
stroke
grestore
[(-3.5)] 0.05026 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.18254 0 moveto
0.18254 0.00625 lineto
stroke
grestore
[(-3)] 0.18254 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.31481 0 moveto
0.31481 0.00625 lineto
stroke
grestore
[(-2.5)] 0.31481 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.44709 0 moveto
0.44709 0.00625 lineto
stroke
grestore
[(-2)] 0.44709 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.57937 0 moveto
0.57937 0.00625 lineto
stroke
grestore
[(-1.5)] 0.57937 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.71164 0 moveto
0.71164 0.00625 lineto
stroke
grestore
[(-1)] 0.71164 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.84392 0 moveto
0.84392 0.00625 lineto
stroke
grestore
[(-0.5)] 0.84392 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.97619 0 moveto
0.97619 0.00625 lineto
stroke
grestore
[(0)] 0.97619 0 0 2 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0.07672 0 moveto
0.07672 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.10317 0 moveto
0.10317 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.12963 0 moveto
0.12963 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.15608 0 moveto
0.15608 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.20899 0 moveto
0.20899 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.23545 0 moveto
0.23545 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.2619 0 moveto
0.2619 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28836 0 moveto
0.28836 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0 moveto
0.34127 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36772 0 moveto
0.36772 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.39418 0 moveto
0.39418 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42063 0 moveto
0.42063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47354 0 moveto
0.47354 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0 moveto
0.5 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.52646 0 moveto
0.52646 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.55291 0 moveto
0.55291 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.60582 0 moveto
0.60582 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.63228 0 moveto
0.63228 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.65873 0 moveto
0.65873 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68519 0 moveto
0.68519 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.7381 0 moveto
0.7381 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.76455 0 moveto
0.76455 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.79101 0 moveto
0.79101 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81746 0 moveto
0.81746 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.87037 0 moveto
0.87037 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.89683 0 moveto
0.89683 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92328 0 moveto
0.92328 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94974 0 moveto
0.94974 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0 moveto
0.02381 0.00375 lineto
stroke
grestore
[(Re)] 0.5 0 0 2 0 0 -1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.07033 moveto
0.00625 0.07033 lineto
stroke
grestore
[(-2)] -0.0125 0.07033 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.18967 moveto
0.00625 0.18967 lineto
stroke
grestore
[(-1)] -0.0125 0.18967 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.30902 moveto
0.00625 0.30902 lineto
stroke
grestore
[(0)] -0.0125 0.30902 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.42836 moveto
0.00625 0.42836 lineto
stroke
grestore
[(1)] -0.0125 0.42836 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.54771 moveto
0.00625 0.54771 lineto
stroke
grestore
[(2)] -0.0125 0.54771 1 0 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0 0.09419 moveto
0.00375 0.09419 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.11806 moveto
0.00375 0.11806 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.14193 moveto
0.00375 0.14193 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.1658 moveto
0.00375 0.1658 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.21354 moveto
0.00375 0.21354 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.23741 moveto
0.00375 0.23741 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.26128 moveto
0.00375 0.26128 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.28515 moveto
0.00375 0.28515 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.33289 moveto
0.00375 0.33289 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.35676 moveto
0.00375 0.35676 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.38062 moveto
0.00375 0.38062 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.40449 moveto
0.00375 0.40449 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.45223 moveto
0.00375 0.45223 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.4761 moveto
0.00375 0.4761 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.49997 moveto
0.00375 0.49997 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.52384 moveto
0.00375 0.52384 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.04646 moveto
0.00375 0.04646 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.02259 moveto
0.00375 0.02259 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.57158 moveto
0.00375 0.57158 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.59545 moveto
0.00375 0.59545 lineto
stroke
grestore
[(Im)] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
0 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.05026 0.61178 moveto
0.05026 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.18254 0.61178 moveto
0.18254 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.31481 0.61178 moveto
0.31481 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.44709 0.61178 moveto
0.44709 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.57937 0.61178 moveto
0.57937 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.71164 0.61178 moveto
0.71164 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.84392 0.61178 moveto
0.84392 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.97619 0.61178 moveto
0.97619 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.07672 0.61428 moveto
0.07672 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.10317 0.61428 moveto
0.10317 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.12963 0.61428 moveto
0.12963 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.15608 0.61428 moveto
0.15608 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.20899 0.61428 moveto
0.20899 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.23545 0.61428 moveto
0.23545 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.2619 0.61428 moveto
0.2619 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28836 0.61428 moveto
0.28836 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.61428 moveto
0.34127 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36772 0.61428 moveto
0.36772 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.39418 0.61428 moveto
0.39418 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42063 0.61428 moveto
0.42063 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47354 0.61428 moveto
0.47354 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.61428 moveto
0.5 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.52646 0.61428 moveto
0.52646 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.55291 0.61428 moveto
0.55291 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.60582 0.61428 moveto
0.60582 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.63228 0.61428 moveto
0.63228 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.65873 0.61428 moveto
0.65873 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68519 0.61428 moveto
0.68519 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.7381 0.61428 moveto
0.7381 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.76455 0.61428 moveto
0.76455 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.79101 0.61428 moveto
0.79101 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81746 0.61428 moveto
0.81746 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.87037 0.61428 moveto
0.87037 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.89683 0.61428 moveto
0.89683 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92328 0.61428 moveto
0.92328 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94974 0.61428 moveto
0.94974 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.61428 moveto
0.02381 0.61803 lineto
stroke
grestore
[(Root Locus)] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0 0.61803 moveto
1 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.07033 moveto
1 0.07033 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.18967 moveto
1 0.18967 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.42836 moveto
1 0.42836 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.54771 moveto
1 0.54771 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.09419 moveto
1 0.09419 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.11806 moveto
1 0.11806 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.14193 moveto
1 0.14193 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.1658 moveto
1 0.1658 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.21354 moveto
1 0.21354 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.23741 moveto
1 0.23741 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.26128 moveto
1 0.26128 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.28515 moveto
1 0.28515 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.33289 moveto
1 0.33289 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.35676 moveto
1 0.35676 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.38062 moveto
1 0.38062 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.40449 moveto
1 0.40449 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.45223 moveto
1 0.45223 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.4761 moveto
1 0.4761 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.49997 moveto
1 0.49997 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.52384 moveto
1 0.52384 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.04646 moveto
1 0.04646 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.02259 moveto
1 0.02259 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.57158 moveto
1 0.57158 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.59545 moveto
1 0.59545 lineto
stroke
grestore
[( )] 1.0375 0.30902 -1 0 90 Mrotshowa
gsave
0.002 setlinewidth
1 0 moveto
1 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
grestore
gsave
gsave
gsave
0.0051 setlinewidth
0.97619 0.30902 moveto
0.97619 0.30902 lineto
stroke
0.87037 0.30902 moveto
0.02381 0.30902 lineto
stroke
grestore
grestore
gsave
gsave
[(X)] 0.97619 0.30902 0 0 Mshowa
[(X)] 0.97619 0.30902 0 0 Mshowa
[(X)] 0.02381 0.30902 0 0 Mshowa
[(O)] 0.87037 0.30902 0 0 Mshowa
grestore
grestore
gsave
gsave
0.0051 setlinewidth
0.02381 0.30902 moveto
0.02577 0.30902 lineto
0.0279 0.30902 lineto
0.03021 0.30902 lineto
0.03271 0.30902 lineto
0.03543 0.30902 lineto
0.03838 0.30902 lineto
0.04159 0.30902 lineto
0.04507 0.30902 lineto
0.04886 0.30902 lineto
0.05298 0.30902 lineto
0.05747 0.30902 lineto
0.06236 0.30902 lineto
0.0677 0.30902 lineto
0.07353 0.30902 lineto
0.07991 0.30902 lineto
0.08688 0.30902 lineto
0.09454 0.30902 lineto
0.10294 0.30902 lineto
0.11219 0.30902 lineto
0.1224 0.30902 lineto
0.13369 0.30902 lineto
0.14621 0.30902 lineto
0.16017 0.30902 lineto
0.17579 0.30902 lineto
0.19338 0.30902 lineto
0.21334 0.30902 lineto
0.23621 0.30902 lineto
0.26278 0.30902 lineto
0.29423 0.30902 lineto
0.33262 0.30902 lineto
0.38207 0.30902 lineto
0.45424 0.30902 lineto
0.65873 0.30902 lineto
0.65873 0.30902 lineto
0.61815 0.26614 lineto
0.59186 0.21425 lineto
0.5826 0.18396 lineto
0.57702 0.15904 lineto
0.57314 0.13664 lineto
0.57022 0.11564 lineto
0.56793 0.09547 lineto
0.56608 0.07577 lineto
0.56455 0.05631 lineto
0.56326 0.03692 lineto
0.56216 0.01748 lineto
0.56201 0.01472 lineto
stroke
grestore
grestore
gsave
gsave
0.0051 setlinewidth
0.97619 0.30902 moveto
0.97521 0.30213 lineto
0.97414 0.2991 lineto
0.97299 0.29664 lineto
0.97174 0.29446 lineto
0.97038 0.29243 lineto
0.96891 0.2905 lineto
0.9673 0.28863 lineto
0.96556 0.2868 lineto
0.96367 0.285 lineto
0.96161 0.28321 lineto
0.95936 0.28142 lineto
0.95691 0.27963 lineto
0.95424 0.27784 lineto
0.95133 0.27604 lineto
0.94814 0.27424 lineto
0.94465 0.27242 lineto
0.94083 0.27059 lineto
0.93662 0.26876 lineto
0.932 0.26693 lineto
0.9269 0.2651 lineto
0.92125 0.26328 lineto
0.91499 0.26149 lineto
0.90801 0.25974 lineto
0.9002 0.25806 lineto
0.8914 0.25648 lineto
0.88142 0.25506 lineto
0.86999 0.25386 lineto
0.85671 0.25301 lineto
0.84098 0.25269 lineto
0.82179 0.25327 lineto
0.79706 0.25556 lineto
0.76097 0.26211 lineto
0.65873 0.30902 lineto
0.65873 0.30902 lineto
0.61815 0.3519 lineto
0.59186 0.40378 lineto
0.5826 0.43407 lineto
0.57702 0.459 lineto
0.57314 0.48139 lineto
0.57022 0.50239 lineto
0.56793 0.52256 lineto
0.56608 0.54227 lineto
0.56455 0.56173 lineto
0.56326 0.58112 lineto
0.56216 0.60055 lineto
0.56201 0.60332 lineto
stroke
grestore
grestore
gsave
gsave
0.0051 setlinewidth
0.97619 0.30902 moveto
0.97521 0.3159 lineto
0.97414 0.31893 lineto
0.97299 0.32139 lineto
0.97174 0.32357 lineto
0.97038 0.3256 lineto
0.96891 0.32753 lineto
0.9673 0.3294 lineto
0.96556 0.33123 lineto
0.96367 0.33304 lineto
0.96161 0.33483 lineto
0.95936 0.33661 lineto
0.95691 0.3384 lineto
0.95424 0.34019 lineto
0.95133 0.34199 lineto
0.94814 0.3438 lineto
0.94465 0.34562 lineto
0.94083 0.34744 lineto
0.93662 0.34927 lineto
0.932 0.35111 lineto
0.9269 0.35294 lineto
0.92125 0.35475 lineto
0.91499 0.35655 lineto
0.90801 0.35829 lineto
0.9002 0.35997 lineto
0.8914 0.36155 lineto
0.88142 0.36298 lineto
0.86999 0.36417 lineto
0.85671 0.36503 lineto
0.84098 0.36534 lineto
0.82179 0.36476 lineto
0.79706 0.36247 lineto
0.76097 0.35593 lineto
0.65873 0.30902 lineto
0.65873 0.30902 lineto
0.73988 0.30902 lineto
0.79247 0.30902 lineto
0.81099 0.30902 lineto
0.82215 0.30902 lineto
0.82992 0.30902 lineto
0.83575 0.30902 lineto
0.84033 0.30902 lineto
0.84403 0.30902 lineto
0.8471 0.30902 lineto
0.84968 0.30902 lineto
0.85188 0.30902 lineto
0.85216 0.30902 lineto
stroke
grestore
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; leftWrapOffset = 30; rightWrapOffset = 522; fontLeading = 0; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = subsection; inactive; Cclosed; preserveAspect; leftWrapOffset = 30; rightWrapOffset = 522; startGroup; ]
Example 4
:[font = input; Cclosed; preserveAspect; leftWrapOffset = 30; rightWrapOffset = 522; startGroup; ]
g1 = (s+2)(s+3)/s/(s+1);
SequenceForm["The transfer function: ", g1]
RootLocus[g1,s,{k,0,20}]

:[font = output; output; inactive; preserveAspect; leftWrapOffset = 30; rightWrapOffset = 522; fontLeading = 0; ]
"The transfer function: "((2 + s)*(3 + s))/(s*(1 + s))
;[o]
                       (2 + s) (3 + s)
The transfer function: ---------------
                          s (1 + s)
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; leftWrapOffset = 30; rightWrapOffset = 522; pictureLeft = 22; pictureWidth = 462; pictureHeight = 286; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.97619 0.31746 0.309017 0.339839 [
[(-3)] 0.02381 0 0 2 0 Minner Mrotsboxa
[(-2.5)] 0.18254 0 0 2 0 Minner Mrotsboxa
[(-2)] 0.34127 0 0 2 0 Minner Mrotsboxa
[(-1.5)] 0.5 0 0 2 0 Minner Mrotsboxa
[(-1)] 0.65873 0 0 2 0 Minner Mrotsboxa
[(-0.5)] 0.81746 0 0 2 0 Minner Mrotsboxa
[(0)] 0.97619 0 0 2 0 Minner Mrotsboxa
[(Re)] 0.5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-0.75)] -0.0125 0.05414 1 0 0 Minner Mrotsboxa
[(-0.5)] -0.0125 0.1391 1 0 0 Minner Mrotsboxa
[(-0.25)] -0.0125 0.22406 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 0.30902 1 0 0 Minner Mrotsboxa
[(0.25)] -0.0125 0.39398 1 0 0 Minner Mrotsboxa
[(0.5)] -0.0125 0.47894 1 0 0 Minner Mrotsboxa
[(0.75)] -0.0125 0.5639 1 0 0 Minner Mrotsboxa
[(Im)] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotsboxa
[(Root Locus)] 0.5 0.61803 0 -4 Msboxa
[( )] 1.0375 0.30902 -1 0 90 Mrotsboxa
[(X)] 0.97619 0.30902 0 0 Msboxa
[(X)] 0.65873 0.30902 0 0 Msboxa
[(O)] 0.34127 0.30902 0 0 Msboxa
[(O)] 0.02381 0.30902 0 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.18254 0 moveto
0.18254 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.34127 0 moveto
0.34127 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.65873 0 moveto
0.65873 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.81746 0 moveto
0.81746 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.05414 moveto
1 0.05414 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.1391 moveto
1 0.1391 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.22406 moveto
1 0.22406 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.39398 moveto
1 0.39398 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.47894 moveto
1 0.47894 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.5639 moveto
1 0.5639 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.02381 0 moveto
0.02381 0.00625 lineto
stroke
grestore
[(-3)] 0.02381 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.18254 0 moveto
0.18254 0.00625 lineto
stroke
grestore
[(-2.5)] 0.18254 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.34127 0 moveto
0.34127 0.00625 lineto
stroke
grestore
[(-2)] 0.34127 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(-1.5)] 0.5 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.65873 0 moveto
0.65873 0.00625 lineto
stroke
grestore
[(-1)] 0.65873 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.81746 0 moveto
0.81746 0.00625 lineto
stroke
grestore
[(-0.5)] 0.81746 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.97619 0 moveto
0.97619 0.00625 lineto
stroke
grestore
[(0)] 0.97619 0 0 2 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0.05556 0 moveto
0.05556 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0873 0 moveto
0.0873 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11905 0 moveto
0.11905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.15079 0 moveto
0.15079 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21429 0 moveto
0.21429 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24603 0 moveto
0.24603 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27778 0 moveto
0.27778 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30952 0 moveto
0.30952 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37302 0 moveto
0.37302 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40476 0 moveto
0.40476 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43651 0 moveto
0.43651 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46825 0 moveto
0.46825 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53175 0 moveto
0.53175 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56349 0 moveto
0.56349 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59524 0 moveto
0.59524 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62698 0 moveto
0.62698 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69048 0 moveto
0.69048 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72222 0 moveto
0.72222 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75397 0 moveto
0.75397 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78571 0 moveto
0.78571 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.84921 0 moveto
0.84921 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88095 0 moveto
0.88095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9127 0 moveto
0.9127 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94444 0 moveto
0.94444 0.00375 lineto
stroke
grestore
[(Re)] 0.5 0 0 2 0 0 -1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.05414 moveto
0.00625 0.05414 lineto
stroke
grestore
[(-0.75)] -0.0125 0.05414 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.1391 moveto
0.00625 0.1391 lineto
stroke
grestore
[(-0.5)] -0.0125 0.1391 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.22406 moveto
0.00625 0.22406 lineto
stroke
grestore
[(-0.25)] -0.0125 0.22406 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.30902 moveto
0.00625 0.30902 lineto
stroke
grestore
[(0)] -0.0125 0.30902 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.39398 moveto
0.00625 0.39398 lineto
stroke
grestore
[(0.25)] -0.0125 0.39398 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.47894 moveto
0.00625 0.47894 lineto
stroke
grestore
[(0.5)] -0.0125 0.47894 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.5639 moveto
0.00625 0.5639 lineto
stroke
grestore
[(0.75)] -0.0125 0.5639 1 0 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0 0.07113 moveto
0.00375 0.07113 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.08812 moveto
0.00375 0.08812 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.10511 moveto
0.00375 0.10511 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.12211 moveto
0.00375 0.12211 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.15609 moveto
0.00375 0.15609 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.17308 moveto
0.00375 0.17308 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.19007 moveto
0.00375 0.19007 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.20707 moveto
0.00375 0.20707 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.24105 moveto
0.00375 0.24105 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.25804 moveto
0.00375 0.25804 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.27503 moveto
0.00375 0.27503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.29203 moveto
0.00375 0.29203 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.32601 moveto
0.00375 0.32601 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.343 moveto
0.00375 0.343 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.35999 moveto
0.00375 0.35999 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.37698 moveto
0.00375 0.37698 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.41097 moveto
0.00375 0.41097 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.42796 moveto
0.00375 0.42796 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.44495 moveto
0.00375 0.44495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.46194 moveto
0.00375 0.46194 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.49593 moveto
0.00375 0.49593 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.51292 moveto
0.00375 0.51292 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.52991 moveto
0.00375 0.52991 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.5469 moveto
0.00375 0.5469 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.03715 moveto
0.00375 0.03715 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.02015 moveto
0.00375 0.02015 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.00316 moveto
0.00375 0.00316 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.58089 moveto
0.00375 0.58089 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.59788 moveto
0.00375 0.59788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.61487 moveto
0.00375 0.61487 lineto
stroke
grestore
[(Im)] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
0 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.02381 0.61178 moveto
0.02381 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.18254 0.61178 moveto
0.18254 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.34127 0.61178 moveto
0.34127 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.61178 moveto
0.5 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.65873 0.61178 moveto
0.65873 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.81746 0.61178 moveto
0.81746 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.97619 0.61178 moveto
0.97619 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.05556 0.61428 moveto
0.05556 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0873 0.61428 moveto
0.0873 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11905 0.61428 moveto
0.11905 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.15079 0.61428 moveto
0.15079 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21429 0.61428 moveto
0.21429 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24603 0.61428 moveto
0.24603 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27778 0.61428 moveto
0.27778 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30952 0.61428 moveto
0.30952 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37302 0.61428 moveto
0.37302 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40476 0.61428 moveto
0.40476 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43651 0.61428 moveto
0.43651 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46825 0.61428 moveto
0.46825 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53175 0.61428 moveto
0.53175 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56349 0.61428 moveto
0.56349 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59524 0.61428 moveto
0.59524 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62698 0.61428 moveto
0.62698 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69048 0.61428 moveto
0.69048 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72222 0.61428 moveto
0.72222 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75397 0.61428 moveto
0.75397 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78571 0.61428 moveto
0.78571 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.84921 0.61428 moveto
0.84921 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88095 0.61428 moveto
0.88095 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9127 0.61428 moveto
0.9127 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94444 0.61428 moveto
0.94444 0.61803 lineto
stroke
grestore
[(Root Locus)] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0 0.61803 moveto
1 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.05414 moveto
1 0.05414 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.1391 moveto
1 0.1391 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.22406 moveto
1 0.22406 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.39398 moveto
1 0.39398 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.47894 moveto
1 0.47894 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.5639 moveto
1 0.5639 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.07113 moveto
1 0.07113 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.08812 moveto
1 0.08812 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.10511 moveto
1 0.10511 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.12211 moveto
1 0.12211 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.15609 moveto
1 0.15609 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.17308 moveto
1 0.17308 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.19007 moveto
1 0.19007 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.20707 moveto
1 0.20707 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.24105 moveto
1 0.24105 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.25804 moveto
1 0.25804 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.27503 moveto
1 0.27503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.29203 moveto
1 0.29203 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.32601 moveto
1 0.32601 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.343 moveto
1 0.343 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.35999 moveto
1 0.35999 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.37698 moveto
1 0.37698 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.41097 moveto
1 0.41097 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.42796 moveto
1 0.42796 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.44495 moveto
1 0.44495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.46194 moveto
1 0.46194 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.49593 moveto
1 0.49593 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.51292 moveto
1 0.51292 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.52991 moveto
1 0.52991 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.5469 moveto
1 0.5469 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.03715 moveto
1 0.03715 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.02015 moveto
1 0.02015 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.00316 moveto
1 0.00316 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.58089 moveto
1 0.58089 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.59788 moveto
1 0.59788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.61487 moveto
1 0.61487 lineto
stroke
grestore
[( )] 1.0375 0.30902 -1 0 90 Mrotshowa
gsave
0.002 setlinewidth
1 0 moveto
1 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
grestore
gsave
gsave
gsave
0.0051 setlinewidth
0.97619 0.30902 moveto
0.65873 0.30902 lineto
stroke
0.34127 0.30902 moveto
0.02381 0.30902 lineto
stroke
grestore
grestore
gsave
gsave
[(X)] 0.97619 0.30902 0 0 Mshowa
[(X)] 0.65873 0.30902 0 0 Mshowa
[(O)] 0.34127 0.30902 0 0 Mshowa
[(O)] 0.02381 0.30902 0 0 Mshowa
grestore
grestore
gsave
gsave
0.0051 setlinewidth
0.97619 0.30902 moveto
0.91642 0.30902 lineto
0.8341 0.30902 lineto
0.77493 0.30902 lineto
0.76111 0.21689 lineto
0.74185 0.16906 lineto
0.72244 0.13605 lineto
0.70293 0.11046 lineto
0.68339 0.08975 lineto
0.66387 0.0727 lineto
0.64443 0.05859 lineto
0.62512 0.04695 lineto
0.606 0.03746 lineto
0.58712 0.02988 lineto
0.56854 0.024 lineto
0.5503 0.01968 lineto
0.53244 0.01676 lineto
0.51501 0.01515 lineto
0.49803 0.01472 lineto
0.48154 0.01537 lineto
0.46556 0.01703 lineto
0.45012 0.01959 lineto
0.43523 0.02299 lineto
0.4209 0.02715 lineto
0.40715 0.032 lineto
0.39397 0.03747 lineto
0.38138 0.04351 lineto
0.36936 0.05006 lineto
0.35791 0.05706 lineto
0.34702 0.06448 lineto
0.33668 0.07226 lineto
0.32689 0.08038 lineto
0.31762 0.08879 lineto
0.30886 0.09748 lineto
0.30059 0.10641 lineto
0.29279 0.11558 lineto
0.28545 0.12498 lineto
0.27855 0.1346 lineto
0.27206 0.14446 lineto
0.26598 0.15456 lineto
0.26027 0.16494 lineto
0.25492 0.17564 lineto
0.24992 0.18676 lineto
0.24523 0.19839 lineto
0.24086 0.21073 lineto
0.23677 0.22409 lineto
0.23295 0.23907 lineto
0.22939 0.25707 lineto
0.22607 0.284 lineto
0.22507 0.30902 lineto
Mistroke
0.25702 0.30902 lineto
0.27268 0.30902 lineto
0.2828 0.30902 lineto
0.29037 0.30902 lineto
0.29592 0.30902 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.0051 setlinewidth
0.65873 0.30902 moveto
0.68151 0.30902 lineto
0.72624 0.30902 lineto
0.77493 0.30902 lineto
0.76111 0.40114 lineto
0.74185 0.44898 lineto
0.72244 0.48198 lineto
0.70293 0.50758 lineto
0.68339 0.52828 lineto
0.66387 0.54533 lineto
0.64443 0.55945 lineto
0.62512 0.57108 lineto
0.606 0.58057 lineto
0.58712 0.58816 lineto
0.56854 0.59403 lineto
0.5503 0.59836 lineto
0.53244 0.60127 lineto
0.51501 0.60289 lineto
0.49803 0.60332 lineto
0.48154 0.60266 lineto
0.46556 0.60101 lineto
0.45012 0.59844 lineto
0.43523 0.59504 lineto
0.4209 0.59088 lineto
0.40715 0.58603 lineto
0.39397 0.58056 lineto
0.38138 0.57452 lineto
0.36936 0.56797 lineto
0.35791 0.56097 lineto
0.34702 0.55356 lineto
0.33668 0.54577 lineto
0.32689 0.53766 lineto
0.31762 0.52924 lineto
0.30886 0.52056 lineto
0.30059 0.51162 lineto
0.29279 0.50245 lineto
0.28545 0.49305 lineto
0.27855 0.48343 lineto
0.27206 0.47358 lineto
0.26598 0.46348 lineto
0.26027 0.4531 lineto
0.25492 0.44239 lineto
0.24992 0.43128 lineto
0.24523 0.41965 lineto
0.24086 0.40731 lineto
0.23677 0.39395 lineto
0.23295 0.37897 lineto
0.22939 0.36096 lineto
0.22607 0.33403 lineto
0.22507 0.30902 lineto
Mistroke
0.18892 0.30902 lineto
0.16749 0.30902 lineto
0.152 0.30902 lineto
0.13943 0.30902 lineto
0.12963 0.30902 lineto
Mfstroke
grestore
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; leftWrapOffset = 30; rightWrapOffset = 522; fontLeading = 0; endGroup; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
^*)