// DifferentiatorInspector.m
// By Charles G. Fleming, Educational Computing Services, Allegheny College.
// Copyright 1993, Allegheny College.
// You may freely copy, distribute and reuse this code. 
// Allegheny College and the author disclaim any warranty of any kind, 
// expressed or implied, as to its fitness for any particular use.

#import "DifferentiatorInspector.h"
#import "Differentiator.h"

@implementation DifferentiatorInspector

// ****************************************************************************
// ****************************************************************************
// Inspector protocol methods.
// ****************************************************************************
// ****************************************************************************

// Return the title for the inspector's panel.
- (char *)inspectorTitle
{
	return "Differentiator Inspector";
}

// Return the window that represents the inspector.
- window
{
	return window;
} 

// Make sure the inspector displays the object's current values.
- revert:sender
{
	int order, inputForm;
	char *variable;

	order = [object order];
	[orderTextField setIntValue:order];
	
	variable = [object differentiationVariable];
	[differentiationVariableTextField setStringValue:variable];

	inputForm = (int)[object inputForm];
	[inputFormButton setState:inputForm];
	return self;
}

// Set the object's current values.
- ok:sender
{
	int tag, order, inputForm;
	const char *variable;
	
	tag = [sender tag];

	switch(tag)
	{
		case 0:
			order = [orderTextField intValue];
			[object setOrder:order];
			break;
		case 1:	
			variable = [differentiationVariableTextField stringValue];
			[object setDifferentiationVariable:variable];
			break;
		case 2:
			inputForm = [inputFormButton state];
			[object setInputForm:(BOOL)inputForm];
			break;
	}

	// Make the inspector's window be the first responder so that 
	// textDidChange: messages will be received.
	[window makeFirstResponder:window];
	return self;
}

@end
