// Controller.h

#import <appkit/appkit.h>

#define MAX_POINTS 1000
#define LABEL_LENGTH 100

struct PointLineType {
	float a, b;
	char label[LABEL_LENGTH];
	NXColor color;
};

typedef struct PointLineType PointLine;

@interface Controller:Object
{
    id enterMode;
    id lineBrowser;
    id lineLabel;
	id pointBrowser;
    id pointLabel;
	id primalPlaneView;
	id dualPlaneView;
	id pointColorWell;
	id lineColorWell;
	id infoPanel;
	PointLine primalPoint[MAX_POINTS];
	int numberOfPrimalPoints;
	PointLine primalLine[MAX_POINTS];
	int numberOfPrimalLines;
	BOOL enter2;
	NXPoint point1;
	int labelCounter;
}

- (void)addPrimal:(NXPoint)point;
- (void)addDual:(NXPoint)point;
- deletePoint:sender;
- deleteAllPoints:sender;
- deleteLine:sender;
- deleteAllLines:sender;
- (void)getPrimalPoints:(int *)num :(PointLine **)point;
- (void)getPrimalLines:(int *)num :(PointLine **)line;
- newPointLabel:sender;
- newLineLabel:sender;
- pointSelected:sender;
- lineSelected:sender;
- draw:sender;
- newPointColor:sender;
- newLineColor:sender;
- showInfo:sender;
- suggestion:sender;

@end
