@interface Inspector : Object
{
    Graphic *selectedGraphic;	/* the currently displayed graphic */
    GraphicView *graphicView;	/* the view selectedGraphic is in */
    NXSize lastSize;		/* the last size displayed */
    Slider *lineWidthSlider;
    id	lineWidthField;
    id	arrows;
    id	width;
    id	lineColor;
    id	fillColor;
    id	filled;
    id	lineCap;
    id	lineJoin;
    id	height;
    id	formEntry;
    Slider *rotationSlider;
    id rotationField;
}

/* Public methods */

- loadGraphic:(Graphic *)graphic;
- load:(GraphicView *)graphicView;
- initializeGraphic:(Graphic *)graphic;
- preset;

/* Panel delegate method */

- windowDidUpdate:(Window *)sender;

/* Target/Action methods */

- changeContinuous:sender;
- changeArrows:sender;
- changeLineJoin:sender;
- changeLineWidth:sender;
- changeLineCap:sender;
- changeDimensions:sender;
- changeLineColor:sender;
- changeFillColor:sender;
- changeFilled:sender;
- changeFormEntry:sender;
- changeRotation:sender;

@end

/* Methods added to be compatible with HippoDraw Inspector and
 * implemented in InspectBase
 */
 
@interface Inspector(Hippo)
- updateView;
@end