/*
 * Please refer to external documentation about Draw
 * with Undo for information about what GraphicsChange 
 * is and where it fits in.
 */

@interface GraphicsChange : Change
{
    id graphicView;		/* the view this change is done in */
    List *changeDetails;	/* instances of ChangeDetail used to
    				   record information about the state
				   particular graphics involved in the
				   change */
    List *graphics;		/* the graphics involved in the change,
    				   usually the graphics that were 
				   selected at the time of the change */
}

/* Initializing and Freeing a GraphicsChange */

- initGraphicView:aGraphicView;
- free;

/* Methods overridden from Change */

- saveBeforeChange;
- undoChange;
- redoChange;

/* Other public methods */

- changeDetailClass;

@end
