/*
 * This class is used to represent a change in the current selection
 * (e.g., a font change). The contents and position of the selection are
 * saved before and after the change.
 */

@interface TextSelChange : TextChange
{
    int selStart;		/* selection start before change */
    int selEnd;			/* selection end before change */
    id oldSel;			/* selection data before change */
    id newSel;			/* selection data after change */
    const char *name;		/* name string */
}

/* Initialization method */

- initView:aView name:(const char *)str;

/* Free method */

- free;

/* Public methods */

- (const char *)changeName;
- saveBeforeChange;
- saveAfterChange;
- undoChange;
- redoChange;

@end
