/*
 * This class records a contiguous selection of characters from a text
 * object.
 */

@interface TextSelection : Object
{
    NXRect frame;		/* frame when created */
    int start;			/* first position in selection */
    int end;			/* last position in selection */
    NXStream *selectionChars;	/* RTF stream of selection */
    UndoText *text;		/* the text object in question */
    int clickCount;		/* saved from Text object */
    BOOL allText;		/* YES if we're saving the whole text object */
}

/* Creation methods */

- initText:aView;
- initText:aView start:(int)aPos end:(int)anotherPos;

/* Free method */

- free;

/* Access methods */

- (int)clickCount;
- setClickCount:(int)value;

/* Public methods */

- capture;
- install;
- remove;

@end
