/* FineSlider.h		by Mike Gravina		December 1991
 * A subclass of Slider that allows Alternate key to slow slider 
 * down by scale factor
 *
 * Copyright (C)  1991  The Board of Trustees of
 * The Leland Stanford Junior University.  All Rights Reserved.
 */
 
#define FINESLIDER_H_ID "$Id: FineSlider.h,v 2.2 1992/12/05 20:19:02 pfkeb Exp $"

#import <appkit/Slider.h>

@interface FineSlider:Slider
{
    float		scaleFactor;	/* amount of slow down */
    float               centerValue;
    float               returnValue;
    float               offset;
    BOOL                inAltSequence;
}

- (float) floatValue;
 /*
  * Returns the value of the Slider.   If the Alternate key is held
  * down, then scales the normal response of a Slider by
  * the preset scale factor.
  */

- setScaleFactor:(float) aFloat;
 /*
  * Sets the scale factor to aFloat.
  */
  
@end

/* Following is fix to annoying warning messages due to inconsistent
 * method declarations in Slider.h and SoundMeter.h.  
 */
@interface Slider(fix)

- (double) mmaxValue;
- (double) mminValue;
@end
