/* HAddColFunction.h	by Paul Kunz	November 1992
 * Hippo function to add column to n-tuple
 *
 * Copyright (C)  1992  The Board of Trustees of
 * The Leland Stanford Junior University.  All Rights Reserved.
 */ 

#define HADDCOLFUNCTION_H_ID "$Id: HAddColFunction.h,v 2.8.2.1 1994/01/05 02:21:55 rensing Exp $"

#import "HFunction.h"
#import "hippo.h"

@class HTuple;

@interface HAddColFunction:HFunction
{
    HTuple	*initHTuple;	/* HTuple that initialized source */
    float	(*colfunction)(const float *,int,int);	/* the function */
    int		colIndex;	/* index to column added  or -1 */

}
- init;
 /*
  * set colIndex to -1 to indicate not yet run.
  */
  
- initSource:(LANGUAGE)aLanguage for:(HTuple *)hTuple withName:(const char*)name;
 /*
  * Sets the initial text for the code in a given language,
  * given hTuple, and name.
  */

// - initColumnText:(LANGUAGE)aLanguage;

- (HTuple *) hTuple;
 /*
  * Returns the initial HTuple from which the template source code
  * was generated.
  */
  
- (int) colIndex;
 /*
  * returns the column index
  */
  
- replace:(HTuple *)oldTuple with:(HTuple *)newTuple;
 /*
  * Replaces the HTuple the function will operate on.
  */
  
- (int) executeWith:(ntuple) nt;
 /*
  * The receiving function executes and stores it output for the
  * entire column of the ntuple nt.   Returns 0 upon successful 
  * completion or -1 otherwise.
  */  
- (int) runWith:(HTuple *)hTuple;
 /*
  * Runs the function with hTuple.   Returns 0 if successful and
  * non zero otherwise.
  */
  
// - executeColumn;
- write:(NXTypedStream *)ts;
- read:(NXTypedStream *)ts;

@end
