/* Inspect3D.h		by Mike Gravina		July 1992
 * Controls 3d perspective plots
 *
 * Copyright (C)  1991  The Board of Trustees of
 * The Leland Stanford Junior University.  All Rights Reserved.
 */ 

#define INSPECT3D_H_ID "$Id: Inspect3D.h,v 2.10 1993/03/10 23:48:22 mfg Exp $"

#import "InspectBase.h"

@interface Inspect3D:InspectBase
{	
    id                  distanceSlider;
    id                  phiSlider;
    id                  thetaSlider;
    id                  distText;
    id                  phiText;
    id                  thetaText;
    id                  cubeSwitch;
    id                  wireFrameSwitch;
    id                  fillSwitch;
    id                  meshSwitch;
    id			grayMatrix;

    display		disp;
}

-initInspFor:aDraw;
 /*
  * creates a new Inspect3D for global controler aDraw.
  * After initialization, adds itself to the NewInspector.
  * This method is the designated initializer for the class.
  */


-showError:(char *)errorMessage;
-reset:sender;
-newGray:sender;
-newTheta:sender;
-newPhi:sender;
-newDist:sender;
-newInvDist:sender;
-newTheta_degrees:sender;
-newPhi_degrees:sender;
-toggleCube:sender;
-toggleWireFrame:sender;
-toggleFill:sender;
-toggleMesh:sender;
-updateView;
- mouseMoved:(const NXPoint *)offset in:sender withKey:(int)flag;
 /* used for trapping mouse movements.
  */
@end
