/* InspectAxes.h		by Paul Kunz		December 1991	
 * substantial improvements	by Paul Rensing 	Nov. 1992
 * Controls location of axes of plots
 * 
 * Copyright (C)  1993  The Board of Trustees of
 * The Leland Stanford Junior University.  All Rights Reserved.
 */

#define INSPECTAXES_H_ID "$Id: InspectAxes.h,v 2.10 1993/06/02 23:26:20 mfg Exp $"

#import "InspectBase.h"

@class FineSlider;
@interface InspectAxes:InspectBase
{
    id  AxisSelection;
    id	TickMatrix;	/* Matrix of drawing options 	*/
    id  ScaleMatrix;	/* From for titles and labels 	*/
    id  LabelMatrix;	/* Matrix of line style options */
    id  ScaleFontSize;	/* form for scale font size 	*/
    id  TickLength;	/* form for tick length 	*/
    id  titleForm;	/* Form for axis title 		*/
    id	rbForm;		/* Form for X-axis rebinning and display */
    id	rbSlider0;	/* Slider for X-axis 		*/ 
    id	rbSlider1;	/* Slider for X-axis 		*/ 
    id	rbSlider2;	/* Slider for X-axis 		*/ 
    id	rbSlider3;	/* Slider for X-axis 		*/
    id  autoScaleButton;
    id  logScaleButton;
    id  zpbutton;		/* Zoom/Pan mode switch for x-axis */
    id  limitCheckButton;
    
    FineSlider	*rbSlider[4];	/* Slider matrix */
    graphtype_t	graphtype;
    int		currentDim;	/* dimension of current plot */
    float	high, low, width, offset;
    int		num;
    int		prevIndex;
    float	prevValue;
    binding_t 	axis;
    BOOL 	numLimitCheck;	/* status of num of bins checking */
}

- initInspFor:aDraw;
 /* 
  * Initializes object and adds itself to the Inspector Panel's list.
  */
 
- tickOption:sender;
- scaleOption:sender;
- labelOption:sender;
- scaleFontSize:sender;
- tickLength:sender;
- axisSelection:sender;

- limitCheck:sender;
  /*
   * Responds to num limit check button by setting state of
   * number of bins limit flag
   */
   
- rebin:sender;
 /* Resonds to movement of any Slider in Panel.
  */
  
- rebinForm:sender;
  /* Responds to any possible change in the forms.
   */
- scaleType:sender;
 
 - titleForm:sender;
 /*
  * Responds to ENTER in title form by updating the
  * axis titles for the selected Plots
  */
  
- resetTitle:sender;
 /*
  * Resets the axis title of a Plot.
  */

- updateView;
 /*
  * Update the Inspector's contents.
  */
  
- updateOptions;
- updateSliders;
- mouseMoved:(const NXPoint *)point in:sender withKey:(int)flag;
/* Internal methods */
- setTags;
 
- (int) limitCheck:(int) nbins against:(int) maxbins;
   /*
    * Returns nbins if numLimitCheck flag is off or
    * if the flag is on and nbins is less than maxbins.
    * If flag is on and nbins is greater than maxbins, 
    * then runs an alert panel which may change state
    * of numLimitCheck flag.
    */

@end
