/* InspectFunc.h		by Paul Kunz	May 1992
 * Controls list of user added functions
 * 
 * Copyright (C)  1991  The Board of Trustees of
 * The Leland Stanford Junior University.  All Rights Reserved.
 */

#define INSPECTFUNC_H_ID "$Id: InspectFunc.h,v 2.13 1993/08/16 16:35:49 pfkeb Exp $"

#import "InspectBase.h"

@class List, HAddColFunction, HTuple;

@interface InspectFunc:InspectBase
{
 /* GUI stuff */
    id		tupleBrowser;	/* NXBrowser for list of ntuples */
    id		funcBrowser;	/* NXBrowser for list of functions */
    id		funcNamePanel;	/* Panel to get function name */
    id		funcNameForm;   /* Form for function name */
    id		msgWindow;	/* Window for monitoring compiling */
    id		msgScrollView;	/* ScrollView with message Text */
    NXStream	*msgStream;	/* The stream containing message text */
    
 /* other stuff */
    HTuple	*hTuple;	/* Current HTuple object */
    id		funcList;	/* List for functions created */
    id		statusText;	/* Status of compilation indicator */
    id		curFuncObj;	/* Function currently editing/compiling */
    int numTuples;
}

- performCompile:sender;
 /*
  * Compiles, links, and executes the function selected in
  * the function browser and applies result to ntuple selected
  * in tuple browser.
  */
  
- performEdit:sender;
 /*
  * Requests Workspace to re-open saved function
  */
  
- (int) performFunction:(HAddColFunction *)funcObj with:(ntuple)nt;
 /*
  * Compiles, links and executes selected function and applies
  * result to ntuple nt.  Returns 0 upon successful completion or
  * -1 otherwise.
  */
  
- closeMessageWindow:sender;
 /*
  * Closes the message window and the stream it contains.
  */
  
- initInspFor:aDraw;
 /*
  * Initializes inspector for global control object aDraw
  * Adds itself to Inspector Panel when done.
  */
  
- newFunction:sender;
 /*
  * Creates a new user function
  */
  
- newColumnFunction:sender;

- funcNameOK:sender;
 /* 
  * Responds to OK button on function name panel
  */

- funcNameCancel:sender;
 /*
  * Responds to cancel button on function name panel.
  */

- tupleBrowserSelected:sender;
 /*
  * Action method responding to selection in tuple browser.
  * It updates the function list browser
  */
  
/* Methods for updating the inspector view */ 
- updateView;
 /*
  * Updates inspector view
  */
  
- updateEmptySelection;
 /*
  * Updates view for empty selection
  */
@end
