/* InspectPlot.h		by Paul Kunz	June 1991
 * Controls miscellaneous options of the Plot
 * 
 * Copyright (C)  1991  The Board of Trustees of
 * The Leland Stanford Junior University.  All Rights Reserved.
 */

#define INSPECTPLOT_H_ID "$Id: InspectPlot.h,v 2.16 1993/07/02 22:19:19 mfg Exp $"

#import "InspectBase.h"

@interface InspectPlot:InspectBase
{
    id	drawOptMatrix;	     	/* Matrix of drawing options  	*/
    id  titleForm;	     	/* Form for plot title 		*/
    id  plotSymSizeNumber;	/* Cell with plot symbol size   */  
    id  popUpButtonLine;  	/* Line options popup button    */
    id  popUpButtonSymbol;  	/* Symbol options popup button  */

    id  distanceSlider;		/* 3D stuff follows:-		*/
    id  phiSlider;
    id  thetaSlider;
    id  distText;
    id  phiText;
    id  thetaText;
    id  cubeSwitch;
    id  wireFrameSwitch;
    id  fillSwitch;
    id  meshSwitch;
    id	grayMatrix;
}

- initInspFor:aDraw;
 /* 
  * Initializes object and adds itself to the Inspector Panel's list.
  */
 
- drawOption:sender;
 /* 
  * Responds to change in Draw Options matrix
  */

- lineOption:sender;
 /* 
  * Responds to change in Line Options matrix
  */

- plotSymbol:sender;
 /* 
  * Responds to change in Plot Symbol matrix
  */
 
- plotSymSize:sender;
 /* 
  * Responds to change in Symbol Size cell
  */
 
 - titleForm:sender;
 /*
  * Responds to ENTER in title form by updating the
  * titles for the selected Plots
  */
  
- resetTitle:sender;
 /*
  * Resets the title of a Plot.
  */

- updateView;
 /*
  * Update the Inspector's contents.
  */
  
 /*
  * 3D action methods:-
  */
- newGray:sender;
- newTheta:sender;
- newPhi:sender;
- newDist:sender;
- newInvDist:sender;
- newTheta_degrees:sender;
- newPhi_degrees:sender;
- toggleCube:sender;
- toggleWireFrame:sender;
- toggleFill:sender;
- toggleMesh:sender;
- showError:(char *)errorMessage;
- mouseMoved:(const NXPoint *)offset in:sender withKey:(int)flag;


@end
