/* InspectStat.h		by Paul Kunz	December 1991
 * Controls viewing of Statistics.
 * 
 * Copyright (C)  1991  The Board of Trustees of
 * The Leland Stanford Junior University.  All Rights Reserved.
 */

#define INSPECTSTAT_H_ID "$Id: InspectStat.h,v 2.6 1993/08/04 18:54:06 mfg Exp $"

#import "InspectBase.h"

@interface InspectStat:InspectBase
{
    id		statMatrix;	/* Matrix of under/in/over flows */
    id		statBox;	/* Box containing statistics */
    id		statHBox;	/* Box containing only Histogram statistics */
    id		statRowLabels;	/* Matrix of TextFieldCells for row labels */
    id		stat2ndBox;	/* Box containing 2nd block of statistics */
    id		stat2ndMatrix;	/* Matrix of means, devs & correlation */
}

- createImage:sender;
 /*
  * Creates an Image of the statistical matrix and inserts it on top
  * of the selected Plot
  */
  
- create2ndImage:sender;
 /*
  * Creates an Image of the mean & std dev matrix and inserts it on top
  * of the selected Plot
  */
  
- initInspFor:aDraw;
 /*
  * Initializes inspector for global control object aDraw
  * Adds itself to Inspector Panel when done.
  */
  
- clearStats;
 /*
  * Clears the statistics display in the inspector View
  */
  
- showStats;
 /*
  * Updates inspector view to show statistics of selected plot
  */
 
- updateView;
 /*
  * Updates the Inspector's content View.
  */
- updateEmptySelection;
 /*
  * Updates the Inspector's content View when there is no selection.
  */
@end
