/* Minuit		by Paul Kunz	May 1993
 * Encapsules Minuit Fortran fitter
 * 
 * Copyright (C)  1993  The Board of Trustees of
 * The Leland Stanford Junior University.  All Rights Reserved.
 */

#define MINUIT_H_RCSID "$Id: Minuit.h,v 1.2 1993/05/31 23:21:54 pfkeb Exp $"

#import <objc/Object.h>

#import "../fitParm.h"
#import "../minuitFCN.h"

@interface Minuit:Object
{
}

- init;
 /*
  * Designated initializer.
  */
  
- clearParms;
 /*
  * Clears out any existing parameters.
  */
  
- doFitWith:(FCNParms *)fcnParms;
 /*
  * Run Minuit with the given parameters.
  */
  
- getParms:(fitParm *)parm at:(int) index;
 /*
  * Retreive the parameters of the fit and fill the parmeters structure
  * parm for variable at index.
  */
  
- setParms:(fitParm *)parm at:(int)iparm;
 /*
  * Sets a parameter from structure parm at index iparm
  */
  
- setLagrangeAt:(int)iparm;
 /*
  * Addes Lagrange multiplier as parameter at index iparm
  */
  
@end
