/* minuit89.h		by Andrew Weir		January 1990
 *
 * structure equivalents of MINUIT89.COMMON and function declarations
 * that are needed by C or Objective-C code
 */

#ifndef _MINUIT89_H_
#define _MINUIT89_H_


#define	MNE		100
#define	MNI		50
#define	MAXDBG		10
#define	MAXSTK		10
#define	MAXPT		101

#ifdef F2C
#define MN7ERR mn7err_
#define MN7EXT mn7ext_
#else
#define MN7ERR mn7err
#define MN7EXT mn7ext
#endif

/* Common blocks... */

struct mn7ext_t {
    double              u[MNE];
    double              alim[MNE];
    double              blim[MNE];
};

struct mn7err_t {
    double              erp[MNI];
    double              ern[MNI];
    double              werr[MNI];
    double              globcc[MNI];
};

/* Functions and subroutines... */

#ifdef F2C
void mnpout_( int    *iparm,  char   *name,    double *value, double *error,
              double *lbound, double *ubound,  int    *intparm,
              int name_len);
#else
void mnpout_( int    *iparm,  char   *name,    double *value, double *error,
              double *lbound, double *ubound,  int    *intparm,
              int,  int,      int,  int,       int,  int,  int   );
#endif
 /*
  * Provides the caller with information concerning the current status
  * of parameter number iparm.
  */

void mncler_( void );
#ifdef F2C
void mnparm_(int *iparm, char *name, double *value, double *stepSize,
	     double *lower, double *upper, int *ierr, int name_len );
void mnexcm_(void (*fcn)(), char *chnam, double *arglist, int *nargs,
	     int *irc, void *fcnParms, int chnam_len);
#else
void mnparm_(int *iparm, char *name, double *value, double *stepSize,
	     double *lower, double *upper, int *ierr, int, int, int, 
	     int, int, int, int);
void mnexcm_(void (**fcn)(), char *chnam, double *arglist, int *nargs,
	     int *irc, void *fcnParms, int, int, int, int, int, int);
#endif

void mninit_(int *, int *, int *, int, int, int);

#endif
