
/*  NewInspector.h v1.1b
*
*  This is a generic Inspector Class.  For a description, see the man page.
*  
*  Imran Qureshi
*
*  11/5/91
*
* Copyright (C)  1991  The Board of Trustees of
* The Leland Stanford Junior University.  All Rights Reserved.
*/

#define NEWINSPECTOR_H_ID "$Id: NewInspector.h,v 2.6 1993/06/25 21:15:59 rensing Exp $"

#import <objc/Object.h>
// #import <objc/List.h>
// #import <appkit/Application.h>

@class List;

@interface NewInspector:Object
{
    id		InspectorPanel;
    id		thePopUpListButton;
    id		thePopUpList;
    id		InspectorBox;	/* Box which will hold the views
					 * assigned to it */
    id		lastSender;	/* last window to send up date message */

    List	*ViewsList;
    List	*SupervisorList;
    int	curInsp;
}

/* Creates a new Inspector
 */
+ new;
  
 /* initializes a new Inspector created with new
 * do not use [[NewInspector alloc] init] to get a NewInspector.
 * instead use +new.
 */
- init;
-free;

 /* return the InspectorPanel of class "Panel".
  * Can be used for adjusting the size and place of the Inspector Panel.
  */
-inspectorPanel;

- currentInspector;
  /*
   * return the id of the current inspector panel
   */
   
- orderFrontPanel:sender;
- orderBackPanel:sender;
  /*
   *  set the Title of the Inspector Panel.
   */
   
-setTitle:(const char *)theTitle;

 /*  Add a View "aView". add a button "Name" to the popuplist. and set
 *  "aSupervisor" as the object to get "windowDidUpdate:" message
 */
-addView:aView withName:(char *)Name withSupervisor:(id)aSupervisor;

 /* remove the button and view corresponding to "Name".
 */
-replace:(char *)Name with:(char *)someName andView:(id)aView;

-remove:(char *)Name;

 /* show the button and view corresponding to "Name"
 */
-showPanelWithName:(char *)name;

 /* send an windowDidUpdate: message to all Supervisors
 */
-updateDisplay;
- windowDidUpdate:sender;

 /* PRIVATE */
-toggleInspectorPanels:sender;

@end
