/* Plot1D.h	By Paul Kunz	March 1992
 * Replacement of obsolete class used for backward compatiblity.
 *
 * Copyright (C)  1991  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 */
 
#define PLOT1D_H_ID "$Id: Plot1D.h,v 2.6 1992/12/23 01:57:21 pfkeb Exp $"

#import "Plot.h"

@interface Plot1D:Graphic
{
    id                  graphicView;	/* The View object in which drawing
					 * is done */
    ntuple              tuple;
    display             disp;
    BOOL                cutHistFlag;
    char               *reffilename;	/* filename of tuple referenced */
    BOOL                refFlag;	/* reference state before archiving */
    BOOL                fixBinsFlag;	/* fixed bins state before archiving */
    
 /* data on plots used to make cut on this plot */
    id			cutPlotStor;	/* Storage for cut Plots and func.*/
    id			cutPlotList;	/* temporary List of cut Plots */
    
 /* data used by Plot used for a Cut */
    id			dependList;	/* List of dependent Plots */
    cutParmType         cutParms;
    int                 cutNumber;	/* No longer used, but archived */
}
- init;

- replaceWithImage;
 /*
  * Receiving object replaces itself with a Plot object.  This
  * method used to read HippoDraw files that were archived with
  * object of this class.
  */
  
- read:(NXTypedStream *)stream;
 /*
  * Standard NeXTstep de-archiving method.
  */ 

- free;
 /*
  * Free memory allocated by receiving objects then frees itself.
  */
@end
