/* Spread Sheet like n-tuple browser	by Imran Qureshi	August 1992
 *
 * Copyright (C)  1992  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 */

#define SPREADSHEETMGH_H_ID "$Id"

#import <appkit/appkit.h>
#import "hippo.h"

#define 	DEFAULT_ROWS	150
#define 	DEFAULT_COLS	7

@interface SpreadSheetMgr:View
{
    id	cellMatrix;
	id	lineNumberMatrix;
	id	columnNameMatrix;
	id	scrollView;
	id	spreadView;
	id	spreadSheetBox;
	id	lineNumberscrollView;
	FILE	*currentFile;
	int	maxRow;
	int	minRowT;	/* index to first row of tuple displayed */
	int	maxRowT;	/* index to last row of tuple diplayed */
	ntuple	tuple;
	BOOL	newTupleFlag;
	char	filename[256];
	int	numRowsD;	/* number of rows displayed */
	int	numColsD;	/* number of columns displayed */
	id	hDraw;
	
}
+new:sender;
-setRows:(int)rows columns:(int)cols;
-awake;
-(const char*)inspectorName;;
-initFrame:(const NXRect *)frameRect;
-(ntuple)ntuple;
-open:sender;
-save:sender;
-setColumnNameMatrix:(id)matrix;
-setLineNumberMatrix:(id)matrix;
-openFile:(char*)filename;
-tupleToSpreadSheet:(ntuple)tuple;
-readMore:sender;
-readLess:sender;
/***** MEthods for accessing data ****/
-(float*)row:(int)number;
-setRow:(int)number to:(float*)data;
-(float*)column:(int)number;
-addColumn:sender;
-addRow:sender;
-addColumn:(char*)name with:(float*)data;
-redisplay;
-temp:sender;
-addRowFunction:sender;
-addColFunction:sender;

-textDidEnd:textObject endChar:(unsigned short)whyEnd;
-appDidInit:(id)sender;
-read:(NXTypedStream*)typedStream;
-write:(NXTypedStream*)typedStream;
@end
