/* ddHippo.m	By Paul Kunz	November 1992
 * Extensions to DrawDocument class need by Hippodraw
 *
 * Copyright (C)  1992  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 */
 
#import "Draw.subproj/draw.h"
#import "HDrawApp.h"
#import "HGraphicView.h"
#import "InspectTuple.h"

@implementation DrawDocument(Hippo)

- startArchivingTo:(const char *)dir
{
    [(HGraphicView *)view startArchivingTo:dir];
    return self;
}

- (BOOL) hasPFunctions
{
    return [(HGraphicView *)view hasPFunctions];
}
- (int) finishUnarchivingFrom:(const char *)dir
{
    int		irc;
    
    irc = [(HGraphicView *)view finishUnarchivingFrom:dir];
    if ( irc != 0 ) {
        NXRunAlertPanel("Alert",
		"Error in reading document.", "OK", NULL, NULL );
    }
    return irc;
}

- startUnarchivingFrom:(const char *)dir
{
    HDrawApp	*hippoDraw;
    
    hippoDraw = NXGetNamedObject("HDrawInstance", NXApp);
    [[hippoDraw inspectPFunc]startUnarchivingFrom:dir];
    return self;
}
- saveAsExportFile:(const char *)filename
{
    HDrawApp		*hippoDraw;
    InspectTuple	*inspectTuple;
    
    hippoDraw = NXGetNamedObject("HDrawInstance", NXApp);
    inspectTuple = [hippoDraw inspectTuple];
    [inspectTuple saveAsExportFile:filename];
    return self;
}
@end