/* groupPlot.h	by Paul Kunz	March 1991
 * Category extending the Group class to handle plot methods
 *
 * Copyright (C)  1992  The Board of Trustees of
 * The Leland Stanford Junior University.  All Rights Reserved.
 */

#import "Draw.subproj/draw.h"
#import "hippo.h"

#define GROUPPLOT_H_RCSID "$Id: groupPlot.h,v 2.1 1993/02/14 21:55:13 pfkeb Exp $"

@interface Group(Plot)

/*
 * Each of the following methods performs the received message
 * to each member of the group
 */
 
- addCutPlot:cutPlot;
- addHTupleToList:list;
- addPlotToList:list;
- bindAxisW:(int *)dataDim;
- bindAxisX:(int *)dataDim;
- bindAxisXE:(int *)dataDim;
- bindAxisY:(int *)dataDim;
- bindAxisYE:(int *)dataDim;
- bindCuts;
- bindReference;
- NameAxisW:(const void *) value;
- NameAxisX:(const char *)AxisName;
- NameAxisY:(const char *)AxisName;
- NameAxisYE:(const void *) value;
- replace:oldTuple with:newTuple;
- replaceTupleWith:(const void *) value;
- setAutoScale:(binding_t *) axis to:(const int *) value;
- setAxesFlag:(int *)yesOrNo;
- setColorType:(const int *) value;
- setDispType:(const void *) value;
- setDrawType:(drawtype_t *) type;
- setGraphicView:view;
- setLogScale:(binding_t *)axis to:(int *)yesOrNo;
- setNumBins:(binding_t *) axis to:(const int *) value;
- setRange:(binding_t* ) axis to:(const NXPoint *)p;
- setTitle:(const char *)aString;
- setTitlesFlag:(const int *)yesOrNo;
  
- makeGraphicsPerform:(SEL)aSel with:(const void *)arg with:(const void *)arg2;
 /*
  * Additional method of this style to support Plot methods which need
  * two arguments.
  */
@end

