/*
 * hippowrapsUP.h -- Graphics end for Hippo histogramming package.
 * $Id: hplotUP.h,v 5.0 1993/08/17 21:56:04 rensing Exp $
 *
 * Copyright (C)  1991  The Board of Trustees of The Leland Stanford
 * Junior University.  All Rights Reserved.
 *
 * written by Paul Rensing, Apr. 30, 1991
 */

#ifndef _HIPPOPLOTUP_H_
#define _HIPPOPLOTUP_H_

#define HIPPOPLOTUP_H_RCSID "$Id: hplotUP.h,v 5.0 1993/08/17 21:56:04 rensing Exp $"

/*
 * prototypes for plot routines.
 */
#include "libplot.h"

#include "hippo.h"

int initDrvr_UP( FILE *file );

int initPlot_UP( rectangle *draw, rectangle *margin, rectangle *user );

int endPlot_UP( void );

int drawText_UP(char *message, float x, float y, float fontHeight,
		float rotation, char xAlign, char yAlign);

int drawXTicks_UP( float *y, int nt, float tickwidth, int side );
int drawYTicks_UP( float *y, int nt, float tickwidth, int side );

int drawMag_UP( float x, float y, int mag, float fontSize );

int drawPoints_UP(float xy[], int npts, int symbol, float ptsize);

int drawLine_UP(float xy[], int npts, linestyle_t ls);

int drawYError_UP(float xy[], float err[], int npts);
int drawXError_UP(float xy[], float err[], int npts);


int drawColor2D_UP(int nXBins, int nYBins, float binMin, float binMax, 
		     float *data, int useColor );
int drawLego2D_UP( display disp );

#endif				/* end of ifndef _HIPPOPLOTUP_H_ */

