/*
 * hutil.h - prototypes for hippo utility routines
 *
 * Copyright (C)  1993  The Board of Trustees of The Leland Stanford
 * Junior University.  All Rights Reserved.
 *
 * $Id: hutil.h,v 5.0 1993/08/17 21:56:51 rensing Exp $
 */

#ifndef _H_UTILITIES_H_
#define _H_UTILITIES_H_

/*
 * Functions to maintain and use the function registry.
 */
void *h_fNameSrch(const char *fname);
char *h_fPtrSrch(void *func);

/*
 * Set nice axis limits.
 */
void h_adjustAxis( float *low, float *high, int n_divisions, int log );

/*
 * error message functions
 */
void h_errmsg(const char *file, int line, const char *string );
#define h_error(x) h_errmsg(__FILE__,__LINE__,x)


int doCuts( float **ntdata, int row, func_id cutlist );
int h_cut_lt( float **ntdata, int row, double param[] );
int h_cut_gt( float **ntdata, int row, double param[] );
int h_cut_le( float **ntdata, int row, double param[] );
int h_cut_ge( float **ntdata, int row, double param[] );
int h_cut_inside( float **ntdata, int row, double param[] );
int h_cut_outside( float **ntdata, int row, double param[] );
int h_cut_in_incl( float **ntdata, int row, double param[] );
int h_cut_out_incl( float **ntdata, int row, double param[] );

/*
 * function to generate ticks and labels (without drawing them)
 */
int genTicks(axis_t *thisaxis, int maxticks, int *nticks, 
	float *ticks, char labels[][10], float *pmag); 

#endif				/* _H_UTILITIES_H_ */
