/*
 * Structure definitions for the Minuit FCN.
 * 
 * Paul Rensing, Jan 27, 1993
 *
 * $Id: minuitFCN.h,v 1.5 1993/07/02 22:19:28 mfg Exp $
 */

#ifndef _MinuitCFCN_H_
#define _MinuitCFCN_H_

#include "hippo.h"

#define MINUITFCN_H_RCSID "$Id: minuitFCN.h,v 1.5 1993/07/02 22:19:28 mfg Exp $"

typedef enum FCNType_t {FIT_MAXLIKE, FIT_INTFIXEDNORM, FIT_INTEGRAL,
    FIT_AVERAGE, FIT_ONESAMPLE } FCNType;
typedef enum emptyBin_t { EB_IGNORE, EB_ONE, EB_NOFIT } emptyBin;
typedef struct FCNParms_t
{
     const float *x;
     const float *y;
     const float *xerr;
     const float *yerr;
     int npts;
     FCNType fitType;
     emptyBin ebType;
     display disp;
} FCNParms;

void loadParams(double *);

void minuitfcn_(double *chi2, double *parm, int *npar, FCNParms *futil);
/*
 * the fortran function called from Minuit
 */
void fcn_();
#endif
