#import "IcaoDefinitions.h"
#import "RouteMap.h"
#import <dpsclient/event.h>

/* 
 * Definitions for the InfoPopUp.
 * Should be placed somewhere near objectdescription implementation
 */
#define MV_MAX_LINES 20
#define MV_MAX_LEN 80


@class Window;

@interface IcaoMap:RouteMap
{
	id					timeField;
	id					locationField;

	id					cursor;
	int					trackingRect;

	Window			*infoPopUp;
	
	/* if YES Location Info will be displayed */
	BOOL				inside;	

	/* 
	 * Start and End of the Rubberband.
	 * If rubberStart == -1 (default) no rubberband will be drawn.
	 */
	LOCATION			rubberStart, rubberEnd;
}

- awakeFromNib;
- (BOOL)acceptsFirstResponder;

- setMyTrackingRect:(BOOL)flag;
- resetCursorRects;

- infoPopUp;
- removeInfoPopUp;

- mouseEntered:(NXEvent *)theEvent;
- mouseMoved:(NXEvent *)theEvent;
- mouseExited:(NXEvent *)theEvent;
- mouseDown:(NXEvent *)theEvent;
- rightMouseUp:(NXEvent *)theEvent;
- rightMouseDown:(NXEvent *)theEvent;

@end
