#import "IcaoDefinitions.h"
#import "geometry.h"
#import "mapdraw.h"
#import "mapobjects.h"
#import <stdio.h>
#import <stdlib.h>
#import <strings.h>


extern OBJECT	**objectlist;	
extern int objectno;
extern TABLEENTRY *nametable;
extern int tableentries;
extern char **namearray;
extern int db_objects;
extern int db_visible;

/* function prototypes */

int objects_init();
int sortcomp(const void *a, const void *b);

char *strdup(char *ein);
void sort_objects();
OBJECT *objectfromnamelist (int listindex);   
int objectThatMatches(const char *input);
char *objecttypestring (int objecttype);

void new_location (LOCATION loc);
void new_elev (double elev);
void new_object (int objecttype, char *identifier);
void add_point(LOCATION point);
void set_frequency (double freq);
void set_alias (char *name);
void set_topmsl (double height);
void set_range (double range);
void add_runway (int direction, int length, char surface);

int digi_getpos(int *x, int *y);
void digi_calibrate(LOCATION ref1, LOCATION ref2);
int is_digi_valid();
LOCATION digi_input();
