#import <objc/Object.h>
#import "IcaoDefinitions.h"
/* Defines for the Autoroute PopUp */
#define MC_MAXLINES 100
#define MC_MAXLEN 80

/* The Mapfile to load if none is found */
#define MC_DEFAULTMAPFILE "AC.iwp"

@interface MapController:Object
{

    id				mapWindow;
    id				scalePopup;
		id				projectionPopup;
		id				objectBrowser;						// an NXBrowser object
		id				objectScroller;						// the ScrollView contained in <above>
		id				objectList;								// a Matrix contained in <above>
		id				quickSearch;							// the TextField 
		id				mapView;
		
    id				objectsPanel;
		id				typeScroller;
		id				typeMatrix;
		id				displayButton;
		
		id				routeController;

		id				routeTO;
		id				routeVia;
		id				routeDest;
		
/* instances of the global map projection variables */
		backupData mapData;
}

/* handling the global/backup data thing */
- (NXZone *)mapZone;
- copyDataFromGlobal;
- copyDataToGlobal;

/* Querying the MapController */
- mapView;
- mapWindow;
- displayButton;
- scalePopup;

/* Setting up the Controller and its Views */
- setup;
- setupFromFile:(const char*)filename;
- displayMap;

/* Being the Browsers delegate */
- selectInBrowser:(const char *)aString;
- objectDoubleClicked:sender;

- scaleChanged:sender;
- projectionChanged:sender;

- getNewTypes:sender;
- displayMap:sender;
- setNewRoute:(BOOL)redraw TO:(const char*)TO via:(const char*)via1
			via:(const char*)via2 via:(const char*)via3 dest:(const char*)dest;

- showObjectsPanel:sender;
- showSoaringPanel:sender;
- routeVia;
- (BOOL)canAutoroute;
- tryToAutoroute:sender;

- printMap:sender;

-appWillTerminate:sender;
@end


@interface MapController(WindowDelegate)

- windowWillMiniaturize:sender toMiniwindow:miniwindow;
- windowDidDeminiaturize:sender;
-	windowDidBecomeMain:sender;
-	windowDidResignMain:sender;
@end


@interface MapController(BrowserDelegate)

- (int)browser:sender getNumRowsInColumn:(int)column;
- browser:sender loadCell:cell atRow:(int)row inColumn:(int)column;

@end


@interface MapController(TextDelegate)

- textDidGetKeys:textObject isEmpty:(BOOL)flag;
- (BOOL)textWillEnd:textObject;

@end


@interface MapController(NXNibNotification)

- awakeFromNib;

@end

