/****************************************************************
 *                                                              *
 *                        I C A O   M a p  -                    *
 *                                                              *
 *             A n   A v i a t i o n   U t i l i t y            *
 *                                                              *
 *                                                              *
 *            Copyright (C) 1993, 1994  Martin Pauly            *
 *                                                              *
 *                   N e x t   V e r s i o n                    *
 *                                                              *
 *       Copyright (C) 1994  Stefan Leuker & Oliver Meyer       *
 *                                                              *
 *   This file may be freely distributed only if it includes    *
 *                the above copyright notice.                   *
 *                                                              *
 ****************************************************************/

#import "IcaoDefinitions.h"
#import "geometry.h"
#import "mapobjects.h"
#import "IcaoObjects.h"
#import <math.h>
#import <stdio.h>
#import <objc/zone.h>



/*  The zone where all map data is mallocated from  */
extern NXZone		*theZone;



extern FILE			*ps;

extern double		v1, v2;  /* standard parallels for conical projection (s.b.) */
		
extern LOCATION	map_origin;
extern long			map_scale;
extern long			map_zeromeridian;
extern long			top;
extern long			left;
extern long			bottom;
extern long			right;
extern LOCATION	topleft;
extern LOCATION	topright;
extern LOCATION	bottomleft;
extern LOCATION	bottomright;
extern double		map_width;
extern double		map_height;
extern int			mapWidth;
extern int			mapHeight;
extern double		mapWidthcm;
extern double		mapHeightcm;
extern double		originx;
extern double		originy;
extern double		scalefactor;
extern double		mercatorscale;	/* additional factor for merctor projection */
extern char			map_projection;	/* projection algorithm to be used */

extern long			scales[];
extern int			numscales;
extern int			scale;


void map_initcoord();
void map_setscale (double scale);
void map_setorigin (LOCATION origin);
void map_setparallels (long par1, long par2);
void map_display();
void map_setzero (long zero);

void actually_draw ();
void coord_drawgrid (int printlabels);
