/****************************************************************
 *                                                              *
 *                        I C A O   M a p  -                    *
 *                                                              *
 *             A n   A v i a t i o n   U t i l i t y            *
 *                                                              *
 *                                                              *
 *            Copyright (C) 1993, 1994  Martin Pauly            *
 *                                                              *
 *                   N e x t   V e r s i o n                    *
 *                                                              *
 *       Copyright (C) 1994  Stefan Leuker & Oliver Meyer       *
 *                                                              *
 *   This file may be freely distributed only if it includes    *
 *                the above copyright notice.                   *
 *                                                              *
 ****************************************************************/

/* Listen very carfully, I will say this only once. */
#ifndef IC_MAPOBJECTS
#define IC_MAPOBJECTS

#import "IcaoObjects.h"
#import "graph_primi.h"
#import "geometry.h"
#import "mapdraw.h"
#import <string.h>
#import <math.h>

#define MASK_CTR   0
#define MASK_BLACK 1

#define HOR_SLICES 30
#define VER_SLICES 15
#define USE_PIECES


extern int visiblelist[2000];
extern int visiblenumber;

extern char			*visstring[];
extern int			visobj[];
extern int			numvis;

extern int			drawroutenumpoints;
extern LOCATION drawroutepoints[100];

extern OBJECT *saveobj;

/* prototypes */

void initmapobjects();
LOCATION window2internal (int x, int y);
void internal2window (LOCATION point, int *x, int *y);
void findvisibleobjects();
double dist (int x1, int y1, int x2, int y2);
int nearpiece (int p1, int p2);
char *nearobject (int x, int y);
void drawvisibleobjects(int polygons);

void draw_airport (int x, int y, int heading, char *name, int numpoints,
		   LOCATION *points, RUNWAYDEF *runways);
void draw_airfield (int x, int y, int runwayheading, char *name);
void draw_specialairfield (int x, int y, int runwayheading, char *name);
void draw_glider_site (int x, int y, char *name);
void draw_heliport (int x, int y, char *name);
void draw_airport_mil (int x, int y, int runwayheading, char *name);
void draw_airport_civ_mil (int x, int y, int runwayheading, char *name);
void draw_ndb (int x, int y, char *name, double freq);
void draw_vor (int x, int y, char *name, double freq, int northoffset);
void draw_vor_dme (int x, int y, char *name, double freq, int northoffset);
void draw_vortac (int x, int y, char *name, double freq, int northoffset);
void draw_river (int x, int y, char *name, int numpoints, LOCATION *points);
void draw_lake (char *name, int numpoints, LOCATION *points);
void draw_highway (int numpoints, LOCATION *points);
void draw_ctr (int x, int y, char *name, int numpoints, LOCATION *points);
void draw_cvfr (int x, int y, char *name, int numpoints, LOCATION *points);
void draw_village (int x, int y, char *label);
void draw_town (char *name, int numpoints, LOCATION *points);
void draw_waypoint (int x, int y, char *name, char *alias);
void draw_border (int numpoints, LOCATION *points);
void draw_river (int x, int y, char *name, int numpoints, LOCATION *points);
void draw_island (char *name, int numpoints, LOCATION *points);
void draw_stateborder (int numpoints, LOCATION *points);

void objectdescription(char **lines, int *numlines, int x, int y, int *range);

#endif


