// Legendre.h
// By Charles G. Fleming, Educational Computing Services, Allegheny College.
// Copyright 1993, Allegheny College.
// You may freely copy, distribute and reuse this code. 
// Allegheny College and the author disclaim any warranty of any kind, 
// expressed or implied, as to its fitness for any particular use.

#import <appkit/appkit.h>

#import "ToolAndInspectorProtocols.h"

@interface Legendre:Object <WBTool>
{
	id	inputText;
	id	outputText;
	id	outputView;
	id	inspector;
	id	mathConnector;

	// Instance variables specific to the particular tool you are building.
	int legendreN, legendreM;
	BOOL plotRequested, functionRequested, inputForm;
	float plotMin, plotMax;
}

- init;
- setMathConnector:anObject;

// Implement methods that will be called by your inspector's ok: and
// revert methods.
- setLegendreN:(int)n;
- (int)legendreN;
- setLegendreM:(int)m;
- (int)legendreM;
- setPlotRequested:(BOOL)flag;
- (BOOL)plotRequested;
- setFunctionRequested:(BOOL)flag;
- (BOOL)functionRequested;
- setPlotMin:(float)min;
- (float)plotMin;
- setPlotMax:(float)max;
- (float)plotMax;
- setInputForm:(BOOL)flag;
- (BOOL)inputForm;

@end
