#
# common makefile
#
#$Id: common.make,v 1.2 1995/05/01 22:30:00 adam Exp $
#

all::

debug::
	$(MAKE) all CFLAGS="-g -Wall -DDEBUG"

profile::
	$(MAKE) all CFLAGS="-g -p -Wall -DDEBUG -DPROFILE"

SUPPORTFILES = Makefile makefile

SRCFILES = $(CLASSES) \
	$(MFILES) $(CFILES) $(HFILES) \
	$(OTHERSRCS)

OFILES = $(CLASSES:.m=.o) $(MFILES:.m=.o) $(CFILES:.c=.o)

ALL_CFLAGS = $(CFLAGS) $(OTHER_CFLAGS) 
ALL_OBJCFLAGS = $(OBJCFLAGS)

MAKEFILES = Makefile 

DIST = $(SRCFILES) $(MAKEFILES)

GARBAGE = $(NAME) *.o gmon.out *~ $(OTHERGARBAGE)

# Various commands:
SHELL  = /bin/sh
CHOWN  = chown
CHMOD  = chmod
TAR    = tar
STRIP  = strip
RM     = rm -f
ECHO   = echo
MKDIRS = mkdir -p
TOUCH  = touch
AWK    = awk
CP     = cp

.SUFFIXES: .m 

# Compilation rules:
.c.o:
	$(CC) $(ALL_CFLAGS) -c $*.c -o $*.o
.m.o:
	$(CC) $(ALL_CFLAGS) $(OBJCFLAGS) -c $*.m -o $*.o

# Build a set of dependencies for current level into Makefile.dependencies 
#depend:: Makefile.dependencies
   
#Makefile.dependencies:: $(CLASSES) $(MFILES) $(CFILES) $(HFILES)
depend:: $(CLASSES) $(MFILES) $(CFILES) $(HFILES)
	$(RM) -f Makefile.dependencies
	$(CC) -MM -Wno-import $(CFLAGS) $(OTHER_CFLAGS) \
		$(CLASSES) $(MFILES) $(CFILES) | \
	    $(AWK) '{ if ($$1 != prev) { if (rec != "") print rec; \
		rec = $$0; prev = $$1; } \
		else { if (length(rec $$2) > 70) { print rec; rec = $$0; } \
		else rec = rec " " $$2 } } \
		END { print rec }' > Makefile.dependencies

clean:: 
	$(RM) $(GARBAGE)

distclean:: clean

realclean:: distclean
