// MathConnector.h
// By Charles G. Fleming, Educational Computing Services, Allegheny College.
// Copyright 1993, Allegheny College.
// You may freely copy, distribute and reuse this code. 
// Allegheny College and the author disclaim any warranty of any kind, 
// expressed or implied, as to its fitness for any particular use.

#import "mathlink.h"

#import <appkit/appkit.h>

int MLReturnValue;
enum resultTypes {ERROR, INTEGER, REAL, INTEGERLIST, REALLIST, STRING,
		REALMATRIX, DEFINITION, GRAPHICS};
union returnValue
{
	int intVal;
	double	doubleVal;
	char 	*stringVal;
};	

@interface MathConnector:Object
{
	MLINK linkPointer;
}

- init;
- (MLINK)initMathConnection;
- (MLINK)link;
- (BOOL)evaluateExpression:(char *)string resultType:(int)type
		result:(void**)result;
- (BOOL)evaluateMatrixExpression:(char *)string resultType:(int)type
		result:(void**)result rows:(int *)rows cols:(int *)cols;
@end
