/* NrgObj.h - Copyright 1993 Steve Ludtke */
/* Does semi-emperical energy calculations */

#import <appkit/appkit.h>

#define NRG_HBOND	1
#define NRG_NONB	2
#define NRG_ELST	4

@interface NrgObj:Object
{
id molobj;				/* Points to the MolObj */
id Edisp;				/* energy display field */
id scanstat;			/* points to status sliders */
Molecule *mol;			/* points to the molecule array */
struct ELINFO *elinfo;	/* points to the periodic table info struct */
int nmol;				/* number of molecules */
float rmax;				/* cutoff radius for force field */
char flag;

/* Amber data tables */
struct BONDL *bondl;	/* bonded interactions */
struct NONB *nonb;		/* nonbonded interactions */
struct HBOND *hbond;	/* hydrogen bonds */
int nbondl,nnonb,nhbond;	/* number of entries in each table */
}

-init;
-startup:(Molecule *)Mol :(struct ELINFO *)Elinfo;
-readPotDat;	/* read the Amber tables */
-asnAmber;		/* make amber bond type assignments */
-(float)calcE:sender;	/* calculate energy */
-setRmax:sender;		/* set the cutoff radius */
-update:(int)nmol level:(int)level;
-recalc:sender;
-series:sender;		/* do a series of energy calculations */
-series2:sender;	/* do a series of energy calculations with chi rotations */
-setFlag:sender;
-calcElecDenProf:sender;	/* Calculates a 1d electron density profile */
-(float)elecDenY:(float)y;	/* used by calcElecDenProf */
-(float)elecDen:(float)x :(float)y :(float)z; /* ditto */
@end
