
/* Generated by Interface Builder */

#import <objc/Object.h>
#import <appkit/nextstd.h>	/* gets stdio */
#import <appkit/publicWraps.h>  /* for NXBeep */
#import <appkit/Form.h>		/* for NXCoord, etc. */

typedef struct {
    char  *filename;
    NXCoord *x;
    NXCoord *y;
    NXCoord *z;
    int   jmax;
    int   kmax;
    int   lmax;
    NXPoint gridmin;
    NXPoint gridmax;
} grid_hunk;

typedef struct {
    char  *filename;
    NXCoord *functions;
    NXCoord *pressure;
    NXCoord *mach_number;
    int   jmax;
    int   kmax;
    int   lmax;
    NXCoord fsmach;
    NXCoord alpha;
    NXCoord re;
    NXCoord time;
} solution_hunk;

typedef struct {
  NXCoord *x;
  NXCoord *y;
  int jmax;
  int kmax;
  NXPoint gridmin;
  NXPoint gridmax;
} grid_part;

typedef struct {
  NXCoord *x;
  NXCoord *y;
  NXCoord *f;
  int jmax;
  int kmax;
  NXPoint gridmin;
  NXPoint gridmax;
  NXCoord functionmin;
  NXCoord functionmax;
} function_part;

typedef struct {
  NXCoord *x;
  NXCoord *f;
  int jmax;
} line_data;

@interface Contour:Object
{
    id  canvasWindow;
    id  preferencesPanel;
    id  subsetsPanel;
    id  controlsPanel;
    id  colorPanel;
    id  helpPanel;
    id  levelsPanel;

    
    id  animate3DFOnOff;
    id  animate3DGOnOff;
    id	mainTitle;		/* the main title object */
    id	functionTitle;		/* the function title object */
    id  changeTitleFont;	/* the change title font on/off button */
    id  changeLabelFont;	/* the change label font on/off button */
    id  openPanel;
    id	fMax;
    id	fMin;
    id	xyLimits;
    id	canvas;
    id	zoomOnOff;
    id	lFunctionMax;
    id	kFunctionMax;
    id	jFunctionMax;
    id	lFunctionMin;
    id	kFunctionMin;
    id	jFunctionMin;
    id	lFunctionInc;
    id	kFunctionInc;
    id	jFunctionInc;
    id	functionMatrix;
    id	plotButton;
    id	lGridInc;
    id	kGridInc;
    id	jGridInc;
    id	lGridMin;
    id	kGridMin;
    id	jGridMin;
    id	lGridMax;
    id	kGridMax;
    id	jGridMax;
    id  contourLimits;
    id  numberContours;
    id  autoContours;
    id  drawFunction;
    id  drawGrid;
    id  clearPlot;
    id  printPreviewMode;
    id gridLineThickness;
    id gridLineColorMatrix;
    id contourLineThickness;
    id solidContourLines;
    id chooseGridPlane;
    id chooseFunctionPlane;
    id viewingTransformations;
    id viewPoint;
    id setAspectRatio;
    id contourLineColor;
    id xyLabelsOn;
    id unitsLabelOn;
    id contourValuesOn;
    int contourNumber;
    NXCoord *contourLevels;
    NXPoint oldMin;
    NXPoint oldMax;
    NXPoint currentMin;
    NXPoint currentMax;
    BOOL Two_D;
    BOOL colorOption;
    BOOL printColorMode;
    int beepError;
    BOOL stateChangeGrid;
    BOOL stateChangeFunction;
    BOOL gridIsReadIn;
    BOOL solutionIsReadIn;
    id absissaCoordinate;
    id chooseLineData;
    id jLineMin;
    id kLineMin;
    id lLineMin;
    id jLineMax;
    id kLineMax;
    id lLineMax;
    id jLineInc;
    id kLineInc;
    id lLineInc;
    id setDefault2D3D;
    id setDefaultDataForm;
    id setDefaultColor;
    id setDefaultPrintColor;
    id backgroundColor;
    id foregroundColor;
    id gridLineColor;
    id printColor;

    id setDefaultDiscipline;
    id setDefaultNumberOfFunctions;
    id choose2D3DData;
    id choose2D3DGrid;
    id chooseDiscipline;
    id chooseDataType;
    id chooseScreenSize;
    id numberOfFunctions;
    int number_Of_Functions_Read_In;
    BOOL AeroDynamic_Functions;
    BOOL Binary_Data_Type;
    NXColor backgroundcolor,foregroundcolor,gridcolor;

    /* structures */
    grid_hunk gridhunk;
    solution_hunk solnhunk;
    grid_part gridH;
    function_part functionH;
    line_data xyData;

    id   theTextView;		/* a TextView object */
    id   pboardoutput;			/* the pasteboard */
    BOOL listGrid_Data;
    BOOL listFunction_Data;
    BOOL listSolution_Data;
    NXStream *data_stream;

    NXRect oldFrame;
}


+ initialize;
+ new;


- (BOOL) doAnimateF;
- (BOOL) doAnimateG;
- (BOOL) doSetAspectRatio;
- (BOOL) do2D3D;
- (BOOL) do2D3D_grid;
- (BOOL) doZoom;
- (BOOL) doDrawFunction;
- (BOOL) doDrawGrid;
- (BOOL) doClearPlot;
- (BOOL) doSolidLines;
- (BOOL) shouldChangeTitleFont;
- (BOOL) shouldChangeLabelFont;
- (BOOL) shouldShowXYLabels;
- (BOOL) shouldShowUnitsLabel;
- (BOOL) shouldShowContourValues;
- (NXCoord) provideFsmach;
- (NXCoord) provideAlpha;
- (NXCoord) provideRe;
- (NXCoord) provideTime;
- (const char *) provideMainTitle;
- (const char *) provideFunctionTitle;
- (float) provideGridLineThickness;
- (float) provideContourLineThickness;
- (NXColor) provideGridLineColor;
- (NXColor) provideBackGroundColor;
- (NXColor) provideForeGroundColor;
- (int) provideContourLineColor;

- (function_part) provideFunction:sender;
- (grid_part) provideGrid:sender;
- (int) provideContourNumber:sender;
- (NXCoord *) provideContourLevels:sender;
- (int) provideViewingChoice:sender;
- (int) provideViewPoint:sender;
- (int) provideFunctionChoice:sender;
- (int)checkMinMax;
- stackOldMinMax:(float)xmin :(float)xmax :(float)ymin :(float)ymax;
- previousView:sender;

- makeContourLevels:sender;
- drawPlot:sender;
- drawPlotButton:(int)state;
- whyTheBeep:sender;
- resetDefaults:sender;
- resetAll:sender;
- resetProjectionData:sender;
- resetGridLineColorWell:sender;

- resetGridData:sender;
- resetGridSubsets:sender;
- resetGridMinMax:sender;

- resetFunctionSubsets:sender;
- resetFunctionData:sender;
- resetFunctionGridMinMax:sender;
- resetFunctionMinMax:sender;

- resetMinMax:sender;
- eQuateSubsets:sender;

- setWindowSize:sender;

- resetLineData:sender;
- resetLineSubsets:sender;
- writeOutLineData:sender;

- findGridMinAndMax;
- findFunctionMinAndMax;
- findFunctionGridMinAndMax;
- (NXCoord)provideXmin;
- (NXCoord)provideXmax;
- (NXCoord)provideYmin;
- (NXCoord)provideYmax;
- (NXCoord)provideFmin;
- (NXCoord)provideFmax;
- (NXCoord)provideContourmin;
- (NXCoord)provideContourmax;
- (NXCoord)provideContourinc;

- resetCmin:(NXCoord)x;
- resetCmax:(NXCoord)x;
- resetCinc:(NXCoord)x;
- resetFmin:(NXCoord)x;
- resetFmax:(NXCoord)x;
- resetXmin:(NXCoord)x;
- resetXmax:(NXCoord)x;
- resetYmin:(NXCoord)x;
- resetYmax:(NXCoord)x;


- openGrid:sender;
- openSolution:sender;
- readGrid:(NXStream *)aDataStream :(char *)dataFile;
- readSoln:(NXStream *)aDataStream :(char *)dataFile;
- openGridFile:(char *)dataFile;
- openSolnFile:(char *)dataFile;

- loadGrid:sender;
- loadFunction:sender;
- loadFunctionGrid:sender;

/* Services menu methods */

- validRequestorForSendType:(NXAtom)sendType andReturnType:(NXAtom)returnType;
- writeSelectionToPasteboard:pboard types:(NXAtom *)types;

- listGridData:sender;
- listGridLoad:sender;
- listSolutionData:sender;
- listFunctionData:sender;
- listFunction_SolutionLoad:sender;
@end



