//
// R250Engine
//
// This is an Objective-C class which uses
// the Random architecture from
// Contemporary Design Studios.
//
// The R250Engine class implements a random number generator that is
// reasonably fast.
//
// The algorithm used by the R250Engine class is that given in the article:
//   "A Fast Pseudo Random Number Generator" by W.L. Maier
//   Dr. Dobb's Journal, 1991 May, Page 152.
//   Published By:
//        M&T Publishing, Inc.
//        501 Galveston Drive
//        Redwood City, CA 94063
//        415-366-3600
//
// Copyright (C) 1992 Contemporary Design Studios. All rights reserved.
//


#import "RandomEngine.h"


@interface R250Engine : RandomEngine


{
    unsigned long	buffer[250];
    int			index;
}


+ (int)unit;

- init;

- makeRandom:(uchar *)storage;

- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;


@end


//
// End of file.
//