
/**********************************  signalView.h  *************************************/

/* Generated by Interface Builder */

#import <objc/Object.h>
#import <appkit/View.h>

@interface signalView:View
	/* "signalView" is a subclass of "view" */
{

id sOut; 
						/* field to display number of samples from ADC */
id freqOut; 
					/* field to display frequency of waveform being generated */
id adcOut;					/* field to display steady signal voltage sampled from ADC */ 
id swControl1Out;				/* field to display sine wave degree control ( end ) */ 
id swControl2Out;				/* field to display sine wave degree control ( begin ) */
 
id voltOut;					/* field to display voltage of waveform being generated*/ 
id backColorWellOut;			/* background color well */ 
id gridColorWellOut;			/* grid color well */ 
id traceColorWellOut;			/* trace ( beam of "scope" ) color well */ 
id textColorWellOut;			/* text color well */ 
id sqControlOut;				/* field to display duty cycle of pulse being generated */ 
id staircaseControlOut;			/* field to display no of steps on staircase waveform */ 
id traceMatrix;				/* field to display the "trace" feature, matrix has four fields */ 
id crossHairCursor;			/* pointer to NXCursor object, a tiff image, looks like cross-hairs */ 
NXPoint hotSpot;				/* point on "cross-hairs" 
pencilCursor that is aligned with mouse */
int freq1To17Value;			/* contains the value to generate different frequency */
int dacSelected;				/* contains value to select either of the two DACs */ 
int freqSliderValue; 			/* contains the actual value ( memory locations ) that control the */
							/* frequency of the waveform being generated */

float voltSliderValue;			/* contains the value that controls the amplitude of waveform */
							/* being generated */ 
int circularSlider1Value;		/* contains the value that controls the starting angle of the sine */
							/* waveform being reproduced by the signal generator */ 
int circularSlider2Value;		/* contains the value that controls the ending angle of the sine */
							/* waveform being reproduced by the signal generator */


int waveSelected;				/* contains the type of waveform being ganerated */
 
int dataDSP[ 50000 ];			/* array to store lookup data for the signal generator */ 
int dataDSPSample1[50000];	/* array to store sampled data from ADC */ 
int dataDSPSample2[50000];	/* array to store sampled data from ADC */ 
int gridFlag;					/* flag to display the grid on the "scope" */
 
int ch1Selected, ch2Selected;	/* flag to indicate the "scope" channel status ( on/off ) */ 
float freqScale1Factor;			/* contains the value to scale data ( frequency ) to fit on the */
							/* channel 1 "scope"
 */

int freqScale2Factor;			/* contains the value to scale data ( frequency ) to fit on the */
							/* channel 2 "scope"
*/ 
float vDiv1Value, vDiv2Value; 	/* contains the value to scale data ( amplitude ) to fit on the */
							/* channel 2 "scope"
*/
float sqSliderValue;			/* contains the value to control the duty cycle of the pulse */


							/* waveform being generated by the signal generator */
float staircaseStep;			/* contains the value to control the number of steps of the */
							/* staircase waveform being generated */
float beamFocusValue;
		/* contains the value that controls the "scope" beam size */ 
char *voltString1, *voltString2;	/* contains text to display voltage/div of both channels on */
 
							/* the "scope " */
char *timeString1, *timeString2;	/* contains text to display time/div of both channels on */
							/* the "scope " */

float backHue;			/* contains color value to control background hue of the "scope" */ 
float backSat;				/* contains color value to control background saturation of the "scope" */
 float backBrt;				/* contains color value to control background brightness of the "scope" */
 
float backAlpha;			/* contains color value to control background transparency of "scope" */
 
float gridHue;				/* contains color value to control grid hue of the "scope" */ 
float gridSat;				/* contains color value to control grid saturation of the "scope" */ 
float gridBrt;				/* contains color value to control grid brightness of the "scope" */
 
float gridAlpha;			/* contains color value to control grid transparency of the "scope" */
 
float traceHue; 			/* contains color value to control trace hue of the "scope" */
float traceSat;				/* contains color value to control trace saturation of the "scope" */

float traceBrt;				/* contains color value to control trace brightness of the "scope" */ 
float traceAlpha;			/* contains color value to control trace transparency of the "scope" */ 
float textHue;				/* contains color value to control text hue of the "scope" */ 
float textSat;				/* contains color value to control text saturation of the "scope" */ 
float textBrt;				/* contains color value to control text brightness of the "scope" */ 
float textAlpha;			/* contains color value to control text transparency of the "scope" */
float vpos1Value;			/* contains the value to move the vertical position of channel 1 beam */
 
float vpos2Value;			/* contains the value to move the vertical position of channel 2 beam */
 
float vpos1FineValue;		/* contains the value to move the vertical position of channel 1 beam */ 
float vpos2FineValue;		/* contains the value to move the vertical position of channel 2 beam */ 

int clickedValueX1;		/* contains x coordinate value in "signalView" when clicked for the */
						/* first time ( while using trace feaure ) */ 
int clickedValueY1;		/* contains y coordinate value in "signalView" when clicked for the */
						/* first time ( while using trace feaure ) */
 
int clickedValueX2;		/* contains x coordinate value in "signalView" when dragged and */
						/* released ( while using trace feaure ) */ 
int clickedValueY2;		/* contains y coordinate value in "signalView" when dragged and */
						/* released ( while using trace feaure ) */ 
int scrollValue;			/* used for the scroll feature while viewing the entire wave form of a */
						/* sampled signal */

int maxSamplePoints;		/* contains the value to store the maximum no of data to be sampled */
 
int storeSampleValue;		/* contains value to select either sample 1 or sample 2 to store data */
 
int periodicValue;			/* selects either to reproduce periodic or non-periodic waveform */ 
int xValue;				/* contains delay value to control freq of waveform to be reproduced */
}

/* Target / Action Methods, invoked when any slider or button obiect is moved or clicked */

- readADC:sender;			/* method to read the steady signal value from ADC AD7703 */ 
 
- wave1:sender;			/* method to generate sine waveform */
 
- wave2:sender;			/* method to generate pulse unipolar waveform */ 
 
- wave3:sender;			/* method to generate pulse bipolar waveform */
 
- wave4:sender;			/* method to generate DC positive */ 
 
- wave5:sender;			/* method to generate DC negative */ 
 
- wave6:sender;			/* method to generate staircase waveform */ 
 
- wave7:sender;			/* method to generate ramp unipolar waveform */ 
 
- wave8:sender;			/* method to generate ramp bipolar waveform */
 
- wave9:sender;			/* method to generate trialgular unipolar waveform */ 
 
- wave10:sender;			/* method to generate trialgular bipolar waveform */ 
 
- selectDac1:sender;		/* method to select DAC #l to generate waveform */ 
 
- selectDac2:sender;		/* method to select DAC #2 to generate waveform */ 
 
- freqSlider:sender;		/* method to change frequency of waveform being generated */ 
 
- voltSlider:sender;		/* method to change amplitude of waveform being generated */ 
 
- swControl1:sender;		/* method to control sine wave starting angle */ 
 
- swControl2:sender;		/* method to control sine wave ending angle */ 
 
- sqControl:sender;		/* method to control duty cycle of pulse waveform */ 

- staircaseControl:sender;	/* method to control staircase steps waveform */
 
- vDiv11 :sender;			/* method to scale "scope", channel 1 to 1 Volt/Div */
 
- vDiv12:sender;			/* method to scale "scope", channel 1 to 0.1 Volt/Div */
 
- vDiv13:sender;			/* method to scale "scope", channel 1 to 0.01 Volt/Div */ 
 
- tDiv11 :sender;			/* method to scale "scope", channel 1 to 2 mS/Div */ 
 
- tDiv12:sender;			/* method to scale "scope", channel 1 to 5 mS/Div */ 
 
- tDiv13:sender;			/* method to scale "scope", channel 1 to 10 mS/Div */ 
 
- tDiv14:sender;			/* method to scale "scope", channel 1 to 20 mS/Div */ 
 
- tDiv15:sender;			/* method to scale "scope", channel 1 to 50 mS/Div */ 
 
- tDiv16:sender;			/* method to scale "scope", channel 1 to 0.1 Sec/Div */ 
 
- vDiv21:sender;			/* method to scale "scope", channel 2 to 1 Volt/Div */
 
- vDiv22:sender;			/* method to scale "scope", channel 2 to 0.1 Volt/Div */
 
- vDiv23:sender;			/* method to scale "scope", channel 2 to 0.01 Volt/Div */ 
 
- tDiv21:sender;			/* method to scale "scope", channel 2 to 2 mS/Div */ 
 
- tDiv22:sender;			/* method to scale "scope", channel 2 to 5 mS/Div */ 
 
- tDiv23:sender;			/* method to scale "scope", channel 2 to 10 mS/Div */ 
 
- tDiv24:sender;			/* method to scale "scope", channel 2 to 20 mS/Div */ 
 
- tDiv25:sender;			/* method to scale "scope", channel 2 to 50 mS/Div */ 
 
- tDiv26:sender;			/* method to scale "scope", channel 2 to 0.1 Sec/Div */ 
 
- vpos1:sender;			/* method to move vertical position of "beam", channel 1 */ 
 
- vpos2:sender;			/* method to move vertical position of "beam", channel 2 */ 
 
- vpos1Fine:sender;		/* method to move vertical position (fine) of "beam", channel 1 */ 
 
- vpos2Fine:sender;		/* method to move vertical position (fine) of "beam", channel 2 */ 
 
- gridSwitch:sender;		/* method to tum on the grid of the "scope" */
 
- gridColor:sender;			/* method to change the grid color of the "scope"*/
 
- backColor:sender;		/* method to change the background color of the "scope" */ 
 
- traceColor:sender;		/* method to change the trace color of the "scope" */

- textColor:sender;			/* method to change the text color of the "scope" */
 
- calibrate:sender;			/* method to calibrate the ADC AD7703 */
 
- beamFocus:sender;		/* method to control the beam thickness of the "scope" */
 
- bright:sender;			/* method to set the beam brightness of the "scope " */

- gridLight:sender;			/* method to control the grid "light" of the "scope" */
 
- ch1Input1:sender;		/* method to turn off "scope", channel 1 */
 
- ch1Input2:sender;		/* method to connect input of "scope" channel 1 to ground */
 
- ch1Input3:sender;		/* method to connect input of "scope" channel 1 to DAC */
 
- ch1Input4:sender;		/* method to connect input of "scope" channel 1 to ADC */
 
- ch2Input1:sender;		/* method to turn off "scope", channel 2 */
 
- ch2Input2:sender;		/* method to connect input of "scope" channel 2 to ground */
 
- ch2Input3:sender;		/* method to connect input of "scope" channel 2 to DAC */
 
- ch2Input4:sender;		/* method to connect input of "scope" channel 2 to ADC */
 
- clearTraceRect:sender;	/* method to clear "trace rectangle" of trace feature on the "scope" */
 
- defaultColor:sender;		/* method to restore original colors to the "scope" */

- sample:sender;			/* method to sample data from the ADC */

- scrollLeft:sender;		/* method to scroll left, while scope is displaying waveform */

- scrollRight:sender;		/* method to scroll right, while scope is displaying waveform */

- scrollLeftMore:sender;	/* method to scroll left (more), while scope is displaying waveform */

- scrollRightMore:sender;	/* method to scroll right (more), while scope is displaying waveform */
 
- scrollOrigin:sender;		/* method to restore waveform to origin */

- reproduce:sender;		/* method to reproduce sampled data */

- storeSample1:sender;		/* method to store ADC sampled data in "samplel" */
 
- storeSample2:sender;		/* method to store ADC sampled data in "sample2" */
 
- outX1:sender;			/* method to scale reproducing frequency to X1 */
 
- outX5:sender;			/* method to scale reproducing frequency to X5 */
 
- outX10:sender;			/* method to scale reproducing frequency to X10 */
 
- outX100:sender;			/* method to scale reproducing frequency to X100 */
 
- periodic:sender;			/* method to set reproducing frequency to periodic */
 
- nonPeriodic:sender;		/* method to set reproducing frequency to non-periodic */
 
- gainUp:sender;			/* method to increase voltage gain of sampled waveform */

- gainDown:sender;		/* method to decrease voltage gain of sampled waveform */
 
- mix1Plus2:sender;		/* method to add waveform sample 1 and sample 2 */
 
- mix1Minus2:sender;		/* method to subtract waveform sample 1 and sample 2 */



/* Overridden view methods */

- initFrame:(const NXRect *) frameRect;
/* This method is executed once every time the application is run, to initialize all variables */

- drawSelf:(NXRect *)rects:(int) rectCount;
/* This method is executed after any action method is executed. Makes current changes to  */
/* the scope and wave generation
 */

- mouseDown: (NXEvent *) ptr;
/* To handle mouse events, whenever the pointer comes in the area of "signalView" */

- resetCursorRects;
/* This method is invoked automatically to reset cursor */

@end

