// ToolBuilder.h
// By Charles G. Fleming, Educational Computing Services, Allegheny College.
// Copyright 1993, Allegheny College.
// You may freely copy, distribute and reuse this code. 
// Allegheny College and the author disclaim any warranty of any kind, 
// expressed or implied, as to its fitness for any particular use.

#import <appkit/appkit.h>

@interface ToolBuilder:Window
{
	id	connectorMatrix;
	id	openPanel;
    id	classnameTextField;
    id	createInspectorButton;
    id	fileRetriever;
    id	fileSaver;
	id	scratchText;
	id	nibFileSaver;
	id	nibFileRetriever;
	id	nibSaver;
	id	connectorFileRetriever;

	char fullPath[MAXPATHLEN+1], filename[MAXPATHLEN+1];
	char directory[MAXPATHLEN+1], resultsDirectory[MAXPATHLEN+1];

	char *setMethodsMString, *setMethodsHString, *connectorString;
	char *connectorIdString;
	int numConnectors;
}

- appDidInit:sender;
- createClassFiles:sender;
- insertClassname;
- insertSetMethodsInM;
- insertSetMethodsInH;
- insertConnectorStringInM;
- insertConnectorIdStringInH;
- constructSetMethodStrings;
- (BOOL)convertFile:(char *)resource ext:(char *)extention
		destination:(char *)classname;
@end
