// (C) Copyright 1992 Jim Patterson
#import <objc/Object.h>
#import <objc/List.h>
#import <objc/NXBundle.h> // SW: localization

#define TA_KEY_LEFTSHIFT 30
#define TA_KEY_RIGHTSHIFT 31

// SW: localizable strings
#define TA_HOME		NXLocalizedString("HOME-ROW","asdfjkl;",the eight characters in the home row)
#define TA_PUNCT	NXLocalizedString("PUNCTUATION","!,.'`?\";:",punctuation characters)
#define TA_SYMBOL	NXLocalizedString("SYMBOLS","@#$%^&=*()_+-+[]{}\\|/><",symbol characters)
#define TA_EXT_LOWER	NXLocalizedString("EXT-LOWER","",extended lowercase characters)
#define TA_EXT_UPPER	NXLocalizedString("EXT-UPPER","",extended uppercase characters)

#define NUM_KEYS	128 /* SW: Number of keyboard keys */
#define NUM_CHARS	256 /* SW: Number of characters */

@interface LessonPlan:Object
{
	int lessonNum;
	int keyIsIncluded[NUM_CHARS];
	char compactedKeyList[NUM_KEYS];
	int numCompactedKeys;
	int compactedCapsToo;
	id keyboardBox;
	id keyboardKey[NUM_CHARS];
	id lessonNumMatrix;
	id lessonPlanWindow;	
}


+ new;
- postInitialize;
- setKeyboardBox:anObject;
- setLessonNumMatrix:anObject;
- setLessonPlanWindow:anObject;
- lessonNumMatrix;
- setLessonNum:(int) newLessonNum;
- keyChanged:sender;
- deselectAll;
- (BOOL) keyIsSelected:(int) key;
- selectKey :(int) key;
- deselectKey :(int) key;
- selectKeysInStr :(const char *) str;
- selectKeysBetween :(int) start :(int) finish;
- lessonChanged:sender;
- compactKeyList;
- flushKeyboard;
- (int) randomBetween:(int) lowBound :(int) highBound;
- (char) chooseChar;
- readInfo:(NXTypedStream *) tstream;
- writeInfo:(NXTypedStream *) tstream;



@end
