#include <stdio.h>
#include <ctype.h>
#include <math.h>

#define TRUE  1
#define FALSE 0
#define TD 0
#define TP 1
#define Te 2
#define Pr 3

int dataType,anError,incData,inFile,colNum,numFunctions,outputLength,incType;
int propOut,destination,errorIncrement,current,current2,max,max2,min,min2;
int nxOutput,altMatrix,incr,incr2,initialType,numData;
int attributes[] = {0,0,0,0,0,0,0,0};
float ttmp,PDtemp;

typedef struct 
    {
	double props[46];
    } property;
    
typedef struct
   {
      int specs[10] ;
      double states[4] ;
      int error;
   } water;
  
struct units
    {
      char temp[10];
      char pres[10];
      char dens[10];
      char volu[10];
      char ener[10];
      char en[10];
      char len[10];
    } myunits = {"C", "bar", "gm/cm**3", "cm**3/gm", "cal/g", "cal", "cm"};

char pdunits[10] = "bars";
char pressdens[10] = "pressure";
int pdens = 1;

char *properties[25] ={
	  " Helmholtz "," Gibbs ",
	  " Entropy "," Internal Energy ",
	  " Enthalpy "," Cv ",
	  " Cp "," Velocity ",
	  " alpha "," beta ",
	  " dielectric "," dynamic viscosity ",
	  " conductivity "," surface tension ",
	  " diffusivity "," Prandtl ",
          " kinematic viscosity "," alpha/beta ",
	  " ZBorn "," YBORN ",
	  " QBorn "," d(alpha)/dT "," XBorn ",
	  " Density","Molar Volume" };

char *prop_unit[25] = {
	"cal/mole   ","cal/mole   ",
	"cal/mole  C  ","cal/mole   ",
	"cal/mole   ","cal/mole C   ",
	"cal/mole C   ","cm/sec   ",
	"/C   ","/bar   ",
	"     ","g/cm sec    ",
	"cal/cm sec C    ","g/cm**2    ",
	"cm**2/sec   ","     ",
	"cm**2/sec   ","bars/C   ",
	"     ","/C    ",
	"/bar   ","/C**2   ","/C**2    ",
	"g/cm**3  ","cm**3/mole" };

FILE *fil1,*fors;

int spe[10];
char *columns[] = {"a","b","c","d","e","f","g","h"};

property _values_ = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
		     0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
		     0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
	             0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
		     0.0, 0.0};

water _params_ = {2,2,2,5,1,0,2,0,4,0, 25., 1., 1., 0., 0} ;
   /* it, id, ip, ih, itripl, isat, iopt, icrit */

