// AcceptDragText.h
// By Charles G. Fleming, Educational Computing Services, Allegheny College.
// Copyright 1993, Allegheny College.
// You may freely copy, distribute and reuse this code. 
// Allegheny College and the author disclaim any warranty of any kind, 
// expressed or implied, as to its fitness for any particular use.

#import <appkit/appkit.h>

@interface AcceptDragText:Text
{
	id	outputWindow;
	id	inspectorPanel;	
	id	dataFileRetriever;
	id	blackBorderNXImage;
	id	dragPasteboard;
	NXDragOperation dragOperation;
	char filename[MAXPATHLEN+1], directory[MAXPATHLEN+1];}

- initFrame:(const NXRect *)frameRect text:(const char *)theText 
		alignment:(int)mode;
- setOutputWindow:anObject;
- setInspectorPanel:anObject;
		
// Dragging methods.
- (NXDragOperation)draggingEntered:sender;
- (NXDragOperation)draggingUpdated:sender;
- draggingExited:sender;
- (BOOL)prepareForDragOperation:sender;
- (BOOL)performDragOperation:sender;
- concludeDragOperation:sender;
@end
