// InspectorLoader.m
// By Charles G. Fleming, Educational Computing Services, Allegheny College.
// Copyright 1993, Allegheny College.
// You may freely copy, distribute and reuse this code. 
// Allegheny College and the author disclaim any warranty of any kind, 
// expressed or implied, as to its fitness for any particular use.

#import "InspectorLoader.h"

@implementation InspectorLoader

// Convenient place to save the "no inspector" Inspector.
- setInspectorPanel:anObject
{
	inspectorPanel = anObject;

	noInspectorAvailable = [inspectorPanel contentView];
	return self;
}

// Display the current inspector.
- setCurrentInspector:anInspector
{
	currentInspector = anInspector;

	if(currentInspector)
		[inspectorPanel setContentView:[currentInspector contentView]];
	else
		[inspectorPanel setContentView:noInspectorAvailable];

	// Since setContentView does not redraw, we need to do this even
	// the window is offscreen.  Otherwise when it comes on screen it
	// may not show the correct contents.
	[inspectorPanel display];
	return self;
}

@end
