// ToolLoader.h
// By Charles G. Fleming, Educational Computing Services, Allegheny College.
// Copyright 1993, Allegheny College.
// You may freely copy, distribute and reuse this code. 
// Allegheny College and the author disclaim any warranty of any kind, 
// expressed or implied, as to its fitness for any particular use.

#import <appkit/appkit.h>

@interface ToolLoader:Object
{
	id	printInputMenuCell;
	id	inputWindow;
	id	outputWindow;
	id	acceptDragText;
	id	inputScrollView;
	id	toolScrollView;
	id	patiencePanel;
	id 	inspectorPanel;
	id  inputText;
    id	outputText;
	id  outputViewBox;
	id	improvConnector;
	id  mathConnector;
	id	evaluateButton;
	id	inspectorLoader;
	id	toolBox;

	id	toolList;
	id  toolPathsStorage;
	id	toolMatrix;
	id	prototypeCell;
	id	defaultToolIcon;
	id	openPanel;
	id 	currentInspector;
	
	id	connectorList;
	const char * const*filenames;
	const char *directory;
}

- init;
- loadTool;
- loadTool:sender;
- setToolDirectory:(const char *)aDirectory;
- setToolFiles:(const char *const *)fileList;
- selectTool:sender;
- textDidChange:textObject;
- textDidEnd:textObject endChar:(unsigned short)whyEnd;
- setTextFieldsTextDelegates:aView;

- (BOOL)setToolConnectors:tool;
- (BOOL)toolLoaded:(char *)tool;

- windowWillClose:sender;
- windowDidMove:sender;
- windowWillResize:sender toSize:(NXSize *)frameSize;

@end
 