#ifdef APOLLO
#include <libc.h>
#endif
#ifdef SUN
#include "SUN_libc.h"
#endif
#include <stdlib.h>
#include <string.h>
#include "ratfn.h"
#include "Macros.h"

main(int argc,char** argv)
{
   ratfn h;
   char*  help_str;

   if (argc > 2) {
       cerr << "Too many arguments\n";
       cerr << "Usage: demoratfn [-h]\n";
       exit(0);
   }
   if (argc == 2) {
       if (!strcmp(argv[1],"-h")) {
           help_str = new (char*)[64];
           strcpy(help_str,HELP_CMD);
           strcat(help_str," ");
           strcat(help_str,HELP_PATH);
           strcat(help_str,"ratfn");
           system(help_str);
           delete help_str;
       }
       else {
           cerr << "Usage: demoratfn [-h]\n";
           exit(0);
       }
   }
   cerr << "\nTest input:\n";
   cin >> h;
   cerr << "h: " << h << endl;
   cerr << "\nTest addition and subtraction:\n";
   cerr << "(h-1): " << h-1 << endl;

   ratfn h2;
   transform_variable z;
   h2.den = z^2;
   // causes warning message: non-const struct ratfn&....
   // quite hard to remove this warning.....
   h2.num = h.den + complex(7);
   cerr << "h: " << h << endl;
   cerr << "h2: " << h2 << endl;
   cerr << "h+h2: " << h+h2 << endl;

   cerr << "\nTest multipication:\n";
   cerr << "h*h2: " << h*h2 << endl;
   cerr << "z*(h-1): " << z*(h-1) << endl;

   cerr << "\nTest division :\n";
   // causes warning message: non-const struct ratfn&....
   // quite tough to remove this warning.
   //cerr << "((z^2)-z)/(z^3):" << ((z^2)-z)/(z^3) << endl;
   ratfn h3;
   h3.num = ((z^2)-z);
   cerr << "((z^2)-z)/(z^3) : " << h3.num/(z^3) << endl;
   
   cin >> h;
   cerr << "\nTest partial fraction handling:\n";
   cerr << "h(z): " << h << endl;
   cerr << "partial fraction expansion:\n";
   h.print_partial_fraction();
   complex x(1,0.5);
   cerr << "h("<<x<<") " << h(x) << ", using pf: " << h.pf_evaluate(x) << endl;

   cerr << "\nTest inverse Z-transform functions:\n";
   cerr << "h(z): " << h << endl;
   for (int n=0; n<10; ++n)
        cerr << h.invert_z_transform(n) << endl;
   cerr << endl;

   cerr << "\nTest integration along the unit circle:\n";
   cerr << "integral(0,pi): " << h.integrate_mag2_along_unit_circle(0,M_PI) <<endl;
   cerr << "integral(0,.1): " << h.integrate_mag2_along_unit_circle(0,0.1) <<endl;
   cerr << endl;    
}
