#ifdef APOLLO
#include <libc.h>
#endif
#ifdef SUN
#include "SUN_libc.h"
#endif
#include "vector.h"
#include "Macros.h"
#include <string.h>
#include <stdlib.h>

main(int argc, char** argv) {
    //initialise vector v;
    int i;
    cxVector u,w;
    cxVector *v = new cxVector(15,6);
    char* help_str;

    // check for help switch and print some help info
    if (argc > 2) {
        cerr << "Too many arguments\n";
        cerr << "Usage: demovector [-h]\n";
        exit(0);
    }
    if (argc == 2) {
        if (!strcmp(argv[1],"-h")) {
            help_str = new (char*)[64];
            if (!help_str) {
                help_str = (char*)malloc(64);
            }
            strcpy(help_str,HELP_CMD);
            strcat(help_str," ");
            strcat(help_str,HELP_PATH);
            strcat(help_str,"vector");
            system(help_str);
            delete help_str;
        }
        else {
            cerr << "Usage: demovector [-h]\n";
            exit(0);
        }
    }
    cerr << "Enter values for vector 'u' as {number number  ...}\n";
    cin >> u;
    cerr << "u: " << u << endl;
    cerr << "v: " << *v << endl;
    cout << "Now enter values for vector 'w' as before\n";
    cin >> w;
    cerr << "w: " << w << endl;

    cerr << "\n element reversal:\n";
    cerr << "\n reverse the elements of the vector v\n";
    v->reverse();
    cerr << "v: " << *v << endl;

    cerr << "\n copying the reversed vector to another\n";
    cxVector x=(*v);
    cerr << "x: " << x << endl;

    cxVector y(u,*v); //What does this do??
    cerr << "\n concatentation of vectors:\n";
    cerr << "y: " << y << endl;
    delete v;
    v = new cxVector(y);
    cerr << "new v: " << *v << endl;

    cerr << "\n size manipulation:\n";
    cerr << "How many elements do you want 'w' expanded to?\n";
    cin >> i;
    w.change_size(i);
    cerr << "bigger w:" << w << endl;
    cerr << "How many elements do you want 'v' contracted to?\n";
    cin >> i;
    v->change_size(i);
    cerr << "smaller v: " << *v << endl;

    /* future work
    cxVector x( 1, 2, 3, 4 );
    cerr << "\n advanced constructor:\n";
    cerr << "x( 1, 2, 3, 4 ): " << x << endl;
    x = cxVector( 5, 4, 3, 2 );
    cerr << "x = cxVector( 5, 4, 3, 2 ): " << x << endl;
    */                                   
}
