#ifndef COFRH
#define COFRH
#include "ratfn.h"

class CofR{ 
public:   
    int order;
    double *coeffs;

    // Object management
    CofR(){ order=0; coeffs=0; }
    CofR( const CofR &a );
    CofR( const ratfn &H );
    CofR& operator=( const CofR &a );
    void set_order( int n );

    // Interface
    ratfn	NTF();
    void	perturb( double amount, CofR &perturbed );

    // Utilities
    int ncoeffs() const { return order*3/2; }
};

ostream& operator<<(ostream&, const CofR& );
istream& operator>>(istream&, CofR& );

#endif
