#include <libc.h>
#include <fstream.h>
#include "ratfn.h"

/*
 * Find the Infinity-norm of a transfer function
 */

main(int argc, char *argv[]){
    if( argc != 2 ){
	cerr << "File containing Z-transform needed.\n";
	exit(-1);
	}

    ratfn H;
    if( !H.read_in( argv[1] ) ) exit(-1);

    const int N=1000;
    complex dz=complex(cos(M_PI/N), sin(M_PI/N)), z=1;
    double Hinf=0;
    for(int n=0; n<=N; ++n, z*=dz)
	Hinf = max( abs(H(z)), Hinf);
	
    cout << Hinf << endl;
    }
