#include <fstream.h>
#include <stdlib.h>
#include "ratfn.h"

/*
 * Tabulate the magnitude response of a given transfer function
 */

main(int argc, char *argv[]){
int indB=0;
char *fn;
double fmin=0, fmax=1; /* in fractions of pi */
int N=100;
    argv++;
    if( **argv == '-' ) { /* use dB */
	argc--; argv++;
	indB = 1;
	}
    if( argc < 2 ){
	cerr << "File containing Z-transform needed.\n";
	exit(-1);
	}
    else
	fn = *argv++;

    if( argc > 2 )
	fmin = atof(*argv++);
    if( argc > 3 )
	fmax = atof(*argv++);
    if( argc > 4 )
	N = atoi(*argv++);
    // cerr << "fmin="<<fmin <<", fmax="<<fmax <<", N=" <<N << '\n';

    ratfn H;
    if( !H.read_in( fn ) ) exit(-1);

    for(int n=0; n<=N; ++n){
	double f = fmin + n*(fmax-fmin)/N;
	cout << f << " ";
	complex ejw = expj(M_PI*f);
	if( indB )
	    cout << 10*log10(norm(H(ejw))+1e-50) << endl;
	else
	    cout << abs(H(ejw)) << endl;
	}
    }
