/* sine.c
 *  Make a sine wave.
 *  USAGE: sine N=duration(1024) {rms=power | A=amplitude(1)} f=frequency(1)
 */

#include <libc.h>
#include <stream.h>
#include <complex.h>
#include "mainhdr.h"

main( int argc, char **argv )
{
    double freq=1;
    double ts=0;
    double N_d=1024;
    double rms=-1, amplitude=-1;

    // Parse the arguments.
    struct parameterStruct parameters[6], *p=parameters;
    p->string = "N";		p++->parameter = &N_d;
    p->string = "rms";		p++->parameter = &rms;
    p->string = "A";		p++->parameter = &amplitude;
    p->string = "f";		p++->parameter = &freq;
    p->string = "ts";		p++->parameter = &ts;
    p->string = (char*)NULL;	p++->parameter = (double *)NULL;
    // Flags:
    struct flagStruct flags[2], *f=flags;
    f->string = "debug";       	f++->flag = &debug;
    f->string = (char*)NULL;    f++->flag = 0;
    parseArgs( argc, argv, parameters, flags );
    if( argc !=0 ) {
	ERRORMESG("Arguments which were not parsed:");
	while( argc-- )
	    cerr << (*argv++) << ' ';
	cerr << endl;
	exit(-1);
	}
    long N = (long)N_d;

    if( rms==-1 ){
	if( amplitude==-1 )
	    amplitude=1;
	}
    else if( amplitude==-1 )
	amplitude = sqrt(2)*rms;
    else {
	ERRORMESG("Please supply either a rms= OR a A= argument.");
	return -1;
	}

    cout.precision(15);
    double k=2*M_PI*freq/N;
    for( long i=-ts; i<N; ++i )
	cout << amplitude * cos(k*i) << endl;
}
