/* card.h */

/* contains structures used for new card parsing system */

#define MAX_FILE_DEPTH		10
#define MAX_WORDS			16
#define MAX_WORD_LENGTH		64		/* Matches aWord */

#define MAX_SUBCKT_DEPTH	10		/* This is plenty.  If it's Exceeded, buy Saber! */

/* command line options */
/* level of dialog during run */

#define DIALOG_NONE						0L	/* silence on stderr unless fatal */
#define DIALOG_NORMAL					1L
#define DIALOG_HIGHLIGHTS				3L
#define DIALOG_PAINFUL_DETAIL			7L

#define COMPILER_FORCE_COMPILATION		1
#define COMPILER_COMPILE_AND_QUIT		2
#define COMPILER_QUICK_MODE				3

#define PRINT_NORMAL 	 (flag_dialog & (long) 0x01)
#define PRINT_HIGHLIGHTS (flag_dialog & (long) 0x02)
#define PRINT_PAINFUL	 (flag_dialog & (long) 0x04)

typedef struct {
  char FIRSTCHAR;							/* case INSENSITIVE */
  char Card[80];							/* case   sEnSitivE */
  char CARD[80];							/* case INSENSITIVE */
  char Word[MAX_WORDS][MAX_WORD_LENGTH];	/* case   sEnSitivE */
  char WORD[MAX_WORDS][MAX_WORD_LENGTH];	/* case INSENSITIVE */
  long word_count;
} rcard_struct;

typedef struct {
  FILE *filePtr[MAX_FILE_DEPTH];
  aWord filename;
  int  depth;			/* signed */
} rfile_struct;

#define REQUEST_NODE	1
#define CREATE_NODE		2

typedef struct {
  char name[MAX_WORD_LENGTH];
  /* more may follow */
  } nodeNameStruct;

typedef struct {
  nodeNameStruct *node;
  long max_nodes;
  long node_size;
  } nodeManager;

typedef struct {
  char name[MAX_WORD_LENGTH];
  boolean assigned;
  double value;
  /* more may follow */
  } symbolNameStruct;
  
typedef struct {
  symbolNameStruct *symbol;
  long max_symbols;
  long symbol_size;
  } symbolManager;  
  
typedef struct {
  clock_t start;
  clock_t read_file;
  clock_t setup;
  clock_t solve;
  clock_t simulate;
  clock_t post_process;
  } timingManager;  
  
/* FFT stuff */  
typedef struct {
  double	re;
  double	im;
  } gck_complex;

#define FFT_ARRAY_SIZE		128
  
/* fptypes for FFT printout */
#define FP_REAL			0
#define FP_IMAG			1
#define FP_MAGN			2
#define FP_PHASE		3
#define FP_DB			4

#define WINDOW_RECTANGULAR					0
#define WINDOW_TRIANGULAR					1
#define WINDOW_HANN							2
#define WINDOW_HAMMING						3
#define WINDOW_BLACKMAN						4

