/* ******************************************************************** */
/* *                           GCK                                    * */
/* *               A Circuit Simulation Program                       * */
/* *                    by Tanju Cataltepe                            * */
/* *                    (c) Copyright 1989                            * */
/* ******************************************************************** */
/* (c) Copyright 1989, Tanju Cataltepe */


/* buildsys */

void gaussj(long);
void BuildSystem();
void BuildQuickSystem();


/* cmdline.c */

void parseCommandLineOptions(char *);
void parseCommandLineSymbol(char *);


/* errorReport.c */
void errorReport(long, char *, long, long);


/* gck_fft.c */
void compute_fft(gck_complex *,long);
void window_data(gck_complex *,long);
long bit_reversed_index(long, long);
long get_max_stages(long);
void process_fft();
void print_fft();


/* fileage.c */

#ifdef Macintosh
long FileAge(char *);
#else
time_t FileAge(char *);
#endif

/* gck_atod */

double gck_atod(char *);


/* nodes */

long nodeRecordFromList(char *, unsigned char);
long nodeID(char *);
void PushState();
void PopState();
void openSubckt(char *);
void closeSubckt(char *);
void readSymbolDef();
double parseSymbol(branchRec **, long, long);
double parseSymbolModel(modelRec **, long, long);
void expandSymbols(branchRec **);
double getSymbolValueByName(char *);
boolean doesSymbolExist(char *);
void createSymbol(char *, char *);
void createCommandSymbol(char *, char *);
void MakeSymbolList(flex *, long);
void dsymbol_base();
void updateSymbols();
	


/* gck_lib.c */

void *c_malloc(long);
int P_eof(FILE *);
int P_eoln(FILE *);
double gck_random();
void initializeGlobals();
void MakeValueList(flex *, long);
void MakeIDList(flex *, long);
long GetID(flex, long);
double GetValue(flex, long);
void PutToID(flex *, long, long);
void PutToValue(flex *, long, double);
long CloneID(flex, flex *);
void GetBranchByID(branchRec **, long);
void GetBranchByName(branchRec **, char *);
void newBranch(branchRec **, long, long);
void GetModelByName(modelRec **, char *);
void GetClockByName(clockRec **, char *);
void GetSubcktByName(subcktRec **, char *);
void GetFromSystem(systemRec **, long);
void InitializeSystem();
long branchID();
void readCard(FILE **, char *);
char *GetWord(char *, long);
char *GetWORD(char *, long);
void readNNode(branchRec **, char *, long);
void read2Node(branchRec **, char *);
void read4Node(branchRec **, char *);
void read2NodeName(branchRec **, char *);
void read4NodeName(branchRec **, char *);
void read2NodeValue(branchRec **, char *);
void read4NodeValue(branchRec **, char *);
void readLibrary();
void readClock(char *);
void readNode(char *);
void SetUpNodes();
void RunNodes();
void readTimeStep(char *);
void readClockPeriod(char *);
void readTime(char *);
void readSample(char *);
void readPrint(char *);
void readFFT();
void SetUpPrint();
void SetUpFFT();
void RunPrint();
void RunFFT();
void readModelSection(FILE **, char *);
void readXCard(char *);
void substituteSubckt(branchRec **);
void MakeCapacitor(branchRec **);
void readCapacitor(char *);
void MakeInductor(branchRec **);
void readInductor(char *);
void MakeResistor(branchRec **);
void readResistor(char *);
void readSource(char *);
void CreateSourceList();
void SetUpSources();
void RunSources();
void MakeVCVS(branchRec **);
void readVCVS(char *);
void MakeVCCS(branchRec **);
void readVCCS(char *);
void MakeCCVS(branchRec **);
void readCCVS(char *);
void MakeCCCS(branchRec **);
void readCCCS(char *);
void MakeSwitch(branchRec **);
void readSwitch(char *);
void SetUpClock(branchRec **);
void SetUpModel(branchRec **);
void MakeOpamp(branchRec **);
void readOpamp(char *);
void RunOpamp(nonlinRec **);
void MakeQuantizer(branchRec **);
void readQuantizer(char *);
void RunQuantizer(nonlinRec **);
void MakeNonlinList();
void SetUpNonlins();
void RunNonlins();
void MakeDelay(branchRec **);
void readDelay(char *);
void SetUpDelay(digitalRec **);
void RunDelay(digitalRec **);
void MakeAdder(branchRec **);
void readAdder(char *);
void MakeMult(branchRec **);
void readMult(char *);
void SetUpMult(digitalRec **);
void RunMult(digitalRec **);
void readDigital(char *);
void MakeDigitalList();
void SetUpDigital();
void RunDigital();
void readLogical(char *);
void readTable(FILE **, char *);
void GetTableByName(tableRec **, char *);
void MakeLogicalList();
void RunLogical();
void SetUpCircuit();
void Diagnostic();
void SetUpVariables();
void RunSystem(systemRec **);
void readInputFile();
void exit_now();





