TS(1)                              |STAT                   January 20, 1987

NAME
     ts - time series analysis

SYNOPSIS
     ts [-aeps] [-b base] [-c lag] [-i interval] [-l length]
          [-P style] [-n number] [-w width]

DESCRIPTION
     _t_s performs a variety of time series analyses on ordered data read
     from the standard input.

OPTIONS
     -a   requests no axes around plot.

     -b base
          set the base label of the time series.

     -c lag
          print (auto)correlation of lags 1:lag.  These can be useful for
          detecting cycles and other trends within the data.  The output
          for a lag of zero is the correlation of the time series with the
          numbers 1 through the length of the time series.

     -e   echo the time series (may be useful with the -l option).

     -i size
          set the interval size for plot labels.

     -l length
          sets the length of the time series.  This can be useful for
          summarizing, or for comparing time series of different lengths.

     -n N number the output lines of plots every N points.

     -p   requests a time series plot.  A vertical mean line is used for
          the center of the plot.

     -P plotnum
          Plot type.  The default (type 1) plots points as deviations from
          the mean.  Plot type 2 plots points as lines above the minimum.
          A line plot of the range indicating the mean and standard
          deviation surround plots.

     -s   Print summary statistics.

     -w width
          Plot width (default: 70).

EXAMPLES
     Side-by-side plots can compare trends in series of different lengths:
          ts -p -w 20 -l 30 < data1 > plot1
          ts -p -w 20 -l 30 < data2 > plot2
          pr -m plot1 plot2

LIMITS
     Use the -L option to determine the program limits.

MISSING VALUES
     Missing data values (NA) are counted but not included in the analysis.
