(*^

::[showRuler; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, L1, e8,  28, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, L1, e6,  22, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, L1, e6,  16, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, L1, a20,  22, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, L1, a15,  16, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, L1, a12,  14, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  14, "Times"; ;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, L1,  14, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  14, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  14, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  14, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  14, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  14, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  14, "Times"; ;
	fontset = Left Header, nohscroll, cellOutline,  14, "Times"; ;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  14, "Times"; ;
	fontset = Left Footer, cellOutline, blackBox,  14, "Times"; ;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  14, "Times"; ;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  14, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  14, "Times"; ;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  14, "Times"; ;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  14, "Times"; ;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  14, "Times"; ;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  14, "Times"; ;]
:[font = title; inactive; preserveAspect; rightWrapOffset = 528; fontColorBlue = 65535; ]

COSY_PAK
Control Systems Analysis Package
  for Mathematica 
;[s]
2:0,0;49,1;61,-1;
2:1,25,19,Times,1,28,0,0,0;1,26,20,Times,3,28,0,0,0;
:[font = subtitle; inactive; preserveAspect; rightWrapOffset = 528; ]

By
 C.K. Chen              N. Sreenath 
  1992
       
:[font = message; inactive; preserveAspect; center; rightWrapOffset = 528; fontName = "Courier"; ]
Systems Engineering Department
Case School of Engineering
Case Western Reserve University
Cleveland, OH, 44106-7070
:[font = message; inactive; dontPreserveAspect; center; rightWrapOffset = 528; ]


Support from
CWRU Information and Network Services - Dr. Ray Neff
Case Alumni Association
The Lilly Foundation


:[font = subtitle; inactive; preserveAspect; leftWrapOffset = 23; rightWrapOffset = 528; ]
Chapter 6
Frequency-Response Analysis
:[font = section; inactive; Cclosed; preserveAspect; rightWrapOffset = 528; startGroup; ]
Initialization
:[font = input; initialization; preserveAspect; rightWrapOffset = 528; ]
*)
(* Initialization of Path *)

(* Example For UNIX machine  (Default) *)   

$Path=Join[$Path,
	{"~/Library/Mathematica/Packages"}];


(* Example For IBM PC 		 *)
(*
$Path=Join[$Path,	
	 {"c:\winmath\packages"}];	 
*)	 

(* Example For MAC 		 *)
(*
$Path=Join[$Path,	
	 {"My_Harddisk:Mathematica:Package"}];	 
*)	 

(*
:[font = input; initialization; preserveAspect; rightWrapOffset = 528; endGroup; ]
*)
Needs["COSYPAK`chap6`"]
(*
:[font = section; inactive; preserveAspect; rightWrapOffset = 528; ]
Frequency Response
:[font = section; inactive; Cclosed; preserveAspect; rightWrapOffset = 528; startGroup; ]
Bode Plot
:[font = text; inactive; preserveAspect; rightWrapOffset = 528; ]
	A sinusoidal transfer function may be represented by two separate plots, one giving the magnitude versus frequency and the other the phase angle (in degree) versus frequency. A Bode diagram consists of two graphs: One is a plot of the logarithm of the magnitude of a sinusoidal transfer function; the other is plot of the phase angle; both are plotted against the frequency (in Hz or in radians per second) in a logarithmic scale.
	
COST_PAK Function
MagPlot[Transf, s, {w,wmin,wmax}, gopts]: Plots the magnitude part of Bode plot of transfer function Transf(s) in decibel(dB), from frequency w=wmin to w=wmax, both > 0 and in radians per second. Returns graphics.

COST_PAK Function 
PhasePlot[Transf, s, {w,wmin,wmax}, gopts]: Plots the phase part of Bode plot of transfer function Transf(s) in degree, from frequency w=wmin to w=wmax; w is in radian per second.Returns graphics.
;[s]
23:0,0;1,1;431,2;451,3;452,4;493,5;553,6;562,7;594,8;600,9;604,10;610,11;667,12;684,13;686,14;729,15;785,16;794,17;821,18;827,19;831,20;837,21;838,22;882,-1;
23:1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,11,8,Times,0,12,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subsubsection; inactive; Cclosed; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; startGroup; ]
Example 
:[font = input; Cclosed; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; startGroup; ]
tranf1 = (s+3)/s/(s+2)/( s^2 + s+1);
SequenceForm["The transfer function: ", tranf1]
MagPlot[tranf1,s,{w,0.2,10}]
PhasePlot[tranf1,s,{w,0.2,10}]

:[font = output; output; inactive; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; ]
"The transfer function: "(3 + s)/(s*(2 + s)*(1 + s + s^2))
;[o]
                               3 + s
The transfer function: ----------------------
                                           2
                       s (2 + s) (1 + s + s )
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; pictureLeft = 34; pictureWidth = 430; pictureHeight = 266; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.415627 0.560564 0.469117 0.007605 [
[(0.2)] 0.02381 0 0 2 0 Minner Mrotsboxa
[(0.5)] 0.24688 0 0 2 0 Minner Mrotsboxa
[(1)] 0.41563 0 0 2 0 Minner Mrotsboxa
[(2)] 0.58437 0 0 2 0 Minner Mrotsboxa
[(5)] 0.80744 0 0 2 0 Minner Mrotsboxa
[(10.)] 0.97619 0 0 2 0 Minner Mrotsboxa
[(Frequency \(rad/sec\))] 0.5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-60)] -0.0125 0.01284 1 0 0 Minner Mrotsboxa
[(-40)] -0.0125 0.16493 1 0 0 Minner Mrotsboxa
[(-20)] -0.0125 0.31702 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 0.46912 1 0 0 Minner Mrotsboxa
[(20 log|G\(s\)| \(dB\))] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotsboxa
[(Magnitude Plot)] 0.5 0.61803 0 -4 Msboxa
[( )] 1.0375 0.30902 -1 0 90 Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.12252 0 moveto
0.12252 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.19256 0 moveto
0.19256 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.24688 0 moveto
0.24688 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.29127 0 moveto
0.29127 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.32879 0 moveto
0.32879 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.3613 0 moveto
0.3613 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.38998 0 moveto
0.38998 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.41563 0 moveto
0.41563 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.58437 0 moveto
0.58437 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.68308 0 moveto
0.68308 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.75312 0 moveto
0.75312 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.80744 0 moveto
0.80744 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.85183 0 moveto
0.85183 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.88936 0 moveto
0.88936 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.92187 0 moveto
0.92187 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.95054 0 moveto
0.95054 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.97619 0 moveto
0.97619 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.16493 moveto
1 0.16493 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.31702 moveto
1 0.31702 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.46912 moveto
1 0.46912 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.02381 0 moveto
0.02381 0.00625 lineto
stroke
grestore
[(0.2)] 0.02381 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.24688 0 moveto
0.24688 0.00625 lineto
stroke
grestore
[(0.5)] 0.24688 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.41563 0 moveto
0.41563 0.00625 lineto
stroke
grestore
[(1)] 0.41563 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.58437 0 moveto
0.58437 0.00625 lineto
stroke
grestore
[(2)] 0.58437 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.80744 0 moveto
0.80744 0.00625 lineto
stroke
grestore
[(5)] 0.80744 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.97619 0 moveto
0.97619 0.00625 lineto
stroke
grestore
[(10.)] 0.97619 0 0 2 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0.12252 0 moveto
0.12252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.19256 0 moveto
0.19256 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.29127 0 moveto
0.29127 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.32879 0 moveto
0.32879 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.3613 0 moveto
0.3613 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38998 0 moveto
0.38998 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68308 0 moveto
0.68308 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75312 0 moveto
0.75312 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85183 0 moveto
0.85183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88936 0 moveto
0.88936 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92187 0 moveto
0.92187 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.95054 0 moveto
0.95054 0.00375 lineto
stroke
grestore
[(Frequency \(rad/sec\))] 0.5 0 0 2 0 0 -1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01284 moveto
0.00625 0.01284 lineto
stroke
grestore
[(-60)] -0.0125 0.01284 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.16493 moveto
0.00625 0.16493 lineto
stroke
grestore
[(-40)] -0.0125 0.16493 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.31702 moveto
0.00625 0.31702 lineto
stroke
grestore
[(-20)] -0.0125 0.31702 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.46912 moveto
0.00625 0.46912 lineto
stroke
grestore
[(0)] -0.0125 0.46912 1 0 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0 0.04325 moveto
0.00375 0.04325 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.07367 moveto
0.00375 0.07367 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.10409 moveto
0.00375 0.10409 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.13451 moveto
0.00375 0.13451 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.19535 moveto
0.00375 0.19535 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.22577 moveto
0.00375 0.22577 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.25619 moveto
0.00375 0.25619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.2866 moveto
0.00375 0.2866 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.34744 moveto
0.00375 0.34744 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.37786 moveto
0.00375 0.37786 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.40828 moveto
0.00375 0.40828 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.4387 moveto
0.00375 0.4387 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.49954 moveto
0.00375 0.49954 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.52995 moveto
0.00375 0.52995 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.56037 moveto
0.00375 0.56037 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.59079 moveto
0.00375 0.59079 lineto
stroke
grestore
[(20 log|G\(s\)| \(dB\))] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
0 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.02381 0.61178 moveto
0.02381 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.24688 0.61178 moveto
0.24688 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.41563 0.61178 moveto
0.41563 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.58437 0.61178 moveto
0.58437 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.80744 0.61178 moveto
0.80744 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.97619 0.61178 moveto
0.97619 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.12252 0.61428 moveto
0.12252 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.19256 0.61428 moveto
0.19256 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.29127 0.61428 moveto
0.29127 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.32879 0.61428 moveto
0.32879 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.3613 0.61428 moveto
0.3613 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38998 0.61428 moveto
0.38998 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68308 0.61428 moveto
0.68308 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75312 0.61428 moveto
0.75312 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85183 0.61428 moveto
0.85183 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88936 0.61428 moveto
0.88936 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92187 0.61428 moveto
0.92187 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.95054 0.61428 moveto
0.95054 0.61803 lineto
stroke
grestore
[(Magnitude Plot)] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0 0.61803 moveto
1 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.01284 moveto
1 0.01284 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.16493 moveto
1 0.16493 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.31702 moveto
1 0.31702 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.46912 moveto
1 0.46912 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.04325 moveto
1 0.04325 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.07367 moveto
1 0.07367 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.10409 moveto
1 0.10409 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.13451 moveto
1 0.13451 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.19535 moveto
1 0.19535 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.22577 moveto
1 0.22577 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.25619 moveto
1 0.25619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.2866 moveto
1 0.2866 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.34744 moveto
1 0.34744 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.37786 moveto
1 0.37786 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.40828 moveto
1 0.40828 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.4387 moveto
1 0.4387 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.49954 moveto
1 0.49954 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.52995 moveto
1 0.52995 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.56037 moveto
1 0.56037 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.59079 moveto
1 0.59079 lineto
stroke
grestore
[( )] 1.0375 0.30902 -1 0 90 Mrotshowa
gsave
0.002 setlinewidth
1 0 moveto
1 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0 0.46912 moveto
1 0.46912 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.41563 0 moveto
0.41563 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.02381 0.60332 moveto
0.19508 0.55986 lineto
0.29462 0.5359 lineto
0.33239 0.52586 lineto
0.36508 0.5153 lineto
0.39389 0.50332 lineto
0.41965 0.48968 lineto
0.50185 0.42837 lineto
0.56319 0.37387 lineto
0.61214 0.32945 lineto
0.65288 0.29265 lineto
0.68777 0.26142 lineto
0.71828 0.23436 lineto
0.74539 0.21053 lineto
0.76978 0.18926 lineto
0.79195 0.17007 lineto
0.81226 0.1526 lineto
0.83102 0.13656 lineto
0.84843 0.12175 lineto
0.86467 0.10798 lineto
0.8799 0.09512 lineto
0.89424 0.08306 lineto
0.90777 0.0717 lineto
0.92059 0.06097 lineto
0.93278 0.0508 lineto
0.94438 0.04114 lineto
0.95545 0.03193 lineto
0.96604 0.02313 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; pictureLeft = 34; pictureWidth = 430; pictureHeight = 266; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.415627 0.560564 0.97099 0.003547 [
[(0.2)] 0.02381 0 0 2 0 Minner Mrotsboxa
[(0.5)] 0.24688 0 0 2 0 Minner Mrotsboxa
[(1)] 0.41563 0 0 2 0 Minner Mrotsboxa
[(2)] 0.58437 0 0 2 0 Minner Mrotsboxa
[(5)] 0.80744 0 0 2 0 Minner Mrotsboxa
[(10.)] 0.97619 0 0 2 0 Minner Mrotsboxa
[(Frequency \(rad/sec\))] 0.5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-250)] -0.0125 0.08431 1 0 0 Minner Mrotsboxa
[(-225)] -0.0125 0.17298 1 0 0 Minner Mrotsboxa
[(-200)] -0.0125 0.26164 1 0 0 Minner Mrotsboxa
[(-175)] -0.0125 0.35031 1 0 0 Minner Mrotsboxa
[(-150)] -0.0125 0.43898 1 0 0 Minner Mrotsboxa
[(-125)] -0.0125 0.52765 1 0 0 Minner Mrotsboxa
[(-100)] -0.0125 0.61632 1 0 0 Minner Mrotsboxa
[(Degree of |G\(s\)|)] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotsboxa
[(Phase Plot)] 0.5 0.61803 0 -4 Msboxa
[( )] 1.0375 0.30902 -1 0 90 Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.12252 0 moveto
0.12252 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.19256 0 moveto
0.19256 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.24688 0 moveto
0.24688 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.29127 0 moveto
0.29127 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.32879 0 moveto
0.32879 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.3613 0 moveto
0.3613 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.38998 0 moveto
0.38998 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.41563 0 moveto
0.41563 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.58437 0 moveto
0.58437 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.68308 0 moveto
0.68308 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.75312 0 moveto
0.75312 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.80744 0 moveto
0.80744 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.85183 0 moveto
0.85183 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.88936 0 moveto
0.88936 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.92187 0 moveto
0.92187 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.95054 0 moveto
0.95054 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.97619 0 moveto
0.97619 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.08431 moveto
1 0.08431 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.17298 moveto
1 0.17298 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.26164 moveto
1 0.26164 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.35031 moveto
1 0.35031 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.43898 moveto
1 0.43898 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.52765 moveto
1 0.52765 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.02381 0 moveto
0.02381 0.00625 lineto
stroke
grestore
[(0.2)] 0.02381 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.24688 0 moveto
0.24688 0.00625 lineto
stroke
grestore
[(0.5)] 0.24688 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.41563 0 moveto
0.41563 0.00625 lineto
stroke
grestore
[(1)] 0.41563 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.58437 0 moveto
0.58437 0.00625 lineto
stroke
grestore
[(2)] 0.58437 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.80744 0 moveto
0.80744 0.00625 lineto
stroke
grestore
[(5)] 0.80744 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.97619 0 moveto
0.97619 0.00625 lineto
stroke
grestore
[(10.)] 0.97619 0 0 2 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0.12252 0 moveto
0.12252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.19256 0 moveto
0.19256 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.29127 0 moveto
0.29127 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.32879 0 moveto
0.32879 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.3613 0 moveto
0.3613 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38998 0 moveto
0.38998 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68308 0 moveto
0.68308 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75312 0 moveto
0.75312 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85183 0 moveto
0.85183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88936 0 moveto
0.88936 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92187 0 moveto
0.92187 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.95054 0 moveto
0.95054 0.00375 lineto
stroke
grestore
[(Frequency \(rad/sec\))] 0.5 0 0 2 0 0 -1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.08431 moveto
0.00625 0.08431 lineto
stroke
grestore
[(-250)] -0.0125 0.08431 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.17298 moveto
0.00625 0.17298 lineto
stroke
grestore
[(-225)] -0.0125 0.17298 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.26164 moveto
0.00625 0.26164 lineto
stroke
grestore
[(-200)] -0.0125 0.26164 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.35031 moveto
0.00625 0.35031 lineto
stroke
grestore
[(-175)] -0.0125 0.35031 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.43898 moveto
0.00625 0.43898 lineto
stroke
grestore
[(-150)] -0.0125 0.43898 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.52765 moveto
0.00625 0.52765 lineto
stroke
grestore
[(-125)] -0.0125 0.52765 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.61632 moveto
0.00625 0.61632 lineto
stroke
grestore
[(-100)] -0.0125 0.61632 1 0 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0 0.01337 moveto
0.00375 0.01337 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.03111 moveto
0.00375 0.03111 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.04884 moveto
0.00375 0.04884 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.06657 moveto
0.00375 0.06657 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.10204 moveto
0.00375 0.10204 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.11977 moveto
0.00375 0.11977 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.13751 moveto
0.00375 0.13751 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.15524 moveto
0.00375 0.15524 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.19071 moveto
0.00375 0.19071 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.20844 moveto
0.00375 0.20844 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.22618 moveto
0.00375 0.22618 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.24391 moveto
0.00375 0.24391 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.27938 moveto
0.00375 0.27938 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.29711 moveto
0.00375 0.29711 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.31484 moveto
0.00375 0.31484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.33258 moveto
0.00375 0.33258 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.36805 moveto
0.00375 0.36805 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.38578 moveto
0.00375 0.38578 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.40351 moveto
0.00375 0.40351 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.42125 moveto
0.00375 0.42125 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.45671 moveto
0.00375 0.45671 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.47445 moveto
0.00375 0.47445 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.49218 moveto
0.00375 0.49218 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.50991 moveto
0.00375 0.50991 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.54538 moveto
0.00375 0.54538 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.56312 moveto
0.00375 0.56312 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.58085 moveto
0.00375 0.58085 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.59858 moveto
0.00375 0.59858 lineto
stroke
grestore
[(Degree of |G\(s\)|)] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
0 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.02381 0.61178 moveto
0.02381 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.24688 0.61178 moveto
0.24688 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.41563 0.61178 moveto
0.41563 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.58437 0.61178 moveto
0.58437 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.80744 0.61178 moveto
0.80744 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.97619 0.61178 moveto
0.97619 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.12252 0.61428 moveto
0.12252 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.19256 0.61428 moveto
0.19256 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.29127 0.61428 moveto
0.29127 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.32879 0.61428 moveto
0.32879 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.3613 0.61428 moveto
0.3613 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38998 0.61428 moveto
0.38998 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68308 0.61428 moveto
0.68308 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75312 0.61428 moveto
0.75312 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85183 0.61428 moveto
0.85183 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88936 0.61428 moveto
0.88936 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92187 0.61428 moveto
0.92187 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.95054 0.61428 moveto
0.95054 0.61803 lineto
stroke
grestore
[(Phase Plot)] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0 0.61803 moveto
1 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.08431 moveto
1 0.08431 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.17298 moveto
1 0.17298 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.26164 moveto
1 0.26164 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.35031 moveto
1 0.35031 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.43898 moveto
1 0.43898 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.52765 moveto
1 0.52765 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.61632 moveto
1 0.61632 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.01337 moveto
1 0.01337 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.03111 moveto
1 0.03111 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.04884 moveto
1 0.04884 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.06657 moveto
1 0.06657 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.10204 moveto
1 0.10204 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.11977 moveto
1 0.11977 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.13751 moveto
1 0.13751 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.15524 moveto
1 0.15524 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.19071 moveto
1 0.19071 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.20844 moveto
1 0.20844 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.22618 moveto
1 0.22618 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.24391 moveto
1 0.24391 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.27938 moveto
1 0.27938 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.29711 moveto
1 0.29711 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.31484 moveto
1 0.31484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.33258 moveto
1 0.33258 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.36805 moveto
1 0.36805 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.38578 moveto
1 0.38578 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.40351 moveto
1 0.40351 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.42125 moveto
1 0.42125 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.45671 moveto
1 0.45671 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.47445 moveto
1 0.47445 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.49218 moveto
1 0.49218 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.50991 moveto
1 0.50991 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.54538 moveto
1 0.54538 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.56312 moveto
1 0.56312 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.58085 moveto
1 0.58085 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.59858 moveto
1 0.59858 lineto
stroke
grestore
[( )] 1.0375 0.30902 -1 0 90 Mrotshowa
gsave
0.002 setlinewidth
1 0 moveto
1 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.41563 0 moveto
0.41563 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.02381 0.60332 moveto
0.07915 0.59018 lineto
0.1242 0.5765 lineto
0.19508 0.54703 lineto
0.22403 0.53099 lineto
0.2499 0.51392 lineto
0.29462 0.47638 lineto
0.33239 0.4342 lineto
0.36508 0.38841 lineto
0.41965 0.29669 lineto
0.4642 0.22212 lineto
0.50185 0.16965 lineto
0.56319 0.10824 lineto
0.5889 0.08975 lineto
0.61214 0.07587 lineto
0.65288 0.05681 lineto
0.68777 0.04474 lineto
0.71828 0.03669 lineto
0.74539 0.03113 lineto
0.76978 0.02718 lineto
0.79195 0.02429 lineto
0.81226 0.02214 lineto
0.83102 0.02051 lineto
0.84843 0.01926 lineto
0.86467 0.01828 lineto
0.8799 0.0175 lineto
0.89424 0.01687 lineto
0.90777 0.01637 lineto
0.92059 0.01595 lineto
0.93278 0.01561 lineto
0.94438 0.01533 lineto
0.95545 0.01509 lineto
0.96604 0.01489 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; endGroup; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = section; inactive; Cclosed; preserveAspect; rightWrapOffset = 528; startGroup; ]
Magnitude vs. Phase Plot (Nichols Plot)
:[font = text; inactive; preserveAspect; rightWrapOffset = 528; ]
	The Magnitude vs. Phase plot is a plot of logarithmic magnitude in decibels versus the phase angle or phase margin for a frequency range of interest. The curve is graduated in terms of the frequency w. Such log-magnitude versus phase plot are commonly called Nichols plots.

COST_PAK Function
MagvsPhase[Transf, s, {w,wmin,wmax}, gopts]: Plots the magnitude vs.  phase plot of transfer function Transf(s) with s=jw. The frequency w varies from w=wmin to w=wmax both > 0 and in radians per second. Returns graphics. 
;[s]
13:0,0;1,1;200,2;203,3;274,4;337,5;396,6;405,7;411,8;415,9;445,10;451,11;455,12;521,-1;
13:1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;
:[font = subsubsection; inactive; Cclosed; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; startGroup; ]
Example 
:[font = input; Cclosed; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; startGroup; ]
tranf1 = (s+3)/s/(s+2)/( s^2 + s+1);
MagvsPhase[tranf1,s,{w,0.2,10}]

:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; pictureLeft = 34; pictureWidth = 430; pictureHeight = 266; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
1.571095 0.005739 0.469117 0.007605 [
[(-250)] 0.13641 0 0 2 0 Minner Mrotsboxa
[(-225)] 0.27988 0 0 2 0 Minner Mrotsboxa
[(-200)] 0.42335 0 0 2 0 Minner Mrotsboxa
[(-175)] 0.56682 0 0 2 0 Minner Mrotsboxa
[(-150)] 0.71029 0 0 2 0 Minner Mrotsboxa
[(-125)] 0.85375 0 0 2 0 Minner Mrotsboxa
[(-100)] 0.99722 0 0 2 0 Minner Mrotsboxa
[(Degree of |G\(s\)|)] 0.5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-60)] -0.0125 0.01284 1 0 0 Minner Mrotsboxa
[(-40)] -0.0125 0.16493 1 0 0 Minner Mrotsboxa
[(-20)] -0.0125 0.31702 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 0.46912 1 0 0 Minner Mrotsboxa
[(20 log|G\(s\)| \(dB\))] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotsboxa
[(dB  vs. Phase Plot)] 0.5 0.61803 0 -4 Msboxa
[( )] 1.0375 0.30902 -1 0 90 Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.13641 0 moveto
0.13641 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.27988 0 moveto
0.27988 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.42335 0 moveto
0.42335 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.56682 0 moveto
0.56682 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.71029 0 moveto
0.71029 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.85375 0 moveto
0.85375 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.16493 moveto
1 0.16493 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.31702 moveto
1 0.31702 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.46912 moveto
1 0.46912 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.13641 0 moveto
0.13641 0.00625 lineto
stroke
grestore
[(-250)] 0.13641 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.27988 0 moveto
0.27988 0.00625 lineto
stroke
grestore
[(-225)] 0.27988 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.42335 0 moveto
0.42335 0.00625 lineto
stroke
grestore
[(-200)] 0.42335 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.56682 0 moveto
0.56682 0.00625 lineto
stroke
grestore
[(-175)] 0.56682 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.71029 0 moveto
0.71029 0.00625 lineto
stroke
grestore
[(-150)] 0.71029 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.85375 0 moveto
0.85375 0.00625 lineto
stroke
grestore
[(-125)] 0.85375 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.99722 0 moveto
0.99722 0.00625 lineto
stroke
grestore
[(-100)] 0.99722 0 0 2 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0.02164 0 moveto
0.02164 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.05033 0 moveto
0.05033 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.07902 0 moveto
0.07902 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.10772 0 moveto
0.10772 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16511 0 moveto
0.16511 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1938 0 moveto
0.1938 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22249 0 moveto
0.22249 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25119 0 moveto
0.25119 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30857 0 moveto
0.30857 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.33727 0 moveto
0.33727 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36596 0 moveto
0.36596 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.39465 0 moveto
0.39465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.45204 0 moveto
0.45204 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.48074 0 moveto
0.48074 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50943 0 moveto
0.50943 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53812 0 moveto
0.53812 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59551 0 moveto
0.59551 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.6242 0 moveto
0.6242 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.6529 0 moveto
0.6529 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68159 0 moveto
0.68159 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.73898 0 moveto
0.73898 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.76767 0 moveto
0.76767 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.79637 0 moveto
0.79637 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82506 0 moveto
0.82506 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88245 0 moveto
0.88245 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.91114 0 moveto
0.91114 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.93983 0 moveto
0.93983 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.96853 0 moveto
0.96853 0.00375 lineto
stroke
grestore
[(Degree of |G\(s\)|)] 0.5 0 0 2 0 0 -1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01284 moveto
0.00625 0.01284 lineto
stroke
grestore
[(-60)] -0.0125 0.01284 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.16493 moveto
0.00625 0.16493 lineto
stroke
grestore
[(-40)] -0.0125 0.16493 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.31702 moveto
0.00625 0.31702 lineto
stroke
grestore
[(-20)] -0.0125 0.31702 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.46912 moveto
0.00625 0.46912 lineto
stroke
grestore
[(0)] -0.0125 0.46912 1 0 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0 0.04325 moveto
0.00375 0.04325 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.07367 moveto
0.00375 0.07367 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.10409 moveto
0.00375 0.10409 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.13451 moveto
0.00375 0.13451 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.19535 moveto
0.00375 0.19535 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.22577 moveto
0.00375 0.22577 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.25619 moveto
0.00375 0.25619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.2866 moveto
0.00375 0.2866 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.34744 moveto
0.00375 0.34744 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.37786 moveto
0.00375 0.37786 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.40828 moveto
0.00375 0.40828 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.4387 moveto
0.00375 0.4387 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.49954 moveto
0.00375 0.49954 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.52995 moveto
0.00375 0.52995 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.56037 moveto
0.00375 0.56037 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.59079 moveto
0.00375 0.59079 lineto
stroke
grestore
[(20 log|G\(s\)| \(dB\))] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
0 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.13641 0.61178 moveto
0.13641 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.27988 0.61178 moveto
0.27988 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.42335 0.61178 moveto
0.42335 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.56682 0.61178 moveto
0.56682 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.71029 0.61178 moveto
0.71029 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.85375 0.61178 moveto
0.85375 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99722 0.61178 moveto
0.99722 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02164 0.61428 moveto
0.02164 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.05033 0.61428 moveto
0.05033 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.07902 0.61428 moveto
0.07902 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.10772 0.61428 moveto
0.10772 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16511 0.61428 moveto
0.16511 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1938 0.61428 moveto
0.1938 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22249 0.61428 moveto
0.22249 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25119 0.61428 moveto
0.25119 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30857 0.61428 moveto
0.30857 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.33727 0.61428 moveto
0.33727 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36596 0.61428 moveto
0.36596 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.39465 0.61428 moveto
0.39465 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.45204 0.61428 moveto
0.45204 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.48074 0.61428 moveto
0.48074 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50943 0.61428 moveto
0.50943 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53812 0.61428 moveto
0.53812 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59551 0.61428 moveto
0.59551 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.6242 0.61428 moveto
0.6242 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.6529 0.61428 moveto
0.6529 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68159 0.61428 moveto
0.68159 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.73898 0.61428 moveto
0.73898 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.76767 0.61428 moveto
0.76767 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.79637 0.61428 moveto
0.79637 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82506 0.61428 moveto
0.82506 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88245 0.61428 moveto
0.88245 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.91114 0.61428 moveto
0.91114 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.93983 0.61428 moveto
0.93983 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.96853 0.61428 moveto
0.96853 0.61803 lineto
stroke
grestore
[(dB  vs. Phase Plot)] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0 0.61803 moveto
1 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.01284 moveto
1 0.01284 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.16493 moveto
1 0.16493 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.31702 moveto
1 0.31702 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.46912 moveto
1 0.46912 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.04325 moveto
1 0.04325 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.07367 moveto
1 0.07367 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.10409 moveto
1 0.10409 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.13451 moveto
1 0.13451 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.19535 moveto
1 0.19535 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.22577 moveto
1 0.22577 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.25619 moveto
1 0.25619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.2866 moveto
1 0.2866 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.34744 moveto
1 0.34744 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.37786 moveto
1 0.37786 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.40828 moveto
1 0.40828 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.4387 moveto
1 0.4387 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.49954 moveto
1 0.49954 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.52995 moveto
1 0.52995 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.56037 moveto
1 0.56037 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.59079 moveto
1 0.59079 lineto
stroke
grestore
[( )] 1.0375 0.30902 -1 0 90 Mrotshowa
gsave
0.002 setlinewidth
1 0 moveto
1 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0 0.46912 moveto
1 0.46912 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.97619 0.60332 moveto
0.95493 0.58892 lineto
0.93279 0.57742 lineto
0.88511 0.55986 lineto
0.85916 0.55289 lineto
0.83155 0.54672 lineto
0.77079 0.5359 lineto
0.62847 0.5153 lineto
0.55257 0.50332 lineto
0.48006 0.48968 lineto
0.3594 0.4592 lineto
0.31293 0.44361 lineto
0.2745 0.42837 lineto
0.17513 0.37387 lineto
0.14522 0.35055 lineto
0.12276 0.32945 lineto
0.09192 0.29265 lineto
0.07238 0.26142 lineto
0.05937 0.23436 lineto
0.05037 0.21053 lineto
0.04397 0.18926 lineto
0.03931 0.17007 lineto
0.03583 0.1526 lineto
0.03319 0.13656 lineto
0.03116 0.12175 lineto
0.02957 0.10798 lineto
0.02831 0.09512 lineto
0.0273 0.08306 lineto
0.02648 0.0717 lineto
0.02581 0.06097 lineto
0.02526 0.0508 lineto
0.0248 0.04114 lineto
0.02441 0.03193 lineto
0.02409 0.02313 lineto
0.02381 0.01472 lineto
stroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; endGroup; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = section; inactive; Cclosed; preserveAspect; rightWrapOffset = 528; startGroup; ]
Polar Plot
:[font = text; inactive; preserveAspect; rightWrapOffset = 528; ]
	The polar plot of a sinusoidal transfer function G(jw) is a plot of the magnitude of G(jw) versus the phase angle of G(jw) on polar coordinates as w is varied from zero to infinity. Thus, the polar plot is the locus of vectors  G(jw) G(jw) as w is varied from zero to infinity.

COST_PAK Function
Polar[Transf, s, {w,wmin,wmax}, gopts]: Plots the polar plot of the transfer function Transf(s) with  s=jw , w varying from w=wmin to w=wmax, both > 0 and in radians per second. Returns graphics.
;[s]
33:0,0;1,1;53,2;54,3;89,4;90,5;121,6;122,7;148,8;149,9;229,10;230,11;233,12;234,13;235,14;237,15;241,16;242,17;247,18;249,19;281,20;340,21;387,22;396,23;403,24;408,25;410,26;411,27;425,28;431,29;435,30;441,31;444,32;445,-1;
33:1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsubsection; inactive; Cclosed; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; startGroup; ]
Example
:[font = input; Cclosed; preserveAspect; rightWrapOffset = 528; startGroup; ]
tranf1 = (s+3)/s/(s+2)/( s^2 + s+1);
Polar[tranf1,s,{w,0.25,10}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; rightWrapOffset = 528; pictureLeft = 34; pictureWidth = 430; pictureHeight = 266; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.976194 0.454851 0.561844 0.093064 [
[(-2)] 0.06649 0 0 2 0 Minner Mrotsboxa
[(-1.5)] 0.29392 0 0 2 0 Minner Mrotsboxa
[(-1)] 0.52134 0 0 2 0 Minner Mrotsboxa
[(-0.5)] 0.74877 0 0 2 0 Minner Mrotsboxa
[(0)] 0.97619 0 0 2 0 Minner Mrotsboxa
[(Re\(G\(jw\)\))] 0.5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-6)] -0.0125 0.00346 1 0 0 Minner Mrotsboxa
[(-5)] -0.0125 0.09653 1 0 0 Minner Mrotsboxa
[(-4)] -0.0125 0.18959 1 0 0 Minner Mrotsboxa
[(-3)] -0.0125 0.28265 1 0 0 Minner Mrotsboxa
[(-2)] -0.0125 0.37572 1 0 0 Minner Mrotsboxa
[(-1)] -0.0125 0.46878 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 0.56184 1 0 0 Minner Mrotsboxa
[(Im\(G\(jw\)\))] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotsboxa
[(Polar Plot)] 0.5 0.61803 0 -4 Msboxa
[( )] 1.0375 0.30902 -1 0 90 Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.06649 0 moveto
0.06649 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.29392 0 moveto
0.29392 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.52134 0 moveto
0.52134 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.74877 0 moveto
0.74877 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.09653 moveto
1 0.09653 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.18959 moveto
1 0.18959 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.28265 moveto
1 0.28265 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.37572 moveto
1 0.37572 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.46878 moveto
1 0.46878 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.56184 moveto
1 0.56184 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.06649 0 moveto
0.06649 0.00625 lineto
stroke
grestore
[(-2)] 0.06649 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.29392 0 moveto
0.29392 0.00625 lineto
stroke
grestore
[(-1.5)] 0.29392 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.52134 0 moveto
0.52134 0.00625 lineto
stroke
grestore
[(-1)] 0.52134 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.74877 0 moveto
0.74877 0.00625 lineto
stroke
grestore
[(-0.5)] 0.74877 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.97619 0 moveto
0.97619 0.00625 lineto
stroke
grestore
[(0)] 0.97619 0 0 2 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0.11198 0 moveto
0.11198 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.15746 0 moveto
0.15746 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.20295 0 moveto
0.20295 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24843 0 moveto
0.24843 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.3394 0 moveto
0.3394 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38489 0 moveto
0.38489 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43037 0 moveto
0.43037 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47586 0 moveto
0.47586 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56683 0 moveto
0.56683 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.61231 0 moveto
0.61231 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.6578 0 moveto
0.6578 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.70328 0 moveto
0.70328 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.79425 0 moveto
0.79425 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83974 0 moveto
0.83974 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88522 0 moveto
0.88522 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.93071 0 moveto
0.93071 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02101 0 moveto
0.02101 0.00375 lineto
stroke
grestore
[(Re\(G\(jw\)\))] 0.5 0 0 2 0 0 -1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.00346 moveto
0.00625 0.00346 lineto
stroke
grestore
[(-6)] -0.0125 0.00346 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.09653 moveto
0.00625 0.09653 lineto
stroke
grestore
[(-5)] -0.0125 0.09653 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.18959 moveto
0.00625 0.18959 lineto
stroke
grestore
[(-4)] -0.0125 0.18959 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.28265 moveto
0.00625 0.28265 lineto
stroke
grestore
[(-3)] -0.0125 0.28265 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.37572 moveto
0.00625 0.37572 lineto
stroke
grestore
[(-2)] -0.0125 0.37572 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.46878 moveto
0.00625 0.46878 lineto
stroke
grestore
[(-1)] -0.0125 0.46878 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.56184 moveto
0.00625 0.56184 lineto
stroke
grestore
[(0)] -0.0125 0.56184 1 0 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0 0.02208 moveto
0.00375 0.02208 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.04069 moveto
0.00375 0.04069 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.0593 moveto
0.00375 0.0593 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.07791 moveto
0.00375 0.07791 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.11514 moveto
0.00375 0.11514 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.13375 moveto
0.00375 0.13375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.15236 moveto
0.00375 0.15236 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.17098 moveto
0.00375 0.17098 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.2082 moveto
0.00375 0.2082 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.22682 moveto
0.00375 0.22682 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.24543 moveto
0.00375 0.24543 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.26404 moveto
0.00375 0.26404 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.30127 moveto
0.00375 0.30127 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.31988 moveto
0.00375 0.31988 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.33849 moveto
0.00375 0.33849 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.3571 moveto
0.00375 0.3571 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.39433 moveto
0.00375 0.39433 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.41294 moveto
0.00375 0.41294 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.43156 moveto
0.00375 0.43156 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.45017 moveto
0.00375 0.45017 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.48739 moveto
0.00375 0.48739 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.50601 moveto
0.00375 0.50601 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.52462 moveto
0.00375 0.52462 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.54323 moveto
0.00375 0.54323 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.58046 moveto
0.00375 0.58046 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.59907 moveto
0.00375 0.59907 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.61768 moveto
0.00375 0.61768 lineto
stroke
grestore
[(Im\(G\(jw\)\))] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
0 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.06649 0.61178 moveto
0.06649 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.29392 0.61178 moveto
0.29392 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.52134 0.61178 moveto
0.52134 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.74877 0.61178 moveto
0.74877 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.97619 0.61178 moveto
0.97619 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11198 0.61428 moveto
0.11198 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.15746 0.61428 moveto
0.15746 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.20295 0.61428 moveto
0.20295 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24843 0.61428 moveto
0.24843 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.3394 0.61428 moveto
0.3394 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38489 0.61428 moveto
0.38489 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43037 0.61428 moveto
0.43037 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47586 0.61428 moveto
0.47586 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56683 0.61428 moveto
0.56683 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.61231 0.61428 moveto
0.61231 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.6578 0.61428 moveto
0.6578 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.70328 0.61428 moveto
0.70328 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.79425 0.61428 moveto
0.79425 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83974 0.61428 moveto
0.83974 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88522 0.61428 moveto
0.88522 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.93071 0.61428 moveto
0.93071 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02101 0.61428 moveto
0.02101 0.61803 lineto
stroke
grestore
[(Polar Plot)] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0 0.61803 moveto
1 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.00346 moveto
1 0.00346 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.09653 moveto
1 0.09653 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.18959 moveto
1 0.18959 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.28265 moveto
1 0.28265 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.37572 moveto
1 0.37572 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.46878 moveto
1 0.46878 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.56184 moveto
1 0.56184 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.02208 moveto
1 0.02208 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.04069 moveto
1 0.04069 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.0593 moveto
1 0.0593 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.07791 moveto
1 0.07791 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.11514 moveto
1 0.11514 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.13375 moveto
1 0.13375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.15236 moveto
1 0.15236 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.17098 moveto
1 0.17098 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.2082 moveto
1 0.2082 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.22682 moveto
1 0.22682 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.24543 moveto
1 0.24543 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.26404 moveto
1 0.26404 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.30127 moveto
1 0.30127 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.31988 moveto
1 0.31988 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.33849 moveto
1 0.33849 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.3571 moveto
1 0.3571 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.39433 moveto
1 0.39433 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.41294 moveto
1 0.41294 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.43156 moveto
1 0.43156 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.45017 moveto
1 0.45017 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.48739 moveto
1 0.48739 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.50601 moveto
1 0.50601 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.52462 moveto
1 0.52462 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.54323 moveto
1 0.54323 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.58046 moveto
1 0.58046 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.59907 moveto
1 0.59907 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.61768 moveto
1 0.61768 lineto
stroke
grestore
[( )] 1.0375 0.30902 -1 0 90 Mrotshowa
gsave
0.002 setlinewidth
1 0 moveto
1 0.61803 lineto
stroke
grestore
grestore
gsave
grestore
gsave
gsave
gsave
0.02 setlinewidth
0.52134 0.56184 Mdot
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.14367 0.01472 moveto
0.07144 0.28604 lineto
0.05278 0.32553 lineto
0.037 0.36095 lineto
0.03092 0.37762 lineto
0.02849 0.38575 lineto
0.02651 0.39377 lineto
0.02504 0.40168 lineto
0.02413 0.4095 lineto
0.02381 0.41722 lineto
0.02414 0.42486 lineto
0.02516 0.43241 lineto
0.02691 0.43988 lineto
0.02944 0.44726 lineto
0.03278 0.45456 lineto
0.03696 0.46177 lineto
0.04203 0.46888 lineto
0.0549 0.4828 lineto
0.0715 0.49623 lineto
0.09188 0.50911 lineto
0.11594 0.52135 lineto
0.14346 0.53286 lineto
0.20749 0.55337 lineto
0.28027 0.57016 lineto
0.35732 0.58311 lineto
0.39606 0.58818 lineto
0.43427 0.59237 lineto
0.47155 0.59576 lineto
0.50755 0.59842 lineto
0.54201 0.60041 lineto
0.55861 0.60119 lineto
0.57475 0.60183 lineto
0.59043 0.60234 lineto
0.60564 0.60273 lineto
0.62037 0.60302 lineto
0.63462 0.60321 lineto
0.64838 0.60331 lineto
0.66166 0.60332 lineto
0.67446 0.60326 lineto
0.68679 0.60313 lineto
0.69865 0.60293 lineto
0.71006 0.60269 lineto
0.73154 0.60204 lineto
0.75133 0.60125 lineto
0.76951 0.60033 lineto
0.80148 0.59824 lineto
0.8283 0.59598 lineto
0.86949 0.59139 lineto
0.89833 0.58714 lineto
0.93316 0.58026 lineto
Mistroke
0.95123 0.57538 lineto
0.96107 0.57198 lineto
0.97002 0.56786 lineto
0.97337 0.56566 lineto
0.97478 0.56441 lineto
0.97544 0.56365 lineto
0.97576 0.56316 lineto
0.97594 0.56283 lineto
0.97604 0.5626 lineto
0.97609 0.56244 lineto
0.97613 0.56232 lineto
0.97615 0.56223 lineto
0.97616 0.56217 lineto
0.97617 0.56211 lineto
0.97618 0.56207 lineto
0.97618 0.56204 lineto
0.97618 0.56201 lineto
0.97619 0.56199 lineto
0.97619 0.56197 lineto
0.97619 0.56195 lineto
0.97619 0.56194 lineto
Mfstroke
grestore
grestore
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; rightWrapOffset = 528; endGroup; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = section; inactive; Cclosed; preserveAspect; rightWrapOffset = 528; startGroup; ]
Nyquist Plot
:[font = text; inactive; preserveAspect; rightWrapOffset = 528; ]
		This function implement the Nyquist stability criterion which can be expressed as
		Z = N + P
		
where 	Z = number of zeros of 1 + G(s)H(s) in the  right-half s plane.
	N = number of closewise encirclements of the -1 + j 0 point.
	P = number of poles of G(s)H(s) in the right-half s plane.
	
	From the plot given here, we can determine the  number of encirclements i.e., the value of N. The  value  of P can also be caculated by the PoleZeros[Transf,s] function of COSY_PAK. Thus, we can determine how may unstable closed-loop poles N exists.

COST_PAK Function
NyquistPlot[Transf, s, {w,wmin,wmax}, gopts]: Plots the Nyquist plot of the transfer function Transf(s). The plot is composed of three parts. The first part corresponds to s=jw with w=-wmin to w=-wmax. The second part corresponds to s=jw,  w varying from w=+wmin to w=+wmax. Encirclement information of (-1+j0) is provided by the third part which corresponds to s with theta=-pi/2 to pi/2. wmin and wmax should be > 0 and radians per second. Returns graphics.
;[s]
20:0,0;546,1;563,2;564,3;609,4;658,5;667,6;746,7;753,8;757,9;765,10;797,11;801,12;804,13;806,14;819,15;826,16;830,17;837,18;838,19;1023,-1;
20:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,11,8,Times,0,12,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subsubsection; inactive; Cclosed; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; startGroup; ]
Example 1
:[font = input; Cclosed; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; startGroup; ]
tranf1 = (s+3)/s/(s+2)/( s^2 + s+1);
NyquistPlot[tranf1,s,{w,0.25,10}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; rightWrapOffset = 528; pictureLeft = 34; pictureWidth = 430; pictureHeight = 266; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.273922 0.119452 0.309017 0.050059 [
[(-2)] 0.03502 0 0 2 0 Minner Mrotsboxa
[(0)] 0.27392 0 0 2 0 Minner Mrotsboxa
[(2)] 0.51283 0 0 2 0 Minner Mrotsboxa
[(4)] 0.75173 0 0 2 0 Minner Mrotsboxa
[(6)] 0.99063 0 0 2 0 Minner Mrotsboxa
[(Re\(G\(jw\)\))] 0.5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-6)] -0.0125 0.00866 1 0 0 Minner Mrotsboxa
[(-4)] -0.0125 0.10878 1 0 0 Minner Mrotsboxa
[(-2)] -0.0125 0.2089 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 0.30902 1 0 0 Minner Mrotsboxa
[(2)] -0.0125 0.40914 1 0 0 Minner Mrotsboxa
[(4)] -0.0125 0.50925 1 0 0 Minner Mrotsboxa
[(6)] -0.0125 0.60937 1 0 0 Minner Mrotsboxa
[(Im\(G\(jw\)\))] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotsboxa
[(Nyquist Plot)] 0.5 0.61803 0 -4 Msboxa
[( )] 1.0375 0.30902 -1 0 90 Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.27392 0 moveto
0.27392 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.51283 0 moveto
0.51283 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.75173 0 moveto
0.75173 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.10878 moveto
1 0.10878 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.2089 moveto
1 0.2089 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.40914 moveto
1 0.40914 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.50925 moveto
1 0.50925 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.03502 0 moveto
0.03502 0.00625 lineto
stroke
grestore
[(-2)] 0.03502 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.27392 0 moveto
0.27392 0.00625 lineto
stroke
grestore
[(0)] 0.27392 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.51283 0 moveto
0.51283 0.00625 lineto
stroke
grestore
[(2)] 0.51283 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.75173 0 moveto
0.75173 0.00625 lineto
stroke
grestore
[(4)] 0.75173 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.99063 0 moveto
0.99063 0.00625 lineto
stroke
grestore
[(6)] 0.99063 0 0 2 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0.0828 0 moveto
0.0828 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13058 0 moveto
0.13058 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.17836 0 moveto
0.17836 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22614 0 moveto
0.22614 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.3217 0 moveto
0.3217 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36948 0 moveto
0.36948 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.41726 0 moveto
0.41726 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46504 0 moveto
0.46504 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56061 0 moveto
0.56061 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.60839 0 moveto
0.60839 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.65617 0 moveto
0.65617 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.70395 0 moveto
0.70395 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.79951 0 moveto
0.79951 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.84729 0 moveto
0.84729 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.89507 0 moveto
0.89507 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94285 0 moveto
0.94285 0.00375 lineto
stroke
grestore
[(Re\(G\(jw\)\))] 0.5 0 0 2 0 0 -1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.00866 moveto
0.00625 0.00866 lineto
stroke
grestore
[(-6)] -0.0125 0.00866 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.10878 moveto
0.00625 0.10878 lineto
stroke
grestore
[(-4)] -0.0125 0.10878 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.2089 moveto
0.00625 0.2089 lineto
stroke
grestore
[(-2)] -0.0125 0.2089 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.30902 moveto
0.00625 0.30902 lineto
stroke
grestore
[(0)] -0.0125 0.30902 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.40914 moveto
0.00625 0.40914 lineto
stroke
grestore
[(2)] -0.0125 0.40914 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.50925 moveto
0.00625 0.50925 lineto
stroke
grestore
[(4)] -0.0125 0.50925 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.60937 moveto
0.00625 0.60937 lineto
stroke
grestore
[(6)] -0.0125 0.60937 1 0 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0 0.02869 moveto
0.00375 0.02869 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.04871 moveto
0.00375 0.04871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.06873 moveto
0.00375 0.06873 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.08876 moveto
0.00375 0.08876 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.1288 moveto
0.00375 0.1288 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.14883 moveto
0.00375 0.14883 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.16885 moveto
0.00375 0.16885 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.18888 moveto
0.00375 0.18888 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.22892 moveto
0.00375 0.22892 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.24895 moveto
0.00375 0.24895 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.26897 moveto
0.00375 0.26897 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.28899 moveto
0.00375 0.28899 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.32904 moveto
0.00375 0.32904 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.34906 moveto
0.00375 0.34906 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.36909 moveto
0.00375 0.36909 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.38911 moveto
0.00375 0.38911 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.42916 moveto
0.00375 0.42916 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.44918 moveto
0.00375 0.44918 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.46921 moveto
0.00375 0.46921 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.48923 moveto
0.00375 0.48923 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.52928 moveto
0.00375 0.52928 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.5493 moveto
0.00375 0.5493 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.56932 moveto
0.00375 0.56932 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.58935 moveto
0.00375 0.58935 lineto
stroke
grestore
[(Im\(G\(jw\)\))] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
0 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.03502 0.61178 moveto
0.03502 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.27392 0.61178 moveto
0.27392 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.51283 0.61178 moveto
0.51283 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.75173 0.61178 moveto
0.75173 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99063 0.61178 moveto
0.99063 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0828 0.61428 moveto
0.0828 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13058 0.61428 moveto
0.13058 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.17836 0.61428 moveto
0.17836 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22614 0.61428 moveto
0.22614 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.3217 0.61428 moveto
0.3217 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36948 0.61428 moveto
0.36948 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.41726 0.61428 moveto
0.41726 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46504 0.61428 moveto
0.46504 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56061 0.61428 moveto
0.56061 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.60839 0.61428 moveto
0.60839 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.65617 0.61428 moveto
0.65617 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.70395 0.61428 moveto
0.70395 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.79951 0.61428 moveto
0.79951 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.84729 0.61428 moveto
0.84729 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.89507 0.61428 moveto
0.89507 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94285 0.61428 moveto
0.94285 0.61803 lineto
stroke
grestore
[(Nyquist Plot)] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0 0.61803 moveto
1 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.00866 moveto
1 0.00866 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.10878 moveto
1 0.10878 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.2089 moveto
1 0.2089 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.40914 moveto
1 0.40914 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.50925 moveto
1 0.50925 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.60937 moveto
1 0.60937 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.02869 moveto
1 0.02869 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.04871 moveto
1 0.04871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.06873 moveto
1 0.06873 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.08876 moveto
1 0.08876 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.1288 moveto
1 0.1288 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.14883 moveto
1 0.14883 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.16885 moveto
1 0.16885 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.18888 moveto
1 0.18888 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.22892 moveto
1 0.22892 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.24895 moveto
1 0.24895 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.26897 moveto
1 0.26897 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.28899 moveto
1 0.28899 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.32904 moveto
1 0.32904 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.34906 moveto
1 0.34906 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.36909 moveto
1 0.36909 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.38911 moveto
1 0.38911 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.42916 moveto
1 0.42916 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.44918 moveto
1 0.44918 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.46921 moveto
1 0.46921 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.48923 moveto
1 0.48923 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.52928 moveto
1 0.52928 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.5493 moveto
1 0.5493 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.56932 moveto
1 0.56932 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.58935 moveto
1 0.58935 lineto
stroke
grestore
[( )] 1.0375 0.30902 -1 0 90 Mrotshowa
gsave
0.002 setlinewidth
1 0 moveto
1 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.27392 0 moveto
0.27392 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
gsave
0.02 setlinewidth
0.15447 0.30902 Mdot
grestore
grestore
gsave
gsave
[ 0.02 0.02 ] 0 setdash
0.004 setlinewidth
0.05529 0.60332 moveto
0.27392 0.60332 lineto
0.32902 0.60241 lineto
0.38378 0.5997 lineto
0.43786 0.59519 lineto
0.49093 0.58891 lineto
0.54267 0.58092 lineto
0.59275 0.57124 lineto
0.64086 0.55995 lineto
0.68671 0.54711 lineto
0.73001 0.53281 lineto
0.7705 0.51712 lineto
0.80793 0.50015 lineto
0.84207 0.482 lineto
0.8727 0.46279 lineto
0.89965 0.44263 lineto
0.92273 0.42164 lineto
0.94182 0.39996 lineto
0.95679 0.37772 lineto
0.96754 0.35506 lineto
0.97403 0.33211 lineto
0.97619 0.30902 lineto
0.97403 0.28593 lineto
0.96754 0.26298 lineto
0.95679 0.24031 lineto
0.94182 0.21807 lineto
0.92273 0.19639 lineto
0.89965 0.17541 lineto
0.8727 0.15524 lineto
0.84207 0.13603 lineto
0.80793 0.11788 lineto
0.7705 0.10091 lineto
0.73001 0.08523 lineto
0.68671 0.07092 lineto
0.64086 0.05808 lineto
0.59275 0.04679 lineto
0.54267 0.03712 lineto
0.49093 0.02912 lineto
0.43786 0.02285 lineto
0.38378 0.01834 lineto
0.32902 0.01562 lineto
0.27392 0.01472 lineto
0.05529 0.01472 lineto
stroke
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.05529 0.01472 moveto
0.03632 0.16066 lineto
0.03142 0.1819 lineto
0.02727 0.20096 lineto
0.02568 0.20992 lineto
0.02504 0.2143 lineto
0.02452 0.21861 lineto
0.02413 0.22287 lineto
0.02389 0.22707 lineto
0.02381 0.23122 lineto
0.0239 0.23533 lineto
0.02416 0.23939 lineto
0.02462 0.24341 lineto
0.02529 0.24738 lineto
0.02616 0.25131 lineto
0.02726 0.25519 lineto
0.02859 0.25901 lineto
0.03197 0.2665 lineto
0.03633 0.27372 lineto
0.04169 0.28065 lineto
0.048 0.28724 lineto
0.05523 0.29343 lineto
0.07205 0.30446 lineto
0.09116 0.31349 lineto
0.1114 0.32045 lineto
0.12157 0.32318 lineto
0.1316 0.32544 lineto
0.14139 0.32726 lineto
0.15085 0.32869 lineto
0.1599 0.32976 lineto
0.16426 0.33018 lineto
0.1685 0.33052 lineto
0.17262 0.3308 lineto
0.17661 0.33101 lineto
0.18048 0.33117 lineto
0.18422 0.33127 lineto
0.18783 0.33132 lineto
0.19132 0.33133 lineto
0.19468 0.33129 lineto
0.19792 0.33122 lineto
0.20104 0.33112 lineto
0.20403 0.33099 lineto
0.20967 0.33064 lineto
0.21487 0.33021 lineto
0.21964 0.32972 lineto
0.22804 0.32859 lineto
0.23508 0.32738 lineto
0.2459 0.32491 lineto
0.25347 0.32262 lineto
0.26262 0.31892 lineto
Mistroke
0.26737 0.3163 lineto
0.26995 0.31447 lineto
0.2723 0.31225 lineto
0.27318 0.31107 lineto
0.27355 0.3104 lineto
0.27372 0.30999 lineto
0.27381 0.30972 lineto
0.27385 0.30955 lineto
0.27388 0.30943 lineto
0.2739 0.30934 lineto
0.2739 0.30927 lineto
0.27391 0.30923 lineto
0.27391 0.30919 lineto
0.27392 0.30916 lineto
0.27392 0.30914 lineto
0.27392 0.30912 lineto
0.27392 0.30911 lineto
0.27392 0.30909 lineto
0.27392 0.30908 lineto
0.27392 0.30908 lineto
0.27392 0.30907 lineto
Mfstroke
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.27392 0.30897 moveto
0.27392 0.30896 lineto
0.27392 0.30895 lineto
0.27392 0.30894 lineto
0.27392 0.30893 lineto
0.27392 0.30891 lineto
0.27392 0.3089 lineto
0.27392 0.30887 lineto
0.27391 0.30884 lineto
0.27391 0.30881 lineto
0.2739 0.30876 lineto
0.2739 0.3087 lineto
0.27388 0.30861 lineto
0.27385 0.30849 lineto
0.27381 0.30831 lineto
0.27372 0.30805 lineto
0.27355 0.30764 lineto
0.27318 0.30696 lineto
0.2723 0.30578 lineto
0.27143 0.30486 lineto
0.26995 0.30357 lineto
0.26737 0.30173 lineto
0.26262 0.29911 lineto
0.25881 0.29741 lineto
0.25347 0.29541 lineto
0.2459 0.29312 lineto
0.24097 0.2919 lineto
0.23508 0.29066 lineto
0.22804 0.28944 lineto
0.22402 0.28886 lineto
0.21964 0.28832 lineto
0.21487 0.28782 lineto
0.20967 0.28739 lineto
0.20691 0.28721 lineto
0.20403 0.28705 lineto
0.20104 0.28691 lineto
0.19792 0.28681 lineto
0.19468 0.28674 lineto
0.19132 0.28671 lineto
0.18783 0.28672 lineto
0.18422 0.28677 lineto
0.18048 0.28687 lineto
0.17661 0.28702 lineto
0.17262 0.28724 lineto
0.1685 0.28751 lineto
0.1599 0.28827 lineto
0.15085 0.28934 lineto
0.14139 0.29077 lineto
0.1316 0.29259 lineto
0.1114 0.29758 lineto
Mistroke
0.09116 0.30454 lineto
0.07205 0.31358 lineto
0.06328 0.31886 lineto
0.05523 0.32461 lineto
0.048 0.3308 lineto
0.04169 0.33738 lineto
0.03633 0.34431 lineto
0.03197 0.35154 lineto
0.03016 0.35525 lineto
0.02859 0.35902 lineto
0.02726 0.36285 lineto
0.02616 0.36672 lineto
0.02529 0.37065 lineto
0.02462 0.37462 lineto
0.02416 0.37864 lineto
0.0239 0.3827 lineto
0.02381 0.38681 lineto
0.02389 0.39096 lineto
0.02413 0.39517 lineto
0.02452 0.39942 lineto
0.02568 0.40811 lineto
0.02727 0.41708 lineto
0.03632 0.45737 lineto
0.04147 0.48204 lineto
0.04651 0.51206 lineto
0.0489 0.52999 lineto
0.05118 0.5506 lineto
0.05529 0.60332 lineto
Mfstroke
grestore
grestore
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; rightWrapOffset = 528; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = subsubsection; inactive; Cclosed; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; startGroup; ]
Example 2
:[font = input; Cclosed; preserveAspect; rightWrapOffset = 528; startGroup; ]
gg = 1/s^2/(s+1);
NyquistPlot[gg,s,{w,.3,50},AspectRatio->Automatic]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; rightWrapOffset = 528; pictureLeft = 34; pictureWidth = 430; pictureHeight = 266; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.97617 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.511348 0.041342 0.499433 0.041342 [
[(-10)] 0.09792 0 0 2 0 Minner Mrotsboxa
[(-5)] 0.30464 0 0 2 0 Minner Mrotsboxa
[(0)] 0.51135 0 0 2 0 Minner Mrotsboxa
[(5)] 0.71806 0 0 2 0 Minner Mrotsboxa
[(10)] 0.92477 0 0 2 0 Minner Mrotsboxa
[(Re\(G\(jw\)\))] 0.5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-10)] -0.0125 0.08601 1 0 0 Minner Mrotsboxa
[(-5)] -0.0125 0.29272 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 0.49943 1 0 0 Minner Mrotsboxa
[(5)] -0.0125 0.70614 1 0 0 Minner Mrotsboxa
[(10)] -0.0125 0.91286 1 0 0 Minner Mrotsboxa
[(Im\(G\(jw\)\))] -0.0125 0.48808 1 0 90 -1 0 Mouter Mrotsboxa
[(Nyquist Plot)] 0.5 0.97617 0 -4 Msboxa
[( )] 1.0375 0.48808 -1 0 90 Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.97717 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.09792 0 moveto
0.09792 0.97617 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.30464 0 moveto
0.30464 0.97617 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.51135 0 moveto
0.51135 0.97617 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.71806 0 moveto
0.71806 0.97617 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.92477 0 moveto
0.92477 0.97617 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.08601 moveto
1 0.08601 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.29272 moveto
1 0.29272 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.49943 moveto
1 0.49943 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.70614 moveto
1 0.70614 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.91286 moveto
1 0.91286 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.09792 0 moveto
0.09792 0.00625 lineto
stroke
grestore
[(-10)] 0.09792 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.30464 0 moveto
0.30464 0.00625 lineto
stroke
grestore
[(-5)] 0.30464 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.51135 0 moveto
0.51135 0.00625 lineto
stroke
grestore
[(0)] 0.51135 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.71806 0 moveto
0.71806 0.00625 lineto
stroke
grestore
[(5)] 0.71806 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.92477 0 moveto
0.92477 0.00625 lineto
stroke
grestore
[(10)] 0.92477 0 0 2 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0.13927 0 moveto
0.13927 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18061 0 moveto
0.18061 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22195 0 moveto
0.22195 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26329 0 moveto
0.26329 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34598 0 moveto
0.34598 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38732 0 moveto
0.38732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42866 0 moveto
0.42866 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47001 0 moveto
0.47001 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.55269 0 moveto
0.55269 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59403 0 moveto
0.59403 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.63538 0 moveto
0.63538 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.67672 0 moveto
0.67672 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.7594 0 moveto
0.7594 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.80074 0 moveto
0.80074 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.84209 0 moveto
0.84209 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88343 0 moveto
0.88343 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.05658 0 moveto
0.05658 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01524 0 moveto
0.01524 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.96611 0 moveto
0.96611 0.00375 lineto
stroke
grestore
[(Re\(G\(jw\)\))] 0.5 0 0 2 0 0 -1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.08601 moveto
0.00625 0.08601 lineto
stroke
grestore
[(-10)] -0.0125 0.08601 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.29272 moveto
0.00625 0.29272 lineto
stroke
grestore
[(-5)] -0.0125 0.29272 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.49943 moveto
0.00625 0.49943 lineto
stroke
grestore
[(0)] -0.0125 0.49943 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.70614 moveto
0.00625 0.70614 lineto
stroke
grestore
[(5)] -0.0125 0.70614 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.91286 moveto
0.00625 0.91286 lineto
stroke
grestore
[(10)] -0.0125 0.91286 1 0 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0 0.12735 moveto
0.00375 0.12735 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.16869 moveto
0.00375 0.16869 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.21004 moveto
0.00375 0.21004 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.25138 moveto
0.00375 0.25138 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.33406 moveto
0.00375 0.33406 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.37541 moveto
0.00375 0.37541 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.41675 moveto
0.00375 0.41675 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.45809 moveto
0.00375 0.45809 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.54077 moveto
0.00375 0.54077 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.58212 moveto
0.00375 0.58212 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.62346 moveto
0.00375 0.62346 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.6648 moveto
0.00375 0.6648 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.74749 moveto
0.00375 0.74749 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.78883 moveto
0.00375 0.78883 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.83017 moveto
0.00375 0.83017 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.87151 moveto
0.00375 0.87151 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.04467 moveto
0.00375 0.04467 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.00332 moveto
0.00375 0.00332 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.9542 moveto
0.00375 0.9542 lineto
stroke
grestore
[(Im\(G\(jw\)\))] -0.0125 0.48808 1 0 90 -1 0 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
0 0.97617 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.09792 0.96992 moveto
0.09792 0.97617 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.30464 0.96992 moveto
0.30464 0.97617 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.51135 0.96992 moveto
0.51135 0.97617 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.71806 0.96992 moveto
0.71806 0.97617 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.92477 0.96992 moveto
0.92477 0.97617 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13927 0.97242 moveto
0.13927 0.97617 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18061 0.97242 moveto
0.18061 0.97617 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22195 0.97242 moveto
0.22195 0.97617 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26329 0.97242 moveto
0.26329 0.97617 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34598 0.97242 moveto
0.34598 0.97617 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38732 0.97242 moveto
0.38732 0.97617 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42866 0.97242 moveto
0.42866 0.97617 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47001 0.97242 moveto
0.47001 0.97617 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.55269 0.97242 moveto
0.55269 0.97617 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59403 0.97242 moveto
0.59403 0.97617 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.63538 0.97242 moveto
0.63538 0.97617 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.67672 0.97242 moveto
0.67672 0.97617 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.7594 0.97242 moveto
0.7594 0.97617 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.80074 0.97242 moveto
0.80074 0.97617 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.84209 0.97242 moveto
0.84209 0.97617 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88343 0.97242 moveto
0.88343 0.97617 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.05658 0.97242 moveto
0.05658 0.97617 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01524 0.97242 moveto
0.01524 0.97617 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.96611 0.97242 moveto
0.96611 0.97617 lineto
stroke
grestore
[(Nyquist Plot)] 0.5 0.97617 0 -4 Mshowa
gsave
0.002 setlinewidth
0 0.97617 moveto
1 0.97617 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.08601 moveto
1 0.08601 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.29272 moveto
1 0.29272 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.49943 moveto
1 0.49943 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.70614 moveto
1 0.70614 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.91286 moveto
1 0.91286 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.12735 moveto
1 0.12735 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.16869 moveto
1 0.16869 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.21004 moveto
1 0.21004 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.25138 moveto
1 0.25138 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.33406 moveto
1 0.33406 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.37541 moveto
1 0.37541 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.41675 moveto
1 0.41675 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.45809 moveto
1 0.45809 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.54077 moveto
1 0.54077 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.58212 moveto
1 0.58212 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.62346 moveto
1 0.62346 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.6648 moveto
1 0.6648 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.74749 moveto
1 0.74749 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.78883 moveto
1 0.78883 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.83017 moveto
1 0.83017 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.87151 moveto
1 0.87151 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.04467 moveto
1 0.04467 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.00332 moveto
1 0.00332 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.9542 moveto
1 0.9542 lineto
stroke
grestore
[( )] 1.0375 0.48808 -1 0 90 Mrotshowa
gsave
0.002 setlinewidth
1 0 moveto
1 0.97617 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0 0.49943 moveto
1 0.49943 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.51135 0 moveto
0.51135 0.97617 lineto
stroke
grestore
grestore
gsave
gsave
gsave
0.02 setlinewidth
0.47001 0.49943 Mdot
grestore
grestore
gsave
gsave
[ 0.02 0.02 ] 0 setdash
gsave
0.004 setlinewidth
0.0406 0.6336 moveto
0.03273 0.59958 lineto
0.02972 0.58239 lineto
0.02732 0.56512 lineto
0.02554 0.54778 lineto
0.02489 0.53909 lineto
0.02462 0.53475 lineto
0.02438 0.5304 lineto
0.02419 0.52605 lineto
0.02404 0.5217 lineto
0.02392 0.51735 lineto
0.02385 0.513 lineto
0.02381 0.50865 lineto
0.02381 0.50429 lineto
0.02385 0.49994 lineto
0.02393 0.4956 lineto
0.02405 0.49125 lineto
0.02421 0.4869 lineto
0.02464 0.47822 lineto
0.02522 0.46954 lineto
0.02596 0.46088 lineto
0.0279 0.44362 lineto
0.03045 0.42644 lineto
0.03739 0.39245 lineto
0.04672 0.35907 lineto
0.05839 0.32647 lineto
0.07235 0.29483 lineto
0.10679 0.23502 lineto
0.1493 0.18083 lineto
0.19898 0.13335 lineto
0.25479 0.0935 lineto
0.28464 0.07669 lineto
0.31557 0.06207 lineto
0.34744 0.04971 lineto
0.38007 0.03966 lineto
0.39662 0.03552 lineto
0.4133 0.03197 lineto
0.43009 0.02902 lineto
0.44696 0.02668 lineto
0.45542 0.02573 lineto
0.46389 0.02494 lineto
0.47238 0.0243 lineto
0.48087 0.02381 lineto
0.48512 0.02362 lineto
0.48937 0.02347 lineto
0.49362 0.02335 lineto
0.49787 0.02328 lineto
0.50212 0.02324 lineto
0.50637 0.02324 lineto
0.51062 0.02328 lineto
Mistroke
0.51487 0.02336 lineto
0.51911 0.02347 lineto
0.52336 0.02363 lineto
0.53184 0.02405 lineto
0.54031 0.02462 lineto
0.54877 0.02534 lineto
0.56563 0.02723 lineto
0.58241 0.02972 lineto
0.61561 0.03649 lineto
0.64821 0.0456 lineto
0.68005 0.057 lineto
0.71095 0.07062 lineto
0.76937 0.10425 lineto
0.82229 0.14575 lineto
0.86866 0.19425 lineto
0.90757 0.24874 lineto
0.93826 0.30809 lineto
0.95034 0.3392 lineto
0.96015 0.37106 lineto
0.96766 0.4035 lineto
0.97054 0.41988 lineto
0.97283 0.43635 lineto
0.97453 0.45289 lineto
0.97516 0.46117 lineto
0.97542 0.46531 lineto
0.97564 0.46946 lineto
0.97582 0.47361 lineto
0.97597 0.47775 lineto
0.97608 0.4819 lineto
0.97615 0.48605 lineto
0.97619 0.4902 lineto
0.97619 0.49435 lineto
0.97615 0.4985 lineto
0.97608 0.50264 lineto
0.97597 0.50679 lineto
0.97582 0.51093 lineto
0.97541 0.51921 lineto
0.97485 0.52748 lineto
0.97415 0.53574 lineto
0.9723 0.5522 lineto
0.96987 0.56857 lineto
0.96327 0.60099 lineto
0.95438 0.63281 lineto
0.94326 0.66388 lineto
0.92997 0.69405 lineto
0.89716 0.75106 lineto
0.85666 0.80271 lineto
0.80933 0.84797 lineto
0.75616 0.88595 lineto
0.72772 0.90197 lineto
Mistroke
0.69825 0.9159 lineto
0.6679 0.92769 lineto
0.63682 0.93727 lineto
0.62105 0.94122 lineto
0.60516 0.9446 lineto
0.58918 0.94741 lineto
0.57311 0.94964 lineto
0.56505 0.95055 lineto
0.55698 0.9513 lineto
0.5489 0.95192 lineto
0.54081 0.95239 lineto
0.53676 0.95257 lineto
0.53272 0.95271 lineto
0.52867 0.95282 lineto
0.52462 0.95289 lineto
0.52057 0.95293 lineto
0.51653 0.95293 lineto
0.51248 0.95289 lineto
0.50843 0.95282 lineto
0.50439 0.95271 lineto
0.50035 0.95257 lineto
0.49227 0.95217 lineto
0.4842 0.95163 lineto
0.47615 0.95094 lineto
0.46009 0.94914 lineto
0.44411 0.94677 lineto
0.41249 0.94033 lineto
0.38145 0.93167 lineto
0.35114 0.92082 lineto
0.32171 0.90786 lineto
0.2661 0.87586 lineto
0.21572 0.83636 lineto
0.17157 0.7902 lineto
0.13453 0.73835 lineto
0.11891 0.71063 lineto
0.10531 0.68189 lineto
0.09382 0.65229 lineto
0.08448 0.62198 lineto
0.08063 0.60661 lineto
0.07733 0.59112 lineto
0.07459 0.57553 lineto
0.07241 0.55986 lineto
0.07153 0.552 lineto
0.07079 0.54414 lineto
0.07019 0.53626 lineto
0.06994 0.53231 lineto
0.06973 0.52837 lineto
0.06955 0.52443 lineto
0.06941 0.52048 lineto
0.06931 0.51653 lineto
Mistroke
0.06924 0.51259 lineto
0.0692 0.50864 lineto
0.0692 0.50469 lineto
0.06924 0.50075 lineto
0.06931 0.4968 lineto
0.06941 0.49286 lineto
0.06955 0.48892 lineto
0.06973 0.48498 lineto
0.06994 0.48104 lineto
0.07113 0.46533 lineto
0.07194 0.45749 lineto
0.07289 0.44967 lineto
0.0752 0.43409 lineto
0.08147 0.40327 lineto
0.08992 0.373 lineto
Mfstroke
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.0406 0.6336 moveto
0.30596 0.58456 lineto
0.36493 0.56959 lineto
0.40352 0.55809 lineto
0.44862 0.54167 lineto
0.47235 0.53074 lineto
0.49411 0.51773 lineto
0.50271 0.51084 lineto
0.50856 0.50457 lineto
0.51021 0.50211 lineto
0.51106 0.50041 lineto
0.51125 0.49989 lineto
0.51133 0.49958 lineto
0.51134 0.4995 lineto
0.51134 0.49947 lineto
0.51135 0.49945 lineto
0.51135 0.49945 lineto
0.51135 0.49944 lineto
0.51135 0.49944 lineto
0.51135 0.49944 lineto
0.51135 0.49944 lineto
0.51135 0.49944 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
stroke
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.51135 0.49943 moveto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49943 lineto
0.51135 0.49942 lineto
0.51135 0.49942 lineto
0.51135 0.49941 lineto
0.51134 0.4994 lineto
0.51134 0.49937 lineto
0.51133 0.49929 lineto
0.5113 0.49919 lineto
0.51125 0.49898 lineto
0.51107 0.49847 lineto
0.51024 0.4968 lineto
0.50863 0.4944 lineto
0.50676 0.49211 lineto
0.50302 0.48831 lineto
0.49483 0.48165 lineto
0.47429 0.46913 lineto
0.45213 0.45867 lineto
0.41048 0.44306 lineto
0.37526 0.43219 lineto
0.32206 0.41815 lineto
0.08992 0.373 lineto
stroke
grestore
grestore
grestore
grestore
0 0 moveto
1 0 lineto
1 0.97617 lineto
0 0.97617 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; rightWrapOffset = 528; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = subsubsection; inactive; Cclosed; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; startGroup; ]
Example 3
:[font = input; Cclosed; preserveAspect; rightWrapOffset = 528; startGroup; ]
gg = (s+0.5)/(s^3+s^2+1);
NyquistPlot[gg,s,{w,.3,50},AspectRatio->Automatic]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; rightWrapOffset = 528; pictureLeft = 34; pictureWidth = 430; pictureHeight = 266; ]
%!
%%Creator: Mathematica
%%AspectRatio: 1.81871 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.640504 0.604989 0.909356 0.604989 [
[(-1)] 0.03552 0 0 2 0 Minner Mrotsboxa
[(-0.75)] 0.18676 0 0 2 0 Minner Mrotsboxa
[(-0.5)] 0.33801 0 0 2 0 Minner Mrotsboxa
[(-0.25)] 0.48926 0 0 2 0 Minner Mrotsboxa
[(0)] 0.6405 0 0 2 0 Minner Mrotsboxa
[(0.25)] 0.79175 0 0 2 0 Minner Mrotsboxa
[(0.5)] 0.943 0 0 2 0 Minner Mrotsboxa
[(Re\(G\(jw\)\))] 0.5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-1.5)] -0.0125 0.00187 1 0 0 Minner Mrotsboxa
[(-1)] -0.0125 0.30437 1 0 0 Minner Mrotsboxa
[(-0.5)] -0.0125 0.60686 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 0.90936 1 0 0 Minner Mrotsboxa
[(0.5)] -0.0125 1.21185 1 0 0 Minner Mrotsboxa
[(1)] -0.0125 1.51434 1 0 0 Minner Mrotsboxa
[(1.5)] -0.0125 1.81684 1 0 0 Minner Mrotsboxa
[(Im\(G\(jw\)\))] -0.0125 0.90936 1 0 90 -1 0 Mouter Mrotsboxa
[(Nyquist Plot)] 0.5 1.81871 0 -4 Msboxa
[( )] 1.0375 0.90936 -1 0 90 Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.81971 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.18676 0 moveto
0.18676 1.81871 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.33801 0 moveto
0.33801 1.81871 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.48926 0 moveto
0.48926 1.81871 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.6405 0 moveto
0.6405 1.81871 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.79175 0 moveto
0.79175 1.81871 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.943 0 moveto
0.943 1.81871 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.30437 moveto
1 0.30437 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.60686 moveto
1 0.60686 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.90936 moveto
1 0.90936 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 1.21185 moveto
1 1.21185 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 1.51434 moveto
1 1.51434 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.03552 0 moveto
0.03552 0.00625 lineto
stroke
grestore
[(-1)] 0.03552 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.18676 0 moveto
0.18676 0.00625 lineto
stroke
grestore
[(-0.75)] 0.18676 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.33801 0 moveto
0.33801 0.00625 lineto
stroke
grestore
[(-0.5)] 0.33801 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.48926 0 moveto
0.48926 0.00625 lineto
stroke
grestore
[(-0.25)] 0.48926 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.6405 0 moveto
0.6405 0.00625 lineto
stroke
grestore
[(0)] 0.6405 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.79175 0 moveto
0.79175 0.00625 lineto
stroke
grestore
[(0.25)] 0.79175 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.943 0 moveto
0.943 0.00625 lineto
stroke
grestore
[(0.5)] 0.943 0 0 2 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0.06576 0 moveto
0.06576 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09601 0 moveto
0.09601 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.12626 0 moveto
0.12626 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.15651 0 moveto
0.15651 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21701 0 moveto
0.21701 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24726 0 moveto
0.24726 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27751 0 moveto
0.27751 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30776 0 moveto
0.30776 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36826 0 moveto
0.36826 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.39851 0 moveto
0.39851 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42876 0 moveto
0.42876 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.45901 0 moveto
0.45901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.51951 0 moveto
0.51951 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54976 0 moveto
0.54976 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58001 0 moveto
0.58001 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.61025 0 moveto
0.61025 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.67075 0 moveto
0.67075 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.701 0 moveto
0.701 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.73125 0 moveto
0.73125 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.7615 0 moveto
0.7615 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.822 0 moveto
0.822 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85225 0 moveto
0.85225 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8825 0 moveto
0.8825 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.91275 0 moveto
0.91275 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.00527 0 moveto
0.00527 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97325 0 moveto
0.97325 0.00375 lineto
stroke
grestore
[(Re\(G\(jw\)\))] 0.5 0 0 2 0 0 -1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.00187 moveto
0.00625 0.00187 lineto
stroke
grestore
[(-1.5)] -0.0125 0.00187 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.30437 moveto
0.00625 0.30437 lineto
stroke
grestore
[(-1)] -0.0125 0.30437 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.60686 moveto
0.00625 0.60686 lineto
stroke
grestore
[(-0.5)] -0.0125 0.60686 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.90936 moveto
0.00625 0.90936 lineto
stroke
grestore
[(0)] -0.0125 0.90936 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 1.21185 moveto
0.00625 1.21185 lineto
stroke
grestore
[(0.5)] -0.0125 1.21185 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 1.51434 moveto
0.00625 1.51434 lineto
stroke
grestore
[(1)] -0.0125 1.51434 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 1.81684 moveto
0.00625 1.81684 lineto
stroke
grestore
[(1.5)] -0.0125 1.81684 1 0 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0 0.06237 moveto
0.00375 0.06237 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.12287 moveto
0.00375 0.12287 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.18337 moveto
0.00375 0.18337 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.24387 moveto
0.00375 0.24387 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.36487 moveto
0.00375 0.36487 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.42536 moveto
0.00375 0.42536 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.48586 moveto
0.00375 0.48586 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.54636 moveto
0.00375 0.54636 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.66736 moveto
0.00375 0.66736 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.72786 moveto
0.00375 0.72786 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.78836 moveto
0.00375 0.78836 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.84886 moveto
0.00375 0.84886 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.96985 moveto
0.00375 0.96985 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 1.03035 moveto
0.00375 1.03035 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 1.09085 moveto
0.00375 1.09085 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 1.15135 moveto
0.00375 1.15135 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 1.27235 moveto
0.00375 1.27235 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 1.33285 moveto
0.00375 1.33285 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 1.39335 moveto
0.00375 1.39335 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 1.45385 moveto
0.00375 1.45385 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 1.57484 moveto
0.00375 1.57484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 1.63534 moveto
0.00375 1.63534 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 1.69584 moveto
0.00375 1.69584 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 1.75634 moveto
0.00375 1.75634 lineto
stroke
grestore
[(Im\(G\(jw\)\))] -0.0125 0.90936 1 0 90 -1 0 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
0 1.81871 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.03552 1.81246 moveto
0.03552 1.81871 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.18676 1.81246 moveto
0.18676 1.81871 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.33801 1.81246 moveto
0.33801 1.81871 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.48926 1.81246 moveto
0.48926 1.81871 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.6405 1.81246 moveto
0.6405 1.81871 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.79175 1.81246 moveto
0.79175 1.81871 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.943 1.81246 moveto
0.943 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06576 1.81496 moveto
0.06576 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09601 1.81496 moveto
0.09601 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.12626 1.81496 moveto
0.12626 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.15651 1.81496 moveto
0.15651 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21701 1.81496 moveto
0.21701 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24726 1.81496 moveto
0.24726 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27751 1.81496 moveto
0.27751 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30776 1.81496 moveto
0.30776 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36826 1.81496 moveto
0.36826 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.39851 1.81496 moveto
0.39851 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42876 1.81496 moveto
0.42876 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.45901 1.81496 moveto
0.45901 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.51951 1.81496 moveto
0.51951 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54976 1.81496 moveto
0.54976 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58001 1.81496 moveto
0.58001 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.61025 1.81496 moveto
0.61025 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.67075 1.81496 moveto
0.67075 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.701 1.81496 moveto
0.701 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.73125 1.81496 moveto
0.73125 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.7615 1.81496 moveto
0.7615 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.822 1.81496 moveto
0.822 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85225 1.81496 moveto
0.85225 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8825 1.81496 moveto
0.8825 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.91275 1.81496 moveto
0.91275 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.00527 1.81496 moveto
0.00527 1.81871 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97325 1.81496 moveto
0.97325 1.81871 lineto
stroke
grestore
[(Nyquist Plot)] 0.5 1.81871 0 -4 Mshowa
gsave
0.002 setlinewidth
0 1.81871 moveto
1 1.81871 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.00187 moveto
1 0.00187 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.30437 moveto
1 0.30437 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.60686 moveto
1 0.60686 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.90936 moveto
1 0.90936 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 1.21185 moveto
1 1.21185 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 1.51434 moveto
1 1.51434 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 1.81684 moveto
1 1.81684 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.06237 moveto
1 0.06237 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.12287 moveto
1 0.12287 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.18337 moveto
1 0.18337 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.24387 moveto
1 0.24387 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.36487 moveto
1 0.36487 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.42536 moveto
1 0.42536 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.48586 moveto
1 0.48586 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.54636 moveto
1 0.54636 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.66736 moveto
1 0.66736 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.72786 moveto
1 0.72786 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.78836 moveto
1 0.78836 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.84886 moveto
1 0.84886 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.96985 moveto
1 0.96985 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 1.03035 moveto
1 1.03035 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 1.09085 moveto
1 1.09085 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 1.15135 moveto
1 1.15135 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 1.27235 moveto
1 1.27235 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 1.33285 moveto
1 1.33285 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 1.39335 moveto
1 1.39335 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 1.45385 moveto
1 1.45385 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 1.57484 moveto
1 1.57484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 1.63534 moveto
1 1.63534 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 1.69584 moveto
1 1.69584 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 1.75634 moveto
1 1.75634 lineto
stroke
grestore
[( )] 1.0375 0.90936 -1 0 90 Mrotshowa
gsave
0.002 setlinewidth
1 0 moveto
1 1.81871 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0 0.90936 moveto
1 0.90936 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.6405 0 moveto
0.6405 1.81871 lineto
stroke
grestore
grestore
gsave
gsave
gsave
0.02 setlinewidth
0.03552 0.90936 Mdot
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.943 0.90936 moveto
0.94428 0.94899 lineto
0.94803 0.99018 lineto
0.96169 1.08445 lineto
0.96986 1.14234 lineto
0.97619 1.21184 lineto
0.97593 1.29741 lineto
0.95977 1.40365 lineto
0.91045 1.53187 lineto
0.80123 1.66997 lineto
0.60887 1.77491 lineto
0.35699 1.77541 lineto
0.13917 1.6429 lineto
0.03196 1.44486 lineto
0.02381 1.26483 lineto
0.06606 1.13375 lineto
0.12382 1.04675 lineto
0.18108 0.99075 lineto
0.23237 0.95486 lineto
0.27661 0.93175 lineto
0.31432 0.91678 lineto
0.34642 0.90707 lineto
0.37385 0.9008 lineto
0.39744 0.89681 lineto
0.41786 0.89436 lineto
0.43567 0.89295 lineto
0.45129 0.89224 lineto
0.46509 0.89202 lineto
0.47735 0.89213 lineto
0.4883 0.89245 lineto
0.49812 0.89292 lineto
0.50698 0.89348 lineto
0.60645 0.90584 lineto
0.6252 0.90821 lineto
0.63185 0.90885 lineto
0.63495 0.9091 lineto
0.63664 0.9092 lineto
0.63767 0.90926 lineto
0.63833 0.90929 lineto
0.63879 0.90931 lineto
0.63911 0.90932 lineto
0.63935 0.90933 lineto
0.63954 0.90934 lineto
0.63968 0.90934 lineto
0.63979 0.90934 lineto
0.63988 0.90935 lineto
0.63996 0.90935 lineto
0.64002 0.90935 lineto
0.64007 0.90935 lineto
0.64012 0.90935 lineto
Mistroke
0.64016 0.90935 lineto
0.64019 0.90935 lineto
0.64022 0.90935 lineto
0.64024 0.90935 lineto
0.64026 0.90935 lineto
Mfstroke
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.64026 0.90936 moveto
0.64024 0.90936 lineto
0.64022 0.90936 lineto
0.64019 0.90936 lineto
0.64016 0.90936 lineto
0.64012 0.90936 lineto
0.64007 0.90936 lineto
0.64002 0.90936 lineto
0.63996 0.90936 lineto
0.63988 0.90937 lineto
0.63979 0.90937 lineto
0.63968 0.90937 lineto
0.63954 0.90937 lineto
0.63935 0.90938 lineto
0.63911 0.90939 lineto
0.63879 0.9094 lineto
0.63833 0.90942 lineto
0.63767 0.90945 lineto
0.63664 0.90951 lineto
0.63495 0.90962 lineto
0.63185 0.90986 lineto
0.6252 0.9105 lineto
0.60645 0.91288 lineto
0.58064 0.91664 lineto
0.55487 0.92026 lineto
0.53502 0.92267 lineto
0.52229 0.92397 lineto
0.515 0.92461 lineto
0.50698 0.92523 lineto
0.49812 0.92579 lineto
0.4883 0.92626 lineto
0.47735 0.92658 lineto
0.46509 0.92669 lineto
0.45129 0.92647 lineto
0.43567 0.92576 lineto
0.41786 0.92435 lineto
0.39744 0.9219 lineto
0.37385 0.91792 lineto
0.34642 0.91164 lineto
0.31432 0.90193 lineto
0.27661 0.88696 lineto
0.23237 0.86385 lineto
0.18108 0.82796 lineto
0.12382 0.77196 lineto
0.06606 0.68496 lineto
0.02381 0.55388 lineto
0.03196 0.37385 lineto
0.13917 0.17581 lineto
0.35699 0.0433 lineto
0.60887 0.0438 lineto
Mistroke
0.80123 0.14874 lineto
0.91045 0.28684 lineto
0.95977 0.41507 lineto
0.97593 0.5213 lineto
0.97619 0.60687 lineto
0.96169 0.73426 lineto
0.943 0.90936 lineto
Mfstroke
grestore
grestore
grestore
grestore
0 0 moveto
1 0 lineto
1 1.81871 lineto
0 1.81871 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; rightWrapOffset = 528; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = subsubsection; inactive; Cclosed; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; startGroup; ]
Example 4
:[font = input; Cclosed; preserveAspect; rightWrapOffset = 528; startGroup; ]
gg = 2.65 /( s+1);
NyquistPlot[gg,s,{w,.1,50}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; rightWrapOffset = 528; pictureLeft = 34; pictureWidth = 430; pictureHeight = 266; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.284736 0.260926 0.309017 0.222177 [
[(-1)] 0.02381 0 0 2 0 Minner Mrotsboxa
[(-0.5)] 0.15427 0 0 2 0 Minner Mrotsboxa
[(0)] 0.28474 0 0 2 0 Minner Mrotsboxa
[(0.5)] 0.4152 0 0 2 0 Minner Mrotsboxa
[(1)] 0.54566 0 0 2 0 Minner Mrotsboxa
[(1.5)] 0.67613 0 0 2 0 Minner Mrotsboxa
[(2)] 0.80659 0 0 2 0 Minner Mrotsboxa
[(2.5)] 0.93705 0 0 2 0 Minner Mrotsboxa
[(Re\(G\(jw\)\))] 0.5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-1)] -0.0125 0.08684 1 0 0 Minner Mrotsboxa
[(-0.5)] -0.0125 0.19793 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 0.30902 1 0 0 Minner Mrotsboxa
[(0.5)] -0.0125 0.42011 1 0 0 Minner Mrotsboxa
[(1)] -0.0125 0.53119 1 0 0 Minner Mrotsboxa
[(Im\(G\(jw\)\))] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotsboxa
[(Nyquist Plot)] 0.5 0.61803 0 -4 Msboxa
[( )] 1.0375 0.30902 -1 0 90 Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.15427 0 moveto
0.15427 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.28474 0 moveto
0.28474 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.4152 0 moveto
0.4152 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.54566 0 moveto
0.54566 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.67613 0 moveto
0.67613 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.80659 0 moveto
0.80659 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.93705 0 moveto
0.93705 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.08684 moveto
1 0.08684 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.19793 moveto
1 0.19793 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.42011 moveto
1 0.42011 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.53119 moveto
1 0.53119 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.02381 0 moveto
0.02381 0.00625 lineto
stroke
grestore
[(-1)] 0.02381 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.15427 0 moveto
0.15427 0.00625 lineto
stroke
grestore
[(-0.5)] 0.15427 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.28474 0 moveto
0.28474 0.00625 lineto
stroke
grestore
[(0)] 0.28474 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.4152 0 moveto
0.4152 0.00625 lineto
stroke
grestore
[(0.5)] 0.4152 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.54566 0 moveto
0.54566 0.00625 lineto
stroke
grestore
[(1)] 0.54566 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.67613 0 moveto
0.67613 0.00625 lineto
stroke
grestore
[(1.5)] 0.67613 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.80659 0 moveto
0.80659 0.00625 lineto
stroke
grestore
[(2)] 0.80659 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.93705 0 moveto
0.93705 0.00625 lineto
stroke
grestore
[(2.5)] 0.93705 0 0 2 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0.0499 0 moveto
0.0499 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.07599 0 moveto
0.07599 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.10209 0 moveto
0.10209 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.12818 0 moveto
0.12818 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18037 0 moveto
0.18037 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.20646 0 moveto
0.20646 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.23255 0 moveto
0.23255 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25864 0 moveto
0.25864 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31083 0 moveto
0.31083 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.33692 0 moveto
0.33692 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36301 0 moveto
0.36301 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38911 0 moveto
0.38911 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.44129 0 moveto
0.44129 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46738 0 moveto
0.46738 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.49348 0 moveto
0.49348 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.51957 0 moveto
0.51957 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.57175 0 moveto
0.57175 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59785 0 moveto
0.59785 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62394 0 moveto
0.62394 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.65003 0 moveto
0.65003 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.70222 0 moveto
0.70222 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72831 0 moveto
0.72831 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.7544 0 moveto
0.7544 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.7805 0 moveto
0.7805 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83268 0 moveto
0.83268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85877 0 moveto
0.85877 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88487 0 moveto
0.88487 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.91096 0 moveto
0.91096 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.96314 0 moveto
0.96314 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98924 0 moveto
0.98924 0.00375 lineto
stroke
grestore
[(Re\(G\(jw\)\))] 0.5 0 0 2 0 0 -1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.08684 moveto
0.00625 0.08684 lineto
stroke
grestore
[(-1)] -0.0125 0.08684 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.19793 moveto
0.00625 0.19793 lineto
stroke
grestore
[(-0.5)] -0.0125 0.19793 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.30902 moveto
0.00625 0.30902 lineto
stroke
grestore
[(0)] -0.0125 0.30902 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.42011 moveto
0.00625 0.42011 lineto
stroke
grestore
[(0.5)] -0.0125 0.42011 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.53119 moveto
0.00625 0.53119 lineto
stroke
grestore
[(1)] -0.0125 0.53119 1 0 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0 0.10906 moveto
0.00375 0.10906 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.13128 moveto
0.00375 0.13128 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.15349 moveto
0.00375 0.15349 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.17571 moveto
0.00375 0.17571 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.22015 moveto
0.00375 0.22015 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.24236 moveto
0.00375 0.24236 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.26458 moveto
0.00375 0.26458 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.2868 moveto
0.00375 0.2868 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.33123 moveto
0.00375 0.33123 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.35345 moveto
0.00375 0.35345 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.37567 moveto
0.00375 0.37567 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.39789 moveto
0.00375 0.39789 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.44232 moveto
0.00375 0.44232 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.46454 moveto
0.00375 0.46454 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.48676 moveto
0.00375 0.48676 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.50898 moveto
0.00375 0.50898 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.06462 moveto
0.00375 0.06462 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.0424 moveto
0.00375 0.0424 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.02019 moveto
0.00375 0.02019 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.55341 moveto
0.00375 0.55341 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.57563 moveto
0.00375 0.57563 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.59785 moveto
0.00375 0.59785 lineto
stroke
grestore
[(Im\(G\(jw\)\))] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
0 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.02381 0.61178 moveto
0.02381 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.15427 0.61178 moveto
0.15427 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28474 0.61178 moveto
0.28474 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.4152 0.61178 moveto
0.4152 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.54566 0.61178 moveto
0.54566 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.67613 0.61178 moveto
0.67613 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.80659 0.61178 moveto
0.80659 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.93705 0.61178 moveto
0.93705 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0499 0.61428 moveto
0.0499 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.07599 0.61428 moveto
0.07599 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.10209 0.61428 moveto
0.10209 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.12818 0.61428 moveto
0.12818 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18037 0.61428 moveto
0.18037 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.20646 0.61428 moveto
0.20646 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.23255 0.61428 moveto
0.23255 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25864 0.61428 moveto
0.25864 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31083 0.61428 moveto
0.31083 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.33692 0.61428 moveto
0.33692 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36301 0.61428 moveto
0.36301 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38911 0.61428 moveto
0.38911 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.44129 0.61428 moveto
0.44129 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46738 0.61428 moveto
0.46738 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.49348 0.61428 moveto
0.49348 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.51957 0.61428 moveto
0.51957 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.57175 0.61428 moveto
0.57175 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59785 0.61428 moveto
0.59785 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62394 0.61428 moveto
0.62394 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.65003 0.61428 moveto
0.65003 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.70222 0.61428 moveto
0.70222 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72831 0.61428 moveto
0.72831 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.7544 0.61428 moveto
0.7544 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.7805 0.61428 moveto
0.7805 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83268 0.61428 moveto
0.83268 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85877 0.61428 moveto
0.85877 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88487 0.61428 moveto
0.88487 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.91096 0.61428 moveto
0.91096 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.96314 0.61428 moveto
0.96314 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98924 0.61428 moveto
0.98924 0.61803 lineto
stroke
grestore
[(Nyquist Plot)] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0 0.61803 moveto
1 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.08684 moveto
1 0.08684 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.19793 moveto
1 0.19793 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.42011 moveto
1 0.42011 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.53119 moveto
1 0.53119 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.10906 moveto
1 0.10906 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.13128 moveto
1 0.13128 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.15349 moveto
1 0.15349 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.17571 moveto
1 0.17571 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.22015 moveto
1 0.22015 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.24236 moveto
1 0.24236 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.26458 moveto
1 0.26458 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.2868 moveto
1 0.2868 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.33123 moveto
1 0.33123 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.35345 moveto
1 0.35345 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.37567 moveto
1 0.37567 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.39789 moveto
1 0.39789 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.44232 moveto
1 0.44232 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.46454 moveto
1 0.46454 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.48676 moveto
1 0.48676 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.50898 moveto
1 0.50898 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.06462 moveto
1 0.06462 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.0424 moveto
1 0.0424 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.02019 moveto
1 0.02019 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.55341 moveto
1 0.55341 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.57563 moveto
1 0.57563 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.59785 moveto
1 0.59785 lineto
stroke
grestore
[( )] 1.0375 0.30902 -1 0 90 Mrotshowa
gsave
0.002 setlinewidth
1 0 moveto
1 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28474 0 moveto
0.28474 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
gsave
0.02 setlinewidth
0.02381 0.30902 Mdot
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.97619 0.30902 moveto
0.97327 0.27085 lineto
0.96466 0.23363 lineto
0.95078 0.19825 lineto
0.93228 0.16543 lineto
0.88465 0.10948 lineto
0.85728 0.08684 lineto
0.82865 0.0678 lineto
0.79947 0.0522 lineto
0.77036 0.03981 lineto
0.74179 0.03031 lineto
0.71412 0.02338 lineto
0.68761 0.01868 lineto
0.66242 0.01589 lineto
0.63866 0.01472 lineto
0.61636 0.01488 lineto
0.59551 0.01614 lineto
0.57608 0.0183 lineto
0.55803 0.02117 lineto
0.54127 0.0246 lineto
0.48566 0.0417 lineto
0.46363 0.05118 lineto
0.44468 0.06075 lineto
0.41421 0.07933 lineto
0.37359 0.11198 lineto
0.34896 0.13811 lineto
0.32239 0.17541 lineto
0.30932 0.19999 lineto
0.302 0.21717 lineto
0.29455 0.23937 lineto
0.29105 0.25301 lineto
0.28913 0.26221 lineto
0.28797 0.26883 lineto
0.28722 0.27382 lineto
0.2867 0.27771 lineto
0.28633 0.28082 lineto
0.28605 0.28337 lineto
0.28584 0.2855 lineto
0.28568 0.28731 lineto
0.28555 0.28885 lineto
0.28544 0.2902 lineto
0.28536 0.29137 lineto
0.28529 0.29241 lineto
0.28523 0.29333 lineto
0.28518 0.29415 lineto
0.28513 0.29489 lineto
0.2851 0.29557 lineto
0.28506 0.29618 lineto
0.28504 0.29673 lineto
0.28501 0.29725 lineto
Mistroke
Mfstroke
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.28501 0.32079 moveto
0.28504 0.3213 lineto
0.28506 0.32186 lineto
0.2851 0.32247 lineto
0.28513 0.32314 lineto
0.28518 0.32388 lineto
0.28523 0.32471 lineto
0.28529 0.32563 lineto
0.28536 0.32666 lineto
0.28544 0.32784 lineto
0.28555 0.32918 lineto
0.28568 0.33073 lineto
0.28584 0.33253 lineto
0.28605 0.33466 lineto
0.28633 0.33721 lineto
0.2867 0.34033 lineto
0.28722 0.34422 lineto
0.28797 0.3492 lineto
0.28913 0.35582 lineto
0.29105 0.36502 lineto
0.29455 0.37867 lineto
0.2975 0.38827 lineto
0.302 0.40087 lineto
0.30932 0.41804 lineto
0.32239 0.44263 lineto
0.33312 0.45921 lineto
0.34896 0.47992 lineto
0.37359 0.50605 lineto
0.39123 0.52154 lineto
0.41421 0.53871 lineto
0.44468 0.55729 lineto
0.46363 0.56686 lineto
0.48566 0.57634 lineto
0.51133 0.58537 lineto
0.52573 0.58957 lineto
0.54127 0.59344 lineto
0.55803 0.59687 lineto
0.57608 0.59974 lineto
0.59551 0.60189 lineto
0.61636 0.60316 lineto
0.63866 0.60332 lineto
0.66242 0.60214 lineto
0.68761 0.59935 lineto
0.71412 0.59465 lineto
0.74179 0.58772 lineto
0.77036 0.57823 lineto
0.79947 0.56583 lineto
0.82865 0.55023 lineto
0.85728 0.53119 lineto
0.88465 0.50856 lineto
Mistroke
0.90994 0.48231 lineto
0.93228 0.4526 lineto
0.95078 0.41979 lineto
0.96466 0.3844 lineto
0.97327 0.34719 lineto
0.97619 0.30902 lineto
Mfstroke
grestore
grestore
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; rightWrapOffset = 528; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = subsubsection; inactive; Cclosed; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; startGroup; ]
Example 5
:[font = input; Cclosed; preserveAspect; rightWrapOffset = 528; startGroup; ]
gg = 2.65 Exp[-.8 s]/( s+1);
NyquistPlot[gg,s,{w,.1,10}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; rightWrapOffset = 528; pictureLeft = 34; pictureWidth = 430; pictureHeight = 266; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.299014 0.255538 0.309017 0.146603 [
[(-1)] 0.04348 0 0 2 0 Minner Mrotsboxa
[(-0.5)] 0.17125 0 0 2 0 Minner Mrotsboxa
[(0)] 0.29901 0 0 2 0 Minner Mrotsboxa
[(0.5)] 0.42678 0 0 2 0 Minner Mrotsboxa
[(1)] 0.55455 0 0 2 0 Minner Mrotsboxa
[(1.5)] 0.68232 0 0 2 0 Minner Mrotsboxa
[(2)] 0.81009 0 0 2 0 Minner Mrotsboxa
[(2.5)] 0.93786 0 0 2 0 Minner Mrotsboxa
[(Re\(G\(jw\)\))] 0.5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-2)] -0.0125 0.01581 1 0 0 Minner Mrotsboxa
[(-1)] -0.0125 0.16241 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 0.30902 1 0 0 Minner Mrotsboxa
[(1)] -0.0125 0.45562 1 0 0 Minner Mrotsboxa
[(2)] -0.0125 0.60222 1 0 0 Minner Mrotsboxa
[(Im\(G\(jw\)\))] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotsboxa
[(Nyquist Plot)] 0.5 0.61803 0 -4 Msboxa
[( )] 1.0375 0.30902 -1 0 90 Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.04348 0 moveto
0.04348 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.17125 0 moveto
0.17125 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.29901 0 moveto
0.29901 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.42678 0 moveto
0.42678 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.55455 0 moveto
0.55455 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.68232 0 moveto
0.68232 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.81009 0 moveto
0.81009 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.93786 0 moveto
0.93786 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.16241 moveto
1 0.16241 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.45562 moveto
1 0.45562 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.04348 0 moveto
0.04348 0.00625 lineto
stroke
grestore
[(-1)] 0.04348 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.17125 0 moveto
0.17125 0.00625 lineto
stroke
grestore
[(-0.5)] 0.17125 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.29901 0 moveto
0.29901 0.00625 lineto
stroke
grestore
[(0)] 0.29901 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.42678 0 moveto
0.42678 0.00625 lineto
stroke
grestore
[(0.5)] 0.42678 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.55455 0 moveto
0.55455 0.00625 lineto
stroke
grestore
[(1)] 0.55455 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.68232 0 moveto
0.68232 0.00625 lineto
stroke
grestore
[(1.5)] 0.68232 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.81009 0 moveto
0.81009 0.00625 lineto
stroke
grestore
[(2)] 0.81009 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.93786 0 moveto
0.93786 0.00625 lineto
stroke
grestore
[(2.5)] 0.93786 0 0 2 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0.06903 0 moveto
0.06903 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09458 0 moveto
0.09458 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.12014 0 moveto
0.12014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14569 0 moveto
0.14569 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1968 0 moveto
0.1968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22235 0 moveto
0.22235 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24791 0 moveto
0.24791 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27346 0 moveto
0.27346 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.32457 0 moveto
0.32457 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.35012 0 moveto
0.35012 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37568 0 moveto
0.37568 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40123 0 moveto
0.40123 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.45234 0 moveto
0.45234 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47789 0 moveto
0.47789 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50344 0 moveto
0.50344 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.529 0 moveto
0.529 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58011 0 moveto
0.58011 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.60566 0 moveto
0.60566 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.63121 0 moveto
0.63121 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.65677 0 moveto
0.65677 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.70788 0 moveto
0.70788 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.73343 0 moveto
0.73343 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75898 0 moveto
0.75898 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78454 0 moveto
0.78454 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83564 0 moveto
0.83564 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8612 0 moveto
0.8612 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88675 0 moveto
0.88675 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.91231 0 moveto
0.91231 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01792 0 moveto
0.01792 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.96341 0 moveto
0.96341 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98897 0 moveto
0.98897 0.00375 lineto
stroke
grestore
[(Re\(G\(jw\)\))] 0.5 0 0 2 0 0 -1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01581 moveto
0.00625 0.01581 lineto
stroke
grestore
[(-2)] -0.0125 0.01581 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.16241 moveto
0.00625 0.16241 lineto
stroke
grestore
[(-1)] -0.0125 0.16241 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.30902 moveto
0.00625 0.30902 lineto
stroke
grestore
[(0)] -0.0125 0.30902 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.45562 moveto
0.00625 0.45562 lineto
stroke
grestore
[(1)] -0.0125 0.45562 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.60222 moveto
0.00625 0.60222 lineto
stroke
grestore
[(2)] -0.0125 0.60222 1 0 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0 0.04513 moveto
0.00375 0.04513 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.07445 moveto
0.00375 0.07445 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.10377 moveto
0.00375 0.10377 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.13309 moveto
0.00375 0.13309 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.19173 moveto
0.00375 0.19173 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.22106 moveto
0.00375 0.22106 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.25038 moveto
0.00375 0.25038 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.2797 moveto
0.00375 0.2797 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.33834 moveto
0.00375 0.33834 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.36766 moveto
0.00375 0.36766 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.39698 moveto
0.00375 0.39698 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.4263 moveto
0.00375 0.4263 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.48494 moveto
0.00375 0.48494 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.51426 moveto
0.00375 0.51426 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.54358 moveto
0.00375 0.54358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.5729 moveto
0.00375 0.5729 lineto
stroke
grestore
[(Im\(G\(jw\)\))] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
0 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.04348 0.61178 moveto
0.04348 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.17125 0.61178 moveto
0.17125 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.29901 0.61178 moveto
0.29901 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.42678 0.61178 moveto
0.42678 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.55455 0.61178 moveto
0.55455 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.68232 0.61178 moveto
0.68232 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.81009 0.61178 moveto
0.81009 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.93786 0.61178 moveto
0.93786 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06903 0.61428 moveto
0.06903 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09458 0.61428 moveto
0.09458 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.12014 0.61428 moveto
0.12014 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14569 0.61428 moveto
0.14569 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1968 0.61428 moveto
0.1968 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22235 0.61428 moveto
0.22235 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24791 0.61428 moveto
0.24791 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27346 0.61428 moveto
0.27346 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.32457 0.61428 moveto
0.32457 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.35012 0.61428 moveto
0.35012 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37568 0.61428 moveto
0.37568 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40123 0.61428 moveto
0.40123 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.45234 0.61428 moveto
0.45234 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47789 0.61428 moveto
0.47789 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50344 0.61428 moveto
0.50344 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.529 0.61428 moveto
0.529 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58011 0.61428 moveto
0.58011 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.60566 0.61428 moveto
0.60566 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.63121 0.61428 moveto
0.63121 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.65677 0.61428 moveto
0.65677 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.70788 0.61428 moveto
0.70788 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.73343 0.61428 moveto
0.73343 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75898 0.61428 moveto
0.75898 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78454 0.61428 moveto
0.78454 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83564 0.61428 moveto
0.83564 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8612 0.61428 moveto
0.8612 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88675 0.61428 moveto
0.88675 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.91231 0.61428 moveto
0.91231 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01792 0.61428 moveto
0.01792 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.96341 0.61428 moveto
0.96341 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98897 0.61428 moveto
0.98897 0.61803 lineto
stroke
grestore
[(Nyquist Plot)] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0 0.61803 moveto
1 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.01581 moveto
1 0.01581 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.16241 moveto
1 0.16241 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.45562 moveto
1 0.45562 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.60222 moveto
1 0.60222 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.04513 moveto
1 0.04513 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.07445 moveto
1 0.07445 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.10377 moveto
1 0.10377 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.13309 moveto
1 0.13309 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.19173 moveto
1 0.19173 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.22106 moveto
1 0.22106 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.25038 moveto
1 0.25038 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.2797 moveto
1 0.2797 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.33834 moveto
1 0.33834 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.36766 moveto
1 0.36766 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.39698 moveto
1 0.39698 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.4263 moveto
1 0.4263 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.48494 moveto
1 0.48494 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.51426 moveto
1 0.51426 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.54358 moveto
1 0.54358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.5729 moveto
1 0.5729 lineto
stroke
grestore
[( )] 1.0375 0.30902 -1 0 90 Mrotshowa
gsave
0.002 setlinewidth
1 0 moveto
1 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.29901 0 moveto
0.29901 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
gsave
0.02 setlinewidth
0.04348 0.30902 Mdot
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.97619 0.30902 moveto
0.97595 0.29991 lineto
0.97522 0.29082 lineto
0.974 0.28175 lineto
0.97231 0.27272 lineto
0.96748 0.25479 lineto
0.96079 0.23713 lineto
0.95228 0.21982 lineto
0.94202 0.20294 lineto
0.9166 0.17075 lineto
0.88531 0.14107 lineto
0.84907 0.11429 lineto
0.80883 0.09067 lineto
0.76559 0.07037 lineto
0.7203 0.05343 lineto
0.67384 0.03979 lineto
0.62699 0.02932 lineto
0.58045 0.02185 lineto
0.55747 0.01916 lineto
0.54609 0.01807 lineto
0.53478 0.01714 lineto
0.52356 0.01637 lineto
0.51242 0.01575 lineto
0.50138 0.01527 lineto
0.49045 0.01495 lineto
0.47962 0.01476 lineto
0.4689 0.01472 lineto
0.4583 0.0148 lineto
0.44782 0.01501 lineto
0.43746 0.01535 lineto
0.42722 0.01582 lineto
0.40715 0.01708 lineto
0.38762 0.01879 lineto
0.36864 0.02091 lineto
0.33241 0.02624 lineto
0.29852 0.03287 lineto
0.26699 0.0406 lineto
0.21094 0.05861 lineto
0.16383 0.07905 lineto
0.12503 0.10093 lineto
0.09378 0.12353 lineto
0.06929 0.14627 lineto
0.05081 0.16875 lineto
0.0436 0.17979 lineto
0.03764 0.19066 lineto
0.03285 0.20133 lineto
0.02915 0.21179 lineto
0.02768 0.21693 lineto
0.02647 0.22201 lineto
0.02549 0.22702 lineto
Mistroke
0.02474 0.23197 lineto
0.02445 0.23443 lineto
0.02422 0.23686 lineto
0.02404 0.23928 lineto
0.02391 0.24168 lineto
0.02383 0.24406 lineto
0.02381 0.24643 lineto
0.02384 0.24878 lineto
0.02391 0.25111 lineto
0.02404 0.25342 lineto
0.02421 0.25572 lineto
0.02443 0.258 lineto
0.02469 0.26026 lineto
0.02619 0.26912 lineto
0.0272 0.27344 lineto
0.02837 0.27769 lineto
0.03118 0.28596 lineto
0.0385 0.30161 lineto
0.04782 0.31604 lineto
0.05884 0.32926 lineto
0.0713 0.34129 lineto
0.08496 0.35212 lineto
0.09959 0.3618 lineto
0.13098 0.37777 lineto
0.14739 0.38412 lineto
0.16406 0.38944 lineto
0.18086 0.39376 lineto
0.19764 0.39712 lineto
0.20599 0.39845 lineto
0.2143 0.39956 lineto
0.22254 0.40045 lineto
0.23071 0.40113 lineto
0.23477 0.40139 lineto
0.2388 0.4016 lineto
0.24281 0.40176 lineto
0.2448 0.40182 lineto
0.24679 0.40187 lineto
0.24877 0.40191 lineto
0.25074 0.40193 lineto
0.25271 0.40195 lineto
0.25467 0.40195 lineto
0.25662 0.40193 lineto
0.25857 0.40191 lineto
0.2605 0.40188 lineto
0.26243 0.40183 lineto
0.26627 0.4017 lineto
0.27007 0.40153 lineto
0.27756 0.40106 lineto
0.2849 0.40041 lineto
0.29209 0.39959 lineto
Mistroke
0.30597 0.3975 lineto
0.31913 0.39481 lineto
0.33151 0.39159 lineto
0.34309 0.38788 lineto
0.36363 0.37919 lineto
0.38055 0.36916 lineto
0.3876 0.36376 lineto
0.3937 0.35816 lineto
0.39886 0.35242 lineto
0.40307 0.34658 lineto
0.40635 0.34068 lineto
0.40872 0.33476 lineto
0.40956 0.33181 lineto
0.4099 0.33034 lineto
0.41019 0.32888 lineto
0.41042 0.32741 lineto
0.41059 0.32595 lineto
0.41066 0.32523 lineto
0.41072 0.3245 lineto
0.41076 0.32378 lineto
0.41079 0.32305 lineto
0.4108 0.32233 lineto
0.4108 0.32161 lineto
0.41079 0.32089 lineto
0.41077 0.32018 lineto
0.41073 0.31946 lineto
0.41068 0.31875 lineto
0.41054 0.31733 lineto
0.41035 0.31592 lineto
0.41012 0.31452 lineto
0.40949 0.31175 lineto
0.40867 0.30902 lineto
0.40767 0.30634 lineto
0.40511 0.30112 lineto
0.40187 0.29614 lineto
0.39798 0.29141 lineto
0.38848 0.28281 lineto
0.37701 0.27548 lineto
0.37067 0.27233 lineto
0.36401 0.26953 lineto
0.35707 0.2671 lineto
0.34991 0.26504 lineto
0.34259 0.26336 lineto
0.33516 0.26205 lineto
0.33142 0.26153 lineto
0.32768 0.26111 lineto
0.32393 0.26078 lineto
0.32206 0.26064 lineto
0.32019 0.26054 lineto
0.31832 0.26045 lineto
Mistroke
0.31739 0.26041 lineto
0.31646 0.26039 lineto
0.31553 0.26036 lineto
0.31461 0.26034 lineto
0.31368 0.26033 lineto
0.31275 0.26033 lineto
0.31183 0.26032 lineto
0.31091 0.26033 lineto
0.30999 0.26034 lineto
0.30907 0.26035 lineto
0.30724 0.2604 lineto
0.30633 0.26043 lineto
0.30542 0.26047 lineto
0.3018 0.26067 lineto
0.3 0.2608 lineto
0.29822 0.26096 lineto
0.29122 0.26177 lineto
0.2878 0.2623 lineto
0.28445 0.2629 lineto
0.27796 0.26433 lineto
0.27177 0.26605 lineto
0.26593 0.26802 lineto
0.25541 0.27268 lineto
0.24659 0.27814 lineto
0.24288 0.28112 lineto
0.23964 0.28422 lineto
0.2369 0.28743 lineto
0.23466 0.29071 lineto
0.23373 0.29238 lineto
0.23293 0.29406 lineto
0.23225 0.29575 lineto
0.23169 0.29744 lineto
0.23127 0.29913 lineto
0.2311 0.29998 lineto
0.23096 0.30082 lineto
0.23086 0.30167 lineto
0.23082 0.30209 lineto
0.23078 0.30251 lineto
0.23076 0.30294 lineto
0.23074 0.30336 lineto
0.23073 0.30378 lineto
0.23073 0.3042 lineto
0.23073 0.30462 lineto
0.23075 0.30504 lineto
0.23077 0.30545 lineto
0.23079 0.30587 lineto
0.23083 0.30629 lineto
0.23087 0.3067 lineto
0.23098 0.30753 lineto
0.23128 0.30918 lineto
Mistroke
0.23171 0.31081 lineto
Mfstroke
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.23171 0.30723 moveto
0.23128 0.30886 lineto
0.23112 0.30968 lineto
0.23098 0.3105 lineto
0.23087 0.31133 lineto
0.23083 0.31175 lineto
0.23079 0.31216 lineto
0.23077 0.31258 lineto
0.23075 0.313 lineto
0.23073 0.31342 lineto
0.23073 0.31384 lineto
0.23073 0.31426 lineto
0.23074 0.31468 lineto
0.23076 0.3151 lineto
0.23078 0.31552 lineto
0.23086 0.31636 lineto
0.23096 0.31721 lineto
0.2311 0.31806 lineto
0.23127 0.3189 lineto
0.23169 0.3206 lineto
0.23225 0.32229 lineto
0.23293 0.32397 lineto
0.23466 0.32732 lineto
0.2369 0.33061 lineto
0.23964 0.33382 lineto
0.24659 0.33989 lineto
0.25541 0.34535 lineto
0.26593 0.35001 lineto
0.27177 0.35199 lineto
0.27796 0.3537 lineto
0.28445 0.35513 lineto
0.2878 0.35574 lineto
0.29122 0.35626 lineto
0.2947 0.35671 lineto
0.29822 0.35708 lineto
0.3 0.35723 lineto
0.3018 0.35736 lineto
0.3036 0.35747 lineto
0.30542 0.35756 lineto
0.30633 0.3576 lineto
0.30724 0.35763 lineto
0.30815 0.35766 lineto
0.30907 0.35768 lineto
0.30999 0.3577 lineto
0.31091 0.35771 lineto
0.31183 0.35771 lineto
0.31275 0.35771 lineto
0.31368 0.3577 lineto
0.31461 0.35769 lineto
0.31553 0.35767 lineto
Mistroke
0.31646 0.35765 lineto
0.31832 0.35758 lineto
0.32019 0.3575 lineto
0.32206 0.35739 lineto
0.32393 0.35726 lineto
0.32768 0.35693 lineto
0.33516 0.35599 lineto
0.34259 0.35468 lineto
0.34991 0.35299 lineto
0.35707 0.35093 lineto
0.36401 0.3485 lineto
0.37701 0.34255 lineto
0.38848 0.33522 lineto
0.3935 0.33107 lineto
0.39798 0.32662 lineto
0.40187 0.32189 lineto
0.40511 0.31691 lineto
0.40648 0.31433 lineto
0.40767 0.3117 lineto
0.40867 0.30901 lineto
0.40949 0.30628 lineto
0.40983 0.3049 lineto
0.41012 0.30351 lineto
0.41035 0.30211 lineto
0.41054 0.3007 lineto
0.41062 0.29999 lineto
0.41068 0.29928 lineto
0.41073 0.29857 lineto
0.41077 0.29786 lineto
0.41079 0.29714 lineto
0.4108 0.29642 lineto
0.4108 0.2957 lineto
0.41079 0.29498 lineto
0.41076 0.29426 lineto
0.41072 0.29353 lineto
0.41059 0.29208 lineto
0.41051 0.29135 lineto
0.41042 0.29062 lineto
0.41019 0.28916 lineto
0.40956 0.28622 lineto
0.40872 0.28327 lineto
0.40635 0.27736 lineto
0.40307 0.27146 lineto
0.39886 0.26561 lineto
0.3937 0.25987 lineto
0.38055 0.24887 lineto
0.36363 0.23884 lineto
0.3538 0.2343 lineto
0.34309 0.23016 lineto
0.31913 0.22322 lineto
Mistroke
0.30597 0.22054 lineto
0.29912 0.21941 lineto
0.29209 0.21844 lineto
0.2849 0.21763 lineto
0.27756 0.21698 lineto
0.27383 0.21672 lineto
0.27007 0.2165 lineto
0.26627 0.21633 lineto
0.26243 0.2162 lineto
0.2605 0.21616 lineto
0.25857 0.21612 lineto
0.25662 0.2161 lineto
0.25467 0.21609 lineto
0.25271 0.21609 lineto
0.25074 0.2161 lineto
0.24877 0.21613 lineto
0.24679 0.21616 lineto
0.2448 0.21621 lineto
0.24281 0.21627 lineto
0.2388 0.21643 lineto
0.23477 0.21664 lineto
0.23071 0.2169 lineto
0.22254 0.21758 lineto
0.2143 0.21847 lineto
0.19764 0.22092 lineto
0.18086 0.22427 lineto
0.16406 0.22859 lineto
0.13098 0.24027 lineto
0.11499 0.2477 lineto
0.09959 0.25624 lineto
0.08496 0.26591 lineto
0.0713 0.27675 lineto
0.05884 0.28877 lineto
0.04782 0.30199 lineto
0.0385 0.31643 lineto
0.03457 0.3241 lineto
0.03118 0.33207 lineto
0.02837 0.34034 lineto
0.0272 0.34459 lineto
0.02619 0.34891 lineto
0.02536 0.35331 lineto
0.02469 0.35777 lineto
0.02443 0.36003 lineto
0.02421 0.36231 lineto
0.02404 0.36461 lineto
0.02391 0.36692 lineto
0.02384 0.36926 lineto
0.02381 0.3716 lineto
0.02383 0.37397 lineto
0.02391 0.37636 lineto
Mistroke
0.02404 0.37876 lineto
0.02422 0.38117 lineto
0.02445 0.38361 lineto
0.02474 0.38606 lineto
0.02647 0.39603 lineto
0.02768 0.40111 lineto
0.02915 0.40625 lineto
0.03764 0.42737 lineto
0.0436 0.43824 lineto
0.05081 0.44929 lineto
0.06929 0.47177 lineto
0.09378 0.49451 lineto
0.12503 0.5171 lineto
0.16383 0.53898 lineto
0.21094 0.55942 lineto
0.23781 0.5688 lineto
0.26699 0.57744 lineto
0.29852 0.58516 lineto
0.33241 0.59179 lineto
0.36864 0.59713 lineto
0.38762 0.59924 lineto
0.40715 0.60095 lineto
0.42722 0.60222 lineto
0.43746 0.60268 lineto
0.44782 0.60302 lineto
0.4583 0.60323 lineto
0.4689 0.60332 lineto
0.47962 0.60327 lineto
0.49045 0.60309 lineto
0.50138 0.60276 lineto
0.51242 0.60229 lineto
0.52356 0.60167 lineto
0.53478 0.60089 lineto
0.55747 0.59887 lineto
0.58045 0.59618 lineto
0.62699 0.58871 lineto
0.67384 0.57825 lineto
0.7203 0.56461 lineto
0.76559 0.54766 lineto
0.80883 0.52736 lineto
0.84907 0.50375 lineto
0.88531 0.47696 lineto
0.9166 0.44728 lineto
0.93009 0.43147 lineto
0.94202 0.41509 lineto
0.95228 0.39821 lineto
0.96079 0.3809 lineto
0.96748 0.36324 lineto
0.97013 0.35431 lineto
0.97231 0.34532 lineto
Mistroke
0.974 0.33628 lineto
0.97522 0.32721 lineto
0.97595 0.31812 lineto
0.97619 0.30902 lineto
Mfstroke
grestore
grestore
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; rightWrapOffset = 528; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = subsubsection; inactive; Cclosed; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; startGroup; ]
Example 6
:[font = input; Cclosed; preserveAspect; rightWrapOffset = 528; startGroup; ]
gg = 1/s/(s-1);
NyquistPlot[gg,s,{w,.2,50}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; rightWrapOffset = 528; pictureLeft = 34; pictureWidth = 430; pictureHeight = 266; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.976256 0.165091 0.309017 0.061215 [
[(-5)] 0.1508 0 0 2 0 Minner Mrotsboxa
[(-4)] 0.31589 0 0 2 0 Minner Mrotsboxa
[(-3)] 0.48098 0 0 2 0 Minner Mrotsboxa
[(-2)] 0.64607 0 0 2 0 Minner Mrotsboxa
[(-1)] 0.81117 0 0 2 0 Minner Mrotsboxa
[(0)] 0.97626 0 0 2 0 Minner Mrotsboxa
[(Re\(G\(jw\)\))] 0.5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-4)] -0.0125 0.06416 1 0 0 Minner Mrotsboxa
[(-2)] -0.0125 0.18659 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 0.30902 1 0 0 Minner Mrotsboxa
[(2)] -0.0125 0.43145 1 0 0 Minner Mrotsboxa
[(4)] -0.0125 0.55388 1 0 0 Minner Mrotsboxa
[(Im\(G\(jw\)\))] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotsboxa
[(Nyquist Plot)] 0.5 0.61803 0 -4 Msboxa
[( )] 1.0375 0.30902 -1 0 90 Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.1508 0 moveto
0.1508 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.31589 0 moveto
0.31589 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.48098 0 moveto
0.48098 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.64607 0 moveto
0.64607 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.81117 0 moveto
0.81117 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.06416 moveto
1 0.06416 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.18659 moveto
1 0.18659 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.43145 moveto
1 0.43145 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.55388 moveto
1 0.55388 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.1508 0 moveto
0.1508 0.00625 lineto
stroke
grestore
[(-5)] 0.1508 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.31589 0 moveto
0.31589 0.00625 lineto
stroke
grestore
[(-4)] 0.31589 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.48098 0 moveto
0.48098 0.00625 lineto
stroke
grestore
[(-3)] 0.48098 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.64607 0 moveto
0.64607 0.00625 lineto
stroke
grestore
[(-2)] 0.64607 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.81117 0 moveto
0.81117 0.00625 lineto
stroke
grestore
[(-1)] 0.81117 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.97626 0 moveto
0.97626 0.00625 lineto
stroke
grestore
[(0)] 0.97626 0 0 2 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0.18382 0 moveto
0.18382 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21684 0 moveto
0.21684 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24986 0 moveto
0.24986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28288 0 moveto
0.28288 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34891 0 moveto
0.34891 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38193 0 moveto
0.38193 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.41495 0 moveto
0.41495 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.44797 0 moveto
0.44797 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.514 0 moveto
0.514 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54702 0 moveto
0.54702 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58004 0 moveto
0.58004 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.61306 0 moveto
0.61306 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.67909 0 moveto
0.67909 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71211 0 moveto
0.71211 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74513 0 moveto
0.74513 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77815 0 moveto
0.77815 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.84418 0 moveto
0.84418 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8772 0 moveto
0.8772 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.91022 0 moveto
0.91022 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94324 0 moveto
0.94324 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11778 0 moveto
0.11778 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.08477 0 moveto
0.08477 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.05175 0 moveto
0.05175 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01873 0 moveto
0.01873 0.00375 lineto
stroke
grestore
[(Re\(G\(jw\)\))] 0.5 0 0 2 0 0 -1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.06416 moveto
0.00625 0.06416 lineto
stroke
grestore
[(-4)] -0.0125 0.06416 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.18659 moveto
0.00625 0.18659 lineto
stroke
grestore
[(-2)] -0.0125 0.18659 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.30902 moveto
0.00625 0.30902 lineto
stroke
grestore
[(0)] -0.0125 0.30902 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.43145 moveto
0.00625 0.43145 lineto
stroke
grestore
[(2)] -0.0125 0.43145 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.55388 moveto
0.00625 0.55388 lineto
stroke
grestore
[(4)] -0.0125 0.55388 1 0 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0 0.08864 moveto
0.00375 0.08864 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.11313 moveto
0.00375 0.11313 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.13762 moveto
0.00375 0.13762 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.1621 moveto
0.00375 0.1621 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.21107 moveto
0.00375 0.21107 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.23556 moveto
0.00375 0.23556 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.26005 moveto
0.00375 0.26005 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.28453 moveto
0.00375 0.28453 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.3335 moveto
0.00375 0.3335 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.35799 moveto
0.00375 0.35799 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.38247 moveto
0.00375 0.38247 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.40696 moveto
0.00375 0.40696 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.45593 moveto
0.00375 0.45593 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.48042 moveto
0.00375 0.48042 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.5049 moveto
0.00375 0.5049 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.52939 moveto
0.00375 0.52939 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.03967 moveto
0.00375 0.03967 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.01519 moveto
0.00375 0.01519 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.57836 moveto
0.00375 0.57836 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.60285 moveto
0.00375 0.60285 lineto
stroke
grestore
[(Im\(G\(jw\)\))] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
0 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.1508 0.61178 moveto
0.1508 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.31589 0.61178 moveto
0.31589 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.48098 0.61178 moveto
0.48098 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.64607 0.61178 moveto
0.64607 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.81117 0.61178 moveto
0.81117 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.97626 0.61178 moveto
0.97626 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18382 0.61428 moveto
0.18382 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21684 0.61428 moveto
0.21684 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24986 0.61428 moveto
0.24986 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28288 0.61428 moveto
0.28288 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34891 0.61428 moveto
0.34891 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38193 0.61428 moveto
0.38193 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.41495 0.61428 moveto
0.41495 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.44797 0.61428 moveto
0.44797 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.514 0.61428 moveto
0.514 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54702 0.61428 moveto
0.54702 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58004 0.61428 moveto
0.58004 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.61306 0.61428 moveto
0.61306 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.67909 0.61428 moveto
0.67909 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71211 0.61428 moveto
0.71211 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74513 0.61428 moveto
0.74513 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77815 0.61428 moveto
0.77815 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.84418 0.61428 moveto
0.84418 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8772 0.61428 moveto
0.8772 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.91022 0.61428 moveto
0.91022 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94324 0.61428 moveto
0.94324 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11778 0.61428 moveto
0.11778 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.08477 0.61428 moveto
0.08477 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.05175 0.61428 moveto
0.05175 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01873 0.61428 moveto
0.01873 0.61803 lineto
stroke
grestore
[(Nyquist Plot)] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0 0.61803 moveto
1 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.06416 moveto
1 0.06416 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.18659 moveto
1 0.18659 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.43145 moveto
1 0.43145 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.55388 moveto
1 0.55388 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.08864 moveto
1 0.08864 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.11313 moveto
1 0.11313 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.13762 moveto
1 0.13762 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.1621 moveto
1 0.1621 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.21107 moveto
1 0.21107 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.23556 moveto
1 0.23556 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.26005 moveto
1 0.26005 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.28453 moveto
1 0.28453 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.3335 moveto
1 0.3335 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.35799 moveto
1 0.35799 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.38247 moveto
1 0.38247 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.40696 moveto
1 0.40696 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.45593 moveto
1 0.45593 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.48042 moveto
1 0.48042 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.5049 moveto
1 0.5049 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.52939 moveto
1 0.52939 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.03967 moveto
1 0.03967 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.01519 moveto
1 0.01519 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.57836 moveto
1 0.57836 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.60285 moveto
1 0.60285 lineto
stroke
grestore
[( )] 1.0375 0.30902 -1 0 90 Mrotshowa
gsave
0.002 setlinewidth
1 0 moveto
1 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
grestore
gsave
gsave
gsave
0.02 setlinewidth
0.81117 0.30902 Mdot
grestore
grestore
gsave
gsave
[ 0.02 0.02 ] 0 setdash
0.004 setlinewidth
0.81752 0.01472 moveto
0.81752 0.01472 lineto
0.75524 0.01562 lineto
0.69335 0.01834 lineto
0.63223 0.02285 lineto
0.57225 0.02912 lineto
0.51378 0.03712 lineto
0.45718 0.04679 lineto
0.40281 0.05808 lineto
0.35099 0.07092 lineto
0.30204 0.08523 lineto
0.25628 0.10091 lineto
0.21398 0.11788 lineto
0.17539 0.13603 lineto
0.14077 0.15524 lineto
0.11032 0.17541 lineto
0.08423 0.19639 lineto
0.06266 0.21807 lineto
0.04574 0.24031 lineto
0.03358 0.26298 lineto
0.02626 0.28593 lineto
0.02381 0.30902 lineto
0.02626 0.33211 lineto
0.03358 0.35506 lineto
0.04574 0.37772 lineto
0.06266 0.39996 lineto
0.08423 0.42164 lineto
0.11032 0.44263 lineto
0.14077 0.46279 lineto
0.17539 0.482 lineto
0.21398 0.50015 lineto
0.25628 0.51712 lineto
0.30204 0.53281 lineto
0.35099 0.54711 lineto
0.40281 0.55995 lineto
0.45718 0.57124 lineto
0.51378 0.58092 lineto
0.57225 0.58891 lineto
0.63223 0.59519 lineto
0.69335 0.5997 lineto
0.75524 0.60241 lineto
0.81752 0.60332 lineto
0.81752 0.60332 lineto
stroke
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.81752 0.60332 moveto
0.82199 0.525 lineto
0.82735 0.47649 lineto
0.8334 0.44328 lineto
0.83993 0.41905 lineto
0.84675 0.40062 lineto
0.85369 0.38617 lineto
0.86061 0.37459 lineto
0.8674 0.36517 lineto
0.89189 0.341 lineto
0.90213 0.33383 lineto
0.91104 0.32856 lineto
0.92531 0.32164 lineto
0.93584 0.31755 lineto
0.94952 0.31337 lineto
0.95751 0.31151 lineto
0.96247 0.31056 lineto
0.96797 0.30972 lineto
0.97076 0.3094 lineto
0.97235 0.30924 lineto
0.974 0.30912 lineto
0.97479 0.30907 lineto
0.97523 0.30905 lineto
0.9755 0.30904 lineto
0.97567 0.30903 lineto
0.97579 0.30903 lineto
0.97588 0.30902 lineto
0.97595 0.30902 lineto
0.97599 0.30902 lineto
0.97603 0.30902 lineto
0.97606 0.30902 lineto
0.97609 0.30902 lineto
0.97611 0.30902 lineto
0.97613 0.30902 lineto
0.97614 0.30902 lineto
0.97615 0.30902 lineto
0.97616 0.30902 lineto
0.97617 0.30902 lineto
0.97618 0.30902 lineto
0.97618 0.30902 lineto
0.97619 0.30902 lineto
stroke
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.97619 0.30902 moveto
0.97618 0.30902 lineto
0.97618 0.30902 lineto
0.97617 0.30902 lineto
0.97616 0.30902 lineto
0.97615 0.30902 lineto
0.97614 0.30902 lineto
0.97613 0.30902 lineto
0.97611 0.30902 lineto
0.97609 0.30902 lineto
0.97606 0.30901 lineto
0.97603 0.30901 lineto
0.97599 0.30901 lineto
0.97595 0.30901 lineto
0.97588 0.30901 lineto
0.97579 0.30901 lineto
0.97567 0.309 lineto
0.9755 0.309 lineto
0.97523 0.30899 lineto
0.97479 0.30897 lineto
0.974 0.30892 lineto
0.97334 0.30887 lineto
0.97235 0.30879 lineto
0.97076 0.30864 lineto
0.96797 0.30831 lineto
0.96573 0.308 lineto
0.96247 0.30747 lineto
0.95751 0.30653 lineto
0.94952 0.30466 lineto
0.94365 0.30302 lineto
0.93584 0.30048 lineto
0.92531 0.2964 lineto
0.91104 0.28948 lineto
0.89189 0.27703 lineto
0.88026 0.26707 lineto
0.8674 0.25286 lineto
0.86061 0.24344 lineto
0.85369 0.23187 lineto
0.84675 0.21742 lineto
0.83993 0.19898 lineto
0.8334 0.17476 lineto
0.82735 0.14154 lineto
0.82199 0.09303 lineto
0.81752 0.01472 lineto
stroke
grestore
grestore
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; rightWrapOffset = 528; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = subsubsection; inactive; Cclosed; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; startGroup; ]
Example 7
:[font = input; Cclosed; preserveAspect; rightWrapOffset = 528; startGroup; ]
gg = ( 4 s+1)/s^3/(2 s+1);
NyquistPlot[gg,s,{w,.5,10}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; rightWrapOffset = 528; pictureLeft = 34; pictureWidth = 430; pictureHeight = 266; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.99399 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.511478 0.034198 0.499862 0.034198 [
[(-10)] 0.1695 0 0 2 0 Minner Mrotsboxa
[(-5)] 0.34049 0 0 2 0 Minner Mrotsboxa
[(0)] 0.51148 0 0 2 0 Minner Mrotsboxa
[(5)] 0.68247 0 0 2 0 Minner Mrotsboxa
[(10)] 0.85346 0 0 2 0 Minner Mrotsboxa
[(Re\(G\(jw\)\))] 0.5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-10)] -0.0125 0.15788 1 0 0 Minner Mrotsboxa
[(-5)] -0.0125 0.32887 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 0.49986 1 0 0 Minner Mrotsboxa
[(5)] -0.0125 0.67085 1 0 0 Minner Mrotsboxa
[(10)] -0.0125 0.84184 1 0 0 Minner Mrotsboxa
[(Im\(G\(jw\)\))] -0.0125 0.497 1 0 90 -1 0 Mouter Mrotsboxa
[(Nyquist Plot)] 0.5 0.99399 0 -4 Msboxa
[( )] 1.0375 0.497 -1 0 90 Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.99499 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.1695 0 moveto
0.1695 0.99399 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.34049 0 moveto
0.34049 0.99399 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.51148 0 moveto
0.51148 0.99399 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.68247 0 moveto
0.68247 0.99399 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.85346 0 moveto
0.85346 0.99399 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.15788 moveto
1 0.15788 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.32887 moveto
1 0.32887 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.49986 moveto
1 0.49986 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.67085 moveto
1 0.67085 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.84184 moveto
1 0.84184 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.1695 0 moveto
0.1695 0.00625 lineto
stroke
grestore
[(-10)] 0.1695 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.34049 0 moveto
0.34049 0.00625 lineto
stroke
grestore
[(-5)] 0.34049 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.51148 0 moveto
0.51148 0.00625 lineto
stroke
grestore
[(0)] 0.51148 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.68247 0 moveto
0.68247 0.00625 lineto
stroke
grestore
[(5)] 0.68247 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.85346 0 moveto
0.85346 0.00625 lineto
stroke
grestore
[(10)] 0.85346 0 0 2 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0.03271 0 moveto
0.03271 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06691 0 moveto
0.06691 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1011 0 moveto
0.1011 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1353 0 moveto
0.1353 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.2037 0 moveto
0.2037 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.2379 0 moveto
0.2379 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27209 0 moveto
0.27209 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30629 0 moveto
0.30629 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37469 0 moveto
0.37469 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40888 0 moveto
0.40888 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.44308 0 moveto
0.44308 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47728 0 moveto
0.47728 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54568 0 moveto
0.54568 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.57987 0 moveto
0.57987 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.61407 0 moveto
0.61407 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.64827 0 moveto
0.64827 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71667 0 moveto
0.71667 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75086 0 moveto
0.75086 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78506 0 moveto
0.78506 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81926 0 moveto
0.81926 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88765 0 moveto
0.88765 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92185 0 moveto
0.92185 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.95605 0 moveto
0.95605 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99025 0 moveto
0.99025 0.00375 lineto
stroke
grestore
[(Re\(G\(jw\)\))] 0.5 0 0 2 0 0 -1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.15788 moveto
0.00625 0.15788 lineto
stroke
grestore
[(-10)] -0.0125 0.15788 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.32887 moveto
0.00625 0.32887 lineto
stroke
grestore
[(-5)] -0.0125 0.32887 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.49986 moveto
0.00625 0.49986 lineto
stroke
grestore
[(0)] -0.0125 0.49986 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.67085 moveto
0.00625 0.67085 lineto
stroke
grestore
[(5)] -0.0125 0.67085 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.84184 moveto
0.00625 0.84184 lineto
stroke
grestore
[(10)] -0.0125 0.84184 1 0 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0 0.19208 moveto
0.00375 0.19208 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.22628 moveto
0.00375 0.22628 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.26048 moveto
0.00375 0.26048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.29468 moveto
0.00375 0.29468 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.36307 moveto
0.00375 0.36307 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.39727 moveto
0.00375 0.39727 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.43147 moveto
0.00375 0.43147 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.46566 moveto
0.00375 0.46566 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.53406 moveto
0.00375 0.53406 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.56826 moveto
0.00375 0.56826 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.60246 moveto
0.00375 0.60246 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.63665 moveto
0.00375 0.63665 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.70505 moveto
0.00375 0.70505 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.73925 moveto
0.00375 0.73925 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.77344 moveto
0.00375 0.77344 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.80764 moveto
0.00375 0.80764 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.12369 moveto
0.00375 0.12369 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.08949 moveto
0.00375 0.08949 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.05529 moveto
0.00375 0.05529 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.02109 moveto
0.00375 0.02109 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.87604 moveto
0.00375 0.87604 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.91024 moveto
0.00375 0.91024 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.94443 moveto
0.00375 0.94443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.97863 moveto
0.00375 0.97863 lineto
stroke
grestore
[(Im\(G\(jw\)\))] -0.0125 0.497 1 0 90 -1 0 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
0 0.99399 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.1695 0.98774 moveto
0.1695 0.99399 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.34049 0.98774 moveto
0.34049 0.99399 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.51148 0.98774 moveto
0.51148 0.99399 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.68247 0.98774 moveto
0.68247 0.99399 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.85346 0.98774 moveto
0.85346 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03271 0.99024 moveto
0.03271 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06691 0.99024 moveto
0.06691 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1011 0.99024 moveto
0.1011 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1353 0.99024 moveto
0.1353 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.2037 0.99024 moveto
0.2037 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.2379 0.99024 moveto
0.2379 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27209 0.99024 moveto
0.27209 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30629 0.99024 moveto
0.30629 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37469 0.99024 moveto
0.37469 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40888 0.99024 moveto
0.40888 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.44308 0.99024 moveto
0.44308 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47728 0.99024 moveto
0.47728 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54568 0.99024 moveto
0.54568 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.57987 0.99024 moveto
0.57987 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.61407 0.99024 moveto
0.61407 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.64827 0.99024 moveto
0.64827 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71667 0.99024 moveto
0.71667 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75086 0.99024 moveto
0.75086 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78506 0.99024 moveto
0.78506 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81926 0.99024 moveto
0.81926 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88765 0.99024 moveto
0.88765 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92185 0.99024 moveto
0.92185 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.95605 0.99024 moveto
0.95605 0.99399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99025 0.99024 moveto
0.99025 0.99399 lineto
stroke
grestore
[(Nyquist Plot)] 0.5 0.99399 0 -4 Mshowa
gsave
0.002 setlinewidth
0 0.99399 moveto
1 0.99399 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.15788 moveto
1 0.15788 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.32887 moveto
1 0.32887 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.49986 moveto
1 0.49986 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.67085 moveto
1 0.67085 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.84184 moveto
1 0.84184 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.19208 moveto
1 0.19208 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.22628 moveto
1 0.22628 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.26048 moveto
1 0.26048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.29468 moveto
1 0.29468 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.36307 moveto
1 0.36307 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.39727 moveto
1 0.39727 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.43147 moveto
1 0.43147 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.46566 moveto
1 0.46566 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.53406 moveto
1 0.53406 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.56826 moveto
1 0.56826 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.60246 moveto
1 0.60246 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.63665 moveto
1 0.63665 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.70505 moveto
1 0.70505 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.73925 moveto
1 0.73925 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.77344 moveto
1 0.77344 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.80764 moveto
1 0.80764 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.12369 moveto
1 0.12369 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.08949 moveto
1 0.08949 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.05529 moveto
1 0.05529 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.02109 moveto
1 0.02109 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.87604 moveto
1 0.87604 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.91024 moveto
1 0.91024 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.94443 moveto
1 0.94443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.97863 moveto
1 0.97863 lineto
stroke
grestore
[( )] 1.0375 0.497 -1 0 90 Mrotshowa
gsave
0.002 setlinewidth
1 0 moveto
1 0.99399 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0 0.49986 moveto
1 0.49986 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.51148 0 moveto
0.51148 0.99399 lineto
stroke
grestore
grestore
gsave
gsave
gsave
0.02 setlinewidth
0.47728 0.49986 Mdot
grestore
grestore
gsave
gsave
[ 0.02 0.02 ] 0 setdash
gsave
0.004 setlinewidth
0.35214 0.97033 moveto
0.31013 0.9532 lineto
0.26991 0.93235 lineto
0.23181 0.90793 lineto
0.19615 0.88018 lineto
0.16322 0.84933 lineto
0.13328 0.81565 lineto
0.10658 0.77943 lineto
0.08333 0.74097 lineto
0.06372 0.7006 lineto
0.04789 0.65867 lineto
0.04144 0.63722 lineto
0.03598 0.61552 lineto
0.03152 0.59361 lineto
0.02967 0.58259 lineto
0.02807 0.57153 lineto
0.02672 0.56044 lineto
0.02563 0.54933 lineto
0.02518 0.54377 lineto
0.02479 0.5382 lineto
0.02447 0.53263 lineto
0.02421 0.52706 lineto
0.02401 0.52149 lineto
0.02388 0.51591 lineto
0.02381 0.51034 lineto
0.02381 0.50476 lineto
0.02387 0.49919 lineto
0.02399 0.49362 lineto
0.02418 0.48805 lineto
0.02443 0.48249 lineto
0.02512 0.47137 lineto
0.02606 0.46028 lineto
0.02871 0.43818 lineto
0.03236 0.41624 lineto
0.03701 0.39451 lineto
0.04925 0.35183 lineto
0.06531 0.31052 lineto
0.08505 0.27089 lineto
0.10829 0.23328 lineto
0.13483 0.198 lineto
0.16444 0.16534 lineto
0.19687 0.13556 lineto
0.23183 0.10891 lineto
0.26903 0.08558 lineto
0.30814 0.06579 lineto
0.34885 0.04966 lineto
0.36969 0.04302 lineto
0.3908 0.03734 lineto
0.41213 0.03264 lineto
0.43363 0.02892 lineto
Mistroke
0.44444 0.02742 lineto
0.45527 0.02618 lineto
0.46613 0.02519 lineto
0.47156 0.02478 lineto
0.477 0.02444 lineto
0.48244 0.02416 lineto
0.48788 0.02395 lineto
0.49333 0.02379 lineto
0.49877 0.0237 lineto
0.50422 0.02367 lineto
0.50966 0.0237 lineto
0.5151 0.02379 lineto
0.52054 0.02395 lineto
0.52597 0.02417 lineto
0.5314 0.02445 lineto
0.54225 0.02519 lineto
0.55308 0.02619 lineto
0.56387 0.02743 lineto
0.58535 0.03064 lineto
0.60665 0.03484 lineto
0.64852 0.04611 lineto
0.68912 0.06113 lineto
0.72812 0.07978 lineto
0.80008 0.12723 lineto
0.83243 0.15562 lineto
0.86202 0.1868 lineto
0.91196 0.25645 lineto
0.93191 0.29433 lineto
0.94829 0.3338 lineto
0.96099 0.37456 lineto
0.96592 0.3953 lineto
0.96989 0.41624 lineto
0.9729 0.43732 lineto
0.97405 0.4479 lineto
0.97495 0.4585 lineto
0.9756 0.46911 lineto
0.97584 0.47442 lineto
0.97602 0.47973 lineto
0.97613 0.48504 lineto
0.97619 0.49036 lineto
0.97619 0.49567 lineto
0.97612 0.50098 lineto
0.97599 0.50629 lineto
0.97581 0.51159 lineto
0.97525 0.52219 lineto
0.97488 0.52749 lineto
0.97445 0.53277 lineto
0.97341 0.54333 lineto
0.97061 0.56435 lineto
0.96686 0.5852 lineto
Mistroke
0.95652 0.62623 lineto
0.9425 0.66609 lineto
0.92493 0.70445 lineto
0.90396 0.741 lineto
0.85258 0.80744 lineto
0.82262 0.83681 lineto
0.79015 0.86328 lineto
0.75545 0.88664 lineto
0.71882 0.9067 lineto
0.68057 0.92331 lineto
0.66093 0.93028 lineto
0.64101 0.93634 lineto
0.62085 0.94147 lineto
0.60049 0.94568 lineto
0.57998 0.94896 lineto
0.56967 0.95024 lineto
0.55935 0.95128 lineto
0.54901 0.95209 lineto
0.54383 0.95241 lineto
0.53865 0.95267 lineto
0.53347 0.95286 lineto
0.52829 0.953 lineto
0.52311 0.95308 lineto
0.51793 0.9531 lineto
0.51275 0.95306 lineto
0.50757 0.95296 lineto
0.50239 0.9528 lineto
0.49722 0.95259 lineto
0.48689 0.95198 lineto
0.47657 0.95113 lineto
0.46629 0.95005 lineto
0.45603 0.94873 lineto
0.43563 0.9454 lineto
0.41542 0.94114 lineto
0.39545 0.93597 lineto
0.35635 0.92293 lineto
0.31866 0.9064 lineto
0.28269 0.88652 lineto
0.24874 0.86348 lineto
0.21708 0.83747 lineto
0.18797 0.80872 lineto
0.16165 0.77748 lineto
0.13832 0.74402 lineto
0.11818 0.70862 lineto
0.10138 0.67158 lineto
0.08805 0.63322 lineto
0.08272 0.61365 lineto
0.0783 0.59387 lineto
0.07479 0.57392 lineto
0.07337 0.5639 lineto
Mistroke
0.07219 0.55385 lineto
0.07124 0.54378 lineto
0.07085 0.53874 lineto
0.07051 0.53369 lineto
0.07024 0.52865 lineto
0.07002 0.5236 lineto
0.06986 0.51855 lineto
0.06976 0.5135 lineto
0.06972 0.50845 lineto
0.06973 0.5034 lineto
0.06981 0.49835 lineto
0.06994 0.4933 lineto
0.07012 0.48826 lineto
0.07037 0.48322 lineto
0.07103 0.47315 lineto
0.07192 0.46311 lineto
0.07304 0.45309 lineto
0.07597 0.43316 lineto
0.0798 0.41339 lineto
0.08452 0.39384 lineto
0.09662 0.35552 lineto
0.11214 0.31852 lineto
0.13094 0.28316 lineto
0.17771 0.21844 lineto
0.20526 0.18962 lineto
0.23529 0.16347 lineto
0.26753 0.14022 lineto
0.3017 0.12003 lineto
0.37469 0.08949 lineto
Mfstroke
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.35214 0.97033 moveto
0.48921 0.59029 lineto
0.50577 0.5311 lineto
0.50944 0.51405 lineto
0.51059 0.50744 lineto
0.51103 0.50437 lineto
0.51123 0.50275 lineto
0.51133 0.50183 lineto
0.51138 0.50126 lineto
0.51142 0.50089 lineto
0.51143 0.50064 lineto
0.51145 0.50046 lineto
0.51146 0.50034 lineto
0.51146 0.50024 lineto
0.51147 0.50017 lineto
0.51147 0.50012 lineto
0.51147 0.50008 lineto
0.51147 0.50004 lineto
0.51147 0.50002 lineto
0.51147 0.5 lineto
0.51147 0.49998 lineto
0.51148 0.49996 lineto
0.51148 0.49995 lineto
0.51148 0.49994 lineto
0.51148 0.49993 lineto
stroke
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.51148 0.49979 moveto
0.51148 0.49979 lineto
0.51148 0.49978 lineto
0.51148 0.49976 lineto
0.51147 0.49975 lineto
0.51147 0.49973 lineto
0.51147 0.49971 lineto
0.51147 0.49968 lineto
0.51147 0.49965 lineto
0.51147 0.49961 lineto
0.51147 0.49955 lineto
0.51146 0.49948 lineto
0.51146 0.49939 lineto
0.51145 0.49927 lineto
0.51144 0.4991 lineto
0.51142 0.49885 lineto
0.51139 0.49849 lineto
0.51133 0.49793 lineto
0.51124 0.49703 lineto
0.51104 0.49546 lineto
0.51062 0.4925 lineto
0.50954 0.4862 lineto
0.50614 0.47019 lineto
0.49123 0.41602 lineto
0.37469 0.08949 lineto
stroke
grestore
grestore
grestore
grestore
0 0 moveto
1 0 lineto
1 0.99399 lineto
0 0.99399 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; rightWrapOffset = 528; endGroup; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = section; inactive; Cclosed; preserveAspect; rightWrapOffset = 528; startGroup; ]
Combined Example
:[font = subsubsection; inactive; Cclosed; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; startGroup; ]
Bode Plot
:[font = input; Cclosed; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; startGroup; ]
tranf2 = (s+2)/(s+1)/(s+3);
SequenceForm["The transfer function: ", tranf2]
MagPlot[tranf2,s,{w,0.01,50}]
PhasePlot[tranf2,s,{w,0.01,50}]

:[font = output; output; inactive; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; ]
"The transfer function: "(2 + s)/((1 + s)*(3 + s))
;[o]
                            2 + s
The transfer function: ---------------
                       (1 + s) (3 + s)
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; pictureLeft = 34; pictureWidth = 430; pictureHeight = 266; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.538753 0.257472 0.671364 0.019319 [
[(0.01)] 0.02381 0 0 2 0 Minner Mrotsboxa
[(0.1)] 0.28128 0 0 2 0 Minner Mrotsboxa
[(1)] 0.53875 0 0 2 0 Minner Mrotsboxa
[(10.)] 0.79623 0 0 2 0 Minner Mrotsboxa
[(Frequency \(rad/sec\))] 0.5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-30)] -0.0125 0.09179 1 0 0 Minner Mrotsboxa
[(-25)] -0.0125 0.18839 1 0 0 Minner Mrotsboxa
[(-20)] -0.0125 0.28498 1 0 0 Minner Mrotsboxa
[(-15)] -0.0125 0.38158 1 0 0 Minner Mrotsboxa
[(-10)] -0.0125 0.47817 1 0 0 Minner Mrotsboxa
[(-5)] -0.0125 0.57477 1 0 0 Minner Mrotsboxa
[(20 log|G\(s\)| \(dB\))] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotsboxa
[(Magnitude Plot)] 0.5 0.61803 0 -4 Msboxa
[( )] 1.0375 0.30902 -1 0 90 Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.10132 0 moveto
0.10132 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.14665 0 moveto
0.14665 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.17882 0 moveto
0.17882 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.20377 0 moveto
0.20377 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.22416 0 moveto
0.22416 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.2414 0 moveto
0.2414 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.25633 0 moveto
0.25633 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.2695 0 moveto
0.2695 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.28128 0 moveto
0.28128 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.35879 0 moveto
0.35879 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.40413 0 moveto
0.40413 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.4363 0 moveto
0.4363 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.46125 0 moveto
0.46125 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.48163 0 moveto
0.48163 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.49887 0 moveto
0.49887 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.5138 0 moveto
0.5138 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.52697 0 moveto
0.52697 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.53875 0 moveto
0.53875 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.61626 0 moveto
0.61626 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.6616 0 moveto
0.6616 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.69377 0 moveto
0.69377 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.71872 0 moveto
0.71872 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.73911 0 moveto
0.73911 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.75634 0 moveto
0.75634 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.77127 0 moveto
0.77127 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.78444 0 moveto
0.78444 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.79623 0 moveto
0.79623 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.87373 0 moveto
0.87373 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.91907 0 moveto
0.91907 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.95124 0 moveto
0.95124 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.97619 0 moveto
0.97619 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.99658 0 moveto
0.99658 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.09179 moveto
1 0.09179 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.18839 moveto
1 0.18839 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.28498 moveto
1 0.28498 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.38158 moveto
1 0.38158 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.47817 moveto
1 0.47817 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.57477 moveto
1 0.57477 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.02381 0 moveto
0.02381 0.00625 lineto
stroke
grestore
[(0.01)] 0.02381 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.28128 0 moveto
0.28128 0.00625 lineto
stroke
grestore
[(0.1)] 0.28128 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.53875 0 moveto
0.53875 0.00625 lineto
stroke
grestore
[(1)] 0.53875 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.79623 0 moveto
0.79623 0.00625 lineto
stroke
grestore
[(10.)] 0.79623 0 0 2 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0.10132 0 moveto
0.10132 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14665 0 moveto
0.14665 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.17882 0 moveto
0.17882 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.20377 0 moveto
0.20377 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22416 0 moveto
0.22416 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.2414 0 moveto
0.2414 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25633 0 moveto
0.25633 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.2695 0 moveto
0.2695 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.35879 0 moveto
0.35879 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40413 0 moveto
0.40413 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.4363 0 moveto
0.4363 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46125 0 moveto
0.46125 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.48163 0 moveto
0.48163 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.49887 0 moveto
0.49887 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5138 0 moveto
0.5138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.52697 0 moveto
0.52697 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.61626 0 moveto
0.61626 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.6616 0 moveto
0.6616 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69377 0 moveto
0.69377 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71872 0 moveto
0.71872 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.73911 0 moveto
0.73911 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75634 0 moveto
0.75634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77127 0 moveto
0.77127 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78444 0 moveto
0.78444 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.87373 0 moveto
0.87373 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.91907 0 moveto
0.91907 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.95124 0 moveto
0.95124 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0 moveto
0.97619 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99658 0 moveto
0.99658 0.00375 lineto
stroke
grestore
[(Frequency \(rad/sec\))] 0.5 0 0 2 0 0 -1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.09179 moveto
0.00625 0.09179 lineto
stroke
grestore
[(-30)] -0.0125 0.09179 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.18839 moveto
0.00625 0.18839 lineto
stroke
grestore
[(-25)] -0.0125 0.18839 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.28498 moveto
0.00625 0.28498 lineto
stroke
grestore
[(-20)] -0.0125 0.28498 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.38158 moveto
0.00625 0.38158 lineto
stroke
grestore
[(-15)] -0.0125 0.38158 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.47817 moveto
0.00625 0.47817 lineto
stroke
grestore
[(-10)] -0.0125 0.47817 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.57477 moveto
0.00625 0.57477 lineto
stroke
grestore
[(-5)] -0.0125 0.57477 1 0 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0 0.01452 moveto
0.00375 0.01452 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.03384 moveto
0.00375 0.03384 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.05316 moveto
0.00375 0.05316 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.07248 moveto
0.00375 0.07248 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.11111 moveto
0.00375 0.11111 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.13043 moveto
0.00375 0.13043 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.14975 moveto
0.00375 0.14975 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.16907 moveto
0.00375 0.16907 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.20771 moveto
0.00375 0.20771 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.22703 moveto
0.00375 0.22703 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.24635 moveto
0.00375 0.24635 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.26567 moveto
0.00375 0.26567 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.3043 moveto
0.00375 0.3043 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.32362 moveto
0.00375 0.32362 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.34294 moveto
0.00375 0.34294 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.36226 moveto
0.00375 0.36226 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.4009 moveto
0.00375 0.4009 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.42022 moveto
0.00375 0.42022 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.43954 moveto
0.00375 0.43954 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.45886 moveto
0.00375 0.45886 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.49749 moveto
0.00375 0.49749 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.51681 moveto
0.00375 0.51681 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.53613 moveto
0.00375 0.53613 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.55545 moveto
0.00375 0.55545 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.59409 moveto
0.00375 0.59409 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.61341 moveto
0.00375 0.61341 lineto
stroke
grestore
[(20 log|G\(s\)| \(dB\))] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
0 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.02381 0.61178 moveto
0.02381 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28128 0.61178 moveto
0.28128 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.53875 0.61178 moveto
0.53875 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.79623 0.61178 moveto
0.79623 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.10132 0.61428 moveto
0.10132 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14665 0.61428 moveto
0.14665 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.17882 0.61428 moveto
0.17882 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.20377 0.61428 moveto
0.20377 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22416 0.61428 moveto
0.22416 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.2414 0.61428 moveto
0.2414 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25633 0.61428 moveto
0.25633 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.2695 0.61428 moveto
0.2695 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.35879 0.61428 moveto
0.35879 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40413 0.61428 moveto
0.40413 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.4363 0.61428 moveto
0.4363 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46125 0.61428 moveto
0.46125 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.48163 0.61428 moveto
0.48163 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.49887 0.61428 moveto
0.49887 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5138 0.61428 moveto
0.5138 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.52697 0.61428 moveto
0.52697 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.61626 0.61428 moveto
0.61626 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.6616 0.61428 moveto
0.6616 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69377 0.61428 moveto
0.69377 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71872 0.61428 moveto
0.71872 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.73911 0.61428 moveto
0.73911 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75634 0.61428 moveto
0.75634 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77127 0.61428 moveto
0.77127 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78444 0.61428 moveto
0.78444 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.87373 0.61428 moveto
0.87373 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.91907 0.61428 moveto
0.91907 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.95124 0.61428 moveto
0.95124 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.61428 moveto
0.97619 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99658 0.61428 moveto
0.99658 0.61803 lineto
stroke
grestore
[(Magnitude Plot)] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0 0.61803 moveto
1 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.09179 moveto
1 0.09179 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.18839 moveto
1 0.18839 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.28498 moveto
1 0.28498 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.38158 moveto
1 0.38158 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.47817 moveto
1 0.47817 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.57477 moveto
1 0.57477 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.01452 moveto
1 0.01452 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.03384 moveto
1 0.03384 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.05316 moveto
1 0.05316 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.07248 moveto
1 0.07248 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.11111 moveto
1 0.11111 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.13043 moveto
1 0.13043 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.14975 moveto
1 0.14975 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.16907 moveto
1 0.16907 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.20771 moveto
1 0.20771 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.22703 moveto
1 0.22703 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.24635 moveto
1 0.24635 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.26567 moveto
1 0.26567 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.3043 moveto
1 0.3043 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.32362 moveto
1 0.32362 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.34294 moveto
1 0.34294 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.36226 moveto
1 0.36226 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.4009 moveto
1 0.4009 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.42022 moveto
1 0.42022 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.43954 moveto
1 0.43954 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.45886 moveto
1 0.45886 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.49749 moveto
1 0.49749 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.51681 moveto
1 0.51681 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.53613 moveto
1 0.53613 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.55545 moveto
1 0.55545 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.59409 moveto
1 0.59409 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.61341 moveto
1 0.61341 lineto
stroke
grestore
[( )] 1.0375 0.30902 -1 0 90 Mrotshowa
gsave
0.002 setlinewidth
1 0 moveto
1 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.53875 0 moveto
0.53875 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.02381 0.60332 moveto
0.24925 0.60292 lineto
0.31905 0.60192 lineto
0.3617 0.60035 lineto
0.3925 0.59825 lineto
0.41662 0.59566 lineto
0.43645 0.59266 lineto
0.46792 0.58563 lineto
0.48085 0.58172 lineto
0.49245 0.57764 lineto
0.51255 0.5691 lineto
0.54436 0.55161 lineto
0.58935 0.51891 lineto
0.62134 0.49092 lineto
0.6665 0.44563 lineto
0.69858 0.40925 lineto
0.74383 0.35231 lineto
0.77595 0.3087 lineto
0.80087 0.2736 lineto
0.82124 0.24433 lineto
0.83847 0.21929 lineto
0.85339 0.19742 lineto
0.86655 0.17804 lineto
0.87833 0.16063 lineto
0.88898 0.14484 lineto
0.89871 0.1304 lineto
0.90765 0.11709 lineto
0.91594 0.10475 lineto
0.92365 0.09325 lineto
0.93086 0.08249 lineto
0.93764 0.07237 lineto
0.94403 0.06282 lineto
0.95007 0.05379 lineto
0.95581 0.04521 lineto
0.96126 0.03706 lineto
0.96646 0.02927 lineto
0.97143 0.02184 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; pictureLeft = 34; pictureWidth = 430; pictureHeight = 266; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.538753 0.257472 0.60654 0.006747 [
[(0.01)] 0.02381 0 0 2 0 Minner Mrotsboxa
[(0.1)] 0.28128 0 0 2 0 Minner Mrotsboxa
[(1)] 0.53875 0 0 2 0 Minner Mrotsboxa
[(10.)] 0.79623 0 0 2 0 Minner Mrotsboxa
[(Frequency \(rad/sec\))] 0.5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-80)] -0.0125 0.06675 1 0 0 Minner Mrotsboxa
[(-60)] -0.0125 0.20169 1 0 0 Minner Mrotsboxa
[(-40)] -0.0125 0.33664 1 0 0 Minner Mrotsboxa
[(-20)] -0.0125 0.47159 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 0.60654 1 0 0 Minner Mrotsboxa
[(Degree of |G\(s\)|)] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotsboxa
[(Phase Plot)] 0.5 0.61803 0 -4 Msboxa
[( )] 1.0375 0.30902 -1 0 90 Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.10132 0 moveto
0.10132 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.14665 0 moveto
0.14665 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.17882 0 moveto
0.17882 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.20377 0 moveto
0.20377 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.22416 0 moveto
0.22416 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.2414 0 moveto
0.2414 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.25633 0 moveto
0.25633 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.2695 0 moveto
0.2695 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.28128 0 moveto
0.28128 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.35879 0 moveto
0.35879 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.40413 0 moveto
0.40413 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.4363 0 moveto
0.4363 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.46125 0 moveto
0.46125 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.48163 0 moveto
0.48163 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.49887 0 moveto
0.49887 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.5138 0 moveto
0.5138 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.52697 0 moveto
0.52697 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.53875 0 moveto
0.53875 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.61626 0 moveto
0.61626 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.6616 0 moveto
0.6616 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.69377 0 moveto
0.69377 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.71872 0 moveto
0.71872 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.73911 0 moveto
0.73911 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.75634 0 moveto
0.75634 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.77127 0 moveto
0.77127 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.78444 0 moveto
0.78444 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.79623 0 moveto
0.79623 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.87373 0 moveto
0.87373 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.91907 0 moveto
0.91907 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.95124 0 moveto
0.95124 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.97619 0 moveto
0.97619 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.99658 0 moveto
0.99658 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.06675 moveto
1 0.06675 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.20169 moveto
1 0.20169 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.33664 moveto
1 0.33664 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.47159 moveto
1 0.47159 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.02381 0 moveto
0.02381 0.00625 lineto
stroke
grestore
[(0.01)] 0.02381 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.28128 0 moveto
0.28128 0.00625 lineto
stroke
grestore
[(0.1)] 0.28128 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.53875 0 moveto
0.53875 0.00625 lineto
stroke
grestore
[(1)] 0.53875 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.79623 0 moveto
0.79623 0.00625 lineto
stroke
grestore
[(10.)] 0.79623 0 0 2 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0.10132 0 moveto
0.10132 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14665 0 moveto
0.14665 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.17882 0 moveto
0.17882 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.20377 0 moveto
0.20377 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22416 0 moveto
0.22416 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.2414 0 moveto
0.2414 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25633 0 moveto
0.25633 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.2695 0 moveto
0.2695 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.35879 0 moveto
0.35879 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40413 0 moveto
0.40413 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.4363 0 moveto
0.4363 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46125 0 moveto
0.46125 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.48163 0 moveto
0.48163 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.49887 0 moveto
0.49887 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5138 0 moveto
0.5138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.52697 0 moveto
0.52697 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.61626 0 moveto
0.61626 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.6616 0 moveto
0.6616 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69377 0 moveto
0.69377 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71872 0 moveto
0.71872 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.73911 0 moveto
0.73911 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75634 0 moveto
0.75634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77127 0 moveto
0.77127 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78444 0 moveto
0.78444 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.87373 0 moveto
0.87373 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.91907 0 moveto
0.91907 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.95124 0 moveto
0.95124 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0 moveto
0.97619 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99658 0 moveto
0.99658 0.00375 lineto
stroke
grestore
[(Frequency \(rad/sec\))] 0.5 0 0 2 0 0 -1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.06675 moveto
0.00625 0.06675 lineto
stroke
grestore
[(-80)] -0.0125 0.06675 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.20169 moveto
0.00625 0.20169 lineto
stroke
grestore
[(-60)] -0.0125 0.20169 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.33664 moveto
0.00625 0.33664 lineto
stroke
grestore
[(-40)] -0.0125 0.33664 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.47159 moveto
0.00625 0.47159 lineto
stroke
grestore
[(-20)] -0.0125 0.47159 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.60654 moveto
0.00625 0.60654 lineto
stroke
grestore
[(0)] -0.0125 0.60654 1 0 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0 0.09374 moveto
0.00375 0.09374 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.12073 moveto
0.00375 0.12073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.14772 moveto
0.00375 0.14772 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.1747 moveto
0.00375 0.1747 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.22868 moveto
0.00375 0.22868 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.25567 moveto
0.00375 0.25567 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.28266 moveto
0.00375 0.28266 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.30965 moveto
0.00375 0.30965 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.36363 moveto
0.00375 0.36363 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.39062 moveto
0.00375 0.39062 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.41761 moveto
0.00375 0.41761 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.4446 moveto
0.00375 0.4446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.49858 moveto
0.00375 0.49858 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.52557 moveto
0.00375 0.52557 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.55256 moveto
0.00375 0.55256 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.57955 moveto
0.00375 0.57955 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.03976 moveto
0.00375 0.03976 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.01277 moveto
0.00375 0.01277 lineto
stroke
grestore
[(Degree of |G\(s\)|)] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
0 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.02381 0.61178 moveto
0.02381 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28128 0.61178 moveto
0.28128 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.53875 0.61178 moveto
0.53875 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.79623 0.61178 moveto
0.79623 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.10132 0.61428 moveto
0.10132 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14665 0.61428 moveto
0.14665 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.17882 0.61428 moveto
0.17882 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.20377 0.61428 moveto
0.20377 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22416 0.61428 moveto
0.22416 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.2414 0.61428 moveto
0.2414 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25633 0.61428 moveto
0.25633 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.2695 0.61428 moveto
0.2695 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.35879 0.61428 moveto
0.35879 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40413 0.61428 moveto
0.40413 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.4363 0.61428 moveto
0.4363 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46125 0.61428 moveto
0.46125 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.48163 0.61428 moveto
0.48163 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.49887 0.61428 moveto
0.49887 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5138 0.61428 moveto
0.5138 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.52697 0.61428 moveto
0.52697 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.61626 0.61428 moveto
0.61626 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.6616 0.61428 moveto
0.6616 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69377 0.61428 moveto
0.69377 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71872 0.61428 moveto
0.71872 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.73911 0.61428 moveto
0.73911 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75634 0.61428 moveto
0.75634 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77127 0.61428 moveto
0.77127 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78444 0.61428 moveto
0.78444 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.87373 0.61428 moveto
0.87373 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.91907 0.61428 moveto
0.91907 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.95124 0.61428 moveto
0.95124 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.61428 moveto
0.97619 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99658 0.61428 moveto
0.99658 0.61803 lineto
stroke
grestore
[(Phase Plot)] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0 0.61803 moveto
1 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.06675 moveto
1 0.06675 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.20169 moveto
1 0.20169 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.33664 moveto
1 0.33664 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.47159 moveto
1 0.47159 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.60654 moveto
1 0.60654 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.09374 moveto
1 0.09374 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.12073 moveto
1 0.12073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.14772 moveto
1 0.14772 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.1747 moveto
1 0.1747 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.22868 moveto
1 0.22868 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.25567 moveto
1 0.25567 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.28266 moveto
1 0.28266 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.30965 moveto
1 0.30965 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.36363 moveto
1 0.36363 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.39062 moveto
1 0.39062 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.41761 moveto
1 0.41761 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.4446 moveto
1 0.4446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.49858 moveto
1 0.49858 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.52557 moveto
1 0.52557 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.55256 moveto
1 0.55256 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.57955 moveto
1 0.57955 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.03976 moveto
1 0.03976 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.01277 moveto
1 0.01277 lineto
stroke
grestore
[( )] 1.0375 0.30902 -1 0 90 Mrotshowa
gsave
0.002 setlinewidth
1 0 moveto
1 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.53875 0 moveto
0.53875 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.02381 0.60332 moveto
0.24925 0.5824 lineto
0.31905 0.5617 lineto
0.3617 0.5414 lineto
0.3925 0.52166 lineto
0.41662 0.50261 lineto
0.43645 0.48436 lineto
0.46792 0.45049 lineto
0.54436 0.35001 lineto
0.58935 0.28922 lineto
0.62134 0.24851 lineto
0.6665 0.19426 lineto
0.69858 0.15831 lineto
0.74383 0.11375 lineto
0.77595 0.08789 lineto
0.80087 0.07129 lineto
0.82124 0.05982 lineto
0.83847 0.05146 lineto
0.85339 0.0451 lineto
0.86655 0.04011 lineto
0.87833 0.03609 lineto
0.88898 0.03279 lineto
0.89871 0.03003 lineto
0.90765 0.02769 lineto
0.91594 0.02567 lineto
0.92365 0.02393 lineto
0.93086 0.0224 lineto
0.93764 0.02104 lineto
0.94403 0.01984 lineto
0.95007 0.01876 lineto
0.95581 0.01779 lineto
0.96126 0.01691 lineto
0.96646 0.01611 lineto
0.97143 0.01538 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = subsubsection; inactive; Cclosed; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; startGroup; ]
Magnitude vs. Phase
:[font = input; Cclosed; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; startGroup; ]
tranf2 = (s+2)/(s+1)/(s+3);
MagvsPhase[tranf2,s,{w,0.01,50}]

:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; pictureLeft = 34; pictureWidth = 430; pictureHeight = 266; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.97619 0.010858 0.603319 0.017317 [
[(-80)] 0.10754 0 0 2 0 Minner Mrotsboxa
[(-60)] 0.3247 0 0 2 0 Minner Mrotsboxa
[(-40)] 0.54186 0 0 2 0 Minner Mrotsboxa
[(-20)] 0.75903 0 0 2 0 Minner Mrotsboxa
[(0)] 0.97619 0 0 2 0 Minner Mrotsboxa
[(Degree of |G\(s\)|)] 0.5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-30)] -0.0125 0.08381 1 0 0 Minner Mrotsboxa
[(-25)] -0.0125 0.17039 1 0 0 Minner Mrotsboxa
[(-20)] -0.0125 0.25698 1 0 0 Minner Mrotsboxa
[(-15)] -0.0125 0.34356 1 0 0 Minner Mrotsboxa
[(-10)] -0.0125 0.43015 1 0 0 Minner Mrotsboxa
[(-5)] -0.0125 0.51673 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 0.60332 1 0 0 Minner Mrotsboxa
[(20 log|G\(s\)| \(dB\))] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotsboxa
[(dB  vs. Phase Plot)] 0.5 0.61803 0 -4 Msboxa
[( )] 1.0375 0.30902 -1 0 90 Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.10754 0 moveto
0.10754 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.3247 0 moveto
0.3247 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.54186 0 moveto
0.54186 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.75903 0 moveto
0.75903 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.08381 moveto
1 0.08381 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.17039 moveto
1 0.17039 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.25698 moveto
1 0.25698 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.34356 moveto
1 0.34356 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.43015 moveto
1 0.43015 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.51673 moveto
1 0.51673 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.10754 0 moveto
0.10754 0.00625 lineto
stroke
grestore
[(-80)] 0.10754 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.3247 0 moveto
0.3247 0.00625 lineto
stroke
grestore
[(-60)] 0.3247 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.54186 0 moveto
0.54186 0.00625 lineto
stroke
grestore
[(-40)] 0.54186 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.75903 0 moveto
0.75903 0.00625 lineto
stroke
grestore
[(-20)] 0.75903 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.97619 0 moveto
0.97619 0.00625 lineto
stroke
grestore
[(0)] 0.97619 0 0 2 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0.15097 0 moveto
0.15097 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1944 0 moveto
0.1944 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.23784 0 moveto
0.23784 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28127 0 moveto
0.28127 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36813 0 moveto
0.36813 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.41157 0 moveto
0.41157 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.455 0 moveto
0.455 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.49843 0 moveto
0.49843 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5853 0 moveto
0.5853 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62873 0 moveto
0.62873 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.67216 0 moveto
0.67216 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.7156 0 moveto
0.7156 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.80246 0 moveto
0.80246 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.84589 0 moveto
0.84589 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88933 0 moveto
0.88933 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.93276 0 moveto
0.93276 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06411 0 moveto
0.06411 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02067 0 moveto
0.02067 0.00375 lineto
stroke
grestore
[(Degree of |G\(s\)|)] 0.5 0 0 2 0 0 -1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.08381 moveto
0.00625 0.08381 lineto
stroke
grestore
[(-30)] -0.0125 0.08381 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.17039 moveto
0.00625 0.17039 lineto
stroke
grestore
[(-25)] -0.0125 0.17039 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.25698 moveto
0.00625 0.25698 lineto
stroke
grestore
[(-20)] -0.0125 0.25698 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.34356 moveto
0.00625 0.34356 lineto
stroke
grestore
[(-15)] -0.0125 0.34356 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.43015 moveto
0.00625 0.43015 lineto
stroke
grestore
[(-10)] -0.0125 0.43015 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.51673 moveto
0.00625 0.51673 lineto
stroke
grestore
[(-5)] -0.0125 0.51673 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.60332 moveto
0.00625 0.60332 lineto
stroke
grestore
[(0)] -0.0125 0.60332 1 0 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0 0.01454 moveto
0.00375 0.01454 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.03186 moveto
0.00375 0.03186 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.04917 moveto
0.00375 0.04917 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.06649 moveto
0.00375 0.06649 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.10112 moveto
0.00375 0.10112 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.11844 moveto
0.00375 0.11844 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.13576 moveto
0.00375 0.13576 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.15308 moveto
0.00375 0.15308 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.18771 moveto
0.00375 0.18771 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.20503 moveto
0.00375 0.20503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.22234 moveto
0.00375 0.22234 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.23966 moveto
0.00375 0.23966 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.27429 moveto
0.00375 0.27429 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.29161 moveto
0.00375 0.29161 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.30893 moveto
0.00375 0.30893 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.32625 moveto
0.00375 0.32625 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.36088 moveto
0.00375 0.36088 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.3782 moveto
0.00375 0.3782 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.39551 moveto
0.00375 0.39551 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.41283 moveto
0.00375 0.41283 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.44747 moveto
0.00375 0.44747 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.46478 moveto
0.00375 0.46478 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.4821 moveto
0.00375 0.4821 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.49942 moveto
0.00375 0.49942 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.53405 moveto
0.00375 0.53405 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.55137 moveto
0.00375 0.55137 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.56868 moveto
0.00375 0.56868 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.586 moveto
0.00375 0.586 lineto
stroke
grestore
[(20 log|G\(s\)| \(dB\))] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
0 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.10754 0.61178 moveto
0.10754 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.3247 0.61178 moveto
0.3247 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.54186 0.61178 moveto
0.54186 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.75903 0.61178 moveto
0.75903 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.97619 0.61178 moveto
0.97619 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.15097 0.61428 moveto
0.15097 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1944 0.61428 moveto
0.1944 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.23784 0.61428 moveto
0.23784 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28127 0.61428 moveto
0.28127 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36813 0.61428 moveto
0.36813 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.41157 0.61428 moveto
0.41157 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.455 0.61428 moveto
0.455 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.49843 0.61428 moveto
0.49843 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5853 0.61428 moveto
0.5853 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62873 0.61428 moveto
0.62873 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.67216 0.61428 moveto
0.67216 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.7156 0.61428 moveto
0.7156 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.80246 0.61428 moveto
0.80246 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.84589 0.61428 moveto
0.84589 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88933 0.61428 moveto
0.88933 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.93276 0.61428 moveto
0.93276 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06411 0.61428 moveto
0.06411 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02067 0.61428 moveto
0.02067 0.61803 lineto
stroke
grestore
[(dB  vs. Phase Plot)] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0 0.61803 moveto
1 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.08381 moveto
1 0.08381 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.17039 moveto
1 0.17039 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.25698 moveto
1 0.25698 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.34356 moveto
1 0.34356 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.43015 moveto
1 0.43015 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.51673 moveto
1 0.51673 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.60332 moveto
1 0.60332 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.01454 moveto
1 0.01454 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.03186 moveto
1 0.03186 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.04917 moveto
1 0.04917 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.06649 moveto
1 0.06649 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.10112 moveto
1 0.10112 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.11844 moveto
1 0.11844 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.13576 moveto
1 0.13576 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.15308 moveto
1 0.15308 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.18771 moveto
1 0.18771 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.20503 moveto
1 0.20503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.22234 moveto
1 0.22234 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.23966 moveto
1 0.23966 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.27429 moveto
1 0.27429 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.29161 moveto
1 0.29161 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.30893 moveto
1 0.30893 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.32625 moveto
1 0.32625 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.36088 moveto
1 0.36088 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.3782 moveto
1 0.3782 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.39551 moveto
1 0.39551 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.41283 moveto
1 0.41283 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.44747 moveto
1 0.44747 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.46478 moveto
1 0.46478 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.4821 moveto
1 0.4821 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.49942 moveto
1 0.49942 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.53405 moveto
1 0.53405 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.55137 moveto
1 0.55137 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.56868 moveto
1 0.56868 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.586 moveto
1 0.586 lineto
stroke
grestore
[( )] 1.0375 0.30902 -1 0 90 Mrotshowa
gsave
0.002 setlinewidth
1 0 moveto
1 0.61803 lineto
stroke
grestore
grestore
gsave
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.97101 0.54232 moveto
0.93734 0.54197 lineto
0.90403 0.54107 lineto
0.87136 0.53966 lineto
0.83959 0.53778 lineto
0.80894 0.53546 lineto
0.77957 0.53277 lineto
0.72508 0.52647 lineto
0.63374 0.51166 lineto
0.56337 0.49597 lineto
0.46555 0.46666 lineto
0.40004 0.44158 lineto
0.31274 0.40097 lineto
0.25488 0.36837 lineto
0.18318 0.31732 lineto
0.14157 0.27823 lineto
0.11486 0.24677 lineto
0.0964 0.22054 lineto
0.08294 0.19809 lineto
0.07271 0.17849 lineto
0.06468 0.16111 lineto
0.05821 0.14551 lineto
0.0529 0.13136 lineto
0.04846 0.11841 lineto
0.04468 0.10648 lineto
0.04145 0.09542 lineto
0.03863 0.08511 lineto
0.03617 0.07546 lineto
0.03399 0.06639 lineto
0.03206 0.05784 lineto
0.03032 0.04974 lineto
0.02876 0.04205 lineto
0.02735 0.03474 lineto
0.02606 0.02777 lineto
0.02489 0.0211 lineto
0.02381 0.01472 lineto
stroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = subsubsection; inactive; Cclosed; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; startGroup; ]
Polar Plot
:[font = input; Cclosed; preserveAspect; rightWrapOffset = 528; startGroup; ]
tranf2 = (s+2)/(s+1)/(s+3);
Polar[tranf2,s,{w,0,50}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; rightWrapOffset = 528; pictureLeft = 34; pictureWidth = 430; pictureHeight = 266; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.595238 0.571429 0.603319 1.940196 [
[(-1)] 0.02381 0 0 2 0 Minner Mrotsboxa
[(-0.75)] 0.16667 0 0 2 0 Minner Mrotsboxa
[(-0.5)] 0.30952 0 0 2 0 Minner Mrotsboxa
[(-0.25)] 0.45238 0 0 2 0 Minner Mrotsboxa
[(0)] 0.59524 0 0 2 0 Minner Mrotsboxa
[(0.25)] 0.7381 0 0 2 0 Minner Mrotsboxa
[(0.5)] 0.88095 0 0 2 0 Minner Mrotsboxa
[(Re\(G\(jw\)\))] 0.5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-0.3)] -0.0125 0.02126 1 0 0 Minner Mrotsboxa
[(-0.25)] -0.0125 0.11827 1 0 0 Minner Mrotsboxa
[(-0.2)] -0.0125 0.21528 1 0 0 Minner Mrotsboxa
[(-0.15)] -0.0125 0.31229 1 0 0 Minner Mrotsboxa
[(-0.1)] -0.0125 0.4093 1 0 0 Minner Mrotsboxa
[(-0.05)] -0.0125 0.50631 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 0.60332 1 0 0 Minner Mrotsboxa
[(Im\(G\(jw\)\))] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotsboxa
[(Polar Plot)] 0.5 0.61803 0 -4 Msboxa
[( )] 1.0375 0.30902 -1 0 90 Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.16667 0 moveto
0.16667 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.30952 0 moveto
0.30952 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.45238 0 moveto
0.45238 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.59524 0 moveto
0.59524 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.7381 0 moveto
0.7381 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.88095 0 moveto
0.88095 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.11827 moveto
1 0.11827 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.21528 moveto
1 0.21528 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.31229 moveto
1 0.31229 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.4093 moveto
1 0.4093 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.50631 moveto
1 0.50631 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.02381 0 moveto
0.02381 0.00625 lineto
stroke
grestore
[(-1)] 0.02381 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.16667 0 moveto
0.16667 0.00625 lineto
stroke
grestore
[(-0.75)] 0.16667 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.30952 0 moveto
0.30952 0.00625 lineto
stroke
grestore
[(-0.5)] 0.30952 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.45238 0 moveto
0.45238 0.00625 lineto
stroke
grestore
[(-0.25)] 0.45238 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.59524 0 moveto
0.59524 0.00625 lineto
stroke
grestore
[(0)] 0.59524 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.7381 0 moveto
0.7381 0.00625 lineto
stroke
grestore
[(0.25)] 0.7381 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.88095 0 moveto
0.88095 0.00625 lineto
stroke
grestore
[(0.5)] 0.88095 0 0 2 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0.05238 0 moveto
0.05238 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.08095 0 moveto
0.08095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.10952 0 moveto
0.10952 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1381 0 moveto
0.1381 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.19524 0 moveto
0.19524 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22381 0 moveto
0.22381 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25238 0 moveto
0.25238 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28095 0 moveto
0.28095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.3381 0 moveto
0.3381 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36667 0 moveto
0.36667 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.39524 0 moveto
0.39524 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42381 0 moveto
0.42381 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.48095 0 moveto
0.48095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50952 0 moveto
0.50952 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5381 0 moveto
0.5381 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56667 0 moveto
0.56667 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62381 0 moveto
0.62381 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.65238 0 moveto
0.65238 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68095 0 moveto
0.68095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.70952 0 moveto
0.70952 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.76667 0 moveto
0.76667 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.79524 0 moveto
0.79524 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82381 0 moveto
0.82381 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85238 0 moveto
0.85238 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.90952 0 moveto
0.90952 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9381 0 moveto
0.9381 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.96667 0 moveto
0.96667 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99524 0 moveto
0.99524 0.00375 lineto
stroke
grestore
[(Re\(G\(jw\)\))] 0.5 0 0 2 0 0 -1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.02126 moveto
0.00625 0.02126 lineto
stroke
grestore
[(-0.3)] -0.0125 0.02126 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.11827 moveto
0.00625 0.11827 lineto
stroke
grestore
[(-0.25)] -0.0125 0.11827 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.21528 moveto
0.00625 0.21528 lineto
stroke
grestore
[(-0.2)] -0.0125 0.21528 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.31229 moveto
0.00625 0.31229 lineto
stroke
grestore
[(-0.15)] -0.0125 0.31229 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.4093 moveto
0.00625 0.4093 lineto
stroke
grestore
[(-0.1)] -0.0125 0.4093 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.50631 moveto
0.00625 0.50631 lineto
stroke
grestore
[(-0.05)] -0.0125 0.50631 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.60332 moveto
0.00625 0.60332 lineto
stroke
grestore
[(0)] -0.0125 0.60332 1 0 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0 0.04066 moveto
0.00375 0.04066 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.06006 moveto
0.00375 0.06006 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.07947 moveto
0.00375 0.07947 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.09887 moveto
0.00375 0.09887 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.13767 moveto
0.00375 0.13767 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.15707 moveto
0.00375 0.15707 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.17648 moveto
0.00375 0.17648 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.19588 moveto
0.00375 0.19588 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.23468 moveto
0.00375 0.23468 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.25408 moveto
0.00375 0.25408 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.27349 moveto
0.00375 0.27349 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.29289 moveto
0.00375 0.29289 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.33169 moveto
0.00375 0.33169 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.35109 moveto
0.00375 0.35109 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.3705 moveto
0.00375 0.3705 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.3899 moveto
0.00375 0.3899 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.4287 moveto
0.00375 0.4287 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.4481 moveto
0.00375 0.4481 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.46751 moveto
0.00375 0.46751 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.48691 moveto
0.00375 0.48691 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.52571 moveto
0.00375 0.52571 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.54511 moveto
0.00375 0.54511 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.56451 moveto
0.00375 0.56451 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.58392 moveto
0.00375 0.58392 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.00186 moveto
0.00375 0.00186 lineto
stroke
grestore
[(Im\(G\(jw\)\))] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
0 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.02381 0.61178 moveto
0.02381 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.16667 0.61178 moveto
0.16667 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.30952 0.61178 moveto
0.30952 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.45238 0.61178 moveto
0.45238 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.59524 0.61178 moveto
0.59524 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.7381 0.61178 moveto
0.7381 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.88095 0.61178 moveto
0.88095 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.05238 0.61428 moveto
0.05238 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.08095 0.61428 moveto
0.08095 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.10952 0.61428 moveto
0.10952 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1381 0.61428 moveto
0.1381 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.19524 0.61428 moveto
0.19524 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22381 0.61428 moveto
0.22381 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25238 0.61428 moveto
0.25238 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28095 0.61428 moveto
0.28095 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.3381 0.61428 moveto
0.3381 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36667 0.61428 moveto
0.36667 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.39524 0.61428 moveto
0.39524 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42381 0.61428 moveto
0.42381 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.48095 0.61428 moveto
0.48095 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50952 0.61428 moveto
0.50952 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5381 0.61428 moveto
0.5381 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56667 0.61428 moveto
0.56667 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62381 0.61428 moveto
0.62381 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.65238 0.61428 moveto
0.65238 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68095 0.61428 moveto
0.68095 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.70952 0.61428 moveto
0.70952 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.76667 0.61428 moveto
0.76667 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.79524 0.61428 moveto
0.79524 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82381 0.61428 moveto
0.82381 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85238 0.61428 moveto
0.85238 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.90952 0.61428 moveto
0.90952 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9381 0.61428 moveto
0.9381 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.96667 0.61428 moveto
0.96667 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99524 0.61428 moveto
0.99524 0.61803 lineto
stroke
grestore
[(Polar Plot)] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0 0.61803 moveto
1 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.02126 moveto
1 0.02126 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.11827 moveto
1 0.11827 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.21528 moveto
1 0.21528 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.31229 moveto
1 0.31229 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.4093 moveto
1 0.4093 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.50631 moveto
1 0.50631 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.60332 moveto
1 0.60332 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.04066 moveto
1 0.04066 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.06006 moveto
1 0.06006 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.07947 moveto
1 0.07947 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.09887 moveto
1 0.09887 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.13767 moveto
1 0.13767 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.15707 moveto
1 0.15707 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.17648 moveto
1 0.17648 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.19588 moveto
1 0.19588 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.23468 moveto
1 0.23468 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.25408 moveto
1 0.25408 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.27349 moveto
1 0.27349 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.29289 moveto
1 0.29289 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.33169 moveto
1 0.33169 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.35109 moveto
1 0.35109 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.3705 moveto
1 0.3705 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.3899 moveto
1 0.3899 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.4287 moveto
1 0.4287 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.4481 moveto
1 0.4481 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.46751 moveto
1 0.46751 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.48691 moveto
1 0.48691 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.52571 moveto
1 0.52571 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.54511 moveto
1 0.54511 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.56451 moveto
1 0.56451 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.58392 moveto
1 0.58392 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.00186 moveto
1 0.00186 lineto
stroke
grestore
[( )] 1.0375 0.30902 -1 0 90 Mrotshowa
gsave
0.002 setlinewidth
1 0 moveto
1 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.59524 0 moveto
0.59524 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
gsave
0.02 setlinewidth
0.02381 0.60332 Mdot
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.97619 0.60332 moveto
0.97494 0.53341 lineto
0.97125 0.4651 lineto
0.96529 0.39985 lineto
0.95733 0.33887 lineto
0.93678 0.23314 lineto
0.92491 0.18923 lineto
0.91244 0.15138 lineto
0.89967 0.11934 lineto
0.88686 0.09273 lineto
0.86185 0.05382 lineto
0.84992 0.04044 lineto
0.83849 0.0304 lineto
0.8276 0.02323 lineto
0.81726 0.01847 lineto
0.80748 0.01575 lineto
0.79826 0.01472 lineto
0.78956 0.01508 lineto
0.78138 0.01659 lineto
0.77368 0.01904 lineto
0.76643 0.02225 lineto
0.75318 0.03038 lineto
0.7414 0.04009 lineto
0.73089 0.05075 lineto
0.71299 0.07337 lineto
0.68627 0.11859 lineto
0.66745 0.16017 lineto
0.64331 0.22984 lineto
0.62912 0.28382 lineto
0.6202 0.32583 lineto
0.61022 0.3855 lineto
0.60514 0.42504 lineto
0.60224 0.45282 lineto
0.60044 0.47329 lineto
0.59925 0.48894 lineto
0.59843 0.50128 lineto
0.59783 0.51124 lineto
0.59739 0.51945 lineto
0.59705 0.52632 lineto
0.59678 0.53216 lineto
0.59657 0.53719 lineto
0.5964 0.54155 lineto
0.59626 0.54537 lineto
0.59614 0.54875 lineto
0.59605 0.55176 lineto
0.59596 0.55446 lineto
0.59589 0.55689 lineto
0.59583 0.55909 lineto
0.59578 0.56109 lineto
0.59573 0.56292 lineto
Mistroke
0.59569 0.56459 lineto
Mfstroke
grestore
grestore
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; rightWrapOffset = 528; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = subsubsection; inactive; Cclosed; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; startGroup; ]
Nyquist Plot
:[font = input; Cclosed; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; startGroup; ]
tranf2 = (s+2)/(s+1)/(s+3);
NyquistPlot[tranf2,s,{w,0,50}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; pictureLeft = 34; pictureWidth = 430; pictureHeight = 266; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.595238 0.571429 0.309017 0.970098 [
[(-1)] 0.02381 0 0 2 0 Minner Mrotsboxa
[(-0.75)] 0.16667 0 0 2 0 Minner Mrotsboxa
[(-0.5)] 0.30952 0 0 2 0 Minner Mrotsboxa
[(-0.25)] 0.45238 0 0 2 0 Minner Mrotsboxa
[(0)] 0.59524 0 0 2 0 Minner Mrotsboxa
[(0.25)] 0.7381 0 0 2 0 Minner Mrotsboxa
[(0.5)] 0.88095 0 0 2 0 Minner Mrotsboxa
[(Re\(G\(jw\)\))] 0.5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-0.3)] -0.0125 0.01799 1 0 0 Minner Mrotsboxa
[(-0.2)] -0.0125 0.115 1 0 0 Minner Mrotsboxa
[(-0.1)] -0.0125 0.21201 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 0.30902 1 0 0 Minner Mrotsboxa
[(0.1)] -0.0125 0.40603 1 0 0 Minner Mrotsboxa
[(0.2)] -0.0125 0.50304 1 0 0 Minner Mrotsboxa
[(0.3)] -0.0125 0.60005 1 0 0 Minner Mrotsboxa
[(Im\(G\(jw\)\))] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotsboxa
[(Nyquist Plot)] 0.5 0.61803 0 -4 Msboxa
[( )] 1.0375 0.30902 -1 0 90 Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.16667 0 moveto
0.16667 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.30952 0 moveto
0.30952 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.45238 0 moveto
0.45238 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.59524 0 moveto
0.59524 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.7381 0 moveto
0.7381 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0.88095 0 moveto
0.88095 0.61803 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.115 moveto
1 0.115 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.21201 moveto
1 0.21201 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.40603 moveto
1 0.40603 lineto
stroke
grestore
gsave
0 0 0.5 setrgbcolor
0.001 setlinewidth
0 0.50304 moveto
1 0.50304 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.02381 0 moveto
0.02381 0.00625 lineto
stroke
grestore
[(-1)] 0.02381 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.16667 0 moveto
0.16667 0.00625 lineto
stroke
grestore
[(-0.75)] 0.16667 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.30952 0 moveto
0.30952 0.00625 lineto
stroke
grestore
[(-0.5)] 0.30952 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.45238 0 moveto
0.45238 0.00625 lineto
stroke
grestore
[(-0.25)] 0.45238 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.59524 0 moveto
0.59524 0.00625 lineto
stroke
grestore
[(0)] 0.59524 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.7381 0 moveto
0.7381 0.00625 lineto
stroke
grestore
[(0.25)] 0.7381 0 0 2 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0.88095 0 moveto
0.88095 0.00625 lineto
stroke
grestore
[(0.5)] 0.88095 0 0 2 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0.05238 0 moveto
0.05238 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.08095 0 moveto
0.08095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.10952 0 moveto
0.10952 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1381 0 moveto
0.1381 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.19524 0 moveto
0.19524 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22381 0 moveto
0.22381 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25238 0 moveto
0.25238 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28095 0 moveto
0.28095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.3381 0 moveto
0.3381 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36667 0 moveto
0.36667 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.39524 0 moveto
0.39524 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42381 0 moveto
0.42381 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.48095 0 moveto
0.48095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50952 0 moveto
0.50952 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5381 0 moveto
0.5381 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56667 0 moveto
0.56667 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62381 0 moveto
0.62381 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.65238 0 moveto
0.65238 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68095 0 moveto
0.68095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.70952 0 moveto
0.70952 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.76667 0 moveto
0.76667 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.79524 0 moveto
0.79524 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82381 0 moveto
0.82381 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85238 0 moveto
0.85238 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.90952 0 moveto
0.90952 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9381 0 moveto
0.9381 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.96667 0 moveto
0.96667 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99524 0 moveto
0.99524 0.00375 lineto
stroke
grestore
[(Re\(G\(jw\)\))] 0.5 0 0 2 0 0 -1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01799 moveto
0.00625 0.01799 lineto
stroke
grestore
[(-0.3)] -0.0125 0.01799 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.115 moveto
0.00625 0.115 lineto
stroke
grestore
[(-0.2)] -0.0125 0.115 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.21201 moveto
0.00625 0.21201 lineto
stroke
grestore
[(-0.1)] -0.0125 0.21201 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.30902 moveto
0.00625 0.30902 lineto
stroke
grestore
[(0)] -0.0125 0.30902 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.40603 moveto
0.00625 0.40603 lineto
stroke
grestore
[(0.1)] -0.0125 0.40603 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.50304 moveto
0.00625 0.50304 lineto
stroke
grestore
[(0.2)] -0.0125 0.50304 1 0 0 Minner Mrotshowa
gsave
0.002 setlinewidth
0 0.60005 moveto
0.00625 0.60005 lineto
stroke
grestore
[(0.3)] -0.0125 0.60005 1 0 0 Minner Mrotshowa
gsave
0.001 setlinewidth
0 0.03739 moveto
0.00375 0.03739 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.05679 moveto
0.00375 0.05679 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.07619 moveto
0.00375 0.07619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.0956 moveto
0.00375 0.0956 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.1344 moveto
0.00375 0.1344 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.1538 moveto
0.00375 0.1538 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.1732 moveto
0.00375 0.1732 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.19261 moveto
0.00375 0.19261 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.23141 moveto
0.00375 0.23141 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.25081 moveto
0.00375 0.25081 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.27021 moveto
0.00375 0.27021 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.28962 moveto
0.00375 0.28962 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.32842 moveto
0.00375 0.32842 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.34782 moveto
0.00375 0.34782 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.36722 moveto
0.00375 0.36722 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.38662 moveto
0.00375 0.38662 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.42543 moveto
0.00375 0.42543 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.44483 moveto
0.00375 0.44483 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.46423 moveto
0.00375 0.46423 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.48363 moveto
0.00375 0.48363 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.52244 moveto
0.00375 0.52244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.54184 moveto
0.00375 0.54184 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.56124 moveto
0.00375 0.56124 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.58064 moveto
0.00375 0.58064 lineto
stroke
grestore
[(Im\(G\(jw\)\))] -0.0125 0.30902 1 0 90 -1 0 Mouter Mrotshowa
gsave
0.002 setlinewidth
0 0 moveto
0 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0.02381 0.61178 moveto
0.02381 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.16667 0.61178 moveto
0.16667 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.30952 0.61178 moveto
0.30952 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.45238 0.61178 moveto
0.45238 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.59524 0.61178 moveto
0.59524 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.7381 0.61178 moveto
0.7381 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.88095 0.61178 moveto
0.88095 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.05238 0.61428 moveto
0.05238 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.08095 0.61428 moveto
0.08095 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.10952 0.61428 moveto
0.10952 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1381 0.61428 moveto
0.1381 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.19524 0.61428 moveto
0.19524 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22381 0.61428 moveto
0.22381 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25238 0.61428 moveto
0.25238 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28095 0.61428 moveto
0.28095 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.3381 0.61428 moveto
0.3381 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36667 0.61428 moveto
0.36667 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.39524 0.61428 moveto
0.39524 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42381 0.61428 moveto
0.42381 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.48095 0.61428 moveto
0.48095 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50952 0.61428 moveto
0.50952 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5381 0.61428 moveto
0.5381 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56667 0.61428 moveto
0.56667 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62381 0.61428 moveto
0.62381 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.65238 0.61428 moveto
0.65238 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68095 0.61428 moveto
0.68095 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.70952 0.61428 moveto
0.70952 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.76667 0.61428 moveto
0.76667 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.79524 0.61428 moveto
0.79524 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82381 0.61428 moveto
0.82381 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85238 0.61428 moveto
0.85238 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.90952 0.61428 moveto
0.90952 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9381 0.61428 moveto
0.9381 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.96667 0.61428 moveto
0.96667 0.61803 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99524 0.61428 moveto
0.99524 0.61803 lineto
stroke
grestore
[(Nyquist Plot)] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0 0.61803 moveto
1 0.61803 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.01799 moveto
1 0.01799 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.115 moveto
1 0.115 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.21201 moveto
1 0.21201 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.40603 moveto
1 0.40603 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.50304 moveto
1 0.50304 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.99375 0.60005 moveto
1 0.60005 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.03739 moveto
1 0.03739 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.05679 moveto
1 0.05679 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.07619 moveto
1 0.07619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.0956 moveto
1 0.0956 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.1344 moveto
1 0.1344 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.1538 moveto
1 0.1538 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.1732 moveto
1 0.1732 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.19261 moveto
1 0.19261 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.23141 moveto
1 0.23141 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.25081 moveto
1 0.25081 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.27021 moveto
1 0.27021 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.28962 moveto
1 0.28962 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.32842 moveto
1 0.32842 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.34782 moveto
1 0.34782 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.36722 moveto
1 0.36722 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.38662 moveto
1 0.38662 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.42543 moveto
1 0.42543 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.44483 moveto
1 0.44483 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.46423 moveto
1 0.46423 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.48363 moveto
1 0.48363 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.52244 moveto
1 0.52244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.54184 moveto
1 0.54184 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.56124 moveto
1 0.56124 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99625 0.58064 moveto
1 0.58064 lineto
stroke
grestore
[( )] 1.0375 0.30902 -1 0 90 Mrotshowa
gsave
0.002 setlinewidth
1 0 moveto
1 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.59524 0 moveto
0.59524 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
gsave
0.02 setlinewidth
0.02381 0.30902 Mdot
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.97619 0.30902 moveto
0.97494 0.27406 lineto
0.97125 0.23991 lineto
0.96529 0.20728 lineto
0.95733 0.17679 lineto
0.93678 0.12393 lineto
0.92491 0.10197 lineto
0.91244 0.08305 lineto
0.89967 0.06703 lineto
0.88686 0.05372 lineto
0.86185 0.03427 lineto
0.84992 0.02758 lineto
0.83849 0.02256 lineto
0.8276 0.01897 lineto
0.81726 0.01659 lineto
0.80748 0.01523 lineto
0.79826 0.01472 lineto
0.78956 0.0149 lineto
0.78138 0.01565 lineto
0.77368 0.01688 lineto
0.76643 0.01848 lineto
0.75318 0.02255 lineto
0.7414 0.0274 lineto
0.73089 0.03273 lineto
0.71299 0.04404 lineto
0.68627 0.06665 lineto
0.66745 0.08744 lineto
0.64331 0.12228 lineto
0.62912 0.14927 lineto
0.6202 0.17027 lineto
0.61022 0.20011 lineto
0.60514 0.21988 lineto
0.60224 0.23377 lineto
0.60044 0.244 lineto
0.59925 0.25183 lineto
0.59843 0.258 lineto
0.59783 0.26298 lineto
0.59739 0.26708 lineto
0.59705 0.27052 lineto
0.59678 0.27344 lineto
0.59657 0.27595 lineto
0.5964 0.27813 lineto
0.59626 0.28004 lineto
0.59614 0.28173 lineto
0.59605 0.28324 lineto
0.59596 0.28459 lineto
0.59589 0.2858 lineto
0.59583 0.2869 lineto
0.59578 0.2879 lineto
0.59573 0.28882 lineto
Mistroke
0.59569 0.28965 lineto
Mfstroke
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.59569 0.32838 moveto
0.59573 0.32922 lineto
0.59578 0.33013 lineto
0.59583 0.33113 lineto
0.59589 0.33223 lineto
0.59596 0.33345 lineto
0.59605 0.33479 lineto
0.59614 0.3363 lineto
0.59626 0.33799 lineto
0.5964 0.3399 lineto
0.59657 0.34208 lineto
0.59678 0.34459 lineto
0.59705 0.34751 lineto
0.59739 0.35095 lineto
0.59783 0.35506 lineto
0.59843 0.36004 lineto
0.59925 0.36621 lineto
0.60044 0.37403 lineto
0.60224 0.38426 lineto
0.60514 0.39815 lineto
0.61022 0.41792 lineto
0.6143 0.4312 lineto
0.6202 0.44776 lineto
0.62912 0.46876 lineto
0.64331 0.49576 lineto
0.65368 0.51208 lineto
0.66745 0.53059 lineto
0.68627 0.55138 lineto
0.69838 0.56254 lineto
0.71299 0.57399 lineto
0.73089 0.5853 lineto
0.7414 0.59063 lineto
0.75318 0.59548 lineto
0.75961 0.59764 lineto
0.76643 0.59955 lineto
0.77368 0.60116 lineto
0.78138 0.60238 lineto
0.78956 0.60314 lineto
0.79826 0.60332 lineto
0.80748 0.6028 lineto
0.81726 0.60144 lineto
0.8276 0.59906 lineto
0.83849 0.59547 lineto
0.84992 0.59046 lineto
0.86185 0.58377 lineto
0.88686 0.56431 lineto
0.89967 0.55101 lineto
0.91244 0.53499 lineto
0.92491 0.51606 lineto
0.93678 0.49411 lineto
Mistroke
0.94771 0.46912 lineto
0.95733 0.44124 lineto
0.96529 0.41075 lineto
0.97125 0.37813 lineto
0.97494 0.34397 lineto
0.97619 0.30902 lineto
Mfstroke
grestore
grestore
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; leftWrapOffset = 50; rightWrapOffset = 528; endGroup; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
^*)